import type { DSize } from '../../utils';
import type { DFormControl } from '../form';
import React from 'react';
export interface DDateInputRef {
    updatePosition: () => void;
}
export interface DDateInputRenderProps {
    diPopupRef: React.MutableRefObject<any>;
    diStyle: React.CSSProperties;
    diOnMouseDown: React.MouseEventHandler;
    diOnMouseUp: React.MouseEventHandler;
}
export interface DDateInputProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'children'> {
    children: (props: DDateInputRenderProps) => JSX.Element | null;
    dClassNamePrefix: string;
    dFormControl?: DFormControl;
    dVisible?: boolean;
    dPlacement?: 'top' | 'top-left' | 'top-right' | 'bottom' | 'bottom-left' | 'bottom-right';
    dSuffix?: React.ReactNode;
    dSize?: DSize;
    dRange?: boolean;
    dClearable?: boolean;
    dDisabled?: boolean;
    dInputProps?: [React.InputHTMLAttributes<HTMLInputElement>?, React.InputHTMLAttributes<HTMLInputElement>?];
    dInputRef?: [React.Ref<HTMLInputElement>?, React.Ref<HTMLInputElement>?];
    onVisibleChange?: (visible: boolean) => void;
    afterVisibleChange?: (visible: boolean) => void;
    onClear?: () => void;
}
export declare const DDateInput: React.ForwardRefExoticComponent<DDateInputProps & React.RefAttributes<DDateInputRef>>;
