/// <reference types="react" />
import { Subject } from 'rxjs';
export interface DToastProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'children'> {
    dType?: 'success' | 'warning' | 'error' | 'info';
    dIcon?: React.ReactNode;
    dContent: React.ReactNode;
    dDuration?: number;
    dPlacement?: 'top' | 'bottom';
    dEscClosable?: boolean;
    onClose?: () => void;
    afterVisibleChange?: (visible: boolean) => void;
}
export declare const toastSubject: {
    open$: Subject<{
        uniqueId: number;
        props: DToastProps;
    }>;
    close$: Subject<number>;
    rerender$: Subject<{
        uniqueId: number;
        props: DToastProps;
    }>;
    closeAll$: Subject<boolean>;
};
declare class Toast {
    private _uniqueId;
    constructor(_uniqueId: number);
    get uniqueId(): number;
    close(): void;
    rerender(props: DToastProps): void;
}
export declare class ToastService {
    static get toasts(): Toast[];
    static open(props: DToastProps): Toast;
    static close(uniqueId: number): void;
    static rerender(uniqueId: number, props: DToastProps): void;
    static closeAll(animation?: boolean): void;
}
export declare function DToast(props: DToastProps & {
    dVisible: boolean;
}): JSX.Element | null;
export {};
