import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
import { isUndefined, isNull, isFunction, isNumber, isArray as isArray$2, isObject as isObject$b, isString, isBoolean, nth, isDate, toNumber } from 'lodash';
import React, { useContext, useCallback, useMemo, useState, useEffect, useRef, useId, useImperativeHandle, createElement as createElement$2, useLayoutEffect } from 'react';
import { LoadingOutlined, CloseCircleFilled, ExclamationCircleFilled, CheckCircleFilled, QuestionCircleOutlined, DownOutlined, CheckCircleOutlined, WarningOutlined, CloseCircleOutlined, ExclamationCircleOutlined, CloseOutlined, EyeInvisibleOutlined, EyeOutlined, DCustomIcon, VerticalAlignTopOutlined, SearchOutlined, RightOutlined, SwapRightOutlined, DoubleLeftOutlined, LeftOutlined, DoubleRightOutlined, CalendarOutlined, RotateRightOutlined, ZoomOutOutlined, ZoomInOutlined, CaretDownOutlined, PlusOutlined, EllipsisOutlined, CheckOutlined, WarningFilled, ExclamationOutlined, StarFilled, FilterFilled, CaretUpOutlined, ClockCircleOutlined, MinusSquareOutlined, PlusSquareOutlined, CaretRightOutlined, PaperClipOutlined, FileTwoTone, DownloadOutlined, DeleteOutlined } from '@react-devui/icons';
import { getClassName, getPopupPosition, toPx, checkNodeExist, scrollTo, getOriginalSize, getVerticalSidePosition, findNested, getHorizontalSidePosition, scrollToView, isSimpleArrayEqual, getUID } from '@react-devui/utils';
import { produce, freeze } from 'immer';
import { useEventCallback, useAsync, useMount, useElement, useImmer, useForceUpdate, useForkRef, useUnmount, useEventNotify, useIsomorphicLayoutEffect, useLockScroll } from '@react-devui/hooks';
import { filter, Subject, from, forkJoin } from 'rxjs';
import ReactDOM from 'react-dom';
import d from 'dayjs';
import customParseFormat from 'dayjs/plugin/customParseFormat';
import isBetween from 'dayjs/plugin/isBetween';
import localeData from 'dayjs/plugin/localeData';
import { DIconContext } from '@react-devui/icons/Icon';
import { A11y, Autoplay, Controller, EffectCoverflow, EffectCube, EffectFade, EffectFlip, EffectCreative, EffectCards, HashNavigation, History, Keyboard, Lazy, Mousewheel, Navigation, Pagination as Pagination$1, Parallax, Scrollbar, Thumbs, Virtual, Zoom, FreeMode, Grid, Manipulation } from 'swiper';
import 'swiper/css/bundle';
import { Swiper, SwiperSlide } from 'swiper/react';

var commonjsGlobal = typeof globalThis !== 'undefined' ? globalThis : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

var fails$q = function (exec) {
  try {
    return !!exec();
  } catch (error) {
    return true;
  }
};

var fails$p = fails$q;

var functionBindNative = !fails$p(function () {
  // eslint-disable-next-line es-x/no-function-prototype-bind -- safe
  var test = (function () { /* empty */ }).bind();
  // eslint-disable-next-line no-prototype-builtins -- safe
  return typeof test != 'function' || test.hasOwnProperty('prototype');
});

var NATIVE_BIND$3 = functionBindNative;

var FunctionPrototype$2 = Function.prototype;
var bind$8 = FunctionPrototype$2.bind;
var call$m = FunctionPrototype$2.call;
var uncurryThis$x = NATIVE_BIND$3 && bind$8.bind(call$m, call$m);

var functionUncurryThis = NATIVE_BIND$3 ? function (fn) {
  return fn && uncurryThis$x(fn);
} : function (fn) {
  return fn && function () {
    return call$m.apply(fn, arguments);
  };
};

var uncurryThis$w = functionUncurryThis;

var toString$g = uncurryThis$w({}.toString);
var stringSlice$b = uncurryThis$w(''.slice);

var classofRaw$1 = function (it) {
  return stringSlice$b(toString$g(it), 8, -1);
};

var uncurryThis$v = functionUncurryThis;
var fails$o = fails$q;
var classof$9 = classofRaw$1;

var $Object$4 = Object;
var split$3 = uncurryThis$v(''.split);

// fallback for non-array-like ES3 and non-enumerable old V8 strings
var indexedObject = fails$o(function () {
  // throws an error in rhino, see https://github.com/mozilla/rhino/issues/346
  // eslint-disable-next-line no-prototype-builtins -- safe
  return !$Object$4('z').propertyIsEnumerable(0);
}) ? function (it) {
  return classof$9(it) == 'String' ? split$3(it, '') : $Object$4(it);
} : $Object$4;

var $TypeError$f = TypeError;

// `RequireObjectCoercible` abstract operation
// https://tc39.es/ecma262/#sec-requireobjectcoercible
var requireObjectCoercible$a = function (it) {
  if (it == undefined) throw $TypeError$f("Can't call method on " + it);
  return it;
};

// toObject with fallback for non-array-like ES3 strings
var IndexedObject$2 = indexedObject;
var requireObjectCoercible$9 = requireObjectCoercible$a;

var toIndexedObject$5 = function (it) {
  return IndexedObject$2(requireObjectCoercible$9(it));
};

var check = function (it) {
  return it && it.Math == Math && it;
};

// https://github.com/zloirock/core-js/issues/86#issuecomment-115759028
var global$r =
  // eslint-disable-next-line es-x/no-global-this -- safe
  check(typeof globalThis == 'object' && globalThis) ||
  check(typeof window == 'object' && window) ||
  // eslint-disable-next-line no-restricted-globals -- safe
  check(typeof self == 'object' && self) ||
  check(typeof commonjsGlobal == 'object' && commonjsGlobal) ||
  // eslint-disable-next-line no-new-func -- fallback
  (function () { return this; })() || Function('return this')();

var shared$4 = {exports: {}};

var isPure = false;

var global$q = global$r;

// eslint-disable-next-line es-x/no-object-defineproperty -- safe
var defineProperty$8 = Object.defineProperty;

var defineGlobalProperty$3 = function (key, value) {
  try {
    defineProperty$8(global$q, key, { value: value, configurable: true, writable: true });
  } catch (error) {
    global$q[key] = value;
  } return value;
};

var global$p = global$r;
var defineGlobalProperty$2 = defineGlobalProperty$3;

var SHARED = '__core-js_shared__';
var store$3 = global$p[SHARED] || defineGlobalProperty$2(SHARED, {});

var sharedStore = store$3;

var store$2 = sharedStore;

(shared$4.exports = function (key, value) {
  return store$2[key] || (store$2[key] = value !== undefined ? value : {});
})('versions', []).push({
  version: '3.24.1',
  mode: 'global',
  copyright: '© 2014-2022 Denis Pushkarev (zloirock.ru)',
  license: 'https://github.com/zloirock/core-js/blob/v3.24.1/LICENSE',
  source: 'https://github.com/zloirock/core-js'
});

var requireObjectCoercible$8 = requireObjectCoercible$a;

var $Object$3 = Object;

// `ToObject` abstract operation
// https://tc39.es/ecma262/#sec-toobject
var toObject$7 = function (argument) {
  return $Object$3(requireObjectCoercible$8(argument));
};

var uncurryThis$u = functionUncurryThis;
var toObject$6 = toObject$7;

var hasOwnProperty = uncurryThis$u({}.hasOwnProperty);

// `HasOwnProperty` abstract operation
// https://tc39.es/ecma262/#sec-hasownproperty
// eslint-disable-next-line es-x/no-object-hasown -- safe
var hasOwnProperty_1 = Object.hasOwn || function hasOwn(it, key) {
  return hasOwnProperty(toObject$6(it), key);
};

var uncurryThis$t = functionUncurryThis;

var id = 0;
var postfix = Math.random();
var toString$f = uncurryThis$t(1.0.toString);

var uid$2 = function (key) {
  return 'Symbol(' + (key === undefined ? '' : key) + ')_' + toString$f(++id + postfix, 36);
};

// `IsCallable` abstract operation
// https://tc39.es/ecma262/#sec-iscallable
var isCallable$p = function (argument) {
  return typeof argument == 'function';
};

var global$o = global$r;
var isCallable$o = isCallable$p;

var aFunction = function (argument) {
  return isCallable$o(argument) ? argument : undefined;
};

var getBuiltIn$8 = function (namespace, method) {
  return arguments.length < 2 ? aFunction(global$o[namespace]) : global$o[namespace] && global$o[namespace][method];
};

var getBuiltIn$7 = getBuiltIn$8;

var engineUserAgent = getBuiltIn$7('navigator', 'userAgent') || '';

var global$n = global$r;
var userAgent$5 = engineUserAgent;

var process$3 = global$n.process;
var Deno$1 = global$n.Deno;
var versions = process$3 && process$3.versions || Deno$1 && Deno$1.version;
var v8 = versions && versions.v8;
var match, version;

if (v8) {
  match = v8.split('.');
  // in old Chrome, versions of V8 isn't V8 = Chrome / 10
  // but their correct versions are not interesting for us
  version = match[0] > 0 && match[0] < 4 ? 1 : +(match[0] + match[1]);
}

// BrowserFS NodeJS `process` polyfill incorrectly set `.v8` to `0.0`
// so check `userAgent` even if `.v8` exists, but 0
if (!version && userAgent$5) {
  match = userAgent$5.match(/Edge\/(\d+)/);
  if (!match || match[1] >= 74) {
    match = userAgent$5.match(/Chrome\/(\d+)/);
    if (match) version = +match[1];
  }
}

var engineV8Version = version;

/* eslint-disable es-x/no-symbol -- required for testing */

var V8_VERSION$1 = engineV8Version;
var fails$n = fails$q;

// eslint-disable-next-line es-x/no-object-getownpropertysymbols -- required for testing
var nativeSymbol = !!Object.getOwnPropertySymbols && !fails$n(function () {
  var symbol = Symbol();
  // Chrome 38 Symbol has incorrect toString conversion
  // `get-own-property-symbols` polyfill symbols converted to object are not Symbol instances
  return !String(symbol) || !(Object(symbol) instanceof Symbol) ||
    // Chrome 38-40 symbols are not inherited from DOM collections prototypes to instances
    !Symbol.sham && V8_VERSION$1 && V8_VERSION$1 < 41;
});

/* eslint-disable es-x/no-symbol -- required for testing */

var NATIVE_SYMBOL$2 = nativeSymbol;

var useSymbolAsUid = NATIVE_SYMBOL$2
  && !Symbol.sham
  && typeof Symbol.iterator == 'symbol';

var global$m = global$r;
var shared$3 = shared$4.exports;
var hasOwn$e = hasOwnProperty_1;
var uid$1 = uid$2;
var NATIVE_SYMBOL$1 = nativeSymbol;
var USE_SYMBOL_AS_UID$1 = useSymbolAsUid;

var WellKnownSymbolsStore = shared$3('wks');
var Symbol$2 = global$m.Symbol;
var symbolFor = Symbol$2 && Symbol$2['for'];
var createWellKnownSymbol = USE_SYMBOL_AS_UID$1 ? Symbol$2 : Symbol$2 && Symbol$2.withoutSetter || uid$1;

var wellKnownSymbol$l = function (name) {
  if (!hasOwn$e(WellKnownSymbolsStore, name) || !(NATIVE_SYMBOL$1 || typeof WellKnownSymbolsStore[name] == 'string')) {
    var description = 'Symbol.' + name;
    if (NATIVE_SYMBOL$1 && hasOwn$e(Symbol$2, name)) {
      WellKnownSymbolsStore[name] = Symbol$2[name];
    } else if (USE_SYMBOL_AS_UID$1 && symbolFor) {
      WellKnownSymbolsStore[name] = symbolFor(description);
    } else {
      WellKnownSymbolsStore[name] = createWellKnownSymbol(description);
    }
  } return WellKnownSymbolsStore[name];
};

var isCallable$n = isCallable$p;

var isObject$a = function (it) {
  return typeof it == 'object' ? it !== null : isCallable$n(it);
};

var isObject$9 = isObject$a;

var $String$4 = String;
var $TypeError$e = TypeError;

// `Assert: Type(argument) is Object`
var anObject$i = function (argument) {
  if (isObject$9(argument)) return argument;
  throw $TypeError$e($String$4(argument) + ' is not an object');
};

var objectDefineProperties = {};

var fails$m = fails$q;

// Detect IE8's incomplete defineProperty implementation
var descriptors = !fails$m(function () {
  // eslint-disable-next-line es-x/no-object-defineproperty -- required for testing
  return Object.defineProperty({}, 1, { get: function () { return 7; } })[1] != 7;
});

var DESCRIPTORS$e = descriptors;
var fails$l = fails$q;

// V8 ~ Chrome 36-
// https://bugs.chromium.org/p/v8/issues/detail?id=3334
var v8PrototypeDefineBug = DESCRIPTORS$e && fails$l(function () {
  // eslint-disable-next-line es-x/no-object-defineproperty -- required for testing
  return Object.defineProperty(function () { /* empty */ }, 'prototype', {
    value: 42,
    writable: false
  }).prototype != 42;
});

var objectDefineProperty = {};

var global$l = global$r;
var isObject$8 = isObject$a;

var document$3 = global$l.document;
// typeof document.createElement is 'object' in old IE
var EXISTS$1 = isObject$8(document$3) && isObject$8(document$3.createElement);

var documentCreateElement$2 = function (it) {
  return EXISTS$1 ? document$3.createElement(it) : {};
};

var DESCRIPTORS$d = descriptors;
var fails$k = fails$q;
var createElement$1 = documentCreateElement$2;

// Thanks to IE8 for its funny defineProperty
var ie8DomDefine = !DESCRIPTORS$d && !fails$k(function () {
  // eslint-disable-next-line es-x/no-object-defineproperty -- required for testing
  return Object.defineProperty(createElement$1('div'), 'a', {
    get: function () { return 7; }
  }).a != 7;
});

var NATIVE_BIND$2 = functionBindNative;

var call$l = Function.prototype.call;

var functionCall = NATIVE_BIND$2 ? call$l.bind(call$l) : function () {
  return call$l.apply(call$l, arguments);
};

var uncurryThis$s = functionUncurryThis;

var objectIsPrototypeOf = uncurryThis$s({}.isPrototypeOf);

var getBuiltIn$6 = getBuiltIn$8;
var isCallable$m = isCallable$p;
var isPrototypeOf$5 = objectIsPrototypeOf;
var USE_SYMBOL_AS_UID = useSymbolAsUid;

var $Object$2 = Object;

var isSymbol$2 = USE_SYMBOL_AS_UID ? function (it) {
  return typeof it == 'symbol';
} : function (it) {
  var $Symbol = getBuiltIn$6('Symbol');
  return isCallable$m($Symbol) && isPrototypeOf$5($Symbol.prototype, $Object$2(it));
};

var $String$3 = String;

var tryToString$5 = function (argument) {
  try {
    return $String$3(argument);
  } catch (error) {
    return 'Object';
  }
};

var isCallable$l = isCallable$p;
var tryToString$4 = tryToString$5;

var $TypeError$d = TypeError;

// `Assert: IsCallable(argument) is true`
var aCallable$9 = function (argument) {
  if (isCallable$l(argument)) return argument;
  throw $TypeError$d(tryToString$4(argument) + ' is not a function');
};

var aCallable$8 = aCallable$9;

// `GetMethod` abstract operation
// https://tc39.es/ecma262/#sec-getmethod
var getMethod$6 = function (V, P) {
  var func = V[P];
  return func == null ? undefined : aCallable$8(func);
};

var call$k = functionCall;
var isCallable$k = isCallable$p;
var isObject$7 = isObject$a;

var $TypeError$c = TypeError;

// `OrdinaryToPrimitive` abstract operation
// https://tc39.es/ecma262/#sec-ordinarytoprimitive
var ordinaryToPrimitive$1 = function (input, pref) {
  var fn, val;
  if (pref === 'string' && isCallable$k(fn = input.toString) && !isObject$7(val = call$k(fn, input))) return val;
  if (isCallable$k(fn = input.valueOf) && !isObject$7(val = call$k(fn, input))) return val;
  if (pref !== 'string' && isCallable$k(fn = input.toString) && !isObject$7(val = call$k(fn, input))) return val;
  throw $TypeError$c("Can't convert object to primitive value");
};

var call$j = functionCall;
var isObject$6 = isObject$a;
var isSymbol$1 = isSymbol$2;
var getMethod$5 = getMethod$6;
var ordinaryToPrimitive = ordinaryToPrimitive$1;
var wellKnownSymbol$k = wellKnownSymbol$l;

var $TypeError$b = TypeError;
var TO_PRIMITIVE = wellKnownSymbol$k('toPrimitive');

// `ToPrimitive` abstract operation
// https://tc39.es/ecma262/#sec-toprimitive
var toPrimitive$1 = function (input, pref) {
  if (!isObject$6(input) || isSymbol$1(input)) return input;
  var exoticToPrim = getMethod$5(input, TO_PRIMITIVE);
  var result;
  if (exoticToPrim) {
    if (pref === undefined) pref = 'default';
    result = call$j(exoticToPrim, input, pref);
    if (!isObject$6(result) || isSymbol$1(result)) return result;
    throw $TypeError$b("Can't convert object to primitive value");
  }
  if (pref === undefined) pref = 'number';
  return ordinaryToPrimitive(input, pref);
};

var toPrimitive = toPrimitive$1;
var isSymbol = isSymbol$2;

// `ToPropertyKey` abstract operation
// https://tc39.es/ecma262/#sec-topropertykey
var toPropertyKey$3 = function (argument) {
  var key = toPrimitive(argument, 'string');
  return isSymbol(key) ? key : key + '';
};

var DESCRIPTORS$c = descriptors;
var IE8_DOM_DEFINE$1 = ie8DomDefine;
var V8_PROTOTYPE_DEFINE_BUG$1 = v8PrototypeDefineBug;
var anObject$h = anObject$i;
var toPropertyKey$2 = toPropertyKey$3;

var $TypeError$a = TypeError;
// eslint-disable-next-line es-x/no-object-defineproperty -- safe
var $defineProperty = Object.defineProperty;
// eslint-disable-next-line es-x/no-object-getownpropertydescriptor -- safe
var $getOwnPropertyDescriptor$1 = Object.getOwnPropertyDescriptor;
var ENUMERABLE = 'enumerable';
var CONFIGURABLE$1 = 'configurable';
var WRITABLE = 'writable';

// `Object.defineProperty` method
// https://tc39.es/ecma262/#sec-object.defineproperty
objectDefineProperty.f = DESCRIPTORS$c ? V8_PROTOTYPE_DEFINE_BUG$1 ? function defineProperty(O, P, Attributes) {
  anObject$h(O);
  P = toPropertyKey$2(P);
  anObject$h(Attributes);
  if (typeof O === 'function' && P === 'prototype' && 'value' in Attributes && WRITABLE in Attributes && !Attributes[WRITABLE]) {
    var current = $getOwnPropertyDescriptor$1(O, P);
    if (current && current[WRITABLE]) {
      O[P] = Attributes.value;
      Attributes = {
        configurable: CONFIGURABLE$1 in Attributes ? Attributes[CONFIGURABLE$1] : current[CONFIGURABLE$1],
        enumerable: ENUMERABLE in Attributes ? Attributes[ENUMERABLE] : current[ENUMERABLE],
        writable: false
      };
    }
  } return $defineProperty(O, P, Attributes);
} : $defineProperty : function defineProperty(O, P, Attributes) {
  anObject$h(O);
  P = toPropertyKey$2(P);
  anObject$h(Attributes);
  if (IE8_DOM_DEFINE$1) try {
    return $defineProperty(O, P, Attributes);
  } catch (error) { /* empty */ }
  if ('get' in Attributes || 'set' in Attributes) throw $TypeError$a('Accessors not supported');
  if ('value' in Attributes) O[P] = Attributes.value;
  return O;
};

var ceil = Math.ceil;
var floor$5 = Math.floor;

// `Math.trunc` method
// https://tc39.es/ecma262/#sec-math.trunc
// eslint-disable-next-line es-x/no-math-trunc -- safe
var mathTrunc = Math.trunc || function trunc(x) {
  var n = +x;
  return (n > 0 ? floor$5 : ceil)(n);
};

var trunc = mathTrunc;

// `ToIntegerOrInfinity` abstract operation
// https://tc39.es/ecma262/#sec-tointegerorinfinity
var toIntegerOrInfinity$6 = function (argument) {
  var number = +argument;
  // eslint-disable-next-line no-self-compare -- NaN check
  return number !== number || number === 0 ? 0 : trunc(number);
};

var toIntegerOrInfinity$5 = toIntegerOrInfinity$6;

var max$2 = Math.max;
var min$4 = Math.min;

// Helper for a popular repeating case of the spec:
// Let integer be ? ToInteger(index).
// If integer < 0, let result be max((length + integer), 0); else let result be min(integer, length).
var toAbsoluteIndex$2 = function (index, length) {
  var integer = toIntegerOrInfinity$5(index);
  return integer < 0 ? max$2(integer + length, 0) : min$4(integer, length);
};

var toIntegerOrInfinity$4 = toIntegerOrInfinity$6;

var min$3 = Math.min;

// `ToLength` abstract operation
// https://tc39.es/ecma262/#sec-tolength
var toLength$5 = function (argument) {
  return argument > 0 ? min$3(toIntegerOrInfinity$4(argument), 0x1FFFFFFFFFFFFF) : 0; // 2 ** 53 - 1 == 9007199254740991
};

var toLength$4 = toLength$5;

// `LengthOfArrayLike` abstract operation
// https://tc39.es/ecma262/#sec-lengthofarraylike
var lengthOfArrayLike$6 = function (obj) {
  return toLength$4(obj.length);
};

var toIndexedObject$4 = toIndexedObject$5;
var toAbsoluteIndex$1 = toAbsoluteIndex$2;
var lengthOfArrayLike$5 = lengthOfArrayLike$6;

// `Array.prototype.{ indexOf, includes }` methods implementation
var createMethod$3 = function (IS_INCLUDES) {
  return function ($this, el, fromIndex) {
    var O = toIndexedObject$4($this);
    var length = lengthOfArrayLike$5(O);
    var index = toAbsoluteIndex$1(fromIndex, length);
    var value;
    // Array#includes uses SameValueZero equality algorithm
    // eslint-disable-next-line no-self-compare -- NaN check
    if (IS_INCLUDES && el != el) while (length > index) {
      value = O[index++];
      // eslint-disable-next-line no-self-compare -- NaN check
      if (value != value) return true;
    // Array#indexOf ignores holes, Array#includes - not
    } else for (;length > index; index++) {
      if ((IS_INCLUDES || index in O) && O[index] === el) return IS_INCLUDES || index || 0;
    } return !IS_INCLUDES && -1;
  };
};

var arrayIncludes = {
  // `Array.prototype.includes` method
  // https://tc39.es/ecma262/#sec-array.prototype.includes
  includes: createMethod$3(true),
  // `Array.prototype.indexOf` method
  // https://tc39.es/ecma262/#sec-array.prototype.indexof
  indexOf: createMethod$3(false)
};

var hiddenKeys$4 = {};

var uncurryThis$r = functionUncurryThis;
var hasOwn$d = hasOwnProperty_1;
var toIndexedObject$3 = toIndexedObject$5;
var indexOf$1 = arrayIncludes.indexOf;
var hiddenKeys$3 = hiddenKeys$4;

var push$6 = uncurryThis$r([].push);

var objectKeysInternal = function (object, names) {
  var O = toIndexedObject$3(object);
  var i = 0;
  var result = [];
  var key;
  for (key in O) !hasOwn$d(hiddenKeys$3, key) && hasOwn$d(O, key) && push$6(result, key);
  // Don't enum bug & hidden keys
  while (names.length > i) if (hasOwn$d(O, key = names[i++])) {
    ~indexOf$1(result, key) || push$6(result, key);
  }
  return result;
};

// IE8- don't enum bug keys
var enumBugKeys$3 = [
  'constructor',
  'hasOwnProperty',
  'isPrototypeOf',
  'propertyIsEnumerable',
  'toLocaleString',
  'toString',
  'valueOf'
];

var internalObjectKeys$1 = objectKeysInternal;
var enumBugKeys$2 = enumBugKeys$3;

// `Object.keys` method
// https://tc39.es/ecma262/#sec-object.keys
// eslint-disable-next-line es-x/no-object-keys -- safe
var objectKeys$2 = Object.keys || function keys(O) {
  return internalObjectKeys$1(O, enumBugKeys$2);
};

var DESCRIPTORS$b = descriptors;
var V8_PROTOTYPE_DEFINE_BUG = v8PrototypeDefineBug;
var definePropertyModule$5 = objectDefineProperty;
var anObject$g = anObject$i;
var toIndexedObject$2 = toIndexedObject$5;
var objectKeys$1 = objectKeys$2;

// `Object.defineProperties` method
// https://tc39.es/ecma262/#sec-object.defineproperties
// eslint-disable-next-line es-x/no-object-defineproperties -- safe
objectDefineProperties.f = DESCRIPTORS$b && !V8_PROTOTYPE_DEFINE_BUG ? Object.defineProperties : function defineProperties(O, Properties) {
  anObject$g(O);
  var props = toIndexedObject$2(Properties);
  var keys = objectKeys$1(Properties);
  var length = keys.length;
  var index = 0;
  var key;
  while (length > index) definePropertyModule$5.f(O, key = keys[index++], props[key]);
  return O;
};

var getBuiltIn$5 = getBuiltIn$8;

var html$2 = getBuiltIn$5('document', 'documentElement');

var shared$2 = shared$4.exports;
var uid = uid$2;

var keys$1 = shared$2('keys');

var sharedKey$3 = function (key) {
  return keys$1[key] || (keys$1[key] = uid(key));
};

/* global ActiveXObject -- old IE, WSH */

var anObject$f = anObject$i;
var definePropertiesModule = objectDefineProperties;
var enumBugKeys$1 = enumBugKeys$3;
var hiddenKeys$2 = hiddenKeys$4;
var html$1 = html$2;
var documentCreateElement$1 = documentCreateElement$2;
var sharedKey$2 = sharedKey$3;

var GT = '>';
var LT = '<';
var PROTOTYPE = 'prototype';
var SCRIPT = 'script';
var IE_PROTO$1 = sharedKey$2('IE_PROTO');

var EmptyConstructor = function () { /* empty */ };

var scriptTag = function (content) {
  return LT + SCRIPT + GT + content + LT + '/' + SCRIPT + GT;
};

// Create object with fake `null` prototype: use ActiveX Object with cleared prototype
var NullProtoObjectViaActiveX = function (activeXDocument) {
  activeXDocument.write(scriptTag(''));
  activeXDocument.close();
  var temp = activeXDocument.parentWindow.Object;
  activeXDocument = null; // avoid memory leak
  return temp;
};

// Create object with fake `null` prototype: use iframe Object with cleared prototype
var NullProtoObjectViaIFrame = function () {
  // Thrash, waste and sodomy: IE GC bug
  var iframe = documentCreateElement$1('iframe');
  var JS = 'java' + SCRIPT + ':';
  var iframeDocument;
  iframe.style.display = 'none';
  html$1.appendChild(iframe);
  // https://github.com/zloirock/core-js/issues/475
  iframe.src = String(JS);
  iframeDocument = iframe.contentWindow.document;
  iframeDocument.open();
  iframeDocument.write(scriptTag('document.F=Object'));
  iframeDocument.close();
  return iframeDocument.F;
};

// Check for document.domain and active x support
// No need to use active x approach when document.domain is not set
// see https://github.com/es-shims/es5-shim/issues/150
// variation of https://github.com/kitcambridge/es5-shim/commit/4f738ac066346
// avoid IE GC bug
var activeXDocument;
var NullProtoObject = function () {
  try {
    activeXDocument = new ActiveXObject('htmlfile');
  } catch (error) { /* ignore */ }
  NullProtoObject = typeof document != 'undefined'
    ? document.domain && activeXDocument
      ? NullProtoObjectViaActiveX(activeXDocument) // old IE
      : NullProtoObjectViaIFrame()
    : NullProtoObjectViaActiveX(activeXDocument); // WSH
  var length = enumBugKeys$1.length;
  while (length--) delete NullProtoObject[PROTOTYPE][enumBugKeys$1[length]];
  return NullProtoObject();
};

hiddenKeys$2[IE_PROTO$1] = true;

// `Object.create` method
// https://tc39.es/ecma262/#sec-object.create
// eslint-disable-next-line es-x/no-object-create -- safe
var objectCreate = Object.create || function create(O, Properties) {
  var result;
  if (O !== null) {
    EmptyConstructor[PROTOTYPE] = anObject$f(O);
    result = new EmptyConstructor();
    EmptyConstructor[PROTOTYPE] = null;
    // add "__proto__" for Object.getPrototypeOf polyfill
    result[IE_PROTO$1] = O;
  } else result = NullProtoObject();
  return Properties === undefined ? result : definePropertiesModule.f(result, Properties);
};

var wellKnownSymbol$j = wellKnownSymbol$l;
var create$3 = objectCreate;
var defineProperty$7 = objectDefineProperty.f;

var UNSCOPABLES = wellKnownSymbol$j('unscopables');
var ArrayPrototype$1 = Array.prototype;

// Array.prototype[@@unscopables]
// https://tc39.es/ecma262/#sec-array.prototype-@@unscopables
if (ArrayPrototype$1[UNSCOPABLES] == undefined) {
  defineProperty$7(ArrayPrototype$1, UNSCOPABLES, {
    configurable: true,
    value: create$3(null)
  });
}

// add a key to Array.prototype[@@unscopables]
var addToUnscopables$1 = function (key) {
  ArrayPrototype$1[UNSCOPABLES][key] = true;
};

var iterators = {};

var uncurryThis$q = functionUncurryThis;
var isCallable$j = isCallable$p;
var store$1 = sharedStore;

var functionToString = uncurryThis$q(Function.toString);

// this helper broken in `core-js@3.4.1-3.4.4`, so we can't use `shared` helper
if (!isCallable$j(store$1.inspectSource)) {
  store$1.inspectSource = function (it) {
    return functionToString(it);
  };
}

var inspectSource$4 = store$1.inspectSource;

var global$k = global$r;
var isCallable$i = isCallable$p;
var inspectSource$3 = inspectSource$4;

var WeakMap$1 = global$k.WeakMap;

var nativeWeakMap = isCallable$i(WeakMap$1) && /native code/.test(inspectSource$3(WeakMap$1));

var createPropertyDescriptor$5 = function (bitmap, value) {
  return {
    enumerable: !(bitmap & 1),
    configurable: !(bitmap & 2),
    writable: !(bitmap & 4),
    value: value
  };
};

var DESCRIPTORS$a = descriptors;
var definePropertyModule$4 = objectDefineProperty;
var createPropertyDescriptor$4 = createPropertyDescriptor$5;

var createNonEnumerableProperty$6 = DESCRIPTORS$a ? function (object, key, value) {
  return definePropertyModule$4.f(object, key, createPropertyDescriptor$4(1, value));
} : function (object, key, value) {
  object[key] = value;
  return object;
};

var NATIVE_WEAK_MAP = nativeWeakMap;
var global$j = global$r;
var uncurryThis$p = functionUncurryThis;
var isObject$5 = isObject$a;
var createNonEnumerableProperty$5 = createNonEnumerableProperty$6;
var hasOwn$c = hasOwnProperty_1;
var shared$1 = sharedStore;
var sharedKey$1 = sharedKey$3;
var hiddenKeys$1 = hiddenKeys$4;

var OBJECT_ALREADY_INITIALIZED = 'Object already initialized';
var TypeError$4 = global$j.TypeError;
var WeakMap = global$j.WeakMap;
var set$1, get, has;

var enforce = function (it) {
  return has(it) ? get(it) : set$1(it, {});
};

var getterFor = function (TYPE) {
  return function (it) {
    var state;
    if (!isObject$5(it) || (state = get(it)).type !== TYPE) {
      throw TypeError$4('Incompatible receiver, ' + TYPE + ' required');
    } return state;
  };
};

if (NATIVE_WEAK_MAP || shared$1.state) {
  var store = shared$1.state || (shared$1.state = new WeakMap());
  var wmget = uncurryThis$p(store.get);
  var wmhas = uncurryThis$p(store.has);
  var wmset = uncurryThis$p(store.set);
  set$1 = function (it, metadata) {
    if (wmhas(store, it)) throw new TypeError$4(OBJECT_ALREADY_INITIALIZED);
    metadata.facade = it;
    wmset(store, it, metadata);
    return metadata;
  };
  get = function (it) {
    return wmget(store, it) || {};
  };
  has = function (it) {
    return wmhas(store, it);
  };
} else {
  var STATE = sharedKey$1('state');
  hiddenKeys$1[STATE] = true;
  set$1 = function (it, metadata) {
    if (hasOwn$c(it, STATE)) throw new TypeError$4(OBJECT_ALREADY_INITIALIZED);
    metadata.facade = it;
    createNonEnumerableProperty$5(it, STATE, metadata);
    return metadata;
  };
  get = function (it) {
    return hasOwn$c(it, STATE) ? it[STATE] : {};
  };
  has = function (it) {
    return hasOwn$c(it, STATE);
  };
}

var internalState = {
  set: set$1,
  get: get,
  has: has,
  enforce: enforce,
  getterFor: getterFor
};

var objectGetOwnPropertyDescriptor = {};

var objectPropertyIsEnumerable = {};

var $propertyIsEnumerable = {}.propertyIsEnumerable;
// eslint-disable-next-line es-x/no-object-getownpropertydescriptor -- safe
var getOwnPropertyDescriptor$4 = Object.getOwnPropertyDescriptor;

// Nashorn ~ JDK8 bug
var NASHORN_BUG = getOwnPropertyDescriptor$4 && !$propertyIsEnumerable.call({ 1: 2 }, 1);

// `Object.prototype.propertyIsEnumerable` method implementation
// https://tc39.es/ecma262/#sec-object.prototype.propertyisenumerable
objectPropertyIsEnumerable.f = NASHORN_BUG ? function propertyIsEnumerable(V) {
  var descriptor = getOwnPropertyDescriptor$4(this, V);
  return !!descriptor && descriptor.enumerable;
} : $propertyIsEnumerable;

var DESCRIPTORS$9 = descriptors;
var call$i = functionCall;
var propertyIsEnumerableModule$1 = objectPropertyIsEnumerable;
var createPropertyDescriptor$3 = createPropertyDescriptor$5;
var toIndexedObject$1 = toIndexedObject$5;
var toPropertyKey$1 = toPropertyKey$3;
var hasOwn$b = hasOwnProperty_1;
var IE8_DOM_DEFINE = ie8DomDefine;

// eslint-disable-next-line es-x/no-object-getownpropertydescriptor -- safe
var $getOwnPropertyDescriptor = Object.getOwnPropertyDescriptor;

// `Object.getOwnPropertyDescriptor` method
// https://tc39.es/ecma262/#sec-object.getownpropertydescriptor
objectGetOwnPropertyDescriptor.f = DESCRIPTORS$9 ? $getOwnPropertyDescriptor : function getOwnPropertyDescriptor(O, P) {
  O = toIndexedObject$1(O);
  P = toPropertyKey$1(P);
  if (IE8_DOM_DEFINE) try {
    return $getOwnPropertyDescriptor(O, P);
  } catch (error) { /* empty */ }
  if (hasOwn$b(O, P)) return createPropertyDescriptor$3(!call$i(propertyIsEnumerableModule$1.f, O, P), O[P]);
};

var makeBuiltIn$3 = {exports: {}};

var DESCRIPTORS$8 = descriptors;
var hasOwn$a = hasOwnProperty_1;

var FunctionPrototype$1 = Function.prototype;
// eslint-disable-next-line es-x/no-object-getownpropertydescriptor -- safe
var getDescriptor = DESCRIPTORS$8 && Object.getOwnPropertyDescriptor;

var EXISTS = hasOwn$a(FunctionPrototype$1, 'name');
// additional protection from minified / mangled / dropped function names
var PROPER = EXISTS && (function something() { /* empty */ }).name === 'something';
var CONFIGURABLE = EXISTS && (!DESCRIPTORS$8 || (DESCRIPTORS$8 && getDescriptor(FunctionPrototype$1, 'name').configurable));

var functionName = {
  EXISTS: EXISTS,
  PROPER: PROPER,
  CONFIGURABLE: CONFIGURABLE
};

var fails$j = fails$q;
var isCallable$h = isCallable$p;
var hasOwn$9 = hasOwnProperty_1;
var DESCRIPTORS$7 = descriptors;
var CONFIGURABLE_FUNCTION_NAME$1 = functionName.CONFIGURABLE;
var inspectSource$2 = inspectSource$4;
var InternalStateModule$5 = internalState;

var enforceInternalState$1 = InternalStateModule$5.enforce;
var getInternalState$3 = InternalStateModule$5.get;
// eslint-disable-next-line es-x/no-object-defineproperty -- safe
var defineProperty$6 = Object.defineProperty;

var CONFIGURABLE_LENGTH = DESCRIPTORS$7 && !fails$j(function () {
  return defineProperty$6(function () { /* empty */ }, 'length', { value: 8 }).length !== 8;
});

var TEMPLATE = String(String).split('String');

var makeBuiltIn$2 = makeBuiltIn$3.exports = function (value, name, options) {
  if (String(name).slice(0, 7) === 'Symbol(') {
    name = '[' + String(name).replace(/^Symbol\(([^)]*)\)/, '$1') + ']';
  }
  if (options && options.getter) name = 'get ' + name;
  if (options && options.setter) name = 'set ' + name;
  if (!hasOwn$9(value, 'name') || (CONFIGURABLE_FUNCTION_NAME$1 && value.name !== name)) {
    if (DESCRIPTORS$7) defineProperty$6(value, 'name', { value: name, configurable: true });
    else value.name = name;
  }
  if (CONFIGURABLE_LENGTH && options && hasOwn$9(options, 'arity') && value.length !== options.arity) {
    defineProperty$6(value, 'length', { value: options.arity });
  }
  try {
    if (options && hasOwn$9(options, 'constructor') && options.constructor) {
      if (DESCRIPTORS$7) defineProperty$6(value, 'prototype', { writable: false });
    // in V8 ~ Chrome 53, prototypes of some methods, like `Array.prototype.values`, are non-writable
    } else if (value.prototype) value.prototype = undefined;
  } catch (error) { /* empty */ }
  var state = enforceInternalState$1(value);
  if (!hasOwn$9(state, 'source')) {
    state.source = TEMPLATE.join(typeof name == 'string' ? name : '');
  } return value;
};

// add fake Function#toString for correct work wrapped methods / constructors with methods like LoDash isNative
// eslint-disable-next-line no-extend-native -- required
Function.prototype.toString = makeBuiltIn$2(function toString() {
  return isCallable$h(this) && getInternalState$3(this).source || inspectSource$2(this);
}, 'toString');

var isCallable$g = isCallable$p;
var definePropertyModule$3 = objectDefineProperty;
var makeBuiltIn$1 = makeBuiltIn$3.exports;
var defineGlobalProperty$1 = defineGlobalProperty$3;

var defineBuiltIn$b = function (O, key, value, options) {
  if (!options) options = {};
  var simple = options.enumerable;
  var name = options.name !== undefined ? options.name : key;
  if (isCallable$g(value)) makeBuiltIn$1(value, name, options);
  if (options.global) {
    if (simple) O[key] = value;
    else defineGlobalProperty$1(key, value);
  } else {
    try {
      if (!options.unsafe) delete O[key];
      else if (O[key]) simple = true;
    } catch (error) { /* empty */ }
    if (simple) O[key] = value;
    else definePropertyModule$3.f(O, key, {
      value: value,
      enumerable: false,
      configurable: !options.nonConfigurable,
      writable: !options.nonWritable
    });
  } return O;
};

var objectGetOwnPropertyNames = {};

var internalObjectKeys = objectKeysInternal;
var enumBugKeys = enumBugKeys$3;

var hiddenKeys = enumBugKeys.concat('length', 'prototype');

// `Object.getOwnPropertyNames` method
// https://tc39.es/ecma262/#sec-object.getownpropertynames
// eslint-disable-next-line es-x/no-object-getownpropertynames -- safe
objectGetOwnPropertyNames.f = Object.getOwnPropertyNames || function getOwnPropertyNames(O) {
  return internalObjectKeys(O, hiddenKeys);
};

var objectGetOwnPropertySymbols = {};

// eslint-disable-next-line es-x/no-object-getownpropertysymbols -- safe
objectGetOwnPropertySymbols.f = Object.getOwnPropertySymbols;

var getBuiltIn$4 = getBuiltIn$8;
var uncurryThis$o = functionUncurryThis;
var getOwnPropertyNamesModule = objectGetOwnPropertyNames;
var getOwnPropertySymbolsModule$1 = objectGetOwnPropertySymbols;
var anObject$e = anObject$i;

var concat$2 = uncurryThis$o([].concat);

// all object keys, includes non-enumerable and symbols
var ownKeys$1 = getBuiltIn$4('Reflect', 'ownKeys') || function ownKeys(it) {
  var keys = getOwnPropertyNamesModule.f(anObject$e(it));
  var getOwnPropertySymbols = getOwnPropertySymbolsModule$1.f;
  return getOwnPropertySymbols ? concat$2(keys, getOwnPropertySymbols(it)) : keys;
};

var hasOwn$8 = hasOwnProperty_1;
var ownKeys = ownKeys$1;
var getOwnPropertyDescriptorModule = objectGetOwnPropertyDescriptor;
var definePropertyModule$2 = objectDefineProperty;

var copyConstructorProperties$2 = function (target, source, exceptions) {
  var keys = ownKeys(source);
  var defineProperty = definePropertyModule$2.f;
  var getOwnPropertyDescriptor = getOwnPropertyDescriptorModule.f;
  for (var i = 0; i < keys.length; i++) {
    var key = keys[i];
    if (!hasOwn$8(target, key) && !(exceptions && hasOwn$8(exceptions, key))) {
      defineProperty(target, key, getOwnPropertyDescriptor(source, key));
    }
  }
};

var fails$i = fails$q;
var isCallable$f = isCallable$p;

var replacement = /#|\.prototype\./;

var isForced$3 = function (feature, detection) {
  var value = data[normalize(feature)];
  return value == POLYFILL ? true
    : value == NATIVE ? false
    : isCallable$f(detection) ? fails$i(detection)
    : !!detection;
};

var normalize = isForced$3.normalize = function (string) {
  return String(string).replace(replacement, '.').toLowerCase();
};

var data = isForced$3.data = {};
var NATIVE = isForced$3.NATIVE = 'N';
var POLYFILL = isForced$3.POLYFILL = 'P';

var isForced_1 = isForced$3;

var global$i = global$r;
var getOwnPropertyDescriptor$3 = objectGetOwnPropertyDescriptor.f;
var createNonEnumerableProperty$4 = createNonEnumerableProperty$6;
var defineBuiltIn$a = defineBuiltIn$b;
var defineGlobalProperty = defineGlobalProperty$3;
var copyConstructorProperties$1 = copyConstructorProperties$2;
var isForced$2 = isForced_1;

/*
  options.target         - name of the target object
  options.global         - target is the global object
  options.stat           - export as static methods of target
  options.proto          - export as prototype methods of target
  options.real           - real prototype method for the `pure` version
  options.forced         - export even if the native feature is available
  options.bind           - bind methods to the target, required for the `pure` version
  options.wrap           - wrap constructors to preventing global pollution, required for the `pure` version
  options.unsafe         - use the simple assignment of property instead of delete + defineProperty
  options.sham           - add a flag to not completely full polyfills
  options.enumerable     - export as enumerable property
  options.dontCallGetSet - prevent calling a getter on target
  options.name           - the .name of the function if it does not match the key
*/
var _export = function (options, source) {
  var TARGET = options.target;
  var GLOBAL = options.global;
  var STATIC = options.stat;
  var FORCED, target, key, targetProperty, sourceProperty, descriptor;
  if (GLOBAL) {
    target = global$i;
  } else if (STATIC) {
    target = global$i[TARGET] || defineGlobalProperty(TARGET, {});
  } else {
    target = (global$i[TARGET] || {}).prototype;
  }
  if (target) for (key in source) {
    sourceProperty = source[key];
    if (options.dontCallGetSet) {
      descriptor = getOwnPropertyDescriptor$3(target, key);
      targetProperty = descriptor && descriptor.value;
    } else targetProperty = target[key];
    FORCED = isForced$2(GLOBAL ? key : TARGET + (STATIC ? '.' : '#') + key, options.forced);
    // contained in target
    if (!FORCED && targetProperty !== undefined) {
      if (typeof sourceProperty == typeof targetProperty) continue;
      copyConstructorProperties$1(sourceProperty, targetProperty);
    }
    // add a flag to not completely full polyfills
    if (options.sham || (targetProperty && targetProperty.sham)) {
      createNonEnumerableProperty$4(sourceProperty, 'sham', true);
    }
    defineBuiltIn$a(target, key, sourceProperty, options);
  }
};

var fails$h = fails$q;

var correctPrototypeGetter = !fails$h(function () {
  function F() { /* empty */ }
  F.prototype.constructor = null;
  // eslint-disable-next-line es-x/no-object-getprototypeof -- required for testing
  return Object.getPrototypeOf(new F()) !== F.prototype;
});

var hasOwn$7 = hasOwnProperty_1;
var isCallable$e = isCallable$p;
var toObject$5 = toObject$7;
var sharedKey = sharedKey$3;
var CORRECT_PROTOTYPE_GETTER = correctPrototypeGetter;

var IE_PROTO = sharedKey('IE_PROTO');
var $Object$1 = Object;
var ObjectPrototype = $Object$1.prototype;

// `Object.getPrototypeOf` method
// https://tc39.es/ecma262/#sec-object.getprototypeof
// eslint-disable-next-line es-x/no-object-getprototypeof -- safe
var objectGetPrototypeOf = CORRECT_PROTOTYPE_GETTER ? $Object$1.getPrototypeOf : function (O) {
  var object = toObject$5(O);
  if (hasOwn$7(object, IE_PROTO)) return object[IE_PROTO];
  var constructor = object.constructor;
  if (isCallable$e(constructor) && object instanceof constructor) {
    return constructor.prototype;
  } return object instanceof $Object$1 ? ObjectPrototype : null;
};

var fails$g = fails$q;
var isCallable$d = isCallable$p;
var getPrototypeOf$1 = objectGetPrototypeOf;
var defineBuiltIn$9 = defineBuiltIn$b;
var wellKnownSymbol$i = wellKnownSymbol$l;

var ITERATOR$8 = wellKnownSymbol$i('iterator');
var BUGGY_SAFARI_ITERATORS$1 = false;

// `%IteratorPrototype%` object
// https://tc39.es/ecma262/#sec-%iteratorprototype%-object
var IteratorPrototype$2, PrototypeOfArrayIteratorPrototype, arrayIterator;

/* eslint-disable es-x/no-array-prototype-keys -- safe */
if ([].keys) {
  arrayIterator = [].keys();
  // Safari 8 has buggy iterators w/o `next`
  if (!('next' in arrayIterator)) BUGGY_SAFARI_ITERATORS$1 = true;
  else {
    PrototypeOfArrayIteratorPrototype = getPrototypeOf$1(getPrototypeOf$1(arrayIterator));
    if (PrototypeOfArrayIteratorPrototype !== Object.prototype) IteratorPrototype$2 = PrototypeOfArrayIteratorPrototype;
  }
}

var NEW_ITERATOR_PROTOTYPE = IteratorPrototype$2 == undefined || fails$g(function () {
  var test = {};
  // FF44- legacy iterators case
  return IteratorPrototype$2[ITERATOR$8].call(test) !== test;
});

if (NEW_ITERATOR_PROTOTYPE) IteratorPrototype$2 = {};

// `%IteratorPrototype%[@@iterator]()` method
// https://tc39.es/ecma262/#sec-%iteratorprototype%-@@iterator
if (!isCallable$d(IteratorPrototype$2[ITERATOR$8])) {
  defineBuiltIn$9(IteratorPrototype$2, ITERATOR$8, function () {
    return this;
  });
}

var iteratorsCore = {
  IteratorPrototype: IteratorPrototype$2,
  BUGGY_SAFARI_ITERATORS: BUGGY_SAFARI_ITERATORS$1
};

var defineProperty$5 = objectDefineProperty.f;
var hasOwn$6 = hasOwnProperty_1;
var wellKnownSymbol$h = wellKnownSymbol$l;

var TO_STRING_TAG$3 = wellKnownSymbol$h('toStringTag');

var setToStringTag$5 = function (target, TAG, STATIC) {
  if (target && !STATIC) target = target.prototype;
  if (target && !hasOwn$6(target, TO_STRING_TAG$3)) {
    defineProperty$5(target, TO_STRING_TAG$3, { configurable: true, value: TAG });
  }
};

var IteratorPrototype$1 = iteratorsCore.IteratorPrototype;
var create$2 = objectCreate;
var createPropertyDescriptor$2 = createPropertyDescriptor$5;
var setToStringTag$4 = setToStringTag$5;
var Iterators$4 = iterators;

var returnThis$1 = function () { return this; };

var createIteratorConstructor$2 = function (IteratorConstructor, NAME, next, ENUMERABLE_NEXT) {
  var TO_STRING_TAG = NAME + ' Iterator';
  IteratorConstructor.prototype = create$2(IteratorPrototype$1, { next: createPropertyDescriptor$2(+!ENUMERABLE_NEXT, next) });
  setToStringTag$4(IteratorConstructor, TO_STRING_TAG, false);
  Iterators$4[TO_STRING_TAG] = returnThis$1;
  return IteratorConstructor;
};

var isCallable$c = isCallable$p;

var $String$2 = String;
var $TypeError$9 = TypeError;

var aPossiblePrototype$1 = function (argument) {
  if (typeof argument == 'object' || isCallable$c(argument)) return argument;
  throw $TypeError$9("Can't set " + $String$2(argument) + ' as a prototype');
};

/* eslint-disable no-proto -- safe */

var uncurryThis$n = functionUncurryThis;
var anObject$d = anObject$i;
var aPossiblePrototype = aPossiblePrototype$1;

// `Object.setPrototypeOf` method
// https://tc39.es/ecma262/#sec-object.setprototypeof
// Works with __proto__ only. Old v8 can't work with null proto objects.
// eslint-disable-next-line es-x/no-object-setprototypeof -- safe
var objectSetPrototypeOf = Object.setPrototypeOf || ('__proto__' in {} ? function () {
  var CORRECT_SETTER = false;
  var test = {};
  var setter;
  try {
    // eslint-disable-next-line es-x/no-object-getownpropertydescriptor -- safe
    setter = uncurryThis$n(Object.getOwnPropertyDescriptor(Object.prototype, '__proto__').set);
    setter(test, []);
    CORRECT_SETTER = test instanceof Array;
  } catch (error) { /* empty */ }
  return function setPrototypeOf(O, proto) {
    anObject$d(O);
    aPossiblePrototype(proto);
    if (CORRECT_SETTER) setter(O, proto);
    else O.__proto__ = proto;
    return O;
  };
}() : undefined);

var $$i = _export;
var call$h = functionCall;
var FunctionName = functionName;
var isCallable$b = isCallable$p;
var createIteratorConstructor$1 = createIteratorConstructor$2;
var getPrototypeOf = objectGetPrototypeOf;
var setPrototypeOf$2 = objectSetPrototypeOf;
var setToStringTag$3 = setToStringTag$5;
var createNonEnumerableProperty$3 = createNonEnumerableProperty$6;
var defineBuiltIn$8 = defineBuiltIn$b;
var wellKnownSymbol$g = wellKnownSymbol$l;
var Iterators$3 = iterators;
var IteratorsCore = iteratorsCore;

var PROPER_FUNCTION_NAME$1 = FunctionName.PROPER;
var CONFIGURABLE_FUNCTION_NAME = FunctionName.CONFIGURABLE;
var IteratorPrototype = IteratorsCore.IteratorPrototype;
var BUGGY_SAFARI_ITERATORS = IteratorsCore.BUGGY_SAFARI_ITERATORS;
var ITERATOR$7 = wellKnownSymbol$g('iterator');
var KEYS = 'keys';
var VALUES = 'values';
var ENTRIES = 'entries';

var returnThis = function () { return this; };

var defineIterator$2 = function (Iterable, NAME, IteratorConstructor, next, DEFAULT, IS_SET, FORCED) {
  createIteratorConstructor$1(IteratorConstructor, NAME, next);

  var getIterationMethod = function (KIND) {
    if (KIND === DEFAULT && defaultIterator) return defaultIterator;
    if (!BUGGY_SAFARI_ITERATORS && KIND in IterablePrototype) return IterablePrototype[KIND];
    switch (KIND) {
      case KEYS: return function keys() { return new IteratorConstructor(this, KIND); };
      case VALUES: return function values() { return new IteratorConstructor(this, KIND); };
      case ENTRIES: return function entries() { return new IteratorConstructor(this, KIND); };
    } return function () { return new IteratorConstructor(this); };
  };

  var TO_STRING_TAG = NAME + ' Iterator';
  var INCORRECT_VALUES_NAME = false;
  var IterablePrototype = Iterable.prototype;
  var nativeIterator = IterablePrototype[ITERATOR$7]
    || IterablePrototype['@@iterator']
    || DEFAULT && IterablePrototype[DEFAULT];
  var defaultIterator = !BUGGY_SAFARI_ITERATORS && nativeIterator || getIterationMethod(DEFAULT);
  var anyNativeIterator = NAME == 'Array' ? IterablePrototype.entries || nativeIterator : nativeIterator;
  var CurrentIteratorPrototype, methods, KEY;

  // fix native
  if (anyNativeIterator) {
    CurrentIteratorPrototype = getPrototypeOf(anyNativeIterator.call(new Iterable()));
    if (CurrentIteratorPrototype !== Object.prototype && CurrentIteratorPrototype.next) {
      if (getPrototypeOf(CurrentIteratorPrototype) !== IteratorPrototype) {
        if (setPrototypeOf$2) {
          setPrototypeOf$2(CurrentIteratorPrototype, IteratorPrototype);
        } else if (!isCallable$b(CurrentIteratorPrototype[ITERATOR$7])) {
          defineBuiltIn$8(CurrentIteratorPrototype, ITERATOR$7, returnThis);
        }
      }
      // Set @@toStringTag to native iterators
      setToStringTag$3(CurrentIteratorPrototype, TO_STRING_TAG, true);
    }
  }

  // fix Array.prototype.{ values, @@iterator }.name in V8 / FF
  if (PROPER_FUNCTION_NAME$1 && DEFAULT == VALUES && nativeIterator && nativeIterator.name !== VALUES) {
    if (CONFIGURABLE_FUNCTION_NAME) {
      createNonEnumerableProperty$3(IterablePrototype, 'name', VALUES);
    } else {
      INCORRECT_VALUES_NAME = true;
      defaultIterator = function values() { return call$h(nativeIterator, this); };
    }
  }

  // export additional methods
  if (DEFAULT) {
    methods = {
      values: getIterationMethod(VALUES),
      keys: IS_SET ? defaultIterator : getIterationMethod(KEYS),
      entries: getIterationMethod(ENTRIES)
    };
    if (FORCED) for (KEY in methods) {
      if (BUGGY_SAFARI_ITERATORS || INCORRECT_VALUES_NAME || !(KEY in IterablePrototype)) {
        defineBuiltIn$8(IterablePrototype, KEY, methods[KEY]);
      }
    } else $$i({ target: NAME, proto: true, forced: BUGGY_SAFARI_ITERATORS || INCORRECT_VALUES_NAME }, methods);
  }

  // define iterator
  if (IterablePrototype[ITERATOR$7] !== defaultIterator) {
    defineBuiltIn$8(IterablePrototype, ITERATOR$7, defaultIterator, { name: DEFAULT });
  }
  Iterators$3[NAME] = defaultIterator;

  return methods;
};

var toIndexedObject = toIndexedObject$5;
var addToUnscopables = addToUnscopables$1;
var Iterators$2 = iterators;
var InternalStateModule$4 = internalState;
var defineProperty$4 = objectDefineProperty.f;
var defineIterator$1 = defineIterator$2;
var DESCRIPTORS$6 = descriptors;

var ARRAY_ITERATOR = 'Array Iterator';
var setInternalState$4 = InternalStateModule$4.set;
var getInternalState$2 = InternalStateModule$4.getterFor(ARRAY_ITERATOR);

// `Array.prototype.entries` method
// https://tc39.es/ecma262/#sec-array.prototype.entries
// `Array.prototype.keys` method
// https://tc39.es/ecma262/#sec-array.prototype.keys
// `Array.prototype.values` method
// https://tc39.es/ecma262/#sec-array.prototype.values
// `Array.prototype[@@iterator]` method
// https://tc39.es/ecma262/#sec-array.prototype-@@iterator
// `CreateArrayIterator` internal method
// https://tc39.es/ecma262/#sec-createarrayiterator
var es_array_iterator = defineIterator$1(Array, 'Array', function (iterated, kind) {
  setInternalState$4(this, {
    type: ARRAY_ITERATOR,
    target: toIndexedObject(iterated), // target
    index: 0,                          // next index
    kind: kind                         // kind
  });
// `%ArrayIteratorPrototype%.next` method
// https://tc39.es/ecma262/#sec-%arrayiteratorprototype%.next
}, function () {
  var state = getInternalState$2(this);
  var target = state.target;
  var kind = state.kind;
  var index = state.index++;
  if (!target || index >= target.length) {
    state.target = undefined;
    return { value: undefined, done: true };
  }
  if (kind == 'keys') return { value: index, done: false };
  if (kind == 'values') return { value: target[index], done: false };
  return { value: [index, target[index]], done: false };
}, 'values');

// argumentsList[@@iterator] is %ArrayProto_values%
// https://tc39.es/ecma262/#sec-createunmappedargumentsobject
// https://tc39.es/ecma262/#sec-createmappedargumentsobject
var values = Iterators$2.Arguments = Iterators$2.Array;

// https://tc39.es/ecma262/#sec-array.prototype-@@unscopables
addToUnscopables('keys');
addToUnscopables('values');
addToUnscopables('entries');

// V8 ~ Chrome 45- bug
if (DESCRIPTORS$6 && values.name !== 'values') try {
  defineProperty$4(values, 'name', { value: 'values' });
} catch (error) { /* empty */ }

// iterable DOM collections
// flag - `iterable` interface - 'entries', 'keys', 'values', 'forEach' methods
var domIterables = {
  CSSRuleList: 0,
  CSSStyleDeclaration: 0,
  CSSValueList: 0,
  ClientRectList: 0,
  DOMRectList: 0,
  DOMStringList: 0,
  DOMTokenList: 1,
  DataTransferItemList: 0,
  FileList: 0,
  HTMLAllCollection: 0,
  HTMLCollection: 0,
  HTMLFormElement: 0,
  HTMLSelectElement: 0,
  MediaList: 0,
  MimeTypeArray: 0,
  NamedNodeMap: 0,
  NodeList: 1,
  PaintRequestList: 0,
  Plugin: 0,
  PluginArray: 0,
  SVGLengthList: 0,
  SVGNumberList: 0,
  SVGPathSegList: 0,
  SVGPointList: 0,
  SVGStringList: 0,
  SVGTransformList: 0,
  SourceBufferList: 0,
  StyleSheetList: 0,
  TextTrackCueList: 0,
  TextTrackList: 0,
  TouchList: 0
};

// in old WebKit versions, `element.classList` is not an instance of global `DOMTokenList`
var documentCreateElement = documentCreateElement$2;

var classList = documentCreateElement('span').classList;
var DOMTokenListPrototype$1 = classList && classList.constructor && classList.constructor.prototype;

var domTokenListPrototype = DOMTokenListPrototype$1 === Object.prototype ? undefined : DOMTokenListPrototype$1;

var global$h = global$r;
var DOMIterables = domIterables;
var DOMTokenListPrototype = domTokenListPrototype;
var ArrayIteratorMethods = es_array_iterator;
var createNonEnumerableProperty$2 = createNonEnumerableProperty$6;
var wellKnownSymbol$f = wellKnownSymbol$l;

var ITERATOR$6 = wellKnownSymbol$f('iterator');
var TO_STRING_TAG$2 = wellKnownSymbol$f('toStringTag');
var ArrayValues = ArrayIteratorMethods.values;

var handlePrototype = function (CollectionPrototype, COLLECTION_NAME) {
  if (CollectionPrototype) {
    // some Chrome versions have non-configurable methods on DOMTokenList
    if (CollectionPrototype[ITERATOR$6] !== ArrayValues) try {
      createNonEnumerableProperty$2(CollectionPrototype, ITERATOR$6, ArrayValues);
    } catch (error) {
      CollectionPrototype[ITERATOR$6] = ArrayValues;
    }
    if (!CollectionPrototype[TO_STRING_TAG$2]) {
      createNonEnumerableProperty$2(CollectionPrototype, TO_STRING_TAG$2, COLLECTION_NAME);
    }
    if (DOMIterables[COLLECTION_NAME]) for (var METHOD_NAME in ArrayIteratorMethods) {
      // some Chrome versions have non-configurable methods on DOMTokenList
      if (CollectionPrototype[METHOD_NAME] !== ArrayIteratorMethods[METHOD_NAME]) try {
        createNonEnumerableProperty$2(CollectionPrototype, METHOD_NAME, ArrayIteratorMethods[METHOD_NAME]);
      } catch (error) {
        CollectionPrototype[METHOD_NAME] = ArrayIteratorMethods[METHOD_NAME];
      }
    }
  }
};

for (var COLLECTION_NAME in DOMIterables) {
  handlePrototype(global$h[COLLECTION_NAME] && global$h[COLLECTION_NAME].prototype, COLLECTION_NAME);
}

handlePrototype(DOMTokenListPrototype, 'DOMTokenList');

var DESCRIPTORS$5 = descriptors;
var uncurryThis$m = functionUncurryThis;
var call$g = functionCall;
var fails$f = fails$q;
var objectKeys = objectKeys$2;
var getOwnPropertySymbolsModule = objectGetOwnPropertySymbols;
var propertyIsEnumerableModule = objectPropertyIsEnumerable;
var toObject$4 = toObject$7;
var IndexedObject$1 = indexedObject;

// eslint-disable-next-line es-x/no-object-assign -- safe
var $assign = Object.assign;
// eslint-disable-next-line es-x/no-object-defineproperty -- required for testing
var defineProperty$3 = Object.defineProperty;
var concat$1 = uncurryThis$m([].concat);

// `Object.assign` method
// https://tc39.es/ecma262/#sec-object.assign
var objectAssign = !$assign || fails$f(function () {
  // should have correct order of operations (Edge bug)
  if (DESCRIPTORS$5 && $assign({ b: 1 }, $assign(defineProperty$3({}, 'a', {
    enumerable: true,
    get: function () {
      defineProperty$3(this, 'b', {
        value: 3,
        enumerable: false
      });
    }
  }), { b: 2 })).b !== 1) return true;
  // should work with symbols and should have deterministic property order (V8 bug)
  var A = {};
  var B = {};
  // eslint-disable-next-line es-x/no-symbol -- safe
  var symbol = Symbol();
  var alphabet = 'abcdefghijklmnopqrst';
  A[symbol] = 7;
  alphabet.split('').forEach(function (chr) { B[chr] = chr; });
  return $assign({}, A)[symbol] != 7 || objectKeys($assign({}, B)).join('') != alphabet;
}) ? function assign(target, source) { // eslint-disable-line no-unused-vars -- required for `.length`
  var T = toObject$4(target);
  var argumentsLength = arguments.length;
  var index = 1;
  var getOwnPropertySymbols = getOwnPropertySymbolsModule.f;
  var propertyIsEnumerable = propertyIsEnumerableModule.f;
  while (argumentsLength > index) {
    var S = IndexedObject$1(arguments[index++]);
    var keys = getOwnPropertySymbols ? concat$1(objectKeys(S), getOwnPropertySymbols(S)) : objectKeys(S);
    var length = keys.length;
    var j = 0;
    var key;
    while (length > j) {
      key = keys[j++];
      if (!DESCRIPTORS$5 || call$g(propertyIsEnumerable, S, key)) T[key] = S[key];
    }
  } return T;
} : $assign;

var $$h = _export;
var assign$1 = objectAssign;

// `Object.assign` method
// https://tc39.es/ecma262/#sec-object.assign
// eslint-disable-next-line es-x/no-object-assign -- required for testing
$$h({ target: 'Object', stat: true, arity: 2, forced: Object.assign !== assign$1 }, {
  assign: assign$1
});

var isObject$4 = isObject$a;
var classof$8 = classofRaw$1;
var wellKnownSymbol$e = wellKnownSymbol$l;

var MATCH$2 = wellKnownSymbol$e('match');

// `IsRegExp` abstract operation
// https://tc39.es/ecma262/#sec-isregexp
var isRegexp = function (it) {
  var isRegExp;
  return isObject$4(it) && ((isRegExp = it[MATCH$2]) !== undefined ? !!isRegExp : classof$8(it) == 'RegExp');
};

var isRegExp$2 = isRegexp;

var $TypeError$8 = TypeError;

var notARegexp = function (it) {
  if (isRegExp$2(it)) {
    throw $TypeError$8("The method doesn't accept regular expressions");
  } return it;
};

var wellKnownSymbol$d = wellKnownSymbol$l;

var TO_STRING_TAG$1 = wellKnownSymbol$d('toStringTag');
var test$2 = {};

test$2[TO_STRING_TAG$1] = 'z';

var toStringTagSupport = String(test$2) === '[object z]';

var TO_STRING_TAG_SUPPORT = toStringTagSupport;
var isCallable$a = isCallable$p;
var classofRaw = classofRaw$1;
var wellKnownSymbol$c = wellKnownSymbol$l;

var TO_STRING_TAG = wellKnownSymbol$c('toStringTag');
var $Object = Object;

// ES3 wrong here
var CORRECT_ARGUMENTS = classofRaw(function () { return arguments; }()) == 'Arguments';

// fallback for IE11 Script Access Denied error
var tryGet = function (it, key) {
  try {
    return it[key];
  } catch (error) { /* empty */ }
};

// getting tag from ES6+ `Object.prototype.toString`
var classof$7 = TO_STRING_TAG_SUPPORT ? classofRaw : function (it) {
  var O, tag, result;
  return it === undefined ? 'Undefined' : it === null ? 'Null'
    // @@toStringTag case
    : typeof (tag = tryGet(O = $Object(it), TO_STRING_TAG)) == 'string' ? tag
    // builtinTag case
    : CORRECT_ARGUMENTS ? classofRaw(O)
    // ES3 arguments fallback
    : (result = classofRaw(O)) == 'Object' && isCallable$a(O.callee) ? 'Arguments' : result;
};

var classof$6 = classof$7;

var $String$1 = String;

var toString$e = function (argument) {
  if (classof$6(argument) === 'Symbol') throw TypeError('Cannot convert a Symbol value to a string');
  return $String$1(argument);
};

var wellKnownSymbol$b = wellKnownSymbol$l;

var MATCH$1 = wellKnownSymbol$b('match');

var correctIsRegexpLogic = function (METHOD_NAME) {
  var regexp = /./;
  try {
    '/./'[METHOD_NAME](regexp);
  } catch (error1) {
    try {
      regexp[MATCH$1] = false;
      return '/./'[METHOD_NAME](regexp);
    } catch (error2) { /* empty */ }
  } return false;
};

var $$g = _export;
var uncurryThis$l = functionUncurryThis;
var notARegExp$1 = notARegexp;
var requireObjectCoercible$7 = requireObjectCoercible$a;
var toString$d = toString$e;
var correctIsRegExpLogic$1 = correctIsRegexpLogic;

var stringIndexOf$2 = uncurryThis$l(''.indexOf);

// `String.prototype.includes` method
// https://tc39.es/ecma262/#sec-string.prototype.includes
$$g({ target: 'String', proto: true, forced: !correctIsRegExpLogic$1('includes') }, {
  includes: function includes(searchString /* , position = 0 */) {
    return !!~stringIndexOf$2(
      toString$d(requireObjectCoercible$7(this)),
      toString$d(notARegExp$1(searchString)),
      arguments.length > 1 ? arguments[1] : undefined
    );
  }
});

/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

function __rest(s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
}

const DConfigContext = /*#__PURE__*/React.createContext(undefined);

function useComponentConfig(component, props) {
  var _a, _b, _c;

  const gProps = (_c = (_b = (_a = useContext(DConfigContext)) === null || _a === void 0 ? void 0 : _a.componentConfigs) === null || _b === void 0 ? void 0 : _b[component]) !== null && _c !== void 0 ? _c : {};
  const noUndefinedProps = {};
  Object.keys(props).forEach(key => {
    if (!isUndefined(props[key])) {
      noUndefinedProps[key] = props[key];
    }
  });
  return Object.assign(Object.assign({}, gProps), noUndefinedProps);
}

const BREAKPOINTS = new Map([['xs', 0], ['sm', 576], ['md', 768], ['lg', 992], ['xl', 1200], ['xxl', 1400]]);
function useGridConfig() {
  var _a, _b, _c;

  const grid = (_a = useContext(DConfigContext)) === null || _a === void 0 ? void 0 : _a.grid;
  const breakpoints = (_b = grid === null || grid === void 0 ? void 0 : grid.breakpoints) !== null && _b !== void 0 ? _b : BREAKPOINTS;
  const colNum = (_c = grid === null || grid === void 0 ? void 0 : grid.colNum) !== null && _c !== void 0 ? _c : 12;
  return {
    dBreakpoints: breakpoints,
    dColNum: colNum
  };
}

function useLayout() {
  var _a, _b;

  const {
    scrollEl = () => document.documentElement,
    resizeEl = () => null
  } = (_b = (_a = useContext(DConfigContext)) === null || _a === void 0 ? void 0 : _a.layout) !== null && _b !== void 0 ? _b : {};
  return {
    dScrollEl: scrollEl,
    dResizeEl: resizeEl
  };
}

function usePrefixConfig() {
  var _a, _b;

  const prefix = (_b = (_a = useContext(DConfigContext)) === null || _a === void 0 ? void 0 : _a.prefix) !== null && _b !== void 0 ? _b : 'd-';
  return prefix;
}

var Common = {
	Loading: {
		"en-US": "Loading",
		"zh-Hant": "加载中"
	},
	Search: {
		"en-US": "Search",
		"zh-Hant": "搜索"
	},
	Add: {
		"en-US": "Add",
		"zh-Hant": "新增"
	},
	Close: {
		"en-US": "Close",
		"zh-Hant": "关闭"
	},
	Create: {
		"en-US": "Create",
		"zh-Hant": "创建"
	},
	Clear: {
		"en-US": "Clear",
		"zh-Hant": "清除"
	},
	More: {
		"en-US": "More",
		"zh-Hant": "更多"
	},
	"No Data": {
		"en-US": "No Data",
		"zh-Hant": "无数据"
	}
};
var Footer = {
	Cancel: {
		"en-US": "Cancel",
		"zh-Hant": "取 消"
	},
	OK: {
		"en-US": "OK",
		"zh-Hant": "确 定"
	}
};
var Input = {
	"Password is visible": {
		"en-US": "Password is visible",
		"zh-Hant": "密码可见"
	},
	"Password is not visible": {
		"en-US": "Password is not visible",
		"zh-Hant": "密码不可见"
	},
	"Increase number": {
		"en-US": "Increase number",
		"zh-Hant": "数字加"
	},
	"Decrease number": {
		"en-US": "Decrease number",
		"zh-Hant": "数字减"
	}
};
var Pagination = {
	Total: {
		"en-US": "Total",
		"zh-Hant": "共"
	},
	items: {
		"en-US": "items",
		"zh-Hant": "项"
	},
	Go: {
		"en-US": "Go",
		"zh-Hant": "至"
	},
	Page: {
		"en-US": "Page",
		"zh-Hant": "页"
	},
	"5 pages forward": {
		"en-US": "5 pages forward",
		"zh-Hant": "向前 5 页"
	},
	"5 pages backward": {
		"en-US": "5 pages backward",
		"zh-Hant": "向后 5 页"
	},
	"Previous page": {
		"en-US": "Previous page",
		"zh-Hant": "上一页"
	},
	"Next page": {
		"en-US": "Next page",
		"zh-Hant": "下一页"
	},
	" / Page": {
		"en-US": " / Page",
		"zh-Hant": "条/页"
	}
};
var DForm$1 = {
	Optional: {
		"en-US": "(optional)",
		"zh-Hant": "(可选)"
	}
};
var TimePicker$1 = {
	"Select time": {
		"en-US": "Select time",
		"zh-Hant": "请选择时间"
	},
	"Start time": {
		"en-US": "Start time",
		"zh-Hant": "开始时间"
	},
	"End time": {
		"en-US": "End time",
		"zh-Hant": "结束时间"
	},
	Now: {
		"en-US": "Now",
		"zh-Hant": "此刻"
	}
};
var DatePicker$1 = {
	"Select date": {
		"en-US": "Select date",
		"zh-Hant": "请选择日期"
	},
	"Start date": {
		"en-US": "Start date",
		"zh-Hant": "开始日期"
	},
	"End date": {
		"en-US": "End date",
		"zh-Hant": "结束日期"
	},
	Today: {
		"en-US": "Today",
		"zh-Hant": "今天"
	},
	Now: {
		"en-US": "Now",
		"zh-Hant": "此刻"
	},
	"Previous year": {
		"en-US": "Previous year",
		"zh-Hant": "上一年"
	},
	"Next year": {
		"en-US": "Next year",
		"zh-Hant": "下一年"
	},
	"Previous month": {
		"en-US": "Previous month",
		"zh-Hant": "上月"
	},
	"Next month": {
		"en-US": "Next month",
		"zh-Hant": "下月"
	}
};
var Upload$1 = {
	"Preview file": {
		"en-US": "Preview file",
		"zh-Hant": "预览文件"
	},
	"Download file": {
		"en-US": "Download file",
		"zh-Hant": "下载文件"
	},
	"Remove file": {
		"en-US": "Remove file",
		"zh-Hant": "移除文件"
	},
	Upload: {
		"en-US": "Upload",
		"zh-Hant": "上传"
	},
	Uploading: {
		"en-US": "Uploading...",
		"zh-Hant": "上传中..."
	}
};
var Table$1 = {
	Reset: {
		"en-US": "Reset",
		"zh-Hant": "重置"
	}
};
var resources = {
	Common: Common,
	Footer: Footer,
	Input: Input,
	Pagination: Pagination,
	DForm: DForm$1,
	TimePicker: TimePicker$1,
	DatePicker: DatePicker$1,
	Upload: Upload$1,
	Table: Table$1
};

function useTranslation() {
  var _a, _b;

  const {
    lang = 'zh-Hant',
    resources: customResources
  } = (_b = (_a = useContext(DConfigContext)) === null || _a === void 0 ? void 0 : _a.i18n) !== null && _b !== void 0 ? _b : {};
  const t = useCallback((...keys) => {
    var _a;

    if (keys.length === 1) {
      keys = ['Common', keys[0]];
    }

    let content;

    if (customResources) {
      content = customResources;

      for (const key of keys) {
        content = content === null || content === void 0 ? void 0 : content[key];
      }
    }

    if (!content) {
      content = resources;

      for (const key of keys) {
        content = content === null || content === void 0 ? void 0 : content[key];
      }
    }

    return (_a = content === null || content === void 0 ? void 0 : content[lang]) !== null && _a !== void 0 ? _a : keys.join('.');
  }, [customResources, lang]);
  return [t, lang];
}

function useContextOptional(Context) {
  const context = useContext(Context);
  const proxy = useMemo(() => {
    const handler = {
      get: function (...args) {
        if (args[1] === '__context_exist') {
          return true;
        }

        return Reflect.get(...args);
      }
    };
    return isNull(context) || isUndefined(context) ? {
      __context_exist: false
    } : new Proxy(context, handler);
  }, [context]);
  return proxy;
}

function useContextRequired(Context) {
  const context = useContext(Context);

  if (isNull(context) || isUndefined(context)) {
    throw new Error('Context is required!');
  }

  return context;
}

function useDValue(initialValue, value, onChange, deepCompare, formControlInject) {
  const [_value, setValue] = useState(initialValue);
  const currentValue = isUndefined(formControlInject) ? isUndefined(value) ? _value : value : formControlInject[0];
  const changeValue = useEventCallback(updater => {
    const newValue = isFunction(updater) ? produce(currentValue, updater) : freeze(updater);
    const shouldUpdate = deepCompare ? !deepCompare(currentValue, newValue) : !Object.is(currentValue, newValue);

    if (shouldUpdate) {
      setValue(newValue);
      onChange === null || onChange === void 0 ? void 0 : onChange(newValue);

      if (!isUndefined(formControlInject)) {
        formControlInject[1](newValue);
      }
    }

    return newValue;
  });
  return [currentValue, changeValue];
}

const TTANSITION_DURING_SLOW = 300;
const TTANSITION_DURING_BASE = 200;
const TTANSITION_DURING_FAST = 100;
const TTANSITION_DURING_POPUP = 116;

var anObject$c = anObject$i;

// `RegExp.prototype.flags` getter implementation
// https://tc39.es/ecma262/#sec-get-regexp.prototype.flags
var regexpFlags$1 = function () {
  var that = anObject$c(this);
  var result = '';
  if (that.hasIndices) result += 'd';
  if (that.global) result += 'g';
  if (that.ignoreCase) result += 'i';
  if (that.multiline) result += 'm';
  if (that.dotAll) result += 's';
  if (that.unicode) result += 'u';
  if (that.unicodeSets) result += 'v';
  if (that.sticky) result += 'y';
  return result;
};

var fails$e = fails$q;
var global$g = global$r;

// babel-minify and Closure Compiler transpiles RegExp('a', 'y') -> /a/y and it causes SyntaxError
var $RegExp$2 = global$g.RegExp;

var UNSUPPORTED_Y$3 = fails$e(function () {
  var re = $RegExp$2('a', 'y');
  re.lastIndex = 2;
  return re.exec('abcd') != null;
});

// UC Browser bug
// https://github.com/zloirock/core-js/issues/1008
var MISSED_STICKY$1 = UNSUPPORTED_Y$3 || fails$e(function () {
  return !$RegExp$2('a', 'y').sticky;
});

var BROKEN_CARET = UNSUPPORTED_Y$3 || fails$e(function () {
  // https://bugzilla.mozilla.org/show_bug.cgi?id=773687
  var re = $RegExp$2('^r', 'gy');
  re.lastIndex = 2;
  return re.exec('str') != null;
});

var regexpStickyHelpers = {
  BROKEN_CARET: BROKEN_CARET,
  MISSED_STICKY: MISSED_STICKY$1,
  UNSUPPORTED_Y: UNSUPPORTED_Y$3
};

var fails$d = fails$q;
var global$f = global$r;

// babel-minify and Closure Compiler transpiles RegExp('.', 's') -> /./s and it causes SyntaxError
var $RegExp$1 = global$f.RegExp;

var regexpUnsupportedDotAll = fails$d(function () {
  var re = $RegExp$1('.', 's');
  return !(re.dotAll && re.exec('\n') && re.flags === 's');
});

var fails$c = fails$q;
var global$e = global$r;

// babel-minify and Closure Compiler transpiles RegExp('(?<a>b)', 'g') -> /(?<a>b)/g and it causes SyntaxError
var $RegExp = global$e.RegExp;

var regexpUnsupportedNcg = fails$c(function () {
  var re = $RegExp('(?<a>b)', 'g');
  return re.exec('b').groups.a !== 'b' ||
    'b'.replace(re, '$<a>c') !== 'bc';
});

/* eslint-disable regexp/no-empty-capturing-group, regexp/no-empty-group, regexp/no-lazy-ends -- testing */
/* eslint-disable regexp/no-useless-quantifier -- testing */
var call$f = functionCall;
var uncurryThis$k = functionUncurryThis;
var toString$c = toString$e;
var regexpFlags = regexpFlags$1;
var stickyHelpers$2 = regexpStickyHelpers;
var shared = shared$4.exports;
var create$1 = objectCreate;
var getInternalState$1 = internalState.get;
var UNSUPPORTED_DOT_ALL$1 = regexpUnsupportedDotAll;
var UNSUPPORTED_NCG$1 = regexpUnsupportedNcg;

var nativeReplace = shared('native-string-replace', String.prototype.replace);
var nativeExec = RegExp.prototype.exec;
var patchedExec = nativeExec;
var charAt$7 = uncurryThis$k(''.charAt);
var indexOf = uncurryThis$k(''.indexOf);
var replace$7 = uncurryThis$k(''.replace);
var stringSlice$a = uncurryThis$k(''.slice);

var UPDATES_LAST_INDEX_WRONG = (function () {
  var re1 = /a/;
  var re2 = /b*/g;
  call$f(nativeExec, re1, 'a');
  call$f(nativeExec, re2, 'a');
  return re1.lastIndex !== 0 || re2.lastIndex !== 0;
})();

var UNSUPPORTED_Y$2 = stickyHelpers$2.BROKEN_CARET;

// nonparticipating capturing group, copied from es5-shim's String#split patch.
var NPCG_INCLUDED = /()??/.exec('')[1] !== undefined;

var PATCH = UPDATES_LAST_INDEX_WRONG || NPCG_INCLUDED || UNSUPPORTED_Y$2 || UNSUPPORTED_DOT_ALL$1 || UNSUPPORTED_NCG$1;

if (PATCH) {
  patchedExec = function exec(string) {
    var re = this;
    var state = getInternalState$1(re);
    var str = toString$c(string);
    var raw = state.raw;
    var result, reCopy, lastIndex, match, i, object, group;

    if (raw) {
      raw.lastIndex = re.lastIndex;
      result = call$f(patchedExec, raw, str);
      re.lastIndex = raw.lastIndex;
      return result;
    }

    var groups = state.groups;
    var sticky = UNSUPPORTED_Y$2 && re.sticky;
    var flags = call$f(regexpFlags, re);
    var source = re.source;
    var charsAdded = 0;
    var strCopy = str;

    if (sticky) {
      flags = replace$7(flags, 'y', '');
      if (indexOf(flags, 'g') === -1) {
        flags += 'g';
      }

      strCopy = stringSlice$a(str, re.lastIndex);
      // Support anchored sticky behavior.
      if (re.lastIndex > 0 && (!re.multiline || re.multiline && charAt$7(str, re.lastIndex - 1) !== '\n')) {
        source = '(?: ' + source + ')';
        strCopy = ' ' + strCopy;
        charsAdded++;
      }
      // ^(? + rx + ) is needed, in combination with some str slicing, to
      // simulate the 'y' flag.
      reCopy = new RegExp('^(?:' + source + ')', flags);
    }

    if (NPCG_INCLUDED) {
      reCopy = new RegExp('^' + source + '$(?!\\s)', flags);
    }
    if (UPDATES_LAST_INDEX_WRONG) lastIndex = re.lastIndex;

    match = call$f(nativeExec, sticky ? reCopy : re, strCopy);

    if (sticky) {
      if (match) {
        match.input = stringSlice$a(match.input, charsAdded);
        match[0] = stringSlice$a(match[0], charsAdded);
        match.index = re.lastIndex;
        re.lastIndex += match[0].length;
      } else re.lastIndex = 0;
    } else if (UPDATES_LAST_INDEX_WRONG && match) {
      re.lastIndex = re.global ? match.index + match[0].length : lastIndex;
    }
    if (NPCG_INCLUDED && match && match.length > 1) {
      // Fix browsers whose `exec` methods don't consistently return `undefined`
      // for NPCG, like IE8. NOTE: This doesn't work for /(.?)?/
      call$f(nativeReplace, match[0], reCopy, function () {
        for (i = 1; i < arguments.length - 2; i++) {
          if (arguments[i] === undefined) match[i] = undefined;
        }
      });
    }

    if (match && groups) {
      match.groups = object = create$1(null);
      for (i = 0; i < groups.length; i++) {
        group = groups[i];
        object[group[0]] = match[group[1]];
      }
    }

    return match;
  };
}

var regexpExec$3 = patchedExec;

var $$f = _export;
var exec$6 = regexpExec$3;

// `RegExp.prototype.exec` method
// https://tc39.es/ecma262/#sec-regexp.prototype.exec
$$f({ target: 'RegExp', proto: true, forced: /./.exec !== exec$6 }, {
  exec: exec$6
});

var NATIVE_BIND$1 = functionBindNative;

var FunctionPrototype = Function.prototype;
var apply$3 = FunctionPrototype.apply;
var call$e = FunctionPrototype.call;

// eslint-disable-next-line es-x/no-reflect -- safe
var functionApply = typeof Reflect == 'object' && Reflect.apply || (NATIVE_BIND$1 ? call$e.bind(apply$3) : function () {
  return call$e.apply(apply$3, arguments);
});

// TODO: Remove from `core-js@4` since it's moved to entry points

var uncurryThis$j = functionUncurryThis;
var defineBuiltIn$7 = defineBuiltIn$b;
var regexpExec$2 = regexpExec$3;
var fails$b = fails$q;
var wellKnownSymbol$a = wellKnownSymbol$l;
var createNonEnumerableProperty$1 = createNonEnumerableProperty$6;

var SPECIES$3 = wellKnownSymbol$a('species');
var RegExpPrototype$3 = RegExp.prototype;

var fixRegexpWellKnownSymbolLogic = function (KEY, exec, FORCED, SHAM) {
  var SYMBOL = wellKnownSymbol$a(KEY);

  var DELEGATES_TO_SYMBOL = !fails$b(function () {
    // String methods call symbol-named RegEp methods
    var O = {};
    O[SYMBOL] = function () { return 7; };
    return ''[KEY](O) != 7;
  });

  var DELEGATES_TO_EXEC = DELEGATES_TO_SYMBOL && !fails$b(function () {
    // Symbol-named RegExp methods call .exec
    var execCalled = false;
    var re = /a/;

    if (KEY === 'split') {
      // We can't use real regex here since it causes deoptimization
      // and serious performance degradation in V8
      // https://github.com/zloirock/core-js/issues/306
      re = {};
      // RegExp[@@split] doesn't call the regex's exec method, but first creates
      // a new one. We need to return the patched regex when creating the new one.
      re.constructor = {};
      re.constructor[SPECIES$3] = function () { return re; };
      re.flags = '';
      re[SYMBOL] = /./[SYMBOL];
    }

    re.exec = function () { execCalled = true; return null; };

    re[SYMBOL]('');
    return !execCalled;
  });

  if (
    !DELEGATES_TO_SYMBOL ||
    !DELEGATES_TO_EXEC ||
    FORCED
  ) {
    var uncurriedNativeRegExpMethod = uncurryThis$j(/./[SYMBOL]);
    var methods = exec(SYMBOL, ''[KEY], function (nativeMethod, regexp, str, arg2, forceStringMethod) {
      var uncurriedNativeMethod = uncurryThis$j(nativeMethod);
      var $exec = regexp.exec;
      if ($exec === regexpExec$2 || $exec === RegExpPrototype$3.exec) {
        if (DELEGATES_TO_SYMBOL && !forceStringMethod) {
          // The native String method already delegates to @@method (this
          // polyfilled function), leasing to infinite recursion.
          // We avoid it by directly calling the native @@method method.
          return { done: true, value: uncurriedNativeRegExpMethod(regexp, str, arg2) };
        }
        return { done: true, value: uncurriedNativeMethod(str, regexp, arg2) };
      }
      return { done: false };
    });

    defineBuiltIn$7(String.prototype, KEY, methods[0]);
    defineBuiltIn$7(RegExpPrototype$3, SYMBOL, methods[1]);
  }

  if (SHAM) createNonEnumerableProperty$1(RegExpPrototype$3[SYMBOL], 'sham', true);
};

var uncurryThis$i = functionUncurryThis;
var toIntegerOrInfinity$3 = toIntegerOrInfinity$6;
var toString$b = toString$e;
var requireObjectCoercible$6 = requireObjectCoercible$a;

var charAt$6 = uncurryThis$i(''.charAt);
var charCodeAt$1 = uncurryThis$i(''.charCodeAt);
var stringSlice$9 = uncurryThis$i(''.slice);

var createMethod$2 = function (CONVERT_TO_STRING) {
  return function ($this, pos) {
    var S = toString$b(requireObjectCoercible$6($this));
    var position = toIntegerOrInfinity$3(pos);
    var size = S.length;
    var first, second;
    if (position < 0 || position >= size) return CONVERT_TO_STRING ? '' : undefined;
    first = charCodeAt$1(S, position);
    return first < 0xD800 || first > 0xDBFF || position + 1 === size
      || (second = charCodeAt$1(S, position + 1)) < 0xDC00 || second > 0xDFFF
        ? CONVERT_TO_STRING
          ? charAt$6(S, position)
          : first
        : CONVERT_TO_STRING
          ? stringSlice$9(S, position, position + 2)
          : (first - 0xD800 << 10) + (second - 0xDC00) + 0x10000;
  };
};

var stringMultibyte = {
  // `String.prototype.codePointAt` method
  // https://tc39.es/ecma262/#sec-string.prototype.codepointat
  codeAt: createMethod$2(false),
  // `String.prototype.at` method
  // https://github.com/mathiasbynens/String.prototype.at
  charAt: createMethod$2(true)
};

var charAt$5 = stringMultibyte.charAt;

// `AdvanceStringIndex` abstract operation
// https://tc39.es/ecma262/#sec-advancestringindex
var advanceStringIndex$3 = function (S, index, unicode) {
  return index + (unicode ? charAt$5(S, index).length : 1);
};

var uncurryThis$h = functionUncurryThis;
var toObject$3 = toObject$7;

var floor$4 = Math.floor;
var charAt$4 = uncurryThis$h(''.charAt);
var replace$6 = uncurryThis$h(''.replace);
var stringSlice$8 = uncurryThis$h(''.slice);
var SUBSTITUTION_SYMBOLS = /\$([$&'`]|\d{1,2}|<[^>]*>)/g;
var SUBSTITUTION_SYMBOLS_NO_NAMED = /\$([$&'`]|\d{1,2})/g;

// `GetSubstitution` abstract operation
// https://tc39.es/ecma262/#sec-getsubstitution
var getSubstitution$1 = function (matched, str, position, captures, namedCaptures, replacement) {
  var tailPos = position + matched.length;
  var m = captures.length;
  var symbols = SUBSTITUTION_SYMBOLS_NO_NAMED;
  if (namedCaptures !== undefined) {
    namedCaptures = toObject$3(namedCaptures);
    symbols = SUBSTITUTION_SYMBOLS;
  }
  return replace$6(replacement, symbols, function (match, ch) {
    var capture;
    switch (charAt$4(ch, 0)) {
      case '$': return '$';
      case '&': return matched;
      case '`': return stringSlice$8(str, 0, position);
      case "'": return stringSlice$8(str, tailPos);
      case '<':
        capture = namedCaptures[stringSlice$8(ch, 1, -1)];
        break;
      default: // \d\d?
        var n = +ch;
        if (n === 0) return match;
        if (n > m) {
          var f = floor$4(n / 10);
          if (f === 0) return match;
          if (f <= m) return captures[f - 1] === undefined ? charAt$4(ch, 1) : captures[f - 1] + charAt$4(ch, 1);
          return match;
        }
        capture = captures[n - 1];
    }
    return capture === undefined ? '' : capture;
  });
};

var call$d = functionCall;
var anObject$b = anObject$i;
var isCallable$9 = isCallable$p;
var classof$5 = classofRaw$1;
var regexpExec$1 = regexpExec$3;

var $TypeError$7 = TypeError;

// `RegExpExec` abstract operation
// https://tc39.es/ecma262/#sec-regexpexec
var regexpExecAbstract = function (R, S) {
  var exec = R.exec;
  if (isCallable$9(exec)) {
    var result = call$d(exec, R, S);
    if (result !== null) anObject$b(result);
    return result;
  }
  if (classof$5(R) === 'RegExp') return call$d(regexpExec$1, R, S);
  throw $TypeError$7('RegExp#exec called on incompatible receiver');
};

var apply$2 = functionApply;
var call$c = functionCall;
var uncurryThis$g = functionUncurryThis;
var fixRegExpWellKnownSymbolLogic$2 = fixRegexpWellKnownSymbolLogic;
var fails$a = fails$q;
var anObject$a = anObject$i;
var isCallable$8 = isCallable$p;
var toIntegerOrInfinity$2 = toIntegerOrInfinity$6;
var toLength$3 = toLength$5;
var toString$a = toString$e;
var requireObjectCoercible$5 = requireObjectCoercible$a;
var advanceStringIndex$2 = advanceStringIndex$3;
var getMethod$4 = getMethod$6;
var getSubstitution = getSubstitution$1;
var regExpExec$1 = regexpExecAbstract;
var wellKnownSymbol$9 = wellKnownSymbol$l;

var REPLACE = wellKnownSymbol$9('replace');
var max$1 = Math.max;
var min$2 = Math.min;
var concat = uncurryThis$g([].concat);
var push$5 = uncurryThis$g([].push);
var stringIndexOf$1 = uncurryThis$g(''.indexOf);
var stringSlice$7 = uncurryThis$g(''.slice);

var maybeToString = function (it) {
  return it === undefined ? it : String(it);
};

// IE <= 11 replaces $0 with the whole match, as if it was $&
// https://stackoverflow.com/questions/6024666/getting-ie-to-replace-a-regex-with-the-literal-string-0
var REPLACE_KEEPS_$0 = (function () {
  // eslint-disable-next-line regexp/prefer-escape-replacement-dollar-char -- required for testing
  return 'a'.replace(/./, '$0') === '$0';
})();

// Safari <= 13.0.3(?) substitutes nth capture where n>m with an empty string
var REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE = (function () {
  if (/./[REPLACE]) {
    return /./[REPLACE]('a', '$0') === '';
  }
  return false;
})();

var REPLACE_SUPPORTS_NAMED_GROUPS = !fails$a(function () {
  var re = /./;
  re.exec = function () {
    var result = [];
    result.groups = { a: '7' };
    return result;
  };
  // eslint-disable-next-line regexp/no-useless-dollar-replacements -- false positive
  return ''.replace(re, '$<a>') !== '7';
});

// @@replace logic
fixRegExpWellKnownSymbolLogic$2('replace', function (_, nativeReplace, maybeCallNative) {
  var UNSAFE_SUBSTITUTE = REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE ? '$' : '$0';

  return [
    // `String.prototype.replace` method
    // https://tc39.es/ecma262/#sec-string.prototype.replace
    function replace(searchValue, replaceValue) {
      var O = requireObjectCoercible$5(this);
      var replacer = searchValue == undefined ? undefined : getMethod$4(searchValue, REPLACE);
      return replacer
        ? call$c(replacer, searchValue, O, replaceValue)
        : call$c(nativeReplace, toString$a(O), searchValue, replaceValue);
    },
    // `RegExp.prototype[@@replace]` method
    // https://tc39.es/ecma262/#sec-regexp.prototype-@@replace
    function (string, replaceValue) {
      var rx = anObject$a(this);
      var S = toString$a(string);

      if (
        typeof replaceValue == 'string' &&
        stringIndexOf$1(replaceValue, UNSAFE_SUBSTITUTE) === -1 &&
        stringIndexOf$1(replaceValue, '$<') === -1
      ) {
        var res = maybeCallNative(nativeReplace, rx, S, replaceValue);
        if (res.done) return res.value;
      }

      var functionalReplace = isCallable$8(replaceValue);
      if (!functionalReplace) replaceValue = toString$a(replaceValue);

      var global = rx.global;
      if (global) {
        var fullUnicode = rx.unicode;
        rx.lastIndex = 0;
      }
      var results = [];
      while (true) {
        var result = regExpExec$1(rx, S);
        if (result === null) break;

        push$5(results, result);
        if (!global) break;

        var matchStr = toString$a(result[0]);
        if (matchStr === '') rx.lastIndex = advanceStringIndex$2(S, toLength$3(rx.lastIndex), fullUnicode);
      }

      var accumulatedResult = '';
      var nextSourcePosition = 0;
      for (var i = 0; i < results.length; i++) {
        result = results[i];

        var matched = toString$a(result[0]);
        var position = max$1(min$2(toIntegerOrInfinity$2(result.index), S.length), 0);
        var captures = [];
        // NOTE: This is equivalent to
        //   captures = result.slice(1).map(maybeToString)
        // but for some reason `nativeSlice.call(result, 1, result.length)` (called in
        // the slice polyfill when slicing native arrays) "doesn't work" in safari 9 and
        // causes a crash (https://pastebin.com/N21QzeQA) when trying to debug it.
        for (var j = 1; j < result.length; j++) push$5(captures, maybeToString(result[j]));
        var namedCaptures = result.groups;
        if (functionalReplace) {
          var replacerArgs = concat([matched], captures, position, S);
          if (namedCaptures !== undefined) push$5(replacerArgs, namedCaptures);
          var replacement = toString$a(apply$2(replaceValue, undefined, replacerArgs));
        } else {
          replacement = getSubstitution(matched, S, position, captures, namedCaptures, replaceValue);
        }
        if (position >= nextSourcePosition) {
          accumulatedResult += stringSlice$7(S, nextSourcePosition, position) + replacement;
          nextSourcePosition = position + matched.length;
        }
      }
      return accumulatedResult + stringSlice$7(S, nextSourcePosition);
    }
  ];
}, !REPLACE_SUPPORTS_NAMED_GROUPS || !REPLACE_KEEPS_$0 || REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE);

// a string of all valid unicode whitespaces
var whitespaces$2 = '\u0009\u000A\u000B\u000C\u000D\u0020\u00A0\u1680\u2000\u2001\u2002' +
  '\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200A\u202F\u205F\u3000\u2028\u2029\uFEFF';

var uncurryThis$f = functionUncurryThis;
var requireObjectCoercible$4 = requireObjectCoercible$a;
var toString$9 = toString$e;
var whitespaces$1 = whitespaces$2;

var replace$5 = uncurryThis$f(''.replace);
var whitespace = '[' + whitespaces$1 + ']';
var ltrim = RegExp('^' + whitespace + whitespace + '*');
var rtrim = RegExp(whitespace + whitespace + '*$');

// `String.prototype.{ trim, trimStart, trimEnd, trimLeft, trimRight }` methods implementation
var createMethod$1 = function (TYPE) {
  return function ($this) {
    var string = toString$9(requireObjectCoercible$4($this));
    if (TYPE & 1) string = replace$5(string, ltrim, '');
    if (TYPE & 2) string = replace$5(string, rtrim, '');
    return string;
  };
};

var stringTrim = {
  // `String.prototype.{ trimLeft, trimStart }` methods
  // https://tc39.es/ecma262/#sec-string.prototype.trimstart
  start: createMethod$1(1),
  // `String.prototype.{ trimRight, trimEnd }` methods
  // https://tc39.es/ecma262/#sec-string.prototype.trimend
  end: createMethod$1(2),
  // `String.prototype.trim` method
  // https://tc39.es/ecma262/#sec-string.prototype.trim
  trim: createMethod$1(3)
};

var global$d = global$r;
var fails$9 = fails$q;
var uncurryThis$e = functionUncurryThis;
var toString$8 = toString$e;
var trim = stringTrim.trim;
var whitespaces = whitespaces$2;

var $parseInt$1 = global$d.parseInt;
var Symbol$1 = global$d.Symbol;
var ITERATOR$5 = Symbol$1 && Symbol$1.iterator;
var hex = /^[+-]?0x/i;
var exec$5 = uncurryThis$e(hex.exec);
var FORCED$2 = $parseInt$1(whitespaces + '08') !== 8 || $parseInt$1(whitespaces + '0x16') !== 22
  // MS Edge 18- broken with boxed symbols
  || (ITERATOR$5 && !fails$9(function () { $parseInt$1(Object(ITERATOR$5)); }));

// `parseInt` method
// https://tc39.es/ecma262/#sec-parseint-string-radix
var numberParseInt = FORCED$2 ? function parseInt(string, radix) {
  var S = trim(toString$8(string));
  return $parseInt$1(S, (radix >>> 0) || (exec$5(hex, S) ? 16 : 10));
} : $parseInt$1;

var $$e = _export;
var $parseInt = numberParseInt;

// `parseInt` method
// https://tc39.es/ecma262/#sec-parseint-string-radix
$$e({ global: true, forced: parseInt != $parseInt }, {
  parseInt: $parseInt
});

function convertHex(hexCode, opacity = 1) {
  let hex = hexCode.replace('#', '');

  if (hex.length === 3) {
    hex = hex[0] + hex[0] + hex[1] + hex[1] + hex[2] + hex[2];
  }

  const r = parseInt(hex.substring(0, 2), 16),
        g = parseInt(hex.substring(2, 4), 16),
        b = parseInt(hex.substring(4, 6), 16);
  /* Backward compatibility for whole number based opacity values. */

  if (opacity > 1 && opacity <= 100) {
    opacity = opacity / 100;
  }

  return 'rgba(' + r + ',' + g + ',' + b + ',' + opacity + ')';
}

function handleModalKeyDown(e) {
  if (e.code === 'Tab') {
    const focusableEls = Array.from(e.currentTarget.querySelectorAll('a[href], button, input, textarea, select, details,[tabindex]:not([tabindex="-1"])')).filter(el => !el.hasAttribute('disabled') && !el.getAttribute('aria-hidden'));

    if (e.shiftKey) {
      if (document.activeElement === focusableEls[0]) {
        e.preventDefault();
        focusableEls[focusableEls.length - 1].focus({
          preventScroll: true
        });
      }
    } else {
      if (document.activeElement === focusableEls[focusableEls.length - 1]) {
        e.preventDefault();
        focusableEls[0].focus({
          preventScroll: true
        });
      }
    }
  }
}

const COMPONENT_NAME_REG = /^D[A-Z][a-zA-Z]+(\.[A-Z][a-zA-Z]+)?$/;
function registerComponentMate(mate) {
  const {
    COMPONENT_NAME
  } = mate;

  if (!COMPONENT_NAME_REG.test(COMPONENT_NAME)) {
    throw new Error(`'${COMPONENT_NAME}' not a correct component name`);
  }

  return mate;
}

const MEDIA_QUERY_LIST = freeze(['xxl', 'xl', 'lg', 'md', 'sm', 'xs']);

function getMediaMatch(mqlList) {
  const mediaMatch = [];

  if (mqlList) {
    for (const [breakpoint, mql] of mqlList) {
      if (mql.matches) {
        mediaMatch.push(breakpoint);
      }
    }
  }

  return mediaMatch;
}

function useMediaMatch() {
  const {
    dBreakpoints
  } = useGridConfig();
  const asyncCapture = useAsync();
  const mqlList = useMemo(() => {
    if (typeof window !== 'undefined') {
      return new Map(MEDIA_QUERY_LIST.map(breakpoint => [breakpoint, window.matchMedia(`(min-width: ${dBreakpoints.get(breakpoint)}px)`)]));
    }
  }, [dBreakpoints]);
  const [mediaMatch, setMediaMatch] = useState(() => {
    if (typeof window !== 'undefined') {
      return getMediaMatch(mqlList);
    }

    return [];
  });
  const updateMediaMatch = useCallback(() => {
    const _mediaMatch = getMediaMatch(mqlList);

    setMediaMatch(draft => {
      if (draft.length !== _mediaMatch.length) {
        return _mediaMatch;
      } else {
        for (const breakpoint of draft) {
          if (!_mediaMatch.includes(breakpoint)) {
            return _mediaMatch;
          }
        }

        return draft;
      }
    });
  }, [mqlList]);
  useMount(() => {
    updateMediaMatch();
  });
  useEffect(() => {
    const [asyncGroup, asyncId] = asyncCapture.createGroup();
    asyncGroup.fromEvent(window, 'resize').subscribe({
      next: () => {
        updateMediaMatch();
      }
    });
    return () => {
      asyncCapture.deleteGroup(asyncId);
    };
  }, [asyncCapture, updateMediaMatch]);
  return mediaMatch;
}

const DRowContext = /*#__PURE__*/React.createContext(null);
const {
  COMPONENT_NAME: COMPONENT_NAME$1a
} = registerComponentMate({
  COMPONENT_NAME: 'DRow'
});
function DRow(props) {
  const _a = useComponentConfig(COMPONENT_NAME$1a, props),
        {
    children,
    dGutter = 0,
    dResponsiveGutter
  } = _a,
        restProps = __rest(_a, ["children", "dGutter", "dResponsiveGutter"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const mediaMatch = useMediaMatch();

  const gap = (() => {
    const getGap = gutter => {
      if (isArray$2(gutter)) {
        return [gutter[0], gutter[1]];
      }

      return [gutter, gutter];
    };

    let gap = getGap(dGutter);

    if (dResponsiveGutter) {
      for (const breakpoint of mediaMatch) {
        if (breakpoint in dResponsiveGutter) {
          gap = getGap(dResponsiveGutter[breakpoint]);
          break;
        }
      }
    }

    return gap;
  })();

  const space = isNumber(gap[1]) ? gap[1] / 2 : `calc(${gap[1]} / 2)`;
  const contextValue = useMemo(() => ({
    gMediaMatch: mediaMatch,
    gSpace: space
  }), [mediaMatch, space]);
  return jsx(DRowContext.Provider, Object.assign({
    value: contextValue
  }, {
    children: jsx("div", Object.assign({}, restProps, {
      className: getClassName(restProps.className, `${dPrefix}row`),
      style: Object.assign(Object.assign({}, restProps.style), {
        rowGap: gap[0],
        marginLeft: isNumber(space) ? -space : `calc(${space} * -1)`,
        marginRight: isNumber(space) ? -space : `calc(${space} * -1)`
      })
    }, {
      children: children
    }))
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$19
} = registerComponentMate({
  COMPONENT_NAME: 'DCol'
});
function DCol(props) {
  const _a = useComponentConfig(COMPONENT_NAME$19, props),
        {
    children,
    dSpan,
    dResponsiveProps
  } = _a,
        restProps = __rest(_a, ["children", "dSpan", "dResponsiveProps"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    dColNum
  } = useGridConfig();
  const {
    gMediaMatch,
    gSpace
  } = useContextRequired(DRowContext); //#endregion

  const [span, responsiveProps] = (() => {
    let span = dSpan;
    let responsiveProps = undefined;

    if (dResponsiveProps) {
      for (const breakpoint of gMediaMatch) {
        if (breakpoint in dResponsiveProps) {
          const data = dResponsiveProps[breakpoint];

          if (isObject$b(data)) {
            responsiveProps = Object.assign({}, data);
            span = responsiveProps.dSpan;
            delete responsiveProps.dSpan;
          } else {
            span = data;
          }

          break;
        }
      }
    }

    return [span, responsiveProps];
  })();

  return dSpan === 0 ? null : jsx("div", Object.assign({}, restProps, responsiveProps, {
    className: getClassName(restProps.className, responsiveProps === null || responsiveProps === void 0 ? void 0 : responsiveProps.className, `${dPrefix}col`),
    style: Object.assign(Object.assign(Object.assign({}, restProps.style), responsiveProps === null || responsiveProps === void 0 ? void 0 : responsiveProps.style), {
      width: isNumber(span) ? `calc(100% / ${dColNum} * ${span})` : undefined,
      flexGrow: span === true ? 1 : undefined,
      paddingLeft: gSpace,
      paddingRight: gSpace
    })
  }, {
    children: children
  }));
}

const DFormGroupContext = /*#__PURE__*/React.createContext(null);
const {
  COMPONENT_NAME: COMPONENT_NAME$18
} = registerComponentMate({
  COMPONENT_NAME: 'DForm.Group'
});
function DFormGroup(props) {
  const {
    children,
    dFormGroup,
    dTitle
  } = useComponentConfig(COMPONENT_NAME$18, props);
  return jsxs(DFormGroupContext.Provider, Object.assign({
    value: dFormGroup
  }, {
    children: [dTitle, children]
  }));
}

function DPopup(props) {
  const {
    children,
    dPopup,
    dVisible = false,
    dContainer,
    dTrigger = 'hover',
    dDisabled = false,
    dEscClosable = true,
    dMouseEnterDelay = 150,
    dMouseLeaveDelay = 200,
    dUpdatePosition,
    onVisibleChange
  } = props; //#region Context

  const dPrefix = usePrefixConfig();
  const {
    dScrollEl,
    dResizeEl
  } = useLayout(); //#endregion

  const dataRef = useRef({});
  const asyncCapture = useAsync();
  const uniqueId = useId();
  const scrollEl = useElement(dScrollEl);
  const resizeEl = useElement(dResizeEl);
  const containerEl = useElement(() => {
    if (isUndefined(dContainer)) {
      let el = document.getElementById(`${dPrefix}popup-root`);

      if (!el) {
        el = document.createElement('div');
        el.id = `${dPrefix}popup-root`;
        document.body.appendChild(el);
      }

      return el;
    }

    return dContainer;
  });

  const changeVisible = visible => {
    if (isUndefined(visible)) {
      onVisibleChange === null || onVisibleChange === void 0 ? void 0 : onVisibleChange(!dVisible);
    } else if (!Object.is(dVisible, visible)) {
      onVisibleChange === null || onVisibleChange === void 0 ? void 0 : onVisibleChange(visible);
    }
  };

  const handleTrigger = useEventCallback((visible, behavior) => {
    var _a, _b;

    (_b = (_a = dataRef.current).clearTid) === null || _b === void 0 ? void 0 : _b.call(_a);

    if (behavior) {
      switch (behavior) {
        case 'hover':
          if (visible) {
            dataRef.current.clearTid = asyncCapture.setTimeout(() => changeVisible(visible), dMouseEnterDelay);
          } else {
            dataRef.current.clearTid = asyncCapture.setTimeout(() => changeVisible(visible), dMouseLeaveDelay);
          }

          break;

        case 'popup-hover':
          if (!visible) {
            dataRef.current.clearTid = asyncCapture.setTimeout(() => changeVisible(visible), dMouseLeaveDelay);
          }

          break;
      }
    } else {
      changeVisible(visible);
    }
  });
  useEffect(() => {
    if (!dDisabled && dVisible && dTrigger === 'click') {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      asyncGroup.fromEvent(window, 'click', {
        capture: true
      }).subscribe({
        next: () => {
          dataRef.current.clearClickOut = asyncGroup.requestAnimationFrame(() => {
            handleTrigger(false);
          });
        }
      });
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, dDisabled, dTrigger, dVisible, handleTrigger]);
  useEffect(() => {
    if (!dDisabled && dVisible && dEscClosable) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      asyncGroup.fromEvent(window, 'keydown').pipe(filter(e => e.code === 'Escape')).subscribe({
        next: () => {
          handleTrigger(false);
        }
      });
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, dDisabled, dEscClosable, dVisible, handleTrigger]);
  useEffect(() => {
    if (!dDisabled && dVisible) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      const triggerEl = document.querySelector(`[data-popup-triggerid="${uniqueId}"]`);

      if (triggerEl) {
        asyncGroup.onResize(triggerEl, () => {
          dUpdatePosition === null || dUpdatePosition === void 0 ? void 0 : dUpdatePosition();
        });
      }

      const popupEl = document.querySelector(`[data-popup-popupid="${uniqueId}"]`);

      if (popupEl) {
        asyncGroup.onResize(popupEl, () => {
          dUpdatePosition === null || dUpdatePosition === void 0 ? void 0 : dUpdatePosition();
        });
      }

      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, dDisabled, dUpdatePosition, dVisible, uniqueId]);
  useEffect(() => {
    if (!dDisabled && dVisible && dContainer) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      asyncGroup.fromEvent(dContainer, 'scroll', {
        passive: true
      }).subscribe({
        next: () => {
          dUpdatePosition === null || dUpdatePosition === void 0 ? void 0 : dUpdatePosition();
        }
      });
      asyncGroup.onResize(dContainer, () => {
        dUpdatePosition === null || dUpdatePosition === void 0 ? void 0 : dUpdatePosition();
      });
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, dContainer, dDisabled, dUpdatePosition, dVisible]);
  useEffect(() => {
    if (!dDisabled && dVisible && scrollEl) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      asyncGroup.fromEvent(scrollEl, 'scroll', {
        passive: true
      }).subscribe({
        next: () => {
          dUpdatePosition === null || dUpdatePosition === void 0 ? void 0 : dUpdatePosition();
        }
      });
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, dDisabled, dUpdatePosition, dVisible, scrollEl]);
  useEffect(() => {
    if (!dDisabled && dVisible && resizeEl) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      asyncGroup.onResize(resizeEl, () => {
        dUpdatePosition === null || dUpdatePosition === void 0 ? void 0 : dUpdatePosition();
      });
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, dDisabled, dUpdatePosition, dVisible, resizeEl]);
  const childProps = {
    'data-popup-triggerid': uniqueId
  };

  if (!dDisabled) {
    switch (dTrigger) {
      case 'hover':
        childProps.pOnMouseEnter = () => {
          handleTrigger(true, 'hover');
        };

        childProps.pOnMouseLeave = () => {
          handleTrigger(false, 'hover');
        };

        break;

      case 'click':
        childProps.pOnClick = () => {
          var _a, _b;

          (_b = (_a = dataRef.current).clearClickOut) === null || _b === void 0 ? void 0 : _b.call(_a);
          handleTrigger();
        };

        break;
    }
  }

  const child = children(childProps);
  const popupProps = {
    'data-popup-popupid': uniqueId
  };

  if (!dDisabled && dVisible) {
    switch (dTrigger) {
      case 'hover':
        popupProps.pOnMouseEnter = () => {
          handleTrigger(true, 'popup-hover');
        };

        popupProps.pOnMouseLeave = () => {
          handleTrigger(false, 'popup-hover');
        };

        break;

      case 'click':
        popupProps.pOnClick = () => {
          var _a, _b;

          (_b = (_a = dataRef.current).clearClickOut) === null || _b === void 0 ? void 0 : _b.call(_a);
        };

        break;
    }
  }

  const popupNode = dPopup(popupProps);
  return jsxs(Fragment, {
    children: [child, !dDisabled && containerEl && /*#__PURE__*/ReactDOM.createPortal(popupNode, containerEl)]
  });
}

function useNestedPopup(initialValue = []) {
  const [popupIds, setPopupIds] = useImmer(() => initialValue.map(id => ({
    id,
    visible: true
  })));
  const addPopupId = useCallback(id => {
    setPopupIds(draft => {
      if (draft.findIndex(v => v.id === id) === -1) {
        draft.push({
          id,
          visible: true
        });
      }
    });
  }, [setPopupIds]);
  const removePopupId = useCallback(id => {
    setPopupIds(draft => {
      const index = draft.findIndex(v => v.id === id);

      if (index !== -1) {
        draft[index].visible = false;

        for (let _index = draft.length - 1; _index >= 0; _index--) {
          if (draft[_index].visible) {
            break;
          }

          draft.pop();
        }
      }
    });
  }, [setPopupIds]);
  return {
    popupIds,
    setPopupIds,
    addPopupId,
    removePopupId
  };
}

const [T_ENTER, T_ENTERING, T_ENTERED, T_LEAVE, T_LEAVING, T_LEAVED] = ['enter', 'entering', 'entered', 'leave', 'leaving', 'leaved'];
function DTransition(props) {
  const {
    children,
    dIn = false,
    dDuring,
    dMountBeforeFirstEnter = true,
    dSkipFirstTransition = true,
    onEnterRendered,
    afterEnter,
    afterLeave
  } = props;
  const [initState] = useState(() => {
    const [skipEnter, skipLeave] = isArray$2(dSkipFirstTransition) ? dSkipFirstTransition : [dSkipFirstTransition, dSkipFirstTransition];

    if (dIn) {
      return skipEnter ? T_ENTERED : T_ENTER;
    } else {
      return skipLeave ? T_LEAVED : T_LEAVE;
    }
  });
  const dataRef = useRef({
    prevIn: dIn,
    state: initState,
    isFirstEnter: !dIn
  });
  const asyncCapture = useAsync();
  const forceUpdate = useForceUpdate();

  const updateTransitionState = state => {
    dataRef.current.state = state;
    forceUpdate();
  };

  if (dataRef.current.prevIn !== dIn) {
    dataRef.current.prevIn = dIn;
    dataRef.current.state = dIn ? T_ENTER : T_LEAVE;
    dataRef.current.isFirstEnter = false;
  }

  useMount(() => {
    const state = dataRef.current.state;

    if (state === T_ENTERED) {
      onEnterRendered === null || onEnterRendered === void 0 ? void 0 : onEnterRendered();
    }
  });
  useEffect(() => {
    var _a, _b;

    (_b = (_a = dataRef.current).clearTid) === null || _b === void 0 ? void 0 : _b.call(_a);
    const isEnter = dataRef.current.state === T_ENTER;

    if (dataRef.current.state === T_ENTER || dataRef.current.state === T_LEAVE) {
      if (isEnter) {
        onEnterRendered === null || onEnterRendered === void 0 ? void 0 : onEnterRendered();
      }

      dataRef.current.clearTid = asyncCapture.requestAnimationFrame(() => {
        const nextState = isEnter ? T_ENTERING : T_LEAVING;
        updateTransitionState(nextState);
        const isEntering = nextState === T_ENTERING;
        const endState = isEntering ? T_ENTERED : T_LEAVED;
        const during = isNumber(dDuring) ? dDuring : isEntering ? dDuring.enter : dDuring.leave;
        dataRef.current.clearTid = asyncCapture.setTimeout(() => {
          updateTransitionState(endState);
          endState === T_ENTERED ? afterEnter === null || afterEnter === void 0 ? void 0 : afterEnter() : afterLeave === null || afterLeave === void 0 ? void 0 : afterLeave();
        }, during);
      });
    } // eslint-disable-next-line react-hooks/exhaustive-deps

  }, [dIn]);

  const shouldRender = (() => {
    if (dataRef.current.isFirstEnter && !dMountBeforeFirstEnter) {
      return false;
    }

    return true;
  })();

  return shouldRender ? children(dataRef.current.state) : null;
}

function DCollapseTransition(props) {
  const {
    children,
    dSize,
    dHorizontal = false,
    dStyles,
    onEnterRendered
  } = props,
        restProps = __rest(props, ["children", "dSize", "dHorizontal", "dStyles", "onEnterRendered"]);

  const dataRef = useRef({
    width: 0,
    height: 0
  });
  const ref = useRef(null);
  return jsx(DTransition, Object.assign({}, restProps, {
    onEnterRendered: () => {
      onEnterRendered === null || onEnterRendered === void 0 ? void 0 : onEnterRendered();

      if (ref.current) {
        const cssText = ref.current.style.cssText;

        if (dHorizontal) {
          ref.current.style.width = '';
          ref.current.style.paddingLeft = '';
          ref.current.style.paddingRight = '';
          ref.current.style.marginLeft = '';
          ref.current.style.marginRight = '';
          const {
            width
          } = ref.current.getBoundingClientRect();
          dataRef.current.width = width;
        } else {
          ref.current.style.height = '';
          ref.current.style.paddingTop = '';
          ref.current.style.paddingBottom = '';
          ref.current.style.marginTop = '';
          ref.current.style.marginBottom = '';
          const {
            height
          } = ref.current.getBoundingClientRect();
          dataRef.current.height = height;
        }

        ref.current.style.cssText = cssText;
      }
    }
  }, {
    children: state => {
      const transitionStyle = Object.assign({}, dStyles[state]);

      switch (state) {
        case 'enter':
          Object.assign(transitionStyle, {
            [dHorizontal ? 'width' : 'height']: dSize,
            overflow: 'hidden'
          }, dHorizontal ? {
            paddingLeft: 0,
            paddingRight: 0,
            marginLeft: 0,
            marginRight: 0
          } : {
            paddingTop: 0,
            paddingBottom: 0,
            marginTop: 0,
            marginBottom: 0
          });
          break;

        case 'entering':
          Object.assign(transitionStyle, {
            [dHorizontal ? 'width' : 'height']: dataRef.current[dHorizontal ? 'width' : 'height'],
            overflow: 'hidden'
          });
          break;

        case 'leave':
          if (ref.current) {
            const {
              width,
              height
            } = ref.current.getBoundingClientRect();
            dataRef.current.width = width;
            dataRef.current.height = height;
          }

          Object.assign(transitionStyle, {
            [dHorizontal ? 'width' : 'height']: dataRef.current[dHorizontal ? 'width' : 'height'],
            overflow: 'hidden'
          });
          break;

        case 'leaving':
          Object.assign(transitionStyle, {
            [dHorizontal ? 'width' : 'height']: dSize,
            overflow: 'hidden'
          }, dHorizontal ? {
            paddingLeft: 0,
            paddingRight: 0,
            marginLeft: 0,
            marginRight: 0
          } : {
            paddingTop: 0,
            paddingBottom: 0,
            marginTop: 0,
            marginBottom: 0
          });
          break;

        case 'leaved':
          Object.assign(transitionStyle, {
            [dHorizontal ? 'width' : 'height']: dSize,
            overflow: 'hidden'
          });
          break;
      }

      return children(ref, transitionStyle, state);
    }
  }));
}

const TTANSITION_DURING$4 = {
  enter: 86,
  leave: 100
};
const {
  COMPONENT_NAME: COMPONENT_NAME$17
} = registerComponentMate({
  COMPONENT_NAME: 'DTooltip'
});

function Tooltip(props, ref) {
  var _a;

  const _b = useComponentConfig(COMPONENT_NAME$17, props),
        {
    children,
    dVisible,
    dTrigger = 'hover',
    dTitle,
    dContainer,
    dPlacement = 'top',
    dEscClosable = true,
    dArrow = true,
    dDisabled = false,
    dDistance = 10,
    dMouseEnterDelay = 150,
    dMouseLeaveDelay = 200,
    dZIndex,
    onVisibleChange,
    afterVisibleChange
  } = _b,
        restProps = __rest(_b, ["children", "dVisible", "dTrigger", "dTitle", "dContainer", "dPlacement", "dEscClosable", "dArrow", "dDisabled", "dDistance", "dMouseEnterDelay", "dMouseLeaveDelay", "dZIndex", "onVisibleChange", "afterVisibleChange"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const popupRef = useRef(null); //#endregion

  const uniqueId = useId();
  const id = (_a = restProps.id) !== null && _a !== void 0 ? _a : `${dPrefix}tooltip-${uniqueId}`;
  const [visible, changeVisible] = useDValue(false, dVisible, onVisibleChange);
  const isFixed = isUndefined(dContainer);
  const maxZIndex = useMaxIndex(visible);

  const zIndex = (() => {
    if (isUndefined(dZIndex)) {
      if (isFixed) {
        return maxZIndex;
      } else {
        return `var(--${dPrefix}zindex-absolute)`;
      }
    } else {
      return dZIndex;
    }
  })();

  const containerEl = useElement(isUndefined(dContainer) || dContainer === false ? () => {
    var _a;

    if (dContainer === false) {
      const triggerEl = document.querySelector(`[aria-describedby="${id}"]`);
      return (_a = triggerEl === null || triggerEl === void 0 ? void 0 : triggerEl.parentElement) !== null && _a !== void 0 ? _a : null;
    }

    return null;
  } : dContainer);
  const [popupPositionStyle, setPopupPositionStyle] = useState({
    top: -9999,
    left: -9999
  });
  const [placement, setPlacement] = useState(dPlacement);
  const [transformOrigin, setTransformOrigin] = useState();
  const updatePosition = useEventCallback(() => {
    const triggerEl = document.querySelector(`[aria-describedby="${id}"]`);

    if (popupRef.current && triggerEl) {
      let currentPlacement = dPlacement;
      let space = [0, 0, 0, 0];

      if (!isFixed && containerEl) {
        const containerRect = containerEl.getBoundingClientRect();
        space = [containerRect.top, window.innerWidth - containerRect.left - containerRect.width, window.innerHeight - containerRect.top - containerRect.height, containerRect.left];
      }

      const position = getPopupPosition(popupRef.current, triggerEl, dPlacement, dDistance, isFixed, space);

      if (position) {
        currentPlacement = position.placement;
        setPlacement(position.placement);
        setPopupPositionStyle({
          position: isFixed ? undefined : 'absolute',
          top: position.top,
          left: position.left
        });
      } else {
        const _position = getPopupPosition(popupRef.current, triggerEl, placement, dDistance, isFixed);

        setPopupPositionStyle({
          position: isFixed ? undefined : 'absolute',
          top: _position.top,
          left: _position.left
        });
      }

      let transformOrigin = 'center bottom';

      switch (currentPlacement) {
        case 'top':
          transformOrigin = 'center bottom';
          break;

        case 'top-left':
          transformOrigin = '20px bottom';
          break;

        case 'top-right':
          transformOrigin = 'calc(100% - 20px) bottom';
          break;

        case 'right':
          transformOrigin = 'left center';
          break;

        case 'right-top':
          transformOrigin = 'left 12px';
          break;

        case 'right-bottom':
          transformOrigin = 'left calc(100% - 12px)';
          break;

        case 'bottom':
          transformOrigin = 'center top';
          break;

        case 'bottom-left':
          transformOrigin = '20px top';
          break;

        case 'bottom-right':
          transformOrigin = 'calc(100% - 20px) top';
          break;

        case 'left':
          transformOrigin = 'right center';
          break;

        case 'left-top':
          transformOrigin = 'right 12px';
          break;

        case 'left-bottom':
          transformOrigin = 'right calc(100% - 12px)';
          break;
      }

      setTransformOrigin(transformOrigin);
    }
  });
  useImperativeHandle(ref, () => ({
    updatePosition
  }), [updatePosition]);
  return jsx(DTransition, Object.assign({
    dIn: visible,
    dDuring: TTANSITION_DURING$4,
    onEnterRendered: updatePosition,
    afterEnter: () => {
      afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(true);
    },
    afterLeave: () => {
      afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(false);
    }
  }, {
    children: state => {
      let transitionStyle = {};

      switch (state) {
        case 'enter':
          transitionStyle = {
            transform: 'scale(0.3)',
            opacity: 0
          };
          break;

        case 'entering':
          transitionStyle = {
            transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING$4.enter}ms ease-out`).join(', '),
            transformOrigin
          };
          break;

        case 'leaving':
          transitionStyle = {
            transform: 'scale(0.3)',
            opacity: 0,
            transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING$4.leave}ms ease-in`).join(', '),
            transformOrigin
          };
          break;

        case 'leaved':
          transitionStyle = {
            display: 'none'
          };
          break;
      }

      return jsx(DPopup, Object.assign({
        dPopup: _a => {
          var _b;

          var {
            pOnClick,
            pOnMouseEnter,
            pOnMouseLeave
          } = _a,
              restPProps = __rest(_a, ["pOnClick", "pOnMouseEnter", "pOnMouseLeave"]);

          return jsxs("div", Object.assign({}, restProps, restPProps, {
            ref: popupRef,
            id: id,
            className: getClassName(restProps.className, `${dPrefix}tooltip`, `${dPrefix}tooltip--` + placement),
            style: Object.assign(Object.assign(Object.assign(Object.assign({}, restProps.style), popupPositionStyle), transitionStyle), {
              zIndex
            }),
            role: (_b = restProps.role) !== null && _b !== void 0 ? _b : 'tooltip',
            onClick: e => {
              var _a;

              (_a = restProps.onClick) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
              pOnClick === null || pOnClick === void 0 ? void 0 : pOnClick(e);
            },
            onMouseEnter: e => {
              var _a;

              (_a = restProps.onMouseEnter) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
              pOnMouseEnter === null || pOnMouseEnter === void 0 ? void 0 : pOnMouseEnter(e);
            },
            onMouseLeave: e => {
              var _a;

              (_a = restProps.onMouseLeave) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
              pOnMouseLeave === null || pOnMouseLeave === void 0 ? void 0 : pOnMouseLeave(e);
            }
          }, {
            children: [dArrow && jsx("div", {
              className: `${dPrefix}tooltip__arrow`
            }), dTitle]
          }));
        },
        dVisible: visible,
        dContainer: isFixed ? undefined : containerEl,
        dTrigger: dTrigger,
        dDisabled: dDisabled,
        dEscClosable: dEscClosable,
        dMouseEnterDelay: dMouseEnterDelay,
        dMouseLeaveDelay: dMouseLeaveDelay,
        dUpdatePosition: updatePosition,
        onVisibleChange: changeVisible
      }, {
        children: _a => {
          var _b;

          var {
            pOnClick,
            pOnMouseEnter,
            pOnMouseLeave
          } = _a,
              restPProps = __rest(_a, ["pOnClick", "pOnMouseEnter", "pOnMouseLeave"]);

          return /*#__PURE__*/React.cloneElement(children, Object.assign(Object.assign(Object.assign({}, children.props), restPProps), {
            'aria-describedby': (_b = children.props['aria-describedby']) !== null && _b !== void 0 ? _b : id,
            onClick: e => {
              var _a, _b;

              (_b = (_a = children.props).onClick) === null || _b === void 0 ? void 0 : _b.call(_a, e);
              pOnClick === null || pOnClick === void 0 ? void 0 : pOnClick(e);
            },
            onMouseEnter: e => {
              var _a, _b;

              (_b = (_a = children.props).onMouseEnter) === null || _b === void 0 ? void 0 : _b.call(_a, e);
              pOnMouseEnter === null || pOnMouseEnter === void 0 ? void 0 : pOnMouseEnter(e);
            },
            onMouseLeave: e => {
              var _a, _b;

              (_b = (_a = children.props).onMouseLeave) === null || _b === void 0 ? void 0 : _b.call(_a, e);
              pOnMouseLeave === null || pOnMouseLeave === void 0 ? void 0 : pOnMouseLeave(e);
            }
          }));
        }
      }));
    }
  }));
}

const DTooltip = /*#__PURE__*/React.forwardRef(Tooltip);

function DError(props) {
  const {
    dVisible,
    dMessage,
    dStatus = 'error',
    onHidden
  } = props; //#region Context

  const dPrefix = usePrefixConfig(); //#endregion

  return jsx(DCollapseTransition, Object.assign({
    dSize: 0,
    dIn: dVisible,
    dDuring: TTANSITION_DURING_FAST,
    dStyles: {
      enter: {
        opacity: 0
      },
      entering: {
        transition: ['height', 'padding', 'margin', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_FAST}ms ease-out`).join(', ')
      },
      leaving: {
        opacity: 0,
        transition: ['height', 'padding', 'margin', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_FAST}ms ease-in`).join(', ')
      },
      leaved: {
        display: 'none'
      }
    },
    dSkipFirstTransition: false,
    afterLeave: onHidden
  }, {
    children: (ref, collapseStyle) => jsx("div", Object.assign({
      ref: ref,
      className: getClassName(`${dPrefix}form__error`, {
        [`${dPrefix}form__error--error`]: dStatus === 'error',
        [`${dPrefix}form__error--warning`]: dStatus === 'warning'
      }),
      style: collapseStyle,
      title: dMessage
    }, {
      children: dMessage
    }))
  }));
}

var uncurryThis$d = functionUncurryThis;
var fails$8 = fails$q;
var isCallable$7 = isCallable$p;
var classof$4 = classof$7;
var getBuiltIn$3 = getBuiltIn$8;
var inspectSource$1 = inspectSource$4;

var noop = function () { /* empty */ };
var empty = [];
var construct = getBuiltIn$3('Reflect', 'construct');
var constructorRegExp = /^\s*(?:class|function)\b/;
var exec$4 = uncurryThis$d(constructorRegExp.exec);
var INCORRECT_TO_STRING = !constructorRegExp.exec(noop);

var isConstructorModern = function isConstructor(argument) {
  if (!isCallable$7(argument)) return false;
  try {
    construct(noop, empty, argument);
    return true;
  } catch (error) {
    return false;
  }
};

var isConstructorLegacy = function isConstructor(argument) {
  if (!isCallable$7(argument)) return false;
  switch (classof$4(argument)) {
    case 'AsyncFunction':
    case 'GeneratorFunction':
    case 'AsyncGeneratorFunction': return false;
  }
  try {
    // we can't check .prototype since constructors produced by .bind haven't it
    // `Function#toString` throws on some built-it function in some legacy engines
    // (for example, `DOMQuad` and similar in FF41-)
    return INCORRECT_TO_STRING || !!exec$4(constructorRegExp, inspectSource$1(argument));
  } catch (error) {
    return true;
  }
};

isConstructorLegacy.sham = true;

// `IsConstructor` abstract operation
// https://tc39.es/ecma262/#sec-isconstructor
var isConstructor$2 = !construct || fails$8(function () {
  var called;
  return isConstructorModern(isConstructorModern.call)
    || !isConstructorModern(Object)
    || !isConstructorModern(function () { called = true; })
    || called;
}) ? isConstructorLegacy : isConstructorModern;

var isConstructor$1 = isConstructor$2;
var tryToString$3 = tryToString$5;

var $TypeError$6 = TypeError;

// `Assert: IsConstructor(argument) is true`
var aConstructor$1 = function (argument) {
  if (isConstructor$1(argument)) return argument;
  throw $TypeError$6(tryToString$3(argument) + ' is not a constructor');
};

var anObject$9 = anObject$i;
var aConstructor = aConstructor$1;
var wellKnownSymbol$8 = wellKnownSymbol$l;

var SPECIES$2 = wellKnownSymbol$8('species');

// `SpeciesConstructor` abstract operation
// https://tc39.es/ecma262/#sec-speciesconstructor
var speciesConstructor$2 = function (O, defaultConstructor) {
  var C = anObject$9(O).constructor;
  var S;
  return C === undefined || (S = anObject$9(C)[SPECIES$2]) == undefined ? defaultConstructor : aConstructor(S);
};

var toPropertyKey = toPropertyKey$3;
var definePropertyModule$1 = objectDefineProperty;
var createPropertyDescriptor$1 = createPropertyDescriptor$5;

var createProperty$2 = function (object, key, value) {
  var propertyKey = toPropertyKey(key);
  if (propertyKey in object) definePropertyModule$1.f(object, propertyKey, createPropertyDescriptor$1(0, value));
  else object[propertyKey] = value;
};

var toAbsoluteIndex = toAbsoluteIndex$2;
var lengthOfArrayLike$4 = lengthOfArrayLike$6;
var createProperty$1 = createProperty$2;

var $Array$1 = Array;
var max = Math.max;

var arraySliceSimple = function (O, start, end) {
  var length = lengthOfArrayLike$4(O);
  var k = toAbsoluteIndex(start, length);
  var fin = toAbsoluteIndex(end === undefined ? length : end, length);
  var result = $Array$1(max(fin - k, 0));
  for (var n = 0; k < fin; k++, n++) createProperty$1(result, n, O[k]);
  result.length = n;
  return result;
};

var apply$1 = functionApply;
var call$b = functionCall;
var uncurryThis$c = functionUncurryThis;
var fixRegExpWellKnownSymbolLogic$1 = fixRegexpWellKnownSymbolLogic;
var isRegExp$1 = isRegexp;
var anObject$8 = anObject$i;
var requireObjectCoercible$3 = requireObjectCoercible$a;
var speciesConstructor$1 = speciesConstructor$2;
var advanceStringIndex$1 = advanceStringIndex$3;
var toLength$2 = toLength$5;
var toString$7 = toString$e;
var getMethod$3 = getMethod$6;
var arraySlice$4 = arraySliceSimple;
var callRegExpExec = regexpExecAbstract;
var regexpExec = regexpExec$3;
var stickyHelpers$1 = regexpStickyHelpers;
var fails$7 = fails$q;

var UNSUPPORTED_Y$1 = stickyHelpers$1.UNSUPPORTED_Y;
var MAX_UINT32 = 0xFFFFFFFF;
var min$1 = Math.min;
var $push = [].push;
var exec$3 = uncurryThis$c(/./.exec);
var push$4 = uncurryThis$c($push);
var stringSlice$6 = uncurryThis$c(''.slice);

// Chrome 51 has a buggy "split" implementation when RegExp#exec !== nativeExec
// Weex JS has frozen built-in prototypes, so use try / catch wrapper
var SPLIT_WORKS_WITH_OVERWRITTEN_EXEC = !fails$7(function () {
  // eslint-disable-next-line regexp/no-empty-group -- required for testing
  var re = /(?:)/;
  var originalExec = re.exec;
  re.exec = function () { return originalExec.apply(this, arguments); };
  var result = 'ab'.split(re);
  return result.length !== 2 || result[0] !== 'a' || result[1] !== 'b';
});

// @@split logic
fixRegExpWellKnownSymbolLogic$1('split', function (SPLIT, nativeSplit, maybeCallNative) {
  var internalSplit;
  if (
    'abbc'.split(/(b)*/)[1] == 'c' ||
    // eslint-disable-next-line regexp/no-empty-group -- required for testing
    'test'.split(/(?:)/, -1).length != 4 ||
    'ab'.split(/(?:ab)*/).length != 2 ||
    '.'.split(/(.?)(.?)/).length != 4 ||
    // eslint-disable-next-line regexp/no-empty-capturing-group, regexp/no-empty-group -- required for testing
    '.'.split(/()()/).length > 1 ||
    ''.split(/.?/).length
  ) {
    // based on es5-shim implementation, need to rework it
    internalSplit = function (separator, limit) {
      var string = toString$7(requireObjectCoercible$3(this));
      var lim = limit === undefined ? MAX_UINT32 : limit >>> 0;
      if (lim === 0) return [];
      if (separator === undefined) return [string];
      // If `separator` is not a regex, use native split
      if (!isRegExp$1(separator)) {
        return call$b(nativeSplit, string, separator, lim);
      }
      var output = [];
      var flags = (separator.ignoreCase ? 'i' : '') +
                  (separator.multiline ? 'm' : '') +
                  (separator.unicode ? 'u' : '') +
                  (separator.sticky ? 'y' : '');
      var lastLastIndex = 0;
      // Make `global` and avoid `lastIndex` issues by working with a copy
      var separatorCopy = new RegExp(separator.source, flags + 'g');
      var match, lastIndex, lastLength;
      while (match = call$b(regexpExec, separatorCopy, string)) {
        lastIndex = separatorCopy.lastIndex;
        if (lastIndex > lastLastIndex) {
          push$4(output, stringSlice$6(string, lastLastIndex, match.index));
          if (match.length > 1 && match.index < string.length) apply$1($push, output, arraySlice$4(match, 1));
          lastLength = match[0].length;
          lastLastIndex = lastIndex;
          if (output.length >= lim) break;
        }
        if (separatorCopy.lastIndex === match.index) separatorCopy.lastIndex++; // Avoid an infinite loop
      }
      if (lastLastIndex === string.length) {
        if (lastLength || !exec$3(separatorCopy, '')) push$4(output, '');
      } else push$4(output, stringSlice$6(string, lastLastIndex));
      return output.length > lim ? arraySlice$4(output, 0, lim) : output;
    };
  // Chakra, V8
  } else if ('0'.split(undefined, 0).length) {
    internalSplit = function (separator, limit) {
      return separator === undefined && limit === 0 ? [] : call$b(nativeSplit, this, separator, limit);
    };
  } else internalSplit = nativeSplit;

  return [
    // `String.prototype.split` method
    // https://tc39.es/ecma262/#sec-string.prototype.split
    function split(separator, limit) {
      var O = requireObjectCoercible$3(this);
      var splitter = separator == undefined ? undefined : getMethod$3(separator, SPLIT);
      return splitter
        ? call$b(splitter, separator, O, limit)
        : call$b(internalSplit, toString$7(O), separator, limit);
    },
    // `RegExp.prototype[@@split]` method
    // https://tc39.es/ecma262/#sec-regexp.prototype-@@split
    //
    // NOTE: This cannot be properly polyfilled in engines that don't support
    // the 'y' flag.
    function (string, limit) {
      var rx = anObject$8(this);
      var S = toString$7(string);
      var res = maybeCallNative(internalSplit, rx, S, limit, internalSplit !== nativeSplit);

      if (res.done) return res.value;

      var C = speciesConstructor$1(rx, RegExp);

      var unicodeMatching = rx.unicode;
      var flags = (rx.ignoreCase ? 'i' : '') +
                  (rx.multiline ? 'm' : '') +
                  (rx.unicode ? 'u' : '') +
                  (UNSUPPORTED_Y$1 ? 'g' : 'y');

      // ^(? + rx + ) is needed, in combination with some S slicing, to
      // simulate the 'y' flag.
      var splitter = new C(UNSUPPORTED_Y$1 ? '^(?:' + rx.source + ')' : rx, flags);
      var lim = limit === undefined ? MAX_UINT32 : limit >>> 0;
      if (lim === 0) return [];
      if (S.length === 0) return callRegExpExec(splitter, S) === null ? [S] : [];
      var p = 0;
      var q = 0;
      var A = [];
      while (q < S.length) {
        splitter.lastIndex = UNSUPPORTED_Y$1 ? 0 : q;
        var z = callRegExpExec(splitter, UNSUPPORTED_Y$1 ? stringSlice$6(S, q) : S);
        var e;
        if (
          z === null ||
          (e = min$1(toLength$2(splitter.lastIndex + (UNSUPPORTED_Y$1 ? q : 0)), S.length)) === p
        ) {
          q = advanceStringIndex$1(S, q, unicodeMatching);
        } else {
          push$4(A, stringSlice$6(S, p, q));
          if (A.length === lim) return A;
          for (var i = 1; i <= z.length - 1; i++) {
            push$4(A, z[i]);
            if (A.length === lim) return A;
          }
          q = p = e;
        }
      }
      push$4(A, stringSlice$6(S, p));
      return A;
    }
  ];
}, !SPLIT_WORKS_WITH_OVERWRITTEN_EXEC, UNSUPPORTED_Y$1);

var classof$3 = classofRaw$1;
var global$c = global$r;

var engineIsNode = classof$3(global$c.process) == 'process';

var getBuiltIn$2 = getBuiltIn$8;
var definePropertyModule = objectDefineProperty;
var wellKnownSymbol$7 = wellKnownSymbol$l;
var DESCRIPTORS$4 = descriptors;

var SPECIES$1 = wellKnownSymbol$7('species');

var setSpecies$2 = function (CONSTRUCTOR_NAME) {
  var Constructor = getBuiltIn$2(CONSTRUCTOR_NAME);
  var defineProperty = definePropertyModule.f;

  if (DESCRIPTORS$4 && Constructor && !Constructor[SPECIES$1]) {
    defineProperty(Constructor, SPECIES$1, {
      configurable: true,
      get: function () { return this; }
    });
  }
};

var isPrototypeOf$4 = objectIsPrototypeOf;

var $TypeError$5 = TypeError;

var anInstance$3 = function (it, Prototype) {
  if (isPrototypeOf$4(Prototype, it)) return it;
  throw $TypeError$5('Incorrect invocation');
};

var uncurryThis$b = functionUncurryThis;
var aCallable$7 = aCallable$9;
var NATIVE_BIND = functionBindNative;

var bind$7 = uncurryThis$b(uncurryThis$b.bind);

// optional / simple context binding
var functionBindContext = function (fn, that) {
  aCallable$7(fn);
  return that === undefined ? fn : NATIVE_BIND ? bind$7(fn, that) : function (/* ...args */) {
    return fn.apply(that, arguments);
  };
};

var uncurryThis$a = functionUncurryThis;

var arraySlice$3 = uncurryThis$a([].slice);

var $TypeError$4 = TypeError;

var validateArgumentsLength$3 = function (passed, required) {
  if (passed < required) throw $TypeError$4('Not enough arguments');
  return passed;
};

var userAgent$4 = engineUserAgent;

var engineIsIos = /(?:ipad|iphone|ipod).*applewebkit/i.test(userAgent$4);

var global$b = global$r;
var apply = functionApply;
var bind$6 = functionBindContext;
var isCallable$6 = isCallable$p;
var hasOwn$5 = hasOwnProperty_1;
var fails$6 = fails$q;
var html = html$2;
var arraySlice$2 = arraySlice$3;
var createElement = documentCreateElement$2;
var validateArgumentsLength$2 = validateArgumentsLength$3;
var IS_IOS$1 = engineIsIos;
var IS_NODE$4 = engineIsNode;

var set = global$b.setImmediate;
var clear = global$b.clearImmediate;
var process$2 = global$b.process;
var Dispatch = global$b.Dispatch;
var Function$1 = global$b.Function;
var MessageChannel = global$b.MessageChannel;
var String$1 = global$b.String;
var counter = 0;
var queue$1 = {};
var ONREADYSTATECHANGE = 'onreadystatechange';
var location, defer, channel, port;

try {
  // Deno throws a ReferenceError on `location` access without `--location` flag
  location = global$b.location;
} catch (error) { /* empty */ }

var run = function (id) {
  if (hasOwn$5(queue$1, id)) {
    var fn = queue$1[id];
    delete queue$1[id];
    fn();
  }
};

var runner = function (id) {
  return function () {
    run(id);
  };
};

var listener = function (event) {
  run(event.data);
};

var post = function (id) {
  // old engines have not location.origin
  global$b.postMessage(String$1(id), location.protocol + '//' + location.host);
};

// Node.js 0.9+ & IE10+ has setImmediate, otherwise:
if (!set || !clear) {
  set = function setImmediate(handler) {
    validateArgumentsLength$2(arguments.length, 1);
    var fn = isCallable$6(handler) ? handler : Function$1(handler);
    var args = arraySlice$2(arguments, 1);
    queue$1[++counter] = function () {
      apply(fn, undefined, args);
    };
    defer(counter);
    return counter;
  };
  clear = function clearImmediate(id) {
    delete queue$1[id];
  };
  // Node.js 0.8-
  if (IS_NODE$4) {
    defer = function (id) {
      process$2.nextTick(runner(id));
    };
  // Sphere (JS game engine) Dispatch API
  } else if (Dispatch && Dispatch.now) {
    defer = function (id) {
      Dispatch.now(runner(id));
    };
  // Browsers with MessageChannel, includes WebWorkers
  // except iOS - https://github.com/zloirock/core-js/issues/624
  } else if (MessageChannel && !IS_IOS$1) {
    channel = new MessageChannel();
    port = channel.port2;
    channel.port1.onmessage = listener;
    defer = bind$6(port.postMessage, port);
  // Browsers with postMessage, skip WebWorkers
  // IE8 has postMessage, but it's sync & typeof its postMessage is 'object'
  } else if (
    global$b.addEventListener &&
    isCallable$6(global$b.postMessage) &&
    !global$b.importScripts &&
    location && location.protocol !== 'file:' &&
    !fails$6(post)
  ) {
    defer = post;
    global$b.addEventListener('message', listener, false);
  // IE8-
  } else if (ONREADYSTATECHANGE in createElement('script')) {
    defer = function (id) {
      html.appendChild(createElement('script'))[ONREADYSTATECHANGE] = function () {
        html.removeChild(this);
        run(id);
      };
    };
  // Rest old browsers
  } else {
    defer = function (id) {
      setTimeout(runner(id), 0);
    };
  }
}

var task$1 = {
  set: set,
  clear: clear
};

var userAgent$3 = engineUserAgent;
var global$a = global$r;

var engineIsIosPebble = /ipad|iphone|ipod/i.test(userAgent$3) && global$a.Pebble !== undefined;

var userAgent$2 = engineUserAgent;

var engineIsWebosWebkit = /web0s(?!.*chrome)/i.test(userAgent$2);

var global$9 = global$r;
var bind$5 = functionBindContext;
var getOwnPropertyDescriptor$2 = objectGetOwnPropertyDescriptor.f;
var macrotask = task$1.set;
var IS_IOS = engineIsIos;
var IS_IOS_PEBBLE = engineIsIosPebble;
var IS_WEBOS_WEBKIT = engineIsWebosWebkit;
var IS_NODE$3 = engineIsNode;

var MutationObserver$1 = global$9.MutationObserver || global$9.WebKitMutationObserver;
var document$2 = global$9.document;
var process$1 = global$9.process;
var Promise$1 = global$9.Promise;
// Node.js 11 shows ExperimentalWarning on getting `queueMicrotask`
var queueMicrotaskDescriptor = getOwnPropertyDescriptor$2(global$9, 'queueMicrotask');
var queueMicrotask = queueMicrotaskDescriptor && queueMicrotaskDescriptor.value;

var flush, head, last, notify$1, toggle, node, promise, then;

// modern engines have queueMicrotask method
if (!queueMicrotask) {
  flush = function () {
    var parent, fn;
    if (IS_NODE$3 && (parent = process$1.domain)) parent.exit();
    while (head) {
      fn = head.fn;
      head = head.next;
      try {
        fn();
      } catch (error) {
        if (head) notify$1();
        else last = undefined;
        throw error;
      }
    } last = undefined;
    if (parent) parent.enter();
  };

  // browsers with MutationObserver, except iOS - https://github.com/zloirock/core-js/issues/339
  // also except WebOS Webkit https://github.com/zloirock/core-js/issues/898
  if (!IS_IOS && !IS_NODE$3 && !IS_WEBOS_WEBKIT && MutationObserver$1 && document$2) {
    toggle = true;
    node = document$2.createTextNode('');
    new MutationObserver$1(flush).observe(node, { characterData: true });
    notify$1 = function () {
      node.data = toggle = !toggle;
    };
  // environments with maybe non-completely correct, but existent Promise
  } else if (!IS_IOS_PEBBLE && Promise$1 && Promise$1.resolve) {
    // Promise.resolve without an argument throws an error in LG WebOS 2
    promise = Promise$1.resolve(undefined);
    // workaround of WebKit ~ iOS Safari 10.1 bug
    promise.constructor = Promise$1;
    then = bind$5(promise.then, promise);
    notify$1 = function () {
      then(flush);
    };
  // Node.js without promises
  } else if (IS_NODE$3) {
    notify$1 = function () {
      process$1.nextTick(flush);
    };
  // for other environments - macrotask based on:
  // - setImmediate
  // - MessageChannel
  // - window.postMessage
  // - onreadystatechange
  // - setTimeout
  } else {
    // strange IE + webpack dev server bug - use .bind(global)
    macrotask = bind$5(macrotask, global$9);
    notify$1 = function () {
      macrotask(flush);
    };
  }
}

var microtask$1 = queueMicrotask || function (fn) {
  var task = { fn: fn, next: undefined };
  if (last) last.next = task;
  if (!head) {
    head = task;
    notify$1();
  } last = task;
};

var global$8 = global$r;

var hostReportErrors$1 = function (a, b) {
  var console = global$8.console;
  if (console && console.error) {
    arguments.length == 1 ? console.error(a) : console.error(a, b);
  }
};

var perform$3 = function (exec) {
  try {
    return { error: false, value: exec() };
  } catch (error) {
    return { error: true, value: error };
  }
};

var Queue$1 = function () {
  this.head = null;
  this.tail = null;
};

Queue$1.prototype = {
  add: function (item) {
    var entry = { item: item, next: null };
    if (this.head) this.tail.next = entry;
    else this.head = entry;
    this.tail = entry;
  },
  get: function () {
    var entry = this.head;
    if (entry) {
      this.head = entry.next;
      if (this.tail === entry) this.tail = null;
      return entry.item;
    }
  }
};

var queue = Queue$1;

var global$7 = global$r;

var promiseNativeConstructor = global$7.Promise;

/* global Deno -- Deno case */

var engineIsDeno = typeof Deno == 'object' && Deno && typeof Deno.version == 'object';

var IS_DENO$1 = engineIsDeno;
var IS_NODE$2 = engineIsNode;

var engineIsBrowser = !IS_DENO$1 && !IS_NODE$2
  && typeof window == 'object'
  && typeof document == 'object';

var global$6 = global$r;
var NativePromiseConstructor$3 = promiseNativeConstructor;
var isCallable$5 = isCallable$p;
var isForced$1 = isForced_1;
var inspectSource = inspectSource$4;
var wellKnownSymbol$6 = wellKnownSymbol$l;
var IS_BROWSER = engineIsBrowser;
var IS_DENO = engineIsDeno;
var V8_VERSION = engineV8Version;

NativePromiseConstructor$3 && NativePromiseConstructor$3.prototype;
var SPECIES = wellKnownSymbol$6('species');
var SUBCLASSING = false;
var NATIVE_PROMISE_REJECTION_EVENT$1 = isCallable$5(global$6.PromiseRejectionEvent);

var FORCED_PROMISE_CONSTRUCTOR$5 = isForced$1('Promise', function () {
  var PROMISE_CONSTRUCTOR_SOURCE = inspectSource(NativePromiseConstructor$3);
  var GLOBAL_CORE_JS_PROMISE = PROMISE_CONSTRUCTOR_SOURCE !== String(NativePromiseConstructor$3);
  // V8 6.6 (Node 10 and Chrome 66) have a bug with resolving custom thenables
  // https://bugs.chromium.org/p/chromium/issues/detail?id=830565
  // We can't detect it synchronously, so just check versions
  if (!GLOBAL_CORE_JS_PROMISE && V8_VERSION === 66) return true;
  // We can't use @@species feature detection in V8 since it causes
  // deoptimization and performance degradation
  // https://github.com/zloirock/core-js/issues/679
  if (!V8_VERSION || V8_VERSION < 51 || !/native code/.test(PROMISE_CONSTRUCTOR_SOURCE)) {
    // Detect correctness of subclassing with @@species support
    var promise = new NativePromiseConstructor$3(function (resolve) { resolve(1); });
    var FakePromise = function (exec) {
      exec(function () { /* empty */ }, function () { /* empty */ });
    };
    var constructor = promise.constructor = {};
    constructor[SPECIES] = FakePromise;
    SUBCLASSING = promise.then(function () { /* empty */ }) instanceof FakePromise;
    if (!SUBCLASSING) return true;
  // Unhandled rejections tracking support, NodeJS Promise without it fails @@species test
  } return !GLOBAL_CORE_JS_PROMISE && (IS_BROWSER || IS_DENO) && !NATIVE_PROMISE_REJECTION_EVENT$1;
});

var promiseConstructorDetection = {
  CONSTRUCTOR: FORCED_PROMISE_CONSTRUCTOR$5,
  REJECTION_EVENT: NATIVE_PROMISE_REJECTION_EVENT$1,
  SUBCLASSING: SUBCLASSING
};

var newPromiseCapability$2 = {};

var aCallable$6 = aCallable$9;

var PromiseCapability = function (C) {
  var resolve, reject;
  this.promise = new C(function ($$resolve, $$reject) {
    if (resolve !== undefined || reject !== undefined) throw TypeError('Bad Promise constructor');
    resolve = $$resolve;
    reject = $$reject;
  });
  this.resolve = aCallable$6(resolve);
  this.reject = aCallable$6(reject);
};

// `NewPromiseCapability` abstract operation
// https://tc39.es/ecma262/#sec-newpromisecapability
newPromiseCapability$2.f = function (C) {
  return new PromiseCapability(C);
};

var $$d = _export;
var IS_NODE$1 = engineIsNode;
var global$5 = global$r;
var call$a = functionCall;
var defineBuiltIn$6 = defineBuiltIn$b;
var setPrototypeOf$1 = objectSetPrototypeOf;
var setToStringTag$2 = setToStringTag$5;
var setSpecies$1 = setSpecies$2;
var aCallable$5 = aCallable$9;
var isCallable$4 = isCallable$p;
var isObject$3 = isObject$a;
var anInstance$2 = anInstance$3;
var speciesConstructor = speciesConstructor$2;
var task = task$1.set;
var microtask = microtask$1;
var hostReportErrors = hostReportErrors$1;
var perform$2 = perform$3;
var Queue = queue;
var InternalStateModule$3 = internalState;
var NativePromiseConstructor$2 = promiseNativeConstructor;
var PromiseConstructorDetection = promiseConstructorDetection;
var newPromiseCapabilityModule$3 = newPromiseCapability$2;

var PROMISE = 'Promise';
var FORCED_PROMISE_CONSTRUCTOR$4 = PromiseConstructorDetection.CONSTRUCTOR;
var NATIVE_PROMISE_REJECTION_EVENT = PromiseConstructorDetection.REJECTION_EVENT;
var NATIVE_PROMISE_SUBCLASSING = PromiseConstructorDetection.SUBCLASSING;
var getInternalPromiseState = InternalStateModule$3.getterFor(PROMISE);
var setInternalState$3 = InternalStateModule$3.set;
var NativePromisePrototype$1 = NativePromiseConstructor$2 && NativePromiseConstructor$2.prototype;
var PromiseConstructor = NativePromiseConstructor$2;
var PromisePrototype = NativePromisePrototype$1;
var TypeError$3 = global$5.TypeError;
var document$1 = global$5.document;
var process = global$5.process;
var newPromiseCapability$1 = newPromiseCapabilityModule$3.f;
var newGenericPromiseCapability = newPromiseCapability$1;

var DISPATCH_EVENT = !!(document$1 && document$1.createEvent && global$5.dispatchEvent);
var UNHANDLED_REJECTION = 'unhandledrejection';
var REJECTION_HANDLED = 'rejectionhandled';
var PENDING$1 = 0;
var FULFILLED = 1;
var REJECTED = 2;
var HANDLED = 1;
var UNHANDLED = 2;

var Internal, OwnPromiseCapability, PromiseWrapper, nativeThen;

// helpers
var isThenable = function (it) {
  var then;
  return isObject$3(it) && isCallable$4(then = it.then) ? then : false;
};

var callReaction = function (reaction, state) {
  var value = state.value;
  var ok = state.state == FULFILLED;
  var handler = ok ? reaction.ok : reaction.fail;
  var resolve = reaction.resolve;
  var reject = reaction.reject;
  var domain = reaction.domain;
  var result, then, exited;
  try {
    if (handler) {
      if (!ok) {
        if (state.rejection === UNHANDLED) onHandleUnhandled(state);
        state.rejection = HANDLED;
      }
      if (handler === true) result = value;
      else {
        if (domain) domain.enter();
        result = handler(value); // can throw
        if (domain) {
          domain.exit();
          exited = true;
        }
      }
      if (result === reaction.promise) {
        reject(TypeError$3('Promise-chain cycle'));
      } else if (then = isThenable(result)) {
        call$a(then, result, resolve, reject);
      } else resolve(result);
    } else reject(value);
  } catch (error) {
    if (domain && !exited) domain.exit();
    reject(error);
  }
};

var notify = function (state, isReject) {
  if (state.notified) return;
  state.notified = true;
  microtask(function () {
    var reactions = state.reactions;
    var reaction;
    while (reaction = reactions.get()) {
      callReaction(reaction, state);
    }
    state.notified = false;
    if (isReject && !state.rejection) onUnhandled(state);
  });
};

var dispatchEvent = function (name, promise, reason) {
  var event, handler;
  if (DISPATCH_EVENT) {
    event = document$1.createEvent('Event');
    event.promise = promise;
    event.reason = reason;
    event.initEvent(name, false, true);
    global$5.dispatchEvent(event);
  } else event = { promise: promise, reason: reason };
  if (!NATIVE_PROMISE_REJECTION_EVENT && (handler = global$5['on' + name])) handler(event);
  else if (name === UNHANDLED_REJECTION) hostReportErrors('Unhandled promise rejection', reason);
};

var onUnhandled = function (state) {
  call$a(task, global$5, function () {
    var promise = state.facade;
    var value = state.value;
    var IS_UNHANDLED = isUnhandled(state);
    var result;
    if (IS_UNHANDLED) {
      result = perform$2(function () {
        if (IS_NODE$1) {
          process.emit('unhandledRejection', value, promise);
        } else dispatchEvent(UNHANDLED_REJECTION, promise, value);
      });
      // Browsers should not trigger `rejectionHandled` event if it was handled here, NodeJS - should
      state.rejection = IS_NODE$1 || isUnhandled(state) ? UNHANDLED : HANDLED;
      if (result.error) throw result.value;
    }
  });
};

var isUnhandled = function (state) {
  return state.rejection !== HANDLED && !state.parent;
};

var onHandleUnhandled = function (state) {
  call$a(task, global$5, function () {
    var promise = state.facade;
    if (IS_NODE$1) {
      process.emit('rejectionHandled', promise);
    } else dispatchEvent(REJECTION_HANDLED, promise, state.value);
  });
};

var bind$4 = function (fn, state, unwrap) {
  return function (value) {
    fn(state, value, unwrap);
  };
};

var internalReject = function (state, value, unwrap) {
  if (state.done) return;
  state.done = true;
  if (unwrap) state = unwrap;
  state.value = value;
  state.state = REJECTED;
  notify(state, true);
};

var internalResolve = function (state, value, unwrap) {
  if (state.done) return;
  state.done = true;
  if (unwrap) state = unwrap;
  try {
    if (state.facade === value) throw TypeError$3("Promise can't be resolved itself");
    var then = isThenable(value);
    if (then) {
      microtask(function () {
        var wrapper = { done: false };
        try {
          call$a(then, value,
            bind$4(internalResolve, wrapper, state),
            bind$4(internalReject, wrapper, state)
          );
        } catch (error) {
          internalReject(wrapper, error, state);
        }
      });
    } else {
      state.value = value;
      state.state = FULFILLED;
      notify(state, false);
    }
  } catch (error) {
    internalReject({ done: false }, error, state);
  }
};

// constructor polyfill
if (FORCED_PROMISE_CONSTRUCTOR$4) {
  // 25.4.3.1 Promise(executor)
  PromiseConstructor = function Promise(executor) {
    anInstance$2(this, PromisePrototype);
    aCallable$5(executor);
    call$a(Internal, this);
    var state = getInternalPromiseState(this);
    try {
      executor(bind$4(internalResolve, state), bind$4(internalReject, state));
    } catch (error) {
      internalReject(state, error);
    }
  };

  PromisePrototype = PromiseConstructor.prototype;

  // eslint-disable-next-line no-unused-vars -- required for `.length`
  Internal = function Promise(executor) {
    setInternalState$3(this, {
      type: PROMISE,
      done: false,
      notified: false,
      parent: false,
      reactions: new Queue(),
      rejection: false,
      state: PENDING$1,
      value: undefined
    });
  };

  // `Promise.prototype.then` method
  // https://tc39.es/ecma262/#sec-promise.prototype.then
  Internal.prototype = defineBuiltIn$6(PromisePrototype, 'then', function then(onFulfilled, onRejected) {
    var state = getInternalPromiseState(this);
    var reaction = newPromiseCapability$1(speciesConstructor(this, PromiseConstructor));
    state.parent = true;
    reaction.ok = isCallable$4(onFulfilled) ? onFulfilled : true;
    reaction.fail = isCallable$4(onRejected) && onRejected;
    reaction.domain = IS_NODE$1 ? process.domain : undefined;
    if (state.state == PENDING$1) state.reactions.add(reaction);
    else microtask(function () {
      callReaction(reaction, state);
    });
    return reaction.promise;
  });

  OwnPromiseCapability = function () {
    var promise = new Internal();
    var state = getInternalPromiseState(promise);
    this.promise = promise;
    this.resolve = bind$4(internalResolve, state);
    this.reject = bind$4(internalReject, state);
  };

  newPromiseCapabilityModule$3.f = newPromiseCapability$1 = function (C) {
    return C === PromiseConstructor || C === PromiseWrapper
      ? new OwnPromiseCapability(C)
      : newGenericPromiseCapability(C);
  };

  if (isCallable$4(NativePromiseConstructor$2) && NativePromisePrototype$1 !== Object.prototype) {
    nativeThen = NativePromisePrototype$1.then;

    if (!NATIVE_PROMISE_SUBCLASSING) {
      // make `Promise#then` return a polyfilled `Promise` for native promise-based APIs
      defineBuiltIn$6(NativePromisePrototype$1, 'then', function then(onFulfilled, onRejected) {
        var that = this;
        return new PromiseConstructor(function (resolve, reject) {
          call$a(nativeThen, that, resolve, reject);
        }).then(onFulfilled, onRejected);
      // https://github.com/zloirock/core-js/issues/640
      }, { unsafe: true });
    }

    // make `.constructor === Promise` work for native promise-based APIs
    try {
      delete NativePromisePrototype$1.constructor;
    } catch (error) { /* empty */ }

    // make `instanceof Promise` work for native promise-based APIs
    if (setPrototypeOf$1) {
      setPrototypeOf$1(NativePromisePrototype$1, PromisePrototype);
    }
  }
}

$$d({ global: true, constructor: true, wrap: true, forced: FORCED_PROMISE_CONSTRUCTOR$4 }, {
  Promise: PromiseConstructor
});

setToStringTag$2(PromiseConstructor, PROMISE, false);
setSpecies$1(PROMISE);

var wellKnownSymbol$5 = wellKnownSymbol$l;
var Iterators$1 = iterators;

var ITERATOR$4 = wellKnownSymbol$5('iterator');
var ArrayPrototype = Array.prototype;

// check on default Array iterator
var isArrayIteratorMethod$2 = function (it) {
  return it !== undefined && (Iterators$1.Array === it || ArrayPrototype[ITERATOR$4] === it);
};

var classof$2 = classof$7;
var getMethod$2 = getMethod$6;
var Iterators = iterators;
var wellKnownSymbol$4 = wellKnownSymbol$l;

var ITERATOR$3 = wellKnownSymbol$4('iterator');

var getIteratorMethod$4 = function (it) {
  if (it != undefined) return getMethod$2(it, ITERATOR$3)
    || getMethod$2(it, '@@iterator')
    || Iterators[classof$2(it)];
};

var call$9 = functionCall;
var aCallable$4 = aCallable$9;
var anObject$7 = anObject$i;
var tryToString$2 = tryToString$5;
var getIteratorMethod$3 = getIteratorMethod$4;

var $TypeError$3 = TypeError;

var getIterator$3 = function (argument, usingIterator) {
  var iteratorMethod = arguments.length < 2 ? getIteratorMethod$3(argument) : usingIterator;
  if (aCallable$4(iteratorMethod)) return anObject$7(call$9(iteratorMethod, argument));
  throw $TypeError$3(tryToString$2(argument) + ' is not iterable');
};

var call$8 = functionCall;
var anObject$6 = anObject$i;
var getMethod$1 = getMethod$6;

var iteratorClose$2 = function (iterator, kind, value) {
  var innerResult, innerError;
  anObject$6(iterator);
  try {
    innerResult = getMethod$1(iterator, 'return');
    if (!innerResult) {
      if (kind === 'throw') throw value;
      return value;
    }
    innerResult = call$8(innerResult, iterator);
  } catch (error) {
    innerError = true;
    innerResult = error;
  }
  if (kind === 'throw') throw value;
  if (innerError) throw innerResult;
  anObject$6(innerResult);
  return value;
};

var bind$3 = functionBindContext;
var call$7 = functionCall;
var anObject$5 = anObject$i;
var tryToString$1 = tryToString$5;
var isArrayIteratorMethod$1 = isArrayIteratorMethod$2;
var lengthOfArrayLike$3 = lengthOfArrayLike$6;
var isPrototypeOf$3 = objectIsPrototypeOf;
var getIterator$2 = getIterator$3;
var getIteratorMethod$2 = getIteratorMethod$4;
var iteratorClose$1 = iteratorClose$2;

var $TypeError$2 = TypeError;

var Result = function (stopped, result) {
  this.stopped = stopped;
  this.result = result;
};

var ResultPrototype = Result.prototype;

var iterate$2 = function (iterable, unboundFunction, options) {
  var that = options && options.that;
  var AS_ENTRIES = !!(options && options.AS_ENTRIES);
  var IS_RECORD = !!(options && options.IS_RECORD);
  var IS_ITERATOR = !!(options && options.IS_ITERATOR);
  var INTERRUPTED = !!(options && options.INTERRUPTED);
  var fn = bind$3(unboundFunction, that);
  var iterator, iterFn, index, length, result, next, step;

  var stop = function (condition) {
    if (iterator) iteratorClose$1(iterator, 'normal', condition);
    return new Result(true, condition);
  };

  var callFn = function (value) {
    if (AS_ENTRIES) {
      anObject$5(value);
      return INTERRUPTED ? fn(value[0], value[1], stop) : fn(value[0], value[1]);
    } return INTERRUPTED ? fn(value, stop) : fn(value);
  };

  if (IS_RECORD) {
    iterator = iterable.iterator;
  } else if (IS_ITERATOR) {
    iterator = iterable;
  } else {
    iterFn = getIteratorMethod$2(iterable);
    if (!iterFn) throw $TypeError$2(tryToString$1(iterable) + ' is not iterable');
    // optimisation for array iterators
    if (isArrayIteratorMethod$1(iterFn)) {
      for (index = 0, length = lengthOfArrayLike$3(iterable); length > index; index++) {
        result = callFn(iterable[index]);
        if (result && isPrototypeOf$3(ResultPrototype, result)) return result;
      } return new Result(false);
    }
    iterator = getIterator$2(iterable, iterFn);
  }

  next = IS_RECORD ? iterable.next : iterator.next;
  while (!(step = call$7(next, iterator)).done) {
    try {
      result = callFn(step.value);
    } catch (error) {
      iteratorClose$1(iterator, 'throw', error);
    }
    if (typeof result == 'object' && result && isPrototypeOf$3(ResultPrototype, result)) return result;
  } return new Result(false);
};

var wellKnownSymbol$3 = wellKnownSymbol$l;

var ITERATOR$2 = wellKnownSymbol$3('iterator');
var SAFE_CLOSING = false;

try {
  var called = 0;
  var iteratorWithReturn = {
    next: function () {
      return { done: !!called++ };
    },
    'return': function () {
      SAFE_CLOSING = true;
    }
  };
  iteratorWithReturn[ITERATOR$2] = function () {
    return this;
  };
  // eslint-disable-next-line es-x/no-array-from, no-throw-literal -- required for testing
  Array.from(iteratorWithReturn, function () { throw 2; });
} catch (error) { /* empty */ }

var checkCorrectnessOfIteration$1 = function (exec, SKIP_CLOSING) {
  if (!SKIP_CLOSING && !SAFE_CLOSING) return false;
  var ITERATION_SUPPORT = false;
  try {
    var object = {};
    object[ITERATOR$2] = function () {
      return {
        next: function () {
          return { done: ITERATION_SUPPORT = true };
        }
      };
    };
    exec(object);
  } catch (error) { /* empty */ }
  return ITERATION_SUPPORT;
};

var NativePromiseConstructor$1 = promiseNativeConstructor;
var checkCorrectnessOfIteration = checkCorrectnessOfIteration$1;
var FORCED_PROMISE_CONSTRUCTOR$3 = promiseConstructorDetection.CONSTRUCTOR;

var promiseStaticsIncorrectIteration = FORCED_PROMISE_CONSTRUCTOR$3 || !checkCorrectnessOfIteration(function (iterable) {
  NativePromiseConstructor$1.all(iterable).then(undefined, function () { /* empty */ });
});

var $$c = _export;
var call$6 = functionCall;
var aCallable$3 = aCallable$9;
var newPromiseCapabilityModule$2 = newPromiseCapability$2;
var perform$1 = perform$3;
var iterate$1 = iterate$2;
var PROMISE_STATICS_INCORRECT_ITERATION$1 = promiseStaticsIncorrectIteration;

// `Promise.all` method
// https://tc39.es/ecma262/#sec-promise.all
$$c({ target: 'Promise', stat: true, forced: PROMISE_STATICS_INCORRECT_ITERATION$1 }, {
  all: function all(iterable) {
    var C = this;
    var capability = newPromiseCapabilityModule$2.f(C);
    var resolve = capability.resolve;
    var reject = capability.reject;
    var result = perform$1(function () {
      var $promiseResolve = aCallable$3(C.resolve);
      var values = [];
      var counter = 0;
      var remaining = 1;
      iterate$1(iterable, function (promise) {
        var index = counter++;
        var alreadyCalled = false;
        remaining++;
        call$6($promiseResolve, C, promise).then(function (value) {
          if (alreadyCalled) return;
          alreadyCalled = true;
          values[index] = value;
          --remaining || resolve(values);
        }, reject);
      });
      --remaining || resolve(values);
    });
    if (result.error) reject(result.value);
    return capability.promise;
  }
});

var $$b = _export;
var FORCED_PROMISE_CONSTRUCTOR$2 = promiseConstructorDetection.CONSTRUCTOR;
var NativePromiseConstructor = promiseNativeConstructor;
var getBuiltIn$1 = getBuiltIn$8;
var isCallable$3 = isCallable$p;
var defineBuiltIn$5 = defineBuiltIn$b;

var NativePromisePrototype = NativePromiseConstructor && NativePromiseConstructor.prototype;

// `Promise.prototype.catch` method
// https://tc39.es/ecma262/#sec-promise.prototype.catch
$$b({ target: 'Promise', proto: true, forced: FORCED_PROMISE_CONSTRUCTOR$2, real: true }, {
  'catch': function (onRejected) {
    return this.then(undefined, onRejected);
  }
});

// makes sure that native promise-based APIs `Promise#catch` properly works with patched `Promise#then`
if (isCallable$3(NativePromiseConstructor)) {
  var method = getBuiltIn$1('Promise').prototype['catch'];
  if (NativePromisePrototype['catch'] !== method) {
    defineBuiltIn$5(NativePromisePrototype, 'catch', method, { unsafe: true });
  }
}

var $$a = _export;
var call$5 = functionCall;
var aCallable$2 = aCallable$9;
var newPromiseCapabilityModule$1 = newPromiseCapability$2;
var perform = perform$3;
var iterate = iterate$2;
var PROMISE_STATICS_INCORRECT_ITERATION = promiseStaticsIncorrectIteration;

// `Promise.race` method
// https://tc39.es/ecma262/#sec-promise.race
$$a({ target: 'Promise', stat: true, forced: PROMISE_STATICS_INCORRECT_ITERATION }, {
  race: function race(iterable) {
    var C = this;
    var capability = newPromiseCapabilityModule$1.f(C);
    var reject = capability.reject;
    var result = perform(function () {
      var $promiseResolve = aCallable$2(C.resolve);
      iterate(iterable, function (promise) {
        call$5($promiseResolve, C, promise).then(capability.resolve, reject);
      });
    });
    if (result.error) reject(result.value);
    return capability.promise;
  }
});

var $$9 = _export;
var call$4 = functionCall;
var newPromiseCapabilityModule = newPromiseCapability$2;
var FORCED_PROMISE_CONSTRUCTOR$1 = promiseConstructorDetection.CONSTRUCTOR;

// `Promise.reject` method
// https://tc39.es/ecma262/#sec-promise.reject
$$9({ target: 'Promise', stat: true, forced: FORCED_PROMISE_CONSTRUCTOR$1 }, {
  reject: function reject(r) {
    var capability = newPromiseCapabilityModule.f(this);
    call$4(capability.reject, undefined, r);
    return capability.promise;
  }
});

var anObject$4 = anObject$i;
var isObject$2 = isObject$a;
var newPromiseCapability = newPromiseCapability$2;

var promiseResolve$1 = function (C, x) {
  anObject$4(C);
  if (isObject$2(x) && x.constructor === C) return x;
  var promiseCapability = newPromiseCapability.f(C);
  var resolve = promiseCapability.resolve;
  resolve(x);
  return promiseCapability.promise;
};

var $$8 = _export;
var getBuiltIn = getBuiltIn$8;
var FORCED_PROMISE_CONSTRUCTOR = promiseConstructorDetection.CONSTRUCTOR;
var promiseResolve = promiseResolve$1;

getBuiltIn('Promise');

// `Promise.resolve` method
// https://tc39.es/ecma262/#sec-promise.resolve
$$8({ target: 'Promise', stat: true, forced: FORCED_PROMISE_CONSTRUCTOR }, {
  resolve: function resolve(x) {
    return promiseResolve(this, x);
  }
});

var isCallable$2 = isCallable$p;
var isObject$1 = isObject$a;
var setPrototypeOf = objectSetPrototypeOf;

// makes subclassing work correct for wrapped built-ins
var inheritIfRequired$1 = function ($this, dummy, Wrapper) {
  var NewTarget, NewTargetPrototype;
  if (
    // it can work only with native `setPrototypeOf`
    setPrototypeOf &&
    // we haven't completely correct pre-ES6 way for getting `new.target`, so use this
    isCallable$2(NewTarget = dummy.constructor) &&
    NewTarget !== Wrapper &&
    isObject$1(NewTargetPrototype = NewTarget.prototype) &&
    NewTargetPrototype !== Wrapper.prototype
  ) setPrototypeOf($this, NewTargetPrototype);
  return $this;
};

var call$3 = functionCall;
var hasOwn$4 = hasOwnProperty_1;
var isPrototypeOf$2 = objectIsPrototypeOf;
var regExpFlags = regexpFlags$1;

var RegExpPrototype$2 = RegExp.prototype;

var regexpGetFlags = function (R) {
  var flags = R.flags;
  return flags === undefined && !('flags' in RegExpPrototype$2) && !hasOwn$4(R, 'flags') && isPrototypeOf$2(RegExpPrototype$2, R)
    ? call$3(regExpFlags, R) : flags;
};

var defineProperty$2 = objectDefineProperty.f;

var proxyAccessor$1 = function (Target, Source, key) {
  key in Target || defineProperty$2(Target, key, {
    configurable: true,
    get: function () { return Source[key]; },
    set: function (it) { Source[key] = it; }
  });
};

var DESCRIPTORS$3 = descriptors;
var global$4 = global$r;
var uncurryThis$9 = functionUncurryThis;
var isForced = isForced_1;
var inheritIfRequired = inheritIfRequired$1;
var createNonEnumerableProperty = createNonEnumerableProperty$6;
var getOwnPropertyNames = objectGetOwnPropertyNames.f;
var isPrototypeOf$1 = objectIsPrototypeOf;
var isRegExp = isRegexp;
var toString$6 = toString$e;
var getRegExpFlags$1 = regexpGetFlags;
var stickyHelpers = regexpStickyHelpers;
var proxyAccessor = proxyAccessor$1;
var defineBuiltIn$4 = defineBuiltIn$b;
var fails$5 = fails$q;
var hasOwn$3 = hasOwnProperty_1;
var enforceInternalState = internalState.enforce;
var setSpecies = setSpecies$2;
var wellKnownSymbol$2 = wellKnownSymbol$l;
var UNSUPPORTED_DOT_ALL = regexpUnsupportedDotAll;
var UNSUPPORTED_NCG = regexpUnsupportedNcg;

var MATCH = wellKnownSymbol$2('match');
var NativeRegExp = global$4.RegExp;
var RegExpPrototype$1 = NativeRegExp.prototype;
var SyntaxError = global$4.SyntaxError;
var exec$2 = uncurryThis$9(RegExpPrototype$1.exec);
var charAt$3 = uncurryThis$9(''.charAt);
var replace$4 = uncurryThis$9(''.replace);
var stringIndexOf = uncurryThis$9(''.indexOf);
var stringSlice$5 = uncurryThis$9(''.slice);
// TODO: Use only proper RegExpIdentifierName
var IS_NCG = /^\?<[^\s\d!#%&*+<=>@^][^\s!#%&*+<=>@^]*>/;
var re1 = /a/g;
var re2 = /a/g;

// "new" should create a new object, old webkit bug
var CORRECT_NEW = new NativeRegExp(re1) !== re1;

var MISSED_STICKY = stickyHelpers.MISSED_STICKY;
var UNSUPPORTED_Y = stickyHelpers.UNSUPPORTED_Y;

var BASE_FORCED = DESCRIPTORS$3 &&
  (!CORRECT_NEW || MISSED_STICKY || UNSUPPORTED_DOT_ALL || UNSUPPORTED_NCG || fails$5(function () {
    re2[MATCH] = false;
    // RegExp constructor can alter flags and IsRegExp works correct with @@match
    return NativeRegExp(re1) != re1 || NativeRegExp(re2) == re2 || NativeRegExp(re1, 'i') != '/a/i';
  }));

var handleDotAll = function (string) {
  var length = string.length;
  var index = 0;
  var result = '';
  var brackets = false;
  var chr;
  for (; index <= length; index++) {
    chr = charAt$3(string, index);
    if (chr === '\\') {
      result += chr + charAt$3(string, ++index);
      continue;
    }
    if (!brackets && chr === '.') {
      result += '[\\s\\S]';
    } else {
      if (chr === '[') {
        brackets = true;
      } else if (chr === ']') {
        brackets = false;
      } result += chr;
    }
  } return result;
};

var handleNCG = function (string) {
  var length = string.length;
  var index = 0;
  var result = '';
  var named = [];
  var names = {};
  var brackets = false;
  var ncg = false;
  var groupid = 0;
  var groupname = '';
  var chr;
  for (; index <= length; index++) {
    chr = charAt$3(string, index);
    if (chr === '\\') {
      chr = chr + charAt$3(string, ++index);
    } else if (chr === ']') {
      brackets = false;
    } else if (!brackets) switch (true) {
      case chr === '[':
        brackets = true;
        break;
      case chr === '(':
        if (exec$2(IS_NCG, stringSlice$5(string, index + 1))) {
          index += 2;
          ncg = true;
        }
        result += chr;
        groupid++;
        continue;
      case chr === '>' && ncg:
        if (groupname === '' || hasOwn$3(names, groupname)) {
          throw new SyntaxError('Invalid capture group name');
        }
        names[groupname] = true;
        named[named.length] = [groupname, groupid];
        ncg = false;
        groupname = '';
        continue;
    }
    if (ncg) groupname += chr;
    else result += chr;
  } return [result, named];
};

// `RegExp` constructor
// https://tc39.es/ecma262/#sec-regexp-constructor
if (isForced('RegExp', BASE_FORCED)) {
  var RegExpWrapper = function RegExp(pattern, flags) {
    var thisIsRegExp = isPrototypeOf$1(RegExpPrototype$1, this);
    var patternIsRegExp = isRegExp(pattern);
    var flagsAreUndefined = flags === undefined;
    var groups = [];
    var rawPattern = pattern;
    var rawFlags, dotAll, sticky, handled, result, state;

    if (!thisIsRegExp && patternIsRegExp && flagsAreUndefined && pattern.constructor === RegExpWrapper) {
      return pattern;
    }

    if (patternIsRegExp || isPrototypeOf$1(RegExpPrototype$1, pattern)) {
      pattern = pattern.source;
      if (flagsAreUndefined) flags = getRegExpFlags$1(rawPattern);
    }

    pattern = pattern === undefined ? '' : toString$6(pattern);
    flags = flags === undefined ? '' : toString$6(flags);
    rawPattern = pattern;

    if (UNSUPPORTED_DOT_ALL && 'dotAll' in re1) {
      dotAll = !!flags && stringIndexOf(flags, 's') > -1;
      if (dotAll) flags = replace$4(flags, /s/g, '');
    }

    rawFlags = flags;

    if (MISSED_STICKY && 'sticky' in re1) {
      sticky = !!flags && stringIndexOf(flags, 'y') > -1;
      if (sticky && UNSUPPORTED_Y) flags = replace$4(flags, /y/g, '');
    }

    if (UNSUPPORTED_NCG) {
      handled = handleNCG(pattern);
      pattern = handled[0];
      groups = handled[1];
    }

    result = inheritIfRequired(NativeRegExp(pattern, flags), thisIsRegExp ? this : RegExpPrototype$1, RegExpWrapper);

    if (dotAll || sticky || groups.length) {
      state = enforceInternalState(result);
      if (dotAll) {
        state.dotAll = true;
        state.raw = RegExpWrapper(handleDotAll(pattern), rawFlags);
      }
      if (sticky) state.sticky = true;
      if (groups.length) state.groups = groups;
    }

    if (pattern !== rawPattern) try {
      // fails in old engines, but we have no alternatives for unsupported regex syntax
      createNonEnumerableProperty(result, 'source', rawPattern === '' ? '(?:)' : rawPattern);
    } catch (error) { /* empty */ }

    return result;
  };

  for (var keys = getOwnPropertyNames(NativeRegExp), index = 0; keys.length > index;) {
    proxyAccessor(RegExpWrapper, NativeRegExp, keys[index++]);
  }

  RegExpPrototype$1.constructor = RegExpWrapper;
  RegExpWrapper.prototype = RegExpPrototype$1;
  defineBuiltIn$4(global$4, 'RegExp', RegExpWrapper, { constructor: true });
}

// https://tc39.es/ecma262/#sec-get-regexp-@@species
setSpecies('RegExp');

var PROPER_FUNCTION_NAME = functionName.PROPER;
var defineBuiltIn$3 = defineBuiltIn$b;
var anObject$3 = anObject$i;
var $toString$2 = toString$e;
var fails$4 = fails$q;
var getRegExpFlags = regexpGetFlags;

var TO_STRING = 'toString';
var RegExpPrototype = RegExp.prototype;
var n$ToString = RegExpPrototype[TO_STRING];

var NOT_GENERIC = fails$4(function () { return n$ToString.call({ source: 'a', flags: 'b' }) != '/a/b'; });
// FF44- RegExp#toString has a wrong name
var INCORRECT_NAME = PROPER_FUNCTION_NAME && n$ToString.name != TO_STRING;

// `RegExp.prototype.toString` method
// https://tc39.es/ecma262/#sec-regexp.prototype.tostring
if (NOT_GENERIC || INCORRECT_NAME) {
  defineBuiltIn$3(RegExp.prototype, TO_STRING, function toString() {
    var R = anObject$3(this);
    var pattern = $toString$2(R.source);
    var flags = $toString$2(getRegExpFlags(R));
    return '/' + pattern + '/' + flags;
  }, { unsafe: true });
}

const [VALID, INVALID, PENDING, DISABLED] = ['VALID', 'INVALID', 'PENDING', 'DISABLED'];

function find$1(control, path, delimiter) {
  if (path == null) return null;

  if (!Array.isArray(path)) {
    path = path.split(delimiter);
  }

  if (Array.isArray(path) && path.length === 0) return null; // Not using Array.reduce here due to a Chrome 80 bug
  // https://bugs.chromium.org/p/chromium/issues/detail?id=1049982

  let controlToFind = control;
  path.forEach(name => {
    if (controlToFind instanceof FormGroup) {
      controlToFind = name in controlToFind.controls ? controlToFind.controls[name] : null;
    } else {
      controlToFind = null;
    }
  });
  return controlToFind;
}

function mergeErrors(arrayOfErrors) {
  const res = {};
  arrayOfErrors.forEach(errors => {
    if (errors != null) {
      Object.assign(res, errors);
    }
  });
  return Object.keys(res).length === 0 ? null : res;
}

function composeValidators(validators) {
  const presentValidators = validators.filter(validator => validator !== null);

  if (presentValidators.length === 0) {
    return null;
  }

  return function (control) {
    return mergeErrors(presentValidators.map(fn => fn(control)));
  };
}

function composeAsyncValidators(validators) {
  const presentValidators = validators.filter(validator => validator !== null);

  if (presentValidators.length === 0) {
    return null;
  }

  return function (control) {
    return new Promise(resolve => {
      const observables = forkJoin(presentValidators.map(fn => fn(control)));
      observables.subscribe({
        next: errors => {
          resolve(mergeErrors(errors));
        }
      });
    });
  };
}

function coerceToValidator(validator) {
  return isArray$2(validator) ? composeValidators(validator) : validator;
}

function coerceToAsyncValidator(asyncValidator) {
  return isArray$2(asyncValidator) ? composeAsyncValidators(asyncValidator) : asyncValidator;
}

function makeValidatorsArray(validators) {
  if (!validators) {
    return [];
  }

  return isArray$2(validators) ? validators : [validators];
}

function hasValidator(validators, validator) {
  return Array.isArray(validators) ? validators.includes(validator) : validators === validator;
}

function addValidators(validators, currentValidators) {
  const current = makeValidatorsArray(currentValidators);
  const validatorsToAdd = makeValidatorsArray(validators);
  return current.concat(validatorsToAdd.filter(validator => !hasValidator(current, validator)));
}

function removeValidators(validators, currentValidators) {
  return makeValidatorsArray(currentValidators).filter(validator => !hasValidator(validators, validator));
}

class AbstractControl {
  constructor(validators, asyncValidators) {
    Object.defineProperty(this, "_parent", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: null
    });
    Object.defineProperty(this, "_pristine", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: true
    });
    Object.defineProperty(this, "_errors", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: null
    });
    Object.defineProperty(this, "_hasOwnPendingAsyncValidator", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: false
    });
    Object.defineProperty(this, "_asyncValidationSubscription", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: void 0
    });
    Object.defineProperty(this, "_composedValidatorFn", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: void 0
    });
    Object.defineProperty(this, "_composedAsyncValidatorFn", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: void 0
    });
    Object.defineProperty(this, "_rawValidators", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: void 0
    });
    Object.defineProperty(this, "_rawAsyncValidators", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: void 0
    });
    Object.defineProperty(this, "asyncVerifyComplete$", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: new Subject()
    });
    this._rawValidators = validators;
    this._rawAsyncValidators = asyncValidators;
    this._composedValidatorFn = coerceToValidator(this._rawValidators);
    this._composedAsyncValidatorFn = coerceToAsyncValidator(this._rawAsyncValidators);
  }

  get validator() {
    return this._composedValidatorFn;
  }

  set validator(validatorFn) {
    this._rawValidators = this._composedValidatorFn = validatorFn;
  }

  get asyncValidator() {
    return this._composedAsyncValidatorFn;
  }

  set asyncValidator(asyncValidatorFn) {
    this._rawAsyncValidators = this._composedAsyncValidatorFn = asyncValidatorFn;
  }

  get parent() {
    return this._parent;
  }

  get root() {
    let control = this;

    while (control.parent) {
      control = control.parent;
    }

    return control;
  }

  get value() {
    return this._value;
  }

  get status() {
    return this._status;
  }

  get errors() {
    return this._errors;
  }

  get valid() {
    return this._status === VALID;
  }

  get invalid() {
    return this._status === INVALID;
  }

  get pending() {
    return this._status === PENDING;
  }

  get disabled() {
    return this._status === DISABLED;
  }

  get enabled() {
    return this._status !== DISABLED;
  }

  get pristine() {
    return this._pristine;
  }

  get dirty() {
    return !this._pristine;
  }

  setValidators(validators) {
    this._rawValidators = validators;
    this._composedValidatorFn = coerceToValidator(validators);
  }

  setAsyncValidators(validators) {
    this._rawAsyncValidators = validators;
    this._composedAsyncValidatorFn = coerceToAsyncValidator(validators);
  }

  addValidators(validators) {
    this.setValidators(addValidators(validators, this._rawValidators));
  }

  addAsyncValidators(validators) {
    this.setAsyncValidators(addValidators(validators, this._rawAsyncValidators));
  }

  removeValidators(validators) {
    this.setValidators(removeValidators(validators, this._rawValidators));
  }

  removeAsyncValidators(validators) {
    this.setAsyncValidators(removeValidators(validators, this._rawAsyncValidators));
  }

  hasValidator(validator) {
    return hasValidator(this._rawValidators, validator);
  }

  hasAsyncValidator(validator) {
    return hasValidator(this._rawAsyncValidators, validator);
  }

  clearValidators() {
    this.validator = null;
  }

  clearAsyncValidators() {
    this.asyncValidator = null;
  }

  markAsDirty(onlySelf = false) {
    this._pristine = false;

    if (this._parent && !onlySelf) {
      this._parent.markAsDirty(onlySelf);
    }
  }

  markAsPristine(onlySelf = false) {
    this._pristine = true;

    this._forEachChild(control => {
      control.markAsPristine(true);
    });

    if (this._parent && !onlySelf) {
      this._parent._updatePristine(onlySelf);
    }
  }

  markAsPending(onlySelf = false) {
    this._status = PENDING;

    if (this._parent && !onlySelf) {
      this._parent.markAsPending(onlySelf);
    }
  }

  disable(onlySelf = false) {
    // If parent has been marked artificially dirty we don't want to re-calculate the
    // parent's dirtiness based on the children.
    const skipPristineCheck = this._parentMarkedDirty(onlySelf);

    this._status = DISABLED;

    this._forEachChild(control => {
      control.disable(true);
    });

    this._updateAncestors(onlySelf, skipPristineCheck);
  }

  enable(onlySelf = false) {
    // If parent has been marked artificially dirty we don't want to re-calculate the
    // parent's dirtiness based on the children.
    const skipPristineCheck = this._parentMarkedDirty(onlySelf);

    this._status = VALID;

    this._forEachChild(control => {
      control.enable(true);
    });

    this.updateValueAndValidity(true);

    this._updateAncestors(onlySelf, skipPristineCheck);
  }

  setParent(parent) {
    this._parent = parent;
  }

  setErrors(errors) {
    this._errors = errors;

    this._updateControlsErrors();
  }

  updateValueAndValidity(onlySelf = false) {
    this._updateValue();

    if (this.enabled) {
      this._cancelExistingSubscription();

      this._errors = this._runValidator();
      this._status = this._calculateStatus();

      if (this.status === VALID || this.status === PENDING) {
        this._runAsyncValidator();
      }
    }

    if (this._parent && !onlySelf) {
      this._parent.updateValueAndValidity(onlySelf);
    }
  }

  get(path) {
    return find$1(this, path, '.');
  }

  getError(errorCode, path) {
    const control = path ? this.get(path) : this;
    return control && control.errors ? control.errors[errorCode] : null;
  }

  hasError(errorCode, path) {
    return !!this.getError(errorCode, path);
  }

  _isBoxedValue(formState) {
    return typeof formState === 'object' && formState !== null && Object.keys(formState).length === 2 && 'value' in formState && 'disabled' in formState;
  }

  _anyControlsHaveStatus(status) {
    return this._anyControls(control => control.status === status);
  }

  _anyControlsDirty() {
    return this._anyControls(control => control.dirty);
  }

  _parentMarkedDirty(onlySelf) {
    return !!(!onlySelf && this._parent && this._parent.dirty && !this._parent._anyControlsDirty());
  }

  _updatePristine(onlySelf = false) {
    this._pristine = !this._anyControlsDirty();

    if (this._parent && !onlySelf) {
      this._parent._updatePristine(onlySelf);
    }
  }

  _updateControlsErrors() {
    this._status = this._calculateStatus();

    if (this._parent) {
      this._parent._updateControlsErrors();
    }
  }

  _calculateStatus() {
    if (this._allControlsDisabled()) return DISABLED;
    if (this.errors) return INVALID;
    if (this._hasOwnPendingAsyncValidator || this._anyControlsHaveStatus(PENDING)) return PENDING;
    if (this._anyControlsHaveStatus(INVALID)) return INVALID;
    return VALID;
  }

  _updateAncestors(onlySelf, skipPristineCheck) {
    if (this._parent && !onlySelf) {
      this._parent.updateValueAndValidity(onlySelf);

      if (!skipPristineCheck) {
        this._parent._updatePristine();
      }
    }
  }

  _runValidator() {
    return this.validator ? this.validator(this) : null;
  }

  _cancelExistingSubscription() {
    if (this._asyncValidationSubscription) {
      this._asyncValidationSubscription.unsubscribe();

      this._hasOwnPendingAsyncValidator = false;
    }
  }

  _runAsyncValidator() {
    if (this.asyncValidator) {
      this._status = PENDING;
      this._hasOwnPendingAsyncValidator = true;
      this._asyncValidationSubscription = from(this.asyncValidator(this)).subscribe(errors => {
        this._hasOwnPendingAsyncValidator = false; // This will trigger the recalculation of the validation status, which depends on
        // the state of the asynchronous validation (whether it is in progress or not). So, it is
        // necessary that we have updated the `_hasOwnPendingAsyncValidator` boolean flag first.

        this.setErrors(errors);
        this.asyncVerifyComplete$.next(this);
      });
    }
  }

}
class FormControl extends AbstractControl {
  constructor(formState = null, validators, asyncValidator) {
    super(validators !== null && validators !== void 0 ? validators : null, asyncValidator !== null && asyncValidator !== void 0 ? asyncValidator : null);
    Object.defineProperty(this, "_value", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: void 0
    });
    Object.defineProperty(this, "_status", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: VALID
    });

    this._applyFormState(formState);

    this.updateValueAndValidity(true);
  }

  setValue(value, onlySelf) {
    this._value = value;
    this.updateValueAndValidity(onlySelf);
  }

  patchValue(value, onlySelf) {
    this.setValue(value, onlySelf);
  }

  reset(formState = null, onlySelf) {
    if (isString(this.value)) {
      formState = '';
    } else if (isArray$2(this.value)) {
      formState = [];
    }

    this._applyFormState(formState);

    this.markAsPristine(onlySelf);
    this.setValue(this.value, onlySelf);
  }

  _updateValue() {}

  _forEachChild() {}

  _anyControls() {
    return false;
  }

  _allControlsDisabled() {
    return this.disabled;
  }

  _applyFormState(formState) {
    if (this._isBoxedValue(formState)) {
      this._value = formState.value;
      formState.disabled ? this.disable(true) : this.enable(true);
    } else {
      this._value = formState;
    }
  }

}
class FormGroup extends AbstractControl {
  constructor(controls, validators, asyncValidator) {
    super(validators !== null && validators !== void 0 ? validators : null, asyncValidator !== null && asyncValidator !== void 0 ? asyncValidator : null);
    Object.defineProperty(this, "controls", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: controls
    });
    Object.defineProperty(this, "_value", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: void 0
    });
    Object.defineProperty(this, "_status", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: VALID
    });

    this._setUpControls();

    this.updateValueAndValidity(true);
  }

  addControl(name, control) {
    if (!(name in this.controls)) {
      this.controls[name] = control;
      control.setParent(this);
    }

    this.updateValueAndValidity();
  }

  removeControl(name) {
    delete this.controls[name];
    this.updateValueAndValidity();
  }

  setControl(name, control) {
    delete this.controls[name];
    this.addControl(name, control);
    this.updateValueAndValidity();
  }

  contains(controlName) {
    return controlName in this.controls;
  }

  setValue(value, onlySelf) {
    this._checkAllValuesPresent(value);

    Object.keys(value).forEach(name => {
      this._throwIfControlMissing(name);

      this.controls[name].setValue(value[name], true);
    });
    this.updateValueAndValidity(onlySelf);
  }

  patchValue(value, onlySelf) {
    Object.keys(value).forEach(name => {
      if (this.controls[name]) {
        this.controls[name].patchValue(value[name], true);
      }
    });
    this.updateValueAndValidity(onlySelf);
  }

  reset(value = {}, onlySelf) {
    this._forEachChild((control, name) => {
      control.reset(value[name], true);
    });

    this._updatePristine(onlySelf);

    this.updateValueAndValidity(onlySelf);
  }

  _updateValue() {
    this._value = this._reduceValue();
  }

  _forEachChild(cb) {
    Object.keys(this.controls).forEach(key => {
      // The list of controls can change (for ex. controls might be removed) while the loop
      // is running (as a result of invoking Forms API in `valueChanges` subscription), so we
      // have to null check before invoking the callback.
      const control = this.controls[key];
      control && cb(control, key);
    });
  }

  _anyControls(condition) {
    for (const controlName of Object.keys(this.controls)) {
      const control = this.controls[controlName];

      if (this.contains(controlName) && condition(control)) {
        return true;
      }
    }

    return false;
  }

  _allControlsDisabled() {
    for (const controlName of Object.keys(this.controls)) {
      if (this.controls[controlName].enabled) {
        return false;
      }
    }

    return Object.keys(this.controls).length > 0 || this.disabled;
  }

  _setUpControls() {
    this._forEachChild(control => {
      control.setParent(this);
    });
  }

  _reduceValue() {
    return this._reduceChildren({}, (acc, control, name) => {
      acc[name] = control.value;
      return acc;
    });
  }

  _reduceChildren(initValue, fn) {
    let res = initValue;

    this._forEachChild((control, name) => {
      res = fn(res, control, name);
    });

    return res;
  }

  _checkAllValuesPresent(value) {
    this._forEachChild((control, name) => {
      if (value[name] === undefined) {
        throw new Error(`Must supply a value for form control with name: '${name}'.`);
      }
    });
  }

  _throwIfControlMissing(name) {
    if (!Object.keys(this.controls).length) {
      throw new Error(`
        There are no form controls registered with this group yet. If you're using ngModel,
        you may want to check next tick (e.g. use setTimeout).
      `);
    }

    if (!this.controls[name]) {
      throw new Error(`Cannot find form control with name: ${name}.`);
    }
  }

}
class Validators {
  static min(min) {
    return control => {
      if (isString(control.value) || isNumber(control.value)) {
        const value = Number(control.value);

        if (Number.isNaN(value)) {
          return null;
        } else {
          return value < min ? {
            min: {
              min,
              actual: control.value
            }
          } : null;
        }
      }

      return null;
    };
  }

  static max(max) {
    return control => {
      if (isString(control.value) || isNumber(control.value)) {
        const value = Number(control.value);

        if (Number.isNaN(value)) {
          return null;
        } else {
          return value > max ? {
            max: {
              max,
              actual: control.value
            }
          } : null;
        }
      }

      return null;
    };
  }

  static required(control) {
    const isEmpty = isArray$2(control.value) || isString(control.value) ? control.value.length === 0 : isNull(control.value) ? true : false;
    return isEmpty ? {
      required: true
    } : null;
  }

  static email(control) {
    if (isString(control.value) && !/^(?=.{1,254}$)(?=.{1,64}@)[a-zA-Z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-zA-Z0-9!#$%&'*+/=?^_`{|}~-]+)*@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$/.test(control.value)) {
      return {
        email: true
      };
    }

    return null;
  }

  static minLength(minLength) {
    return control => {
      if ((isArray$2(control.value) || isString(control.value)) && control.value.length < minLength) {
        return {
          minLength: {
            minLength,
            actual: control.value.length
          }
        };
      }

      return null;
    };
  }

  static maxLength(maxLength) {
    return control => {
      if ((isArray$2(control.value) || isString(control.value)) && control.value.length > maxLength) {
        return {
          maxLength: {
            maxLength,
            actual: control.value.length
          }
        };
      }

      return null;
    };
  }

  static pattern(pattern) {
    if (!pattern) return () => null;
    let regex;
    let regexStr;

    if (isString(pattern)) {
      regexStr = '';
      if (pattern.charAt(0) !== '^') regexStr += '^';
      regexStr += pattern;
      if (pattern.charAt(pattern.length - 1) !== '$') regexStr += '$';
      regex = new RegExp(regexStr);
    } else {
      regexStr = pattern.toString();
      regex = pattern;
    }

    return control => {
      if ((isString(control.value) || isNumber(control.value)) && !regex.test(control.value.toString())) {
        return {
          pattern: {
            pattern: regexStr,
            actual: control.value
          }
        };
      }

      return null;
    };
  }

}

const {
  COMPONENT_NAME: COMPONENT_NAME$16
} = registerComponentMate({
  COMPONENT_NAME: 'DForm.Item'
});
function DFormItem(props) {
  const _a = useComponentConfig(COMPONENT_NAME$16, props),
        {
    children,
    dFormControls = {},
    dLabel,
    dLabelWidth,
    dLabelExtra,
    dShowRequired,
    dSpan,
    dResponsiveProps
  } = _a,
        restProps = __rest(_a, ["children", "dFormControls", "dLabel", "dLabelWidth", "dLabelExtra", "dShowRequired", "dSpan", "dResponsiveProps"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    dColNum
  } = useGridConfig();
  const {
    gBreakpointMatchs,
    gLabelWidth,
    gLabelColon,
    gRequiredType,
    gLayout,
    gInlineSpan,
    gFeedbackIcon
  } = useContextRequired(DFormContext);
  const formGroup = useContext(DFormGroupContext); //#endregion
  //#region Ref

  const labelRef = useRef(null);
  const contentRef = useRef(null); //#endregion

  const [t] = useTranslation();
  const uniqueId = useId();

  const getErrorId = formControlName => `${dPrefix}form-item-error-${formControlName}-${uniqueId}`;

  const formControls = (() => {
    const obj = {};
    Object.keys(dFormControls).forEach(formControlName => {
      const formControl = formGroup.get(formControlName);

      if (isNull(formControl)) {
        throw new Error(`Cant find '${formControlName}', please check if name exists!`);
      }

      obj[formControlName] = {
        control: formControl,
        wrapperAttrs: {},
        inputAttrs: {
          'aria-invalid': formControl.enabled && formControl.dirty && formControl.invalid
        }
      };
    });
    return obj;
  })();

  const {
    span,
    labelWidth
  } = (() => {
    const props = {
      span: dSpan !== null && dSpan !== void 0 ? dSpan : gLayout === 'inline' ? gInlineSpan : dColNum,
      labelWidth: dLabelWidth !== null && dLabelWidth !== void 0 ? dLabelWidth : gLabelWidth
    };

    if (dResponsiveProps) {
      const mergeProps = (point, targetKey, sourceKey) => {
        const value = dResponsiveProps[point][sourceKey];

        if (!isUndefined(value)) {
          props[targetKey] = value;
        }
      };

      for (const breakpoint of gBreakpointMatchs) {
        if (breakpoint in dResponsiveProps) {
          mergeProps(breakpoint, 'span', 'dSpan');
          mergeProps(breakpoint, 'labelWidth', 'dLabelWidth');
          break;
        }
      }
    }

    return props;
  })();

  const prevErrors = useRef([]);

  const [errorNodes, formItemStatus] = (() => {
    const errors = [];
    let formItemStatus;
    Object.entries(dFormControls).forEach(([formControlName, errorInfo]) => {
      const {
        control
      } = formControls[formControlName];

      if (control.enabled && control.dirty) {
        let status = 'success';

        if (control.status === 'PENDING') {
          status = formItemStatus = 'pending';
        } else if (control.status === 'INVALID') {
          status = 'warning';

          if (formItemStatus !== 'pending' && formItemStatus !== 'error') {
            formItemStatus = 'warning';
          }
        } else if (control.status === 'VALID') {
          status = 'success';

          if (formItemStatus === undefined) {
            formItemStatus = 'success';
          }
        }

        let hasError = false;

        if (control.invalid && control.errors) {
          if (isString(errorInfo)) {
            errors.push({
              key: formControlName,
              formControlName,
              message: errorInfo,
              status: 'error'
            });
            hasError = true;
          } else if (Object.keys(errorInfo).length === 2 && 'message' in errorInfo && 'status' in errorInfo) {
            errors.push(Object.assign({
              key: formControlName,
              formControlName
            }, errorInfo));

            if (errorInfo.status === 'error') {
              hasError = true;
            }
          } else if (control.errors) {
            for (const key of Object.keys(control.errors)) {
              if (key in errorInfo) {
                if (isString(errorInfo[key])) {
                  errors.push({
                    key: `${formControlName}-${key}`,
                    formControlName,
                    message: errorInfo[key],
                    status: 'error'
                  });
                  hasError = true;
                } else {
                  errors.push(Object.assign({
                    key: `${formControlName}-${key}`,
                    formControlName
                  }, errorInfo[key]));

                  if (errorInfo[key].status === 'error') {
                    hasError = true;
                  }
                }
              }
            }
          }
        }

        if (hasError) {
          if (status === 'warning') {
            status = 'error';
          }

          if (formItemStatus === 'warning') {
            formItemStatus = 'error';
          }
        }

        if (status !== 'success') {
          formControls[formControlName].wrapperAttrs[`data-form-invalid-${status}`] = true;
        }
      }
    });
    prevErrors.current.forEach((error, inedx) => {
      if (errors.findIndex(item => item.key === error.key) === -1) {
        errors.splice(inedx, 0, Object.assign(Object.assign({}, error), {
          hidden: true
        }));
      }
    });
    prevErrors.current = errors;
    const errorNames = new Set(errors.map(item => item.formControlName));
    const errorNodes = [];
    errorNames.forEach(formControlName => {
      const id = getErrorId(formControlName);
      formControls[formControlName].inputAttrs['aria-describedby'] = id;
      errorNodes.push(jsx("div", Object.assign({
        id: id
      }, {
        children: errors.filter(item => item.formControlName === formControlName).map(error => jsx(DError, {
          dVisible: !error.hidden,
          dMessage: error.message,
          dStatus: error.status,
          onHidden: () => {
            prevErrors.current = prevErrors.current.filter(item => item.key !== error.key);
          }
        }, error.key))
      }), formControlName));
    });
    return [errorNodes, formItemStatus];
  })();

  const required = (() => {
    if (isBoolean(dShowRequired)) {
      return dShowRequired;
    }

    for (const {
      control
    } of Object.values(formControls)) {
      if (control.hasValidator(Validators.required)) {
        return true;
      }
    }

    return false;
  })();

  const feedbackIcon = (() => {
    var _a;

    if (isUndefined(formItemStatus)) {
      return null;
    } else {
      const statusIcons = {
        pending: jsx(LoadingOutlined, {
          dSpin: true
        }),
        error: jsx(CloseCircleFilled, {}),
        warning: jsx(ExclamationCircleFilled, {}),
        success: jsx(CheckCircleFilled, {})
      };

      if (isBoolean(gFeedbackIcon)) {
        return statusIcons[formItemStatus];
      } else {
        return (_a = gFeedbackIcon[formItemStatus]) !== null && _a !== void 0 ? _a : statusIcons[formItemStatus];
      }
    }
  })();

  const extraNode = (() => {
    if (dLabelExtra) {
      return dLabelExtra.map((extra, index) => {
        var _a;

        return isString(extra) ? jsx("div", {
          children: extra
        }, index) : jsx(DTooltip, Object.assign({
          dTitle: extra.title
        }, {
          children: (_a = extra.icon) !== null && _a !== void 0 ? _a : jsx(QuestionCircleOutlined, {
            style: {
              cursor: 'pointer'
            },
            dSize: "1.1em"
          })
        }), index);
      });
    }
  })();

  const contentWidth = gLayout === 'vertical' ? '100%' : `calc(100% - ${isNumber(labelWidth) ? labelWidth + 'px' : labelWidth})`;
  useEffect(() => {
    if (labelRef.current && contentRef.current) {
      const el = contentRef.current.querySelector(`[data-form-label-for="true"]`);

      if (el) {
        labelRef.current.setAttribute('for', el.id);
      }
    }
  });
  return jsxs("div", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}form__item`, {
      [`${dPrefix}form__item--vertical`]: gLayout === 'vertical'
    }),
    style: Object.assign(Object.assign({}, restProps.style), {
      flexGrow: span === true ? 1 : undefined,
      flexShrink: span === true ? undefined : 0,
      width: span === true ? undefined : isNumber(span) ? `calc((100% / ${dColNum}) * ${span})` : span
    })
  }, {
    children: [jsxs("div", Object.assign({
      className: `${dPrefix}form__item-container`
    }, {
      children: [labelWidth !== 0 && (dLabel ? jsxs("label", Object.assign({
        ref: labelRef,
        className: getClassName(`${dPrefix}form__item-label`, {
          [`${dPrefix}form__item-label--required`]: gRequiredType === 'required' && required,
          [`${dPrefix}form__item-label--colon`]: gLabelColon
        }),
        style: {
          width: gLayout === 'vertical' ? undefined : labelWidth
        }
      }, {
        children: [dLabel, (extraNode || gRequiredType === 'optional' && !required) && jsxs("div", Object.assign({
          className: `${dPrefix}form__item-label-extra`
        }, {
          children: [extraNode, gRequiredType === 'optional' && !required && jsx("div", {
            children: t('Form', 'Optional')
          })]
        }))]
      })) : jsx("div", {
        style: {
          width: labelWidth
        }
      })), jsxs("div", Object.assign({
        ref: contentRef,
        className: `${dPrefix}form__item-content`,
        style: {
          width: contentWidth
        }
      }, {
        children: [formItemStatus === 'pending' && jsxs(Fragment, {
          children: [jsx("div", {
            className: getClassName(`${dPrefix}form__pending`, `${dPrefix}form__pending--1`)
          }), jsx("div", {
            className: getClassName(`${dPrefix}form__pending`, `${dPrefix}form__pending--2`)
          }), jsx("div", {
            className: getClassName(`${dPrefix}form__pending`, `${dPrefix}form__pending--3`)
          }), jsx("div", {
            className: getClassName(`${dPrefix}form__pending`, `${dPrefix}form__pending--4`)
          })]
        }), isFunction(children) ? children(formControls) : children]
      })), gFeedbackIcon && jsx("div", Object.assign({
        className: getClassName(`${dPrefix}form__feedback-icon`, {
          [`is-${formItemStatus}`]: formItemStatus
        })
      }, {
        children: feedbackIcon
      }))]
    })), jsx("div", Object.assign({
      className: `${dPrefix}form__error-container`,
      style: {
        width: contentWidth
      }
    }, {
      children: errorNodes
    }))]
  }));
}

const DFormContext = /*#__PURE__*/React.createContext(null);
const {
  COMPONENT_NAME: COMPONENT_NAME$15
} = registerComponentMate({
  COMPONENT_NAME: 'DForm'
});
const DForm = props => {
  var _a;

  const _b = useComponentConfig(COMPONENT_NAME$15, props),
        {
    children,
    dForm,
    dLabelWidth,
    dLabelColon,
    dRequiredType = 'required',
    dLayout = 'horizontal',
    dInlineSpan = 6,
    dFeedbackIcon = false,
    dSize,
    dResponsiveProps
  } = _b,
        restProps = __rest(_b, ["children", "dForm", "dLabelWidth", "dLabelColon", "dRequiredType", "dLayout", "dInlineSpan", "dFeedbackIcon", "dSize", "dResponsiveProps"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const mediaMatch = useMediaMatch();
  const contextValue = useMemo(() => {
    const contextValue = {
      gInstance: dForm,
      gBreakpointMatchs: mediaMatch,
      gLabelWidth: dLabelWidth !== null && dLabelWidth !== void 0 ? dLabelWidth : 150,
      gLabelColon: dLabelColon !== null && dLabelColon !== void 0 ? dLabelColon : true,
      gRequiredType: dRequiredType,
      gLayout: dLayout,
      gInlineSpan: dInlineSpan,
      gFeedbackIcon: dFeedbackIcon,
      gSize: dSize
    };

    if (dResponsiveProps) {
      const mergeProps = (point, targetKey, sourceKey) => {
        const value = dResponsiveProps[point][sourceKey];

        if (!isUndefined(value)) {
          contextValue[targetKey] = value;
        }
      };

      for (const breakpoint of mediaMatch) {
        if (breakpoint in dResponsiveProps) {
          mergeProps(breakpoint, 'gLabelWidth', 'dLabelWidth');
          mergeProps(breakpoint, 'gLayout', 'dLayout');
          mergeProps(breakpoint, 'gInlineSpan', 'dInlineSpan');
          break;
        }
      }
    }

    contextValue.gLabelWidth = dLabelWidth !== null && dLabelWidth !== void 0 ? dLabelWidth : contextValue.gLayout === 'vertical' ? '100%' : 150;
    contextValue.gLabelColon = dLabelColon !== null && dLabelColon !== void 0 ? dLabelColon : contextValue.gLayout === 'vertical' ? false : true;
    return contextValue;
  }, [dForm, mediaMatch, dLabelWidth, dLabelColon, dRequiredType, dLayout, dInlineSpan, dFeedbackIcon, dSize, dResponsiveProps]);
  return jsx(DFormContext.Provider, Object.assign({
    value: contextValue
  }, {
    children: jsx(DFormGroupContext.Provider, Object.assign({
      value: dForm.form
    }, {
      children: jsx("form", Object.assign({}, restProps, {
        className: getClassName(restProps.className, `${dPrefix}form`, {
          [`${dPrefix}form--${dSize}`]: dSize,
          [`${dPrefix}form--${dLayout}`]: dLayout
        }),
        autoComplete: (_a = restProps.autoComplete) !== null && _a !== void 0 ? _a : 'off',
        onSubmit: e => {
          var _a;

          (_a = restProps.onSubmit) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
          e.preventDefault();
          e.stopPropagation();
        }
      }, {
        children: children
      }))
    }))
  }));
};
DForm.Group = DFormGroup;
DForm.Item = DFormItem;

function useForm(initData) {
  const [form, setForm] = useState(() => initData());
  const [formChange, setFormChange] = useState(0);

  const updateForm = () => {
    setFormChange(n => n + 1);
  };

  const initForm = () => {
    const data = initData();
    setForm(data);
    updateForm();
  };

  const formInstance = useMemo(() => ({
    form,
    initForm,
    updateForm
  }), // eslint-disable-next-line react-hooks/exhaustive-deps
  [formChange]);
  return formInstance;
}
function useFormControl(formControl) {
  const {
    gInstance: formInstance
  } = useContextOptional(DFormContext);
  const control = formControl === null || formControl === void 0 ? void 0 : formControl.control;
  const changeValue = useEventCallback(val => {
    if (control) {
      control.markAsDirty(true);
      control.setValue(val);
      formInstance === null || formInstance === void 0 ? void 0 : formInstance.updateForm();
    }
  });
  useEffect(() => {
    if (control) {
      const ob = control.asyncVerifyComplete$.subscribe({
        next: val => {
          if (val.dirty) {
            formInstance === null || formInstance === void 0 ? void 0 : formInstance.updateForm();
          }
        }
      });
      return () => {
        ob.unsubscribe();
      };
    }
  }, [control, formInstance]);
  return control ? [control.value, changeValue] : undefined;
}

function DBaseDesign(props) {
  const {
    children,
    dCompose,
    dFormControl
  } = props;
  const composeContext = useContext(DComposeContext);
  const formContext = useContext(DFormContext);
  const supportCompose = composeContext && dCompose;
  const supportForm = formContext && dFormControl;
  let dataAttrs = {};

  if (supportCompose) {
    dataAttrs = Object.assign(dataAttrs, {
      'data-compose-support': true,
      'data-compose-support-active': dCompose.active,
      'data-compose-support-disabled': dCompose.disabled
    });
  }

  if (supportForm) {
    dataAttrs = Object.assign(dataAttrs, dFormControl.wrapperAttrs);
  }

  return /*#__PURE__*/React.cloneElement(children, Object.assign(Object.assign({}, children.props), dataAttrs));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$14
} = registerComponentMate({
  COMPONENT_NAME: 'DCompose.Item'
});
function DComposeItem(props) {
  const _a = useComponentConfig(COMPONENT_NAME$14, props),
        {
    children,
    dGray = false
  } = _a,
        restProps = __rest(_a, ["children", "dGray"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    gSize,
    gDisabled
  } = useGeneralContext(); //#endregion

  return jsx(DBaseDesign, Object.assign({
    dCompose: {
      disabled: true
    }
  }, {
    children: jsx("div", Object.assign({}, restProps, {
      className: getClassName(restProps.className, `${dPrefix}compose-item`, {
        [`${dPrefix}compose-item--${gSize}`]: gSize,
        [`${dPrefix}compose-item--gray`]: dGray,
        'is-disabled': gDisabled
      })
    }, {
      children: children
    }))
  }));
}

const DComposeContext = /*#__PURE__*/React.createContext(null);
const {
  COMPONENT_NAME: COMPONENT_NAME$13
} = registerComponentMate({
  COMPONENT_NAME: 'DCompose'
});

function Compose(props, ref) {
  var _a;

  const _b = useComponentConfig(COMPONENT_NAME$13, props),
        {
    children,
    dSize,
    dVertical = false,
    dDisabled = false
  } = _b,
        restProps = __rest(_b, ["children", "dSize", "dVertical", "dDisabled"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    gSize,
    gDisabled
  } = useGeneralContext(); //#endregion
  //#region Ref

  const elRef = useRef(null); //#endregion

  const combineElRef = useForkRef(elRef, ref);
  const size = dSize !== null && dSize !== void 0 ? dSize : gSize;
  const disabled = dDisabled || gDisabled;
  const contextValue = useMemo(() => ({
    gSize: size,
    gDisabled: disabled
  }), [disabled, size]);
  return jsx(DComposeContext.Provider, Object.assign({
    value: contextValue
  }, {
    children: jsx("div", Object.assign({}, restProps, {
      ref: combineElRef,
      className: getClassName(restProps.className, `${dPrefix}compose`, {
        [`${dPrefix}compose--vertical`]: dVertical
      }),
      role: (_a = restProps.role) !== null && _a !== void 0 ? _a : 'group'
    }, {
      children: children
    }))
  }));
}

const DCompose = /*#__PURE__*/React.forwardRef(Compose);
DCompose.Item = DComposeItem;

function useGeneralContext() {
  var _a;

  const composeContext = useContext(DComposeContext);
  const formContext = useContext(DFormContext);
  return {
    gSize: (_a = composeContext === null || composeContext === void 0 ? void 0 : composeContext.gSize) !== null && _a !== void 0 ? _a : formContext === null || formContext === void 0 ? void 0 : formContext.gSize,
    gDisabled: composeContext === null || composeContext === void 0 ? void 0 : composeContext.gDisabled
  };
}

const MAX_INDEX_MANAGER = {
  record: {},

  getMaxIndex(id) {
    let maxZIndex = 0;
    Object.values(this.record).forEach(num => {
      maxZIndex = Math.max(maxZIndex, num);
    });
    maxZIndex += 1;
    this.record[id] = maxZIndex;
    return maxZIndex;
  },

  deleteRecord(id) {
    delete this.record[id];
  }

};
function useMaxIndex(condition) {
  const dPrefix = usePrefixConfig();
  const prevIndex = useRef();
  const id = useId();
  const zIndex = useMemo(() => {
    MAX_INDEX_MANAGER.deleteRecord(id);

    if (condition) {
      const maxZIndex = MAX_INDEX_MANAGER.getMaxIndex(id);
      return `calc(var(--${dPrefix}zindex-fixed) + ${maxZIndex})`;
    }

    return prevIndex.current;
  }, [condition, dPrefix, id]);
  prevIndex.current = zIndex;
  useUnmount(() => {
    MAX_INDEX_MANAGER.deleteRecord(id);
  });
  return zIndex;
}

function useWave() {
  const dPrefix = usePrefixConfig();
  const wave$ = useEventNotify();
  const [node, setNode] = useState(null);
  useEffect(() => {
    const ob = wave$.subscribe({
      next: ({
        color,
        animation
      }) => {
        setNode( /*#__PURE__*/React.createElement('div', {
          key: Math.random(),
          className: `${dPrefix}wave`,
          style: {
            [`--${dPrefix}wave-color`]: color,
            animation
          },
          onAnimationEnd: e => {
            if (e.animationName === 'wave-fade-out') {
              setNode(null);
            }
          }
        }));
      }
    });
    return () => {
      ob.unsubscribe();
    };
  }, [dPrefix, wave$]);
  return [node, (color, animation) => wave$.next({
    color,
    animation
  })];
}

const {
  COMPONENT_NAME: COMPONENT_NAME$12
} = registerComponentMate({
  COMPONENT_NAME: 'DAccordion'
});
function DAccordion(props) {
  const _a = useComponentConfig(COMPONENT_NAME$12, props),
        {
    dList,
    dActive,
    dActiveOne = false,
    dArrow = 'right',
    onActiveChange,
    afterActiveChange
  } = _a,
        restProps = __rest(_a, ["dList", "dActive", "dActiveOne", "dArrow", "onActiveChange", "afterActiveChange"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const uniqueId = useId();

  const getButtonId = id => `${dPrefix}accordion-button-${id}-${uniqueId}`;

  const getRegionId = id => `${dPrefix}accordion-region-${id}-${uniqueId}`;

  const [activeId, changeActiveId] = useDValue(dActiveOne ? null : [], dActive, id => {
    if (onActiveChange) {
      if (dActiveOne) {
        onActiveChange(id, isNull(id) ? null : dList.find(a => a.id === id));
      } else {
        let length = id.length;
        const items = [];

        const reduceArr = arr => {
          for (const item of arr) {
            if (length === 0) {
              break;
            }

            const index = id.findIndex(v => v === item.id);

            if (index !== -1) {
              items[index] = item;
              length -= 1;
            }
          }
        };

        reduceArr(dList);
        onActiveChange(id, items);
      }
    }
  });
  return jsx("div", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}accordion`)
  }, {
    children: dList.map((item, index) => {
      const {
        id: itemId,
        title: itemTitle,
        region: itemRegion,
        arrow: itemArrow = dArrow,
        disabled: itemDisabled = false
      } = item;

      const getAccordion = (next, _index = index) => {
        for (let focusIndex = next ? _index + 1 : _index - 1, n = 0; n < dList.length; next ? focusIndex++ : focusIndex--, n++) {
          const t = nth(dList, focusIndex % dList.length);

          if (t && !t.disabled) {
            return t;
          }
        }
      };

      const focusTab = t => {
        if (t) {
          const el = document.getElementById(getButtonId(t.id));

          if (el) {
            el.focus();
          }
        }
      };

      const buttonId = getButtonId(itemId);
      const regionId = getRegionId(itemId);
      const isActive = dActiveOne ? activeId === itemId : activeId.includes(itemId);

      const iconRotate = (() => {
        if (itemArrow === 'left' && !isActive) {
          return -90;
        }

        if (itemArrow === 'right' && isActive) {
          return 180;
        }

        return undefined;
      })();

      const handleClick = () => {
        if (dActiveOne) {
          changeActiveId(isActive ? null : itemId);
        } else {
          changeActiveId(draft => {
            const index = draft.findIndex(v => v === itemId);

            if (index !== -1) {
              draft.splice(index, 1);
            } else {
              draft.push(itemId);
            }
          });
        }
      };

      return jsxs("div", Object.assign({
        className: getClassName(`${dPrefix}accordion__container`, {
          [`${dPrefix}accordion__container--last`]: index === dList.length - 1
        })
      }, {
        children: [jsxs("div", Object.assign({
          id: buttonId,
          className: getClassName(`${dPrefix}accordion__button`, {
            [`${dPrefix}accordion__button--arrow-left`]: itemArrow === 'left',
            'is-disabled': itemDisabled
          }),
          tabIndex: itemDisabled ? -1 : 0,
          role: "button",
          "aria-controls": regionId,
          "aria-expanded": isActive,
          "aria-disabled": itemDisabled,
          onClick: handleClick,
          onKeyDown: e => {
            switch (e.code) {
              case 'Enter':
              case 'Space':
                e.preventDefault();
                handleClick();
                break;

              case 'ArrowUp':
                e.preventDefault();
                focusTab(getAccordion(false));
                break;

              case 'ArrowDown':
                e.preventDefault();
                focusTab(getAccordion(true));
                break;

              case 'Home':
                e.preventDefault();

                for (const a of dList) {
                  if (!a.disabled) {
                    focusTab(a);
                    break;
                  }
                }

                break;

              case 'End':
                e.preventDefault();

                for (let index = dList.length - 1; index >= 0; index--) {
                  if (!dList[index].disabled) {
                    focusTab(dList[index]);
                    break;
                  }
                }

                break;
            }
          }
        }, {
          children: [jsx("div", Object.assign({
            className: `${dPrefix}accordion__title`
          }, {
            children: itemTitle
          })), itemArrow && jsx(DownOutlined, {
            className: `${dPrefix}accordion__arrow`,
            dRotate: iconRotate
          })]
        })), jsx(DCollapseTransition, Object.assign({
          dSize: 0,
          dIn: isActive,
          dDuring: TTANSITION_DURING_BASE,
          dStyles: {
            enter: {
              opacity: 0
            },
            entering: {
              transition: ['height', 'padding', 'margin', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-out`).join(', ')
            },
            leaving: {
              opacity: 0,
              transition: ['height', 'padding', 'margin', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-in`).join(', ')
            },
            leaved: {
              display: 'none'
            }
          },
          afterEnter: () => {
            afterActiveChange === null || afterActiveChange === void 0 ? void 0 : afterActiveChange(itemId, item, true);
          },
          afterLeave: () => {
            afterActiveChange === null || afterActiveChange === void 0 ? void 0 : afterActiveChange(itemId, item, false);
          }
        }, {
          children: (ref, collapseStyle) => jsx("div", Object.assign({
            ref: ref,
            id: regionId,
            className: `${dPrefix}accordion__region`,
            style: collapseStyle,
            role: "region",
            "aria-labelledby": getButtonId(itemId)
          }, {
            children: itemRegion
          }))
        }))]
      }), itemId);
    })
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$11
} = registerComponentMate({
  COMPONENT_NAME: 'DAffix'
});

function Affix(props, ref) {
  const _a = useComponentConfig(COMPONENT_NAME$11, props),
        {
    children,
    dContainer,
    dTop = 0,
    dZIndex
  } = _a,
        restProps = __rest(_a, ["children", "dContainer", "dTop", "dZIndex"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    dScrollEl,
    dResizeEl
  } = useLayout(); //#endregion
  //#region Ref

  const affixRef = useRef(null);
  const referenceRef = useRef(null); //#endregion

  const asyncCapture = useAsync();
  const scrollEl = useElement(dScrollEl);
  const resizeEl = useElement(dResizeEl);
  const containerEl = useElement(isUndefined(dContainer) || dContainer === false ? () => {
    if (isUndefined(dContainer)) {
      let el = document.getElementById(`${dPrefix}affix-root`);

      if (!el) {
        el = document.createElement('div');
        el.id = `${dPrefix}affix-root`;
        document.body.appendChild(el);
      }

      return el;
    }

    return null;
  } : dContainer);
  const [stickyStyle, setStickyStyle] = useState();
  const [referenceStyle, setReferenceStyle] = useState();
  const [sticky, setSticky] = useState(false);
  const updatePosition = useEventCallback(() => {
    const offsetEl = sticky ? referenceRef.current : affixRef.current;

    if (offsetEl) {
      const offsetRect = offsetEl.getBoundingClientRect();
      let containerTop = 0;

      if (!isUndefined(dContainer) && containerEl) {
        containerTop = containerEl.getBoundingClientRect().top;
      }

      const top = isString(dTop) ? toPx(dTop, true) : dTop;
      const sticky = offsetRect.top - containerTop <= top;

      if (sticky) {
        setStickyStyle({
          position: 'fixed',
          zIndex: dZIndex !== null && dZIndex !== void 0 ? dZIndex : `var(--${dPrefix}zindex-sticky)`,
          width: offsetRect.width,
          height: offsetRect.height,
          left: offsetRect.left,
          top: top + containerTop
        });
        setReferenceStyle({
          width: offsetRect.width,
          height: offsetRect.height
        });
      }

      setSticky(sticky);
    }
  });
  useIsomorphicLayoutEffect(() => {
    updatePosition(); // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);
  useEffect(() => {
    if (!isUndefined(dContainer) && containerEl) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      asyncGroup.fromEvent(containerEl, 'scroll', {
        passive: true
      }).subscribe({
        next: () => {
          updatePosition();
        }
      });
      asyncGroup.onResize(containerEl, () => {
        updatePosition();
      });
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, containerEl, dContainer, updatePosition]);
  useEffect(() => {
    if (scrollEl) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      asyncGroup.fromEvent(scrollEl, 'scroll', {
        passive: true
      }).subscribe({
        next: () => {
          updatePosition();
        }
      });
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, scrollEl, updatePosition]);
  useEffect(() => {
    if (resizeEl) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      asyncGroup.onResize(resizeEl, () => {
        updatePosition();
      });
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, resizeEl, updatePosition]);
  useImperativeHandle(ref, () => ({
    sticky,
    updatePosition
  }), [sticky, updatePosition]);
  return jsxs(Fragment, {
    children: [sticky && jsx("div", Object.assign({}, restProps, {
      ref: referenceRef,
      className: getClassName(restProps.className, `${dPrefix}affix`),
      style: Object.assign(Object.assign(Object.assign({}, restProps.style), referenceStyle), {
        visibility: 'hidden'
      }),
      "aria-hidden": true
    })), jsx("div", Object.assign({}, restProps, {
      ref: affixRef,
      className: getClassName(restProps.className, `${dPrefix}affix`),
      style: Object.assign(Object.assign({}, restProps.style), sticky ? stickyStyle : {})
    }, {
      children: children
    }))]
  });
}

const DAffix = /*#__PURE__*/React.forwardRef(Affix);

function Panel$3(props, ref) {
  var _a, _b;

  const {
    dClassNamePrefix,
    dType,
    dIcon,
    dTitle,
    dDescription,
    dActions = ['close'],
    onClose
  } = props,
        restProps = __rest(props, ["dClassNamePrefix", "dType", "dIcon", "dTitle", "dDescription", "dActions", "onClose"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const prefix = `${dPrefix}${dClassNamePrefix}`;
  const [t] = useTranslation();
  const uniqueId = useId();
  const titleId = `${prefix}-title-${uniqueId}`;
  const contentId = `${prefix}-content-${uniqueId}`;
  return jsxs("div", Object.assign({}, restProps, {
    ref: ref,
    className: getClassName(restProps.className, prefix, {
      [`t-${dType === 'info' ? 'primary' : dType === 'error' ? 'danger' : dType}`]: dType
    }),
    "aria-labelledby": (_a = restProps['aria-labelledby']) !== null && _a !== void 0 ? _a : titleId,
    "aria-describedby": (_b = restProps['aria-describedby']) !== null && _b !== void 0 ? _b : contentId
  }, {
    children: [dIcon !== false && (!isUndefined(dType) || checkNodeExist(dIcon)) && jsx("div", Object.assign({
      className: `${prefix}__icon`
    }, {
      children: checkNodeExist(dIcon) ? dIcon : /*#__PURE__*/React.createElement(dType === 'success' ? CheckCircleOutlined : dType === 'warning' ? WarningOutlined : dType === 'error' ? CloseCircleOutlined : ExclamationCircleOutlined)
    })), jsxs("div", Object.assign({
      id: contentId,
      className: `${prefix}__content`
    }, {
      children: [jsxs("div", Object.assign({
        className: `${prefix}__header`
      }, {
        children: [jsx("div", Object.assign({
          id: titleId,
          className: `${prefix}__title`
        }, {
          children: dTitle
        })), jsx("div", Object.assign({
          className: `${prefix}__header-actions`
        }, {
          children: React.Children.map(dActions, action => action === 'close' ? jsx("button", Object.assign({
            className: `${prefix}__close`,
            "aria-label": t('Close'),
            onClick: onClose
          }, {
            children: jsx(CloseOutlined, {
              dSize: "1.2em"
            })
          }), "$$close") : action)
        }))]
      })), checkNodeExist(dDescription) && jsx("div", Object.assign({
        className: `${prefix}__description`
      }, {
        children: dDescription
      }))]
    }))]
  }));
}

const DPanel$5 = /*#__PURE__*/React.forwardRef(Panel$3);

function Panel$2(props, ref) {
  var _a;

  const {
    dClassNamePrefix,
    dType,
    dIcon,
    dContent,
    dActions = ['close'],
    onClose
  } = props,
        restProps = __rest(props, ["dClassNamePrefix", "dType", "dIcon", "dContent", "dActions", "onClose"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const prefix = `${dPrefix}${dClassNamePrefix}`;
  const [t] = useTranslation();
  const uniqueId = useId();
  const contentId = `${prefix}-content-${uniqueId}`;
  return jsxs("div", Object.assign({}, restProps, {
    ref: ref,
    className: getClassName(restProps.className, prefix, {
      [`t-${dType === 'info' ? 'primary' : dType === 'error' ? 'danger' : dType}`]: dType
    }),
    "aria-describedby": (_a = restProps['aria-describedby']) !== null && _a !== void 0 ? _a : contentId
  }, {
    children: [dIcon !== false && (!isUndefined(dType) || checkNodeExist(dIcon)) && jsx("div", Object.assign({
      className: `${prefix}__icon`
    }, {
      children: checkNodeExist(dIcon) ? dIcon : /*#__PURE__*/React.createElement(dType === 'success' ? CheckCircleOutlined : dType === 'warning' ? WarningOutlined : dType === 'error' ? CloseCircleOutlined : ExclamationCircleOutlined)
    })), jsx("div", Object.assign({
      id: contentId,
      className: getClassName(`${prefix}__content`)
    }, {
      children: dContent
    })), jsx("div", Object.assign({
      className: `${prefix}__actions`
    }, {
      children: React.Children.map(dActions, action => action === 'close' ? jsx("button", Object.assign({
        className: `${prefix}__close`,
        "aria-label": t('Close'),
        onClick: onClose
      }, {
        children: jsx(CloseOutlined, {
          dSize: "1.2em"
        })
      }), "$$close") : action)
    }))]
  }));
}

const DPanel$4 = /*#__PURE__*/React.forwardRef(Panel$2);

const {
  COMPONENT_NAME: COMPONENT_NAME$10
} = registerComponentMate({
  COMPONENT_NAME: 'DAlert'
});
function DAlert(props) {
  const _a = useComponentConfig(COMPONENT_NAME$10, props),
        {
    dVisible,
    dType,
    dIcon,
    dTitle,
    dDescription,
    dActions = [],
    onVisibleChange,
    afterVisibleChange
  } = _a,
        restProps = __rest(_a, ["dVisible", "dType", "dIcon", "dTitle", "dDescription", "dActions", "onVisibleChange", "afterVisibleChange"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const [visible, changeVisible] = useDValue(true, dVisible, onVisibleChange);
  return jsx(DCollapseTransition, Object.assign({
    dSize: 0,
    dIn: visible,
    dDuring: TTANSITION_DURING_BASE,
    dStyles: {
      enter: {
        opacity: 0
      },
      entering: {
        transition: ['height', 'padding', 'margin', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-out`).join(', ')
      },
      leaving: {
        opacity: 0,
        transition: ['height', 'padding', 'margin', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-in`).join(', ')
      },
      leaved: {
        display: 'none'
      }
    },
    afterEnter: () => {
      afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(true);
    },
    afterLeave: () => {
      afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(false);
    }
  }, {
    children: (ref, collapseStyle) => checkNodeExist(dDescription) ? jsx(DPanel$5, Object.assign({}, restProps, {
      ref: ref,
      className: getClassName(restProps.className, `${dPrefix}alert--notification`),
      style: Object.assign(Object.assign({}, restProps.style), collapseStyle),
      dClassNamePrefix: "alert",
      dType: dType,
      dIcon: dIcon,
      dTitle: dTitle,
      dDescription: dDescription,
      dActions: dActions,
      onClose: () => {
        changeVisible(false);
      }
    })) : jsx(DPanel$4, Object.assign({}, restProps, {
      ref: ref,
      className: getClassName(restProps.className, `${dPrefix}alert--toast`),
      style: Object.assign(Object.assign({}, restProps.style), collapseStyle),
      dClassNamePrefix: "alert",
      dType: dType,
      dIcon: dIcon,
      dContent: dTitle,
      dActions: dActions,
      onClose: () => {
        changeVisible(false);
      }
    }))
  }));
}

var $$7 = _export;
var DESCRIPTORS$2 = descriptors;
var global$3 = global$r;
var uncurryThis$8 = functionUncurryThis;
var hasOwn$2 = hasOwnProperty_1;
var isCallable$1 = isCallable$p;
var isPrototypeOf = objectIsPrototypeOf;
var toString$5 = toString$e;
var defineProperty$1 = objectDefineProperty.f;
var copyConstructorProperties = copyConstructorProperties$2;

var NativeSymbol = global$3.Symbol;
var SymbolPrototype = NativeSymbol && NativeSymbol.prototype;

if (DESCRIPTORS$2 && isCallable$1(NativeSymbol) && (!('description' in SymbolPrototype) ||
  // Safari 12 bug
  NativeSymbol().description !== undefined
)) {
  var EmptyStringDescriptionStore = {};
  // wrap Symbol constructor for correct work with undefined description
  var SymbolWrapper = function Symbol() {
    var description = arguments.length < 1 || arguments[0] === undefined ? undefined : toString$5(arguments[0]);
    var result = isPrototypeOf(SymbolPrototype, this)
      ? new NativeSymbol(description)
      // in Edge 13, String(Symbol(undefined)) === 'Symbol(undefined)'
      : description === undefined ? NativeSymbol() : NativeSymbol(description);
    if (description === '') EmptyStringDescriptionStore[result] = true;
    return result;
  };

  copyConstructorProperties(SymbolWrapper, NativeSymbol);
  SymbolWrapper.prototype = SymbolPrototype;
  SymbolPrototype.constructor = SymbolWrapper;

  var NATIVE_SYMBOL = String(NativeSymbol('test')) == 'Symbol(test)';
  var symbolToString = uncurryThis$8(SymbolPrototype.toString);
  var symbolValueOf = uncurryThis$8(SymbolPrototype.valueOf);
  var regexp = /^Symbol\((.*)\)[^)]+$/;
  var replace$3 = uncurryThis$8(''.replace);
  var stringSlice$4 = uncurryThis$8(''.slice);

  defineProperty$1(SymbolPrototype, 'description', {
    configurable: true,
    get: function description() {
      var symbol = symbolValueOf(this);
      var string = symbolToString(symbol);
      if (hasOwn$2(EmptyStringDescriptionStore, symbol)) return '';
      var desc = NATIVE_SYMBOL ? stringSlice$4(string, 7, -1) : replace$3(string, regexp, '$1');
      return desc === '' ? undefined : desc;
    }
  });

  $$7({ global: true, constructor: true, forced: true }, {
    Symbol: SymbolWrapper
  });
}

const DOT_INDICATOR = Symbol();
const LINE_INDICATOR = Symbol();
const {
  COMPONENT_NAME: COMPONENT_NAME$$
} = registerComponentMate({
  COMPONENT_NAME: 'DAnchor'
});

function Anchor(props, ref) {
  const _a = useComponentConfig(COMPONENT_NAME$$, props),
        {
    dList,
    dPage,
    dDistance = 0,
    dScrollBehavior = 'instant',
    dIndicator = DOT_INDICATOR,
    onItemClick
  } = _a,
        restProps = __rest(_a, ["dList", "dPage", "dDistance", "dScrollBehavior", "dIndicator", "onItemClick"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    dScrollEl,
    dResizeEl
  } = useLayout(); //#endregion
  //#region Ref

  const anchorRef = useRef(null);
  const indicatorRef = useRef(null); //#endregion

  const dataRef = useRef({});
  const asyncCapture = useAsync();
  const pageEl = useElement(dPage !== null && dPage !== void 0 ? dPage : dScrollEl);
  const resizeEl = useElement(dResizeEl);
  const [activeHref, setActiveHref] = useState(null);
  const updateAnchor = useEventCallback(() => {
    if (!pageEl) {
      return;
    }

    const pageTop = pageEl.getBoundingClientRect().top;
    let nearestEl;

    const reduceLinks = arr => {
      arr.forEach(({
        href,
        children
      }) => {
        const el = document.querySelector(href);

        if (el) {
          const top = el.getBoundingClientRect().top; // Add 1 because `getBoundingClientRect` return decimal

          if (top - pageTop <= dDistance + 1) {
            if (isUndefined(nearestEl)) {
              nearestEl = [href, top];
            } else if (top > nearestEl[1]) {
              nearestEl = [href, top];
            }
          }
        }

        if (isArray$2(children)) {
          reduceLinks(children);
        }
      });
    };

    reduceLinks(dList);
    const newHref = nearestEl ? nearestEl[0] : null;
    setActiveHref(newHref);
  });
  useIsomorphicLayoutEffect(() => {
    updateAnchor(); // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);
  useEffect(() => {
    if (pageEl) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      asyncGroup.fromEvent(pageEl, 'scroll', {
        passive: true
      }).subscribe({
        next: () => {
          updateAnchor();
        }
      });
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, pageEl, updateAnchor]);
  useEffect(() => {
    if (resizeEl) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      asyncGroup.onResize(resizeEl, () => {
        updateAnchor();
      });
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, resizeEl, updateAnchor]);
  useEffect(() => {
    if (anchorRef.current && indicatorRef.current) {
      if (activeHref) {
        const el = anchorRef.current.querySelector(`.${dPrefix}anchor__link.is-active`);

        if (el) {
          const rect = el.getBoundingClientRect();
          const top = rect.top - anchorRef.current.getBoundingClientRect().top + rect.height / 2;
          indicatorRef.current.style.cssText = `opacity:1;top:${top}px;`;
        }
      } else {
        indicatorRef.current.style.cssText += 'opacity:0;';
      }
    }
  });
  useImperativeHandle(ref, () => ({
    activeHref,
    updateAnchor
  }), [activeHref, updateAnchor]);

  const handleLinkClick = href => {
    var _a, _b;

    if (!pageEl) {
      return;
    }

    const pageTop = pageEl.getBoundingClientRect().top;
    const scrollTop = pageEl.scrollTop;
    window.location.hash = href;
    pageEl.scrollTop = scrollTop;
    const el = document.querySelector(href);

    if (el) {
      const top = el.getBoundingClientRect().top;

      const _scrollTop = top - pageTop + pageEl.scrollTop - dDistance;

      (_b = (_a = dataRef.current).clearTid) === null || _b === void 0 ? void 0 : _b.call(_a);
      dataRef.current.clearTid = scrollTo(pageEl, {
        top: _scrollTop,
        behavior: dScrollBehavior
      });
    }
  };

  const linkNodes = (() => {
    const getNodes = (arr, level = 0) => arr.map(link => {
      const {
        title: linkTitle,
        href: linkHref,
        target: linkTarget,
        children
      } = link;
      return jsxs(React.Fragment, {
        children: [jsx("li", {
          children: jsx("a", Object.assign({
            className: getClassName(`${dPrefix}anchor__link`, {
              'is-active': linkHref === activeHref
            }),
            style: {
              paddingLeft: 16 + level * 16
            },
            href: linkHref,
            target: linkTarget,
            onClick: e => {
              e.preventDefault();
              onItemClick === null || onItemClick === void 0 ? void 0 : onItemClick(linkHref, link);
              handleLinkClick(linkHref);
            }
          }, {
            children: linkTitle
          }))
        }), children && getNodes(children, level + 1)]
      }, `${linkHref}-${level}`);
    });

    return getNodes(dList);
  })();

  return jsxs("ul", Object.assign({}, restProps, {
    ref: anchorRef,
    className: getClassName(restProps.className, `${dPrefix}anchor`)
  }, {
    children: [jsx("div", Object.assign({
      className: `${dPrefix}anchor__indicator-track`
    }, {
      children: jsx("div", Object.assign({
        ref: indicatorRef,
        className: `${dPrefix}anchor__indicator-wrapper`
      }, {
        children: dIndicator === DOT_INDICATOR ? jsx("div", {
          className: `${dPrefix}anchor__dot-indicator`
        }) : dIndicator === LINE_INDICATOR ? jsx("div", {
          className: `${dPrefix}anchor__line-indicator`
        }) : dIndicator
      }))
    })), linkNodes]
  }));
}

const DAnchor = /*#__PURE__*/React.forwardRef(Anchor);
DAnchor.DOT_INDICATOR = DOT_INDICATOR;
DAnchor.LINE_INDICATOR = LINE_INDICATOR;

const FOCUS_KEY = ['ArrowUp', 'ArrowDown', 'ArrowLeft', 'ArrowRight', 'Home', 'End', 'Enter', 'Space'];
function DFocusVisible(props) {
  const {
    children,
    onFocusVisibleChange
  } = props;
  const dataRef = useRef({
    focusByKeydown: false,
    focusVisible: false
  });
  const asyncCapture = useAsync();
  useEffect(() => {
    const [asyncGroup, asyncId] = asyncCapture.createGroup();
    asyncGroup.fromEvent(window, 'keydown').subscribe({
      next: () => {
        dataRef.current.focusByKeydown = true;
        asyncGroup.setTimeout(() => {
          dataRef.current.focusByKeydown = false;
        }, 20);
      }
    });
    return () => {
      asyncCapture.deleteGroup(asyncId);
    };
  }, [asyncCapture]);
  return children({
    fvOnFocus: () => {
      if (dataRef.current.focusByKeydown) {
        onFocusVisibleChange === null || onFocusVisibleChange === void 0 ? void 0 : onFocusVisibleChange(true);
        dataRef.current.focusVisible = true;
      }
    },
    fvOnBlur: () => {
      onFocusVisibleChange === null || onFocusVisibleChange === void 0 ? void 0 : onFocusVisibleChange(false);
      dataRef.current.focusVisible = false;
    },
    fvOnKeyDown: e => {
      if (!dataRef.current.focusVisible && FOCUS_KEY.includes(e.code)) {
        onFocusVisibleChange === null || onFocusVisibleChange === void 0 ? void 0 : onFocusVisibleChange(true);
      }
    }
  });
}

var call$2 = functionCall;
var fixRegExpWellKnownSymbolLogic = fixRegexpWellKnownSymbolLogic;
var anObject$2 = anObject$i;
var toLength$1 = toLength$5;
var toString$4 = toString$e;
var requireObjectCoercible$2 = requireObjectCoercible$a;
var getMethod = getMethod$6;
var advanceStringIndex = advanceStringIndex$3;
var regExpExec = regexpExecAbstract;

// @@match logic
fixRegExpWellKnownSymbolLogic('match', function (MATCH, nativeMatch, maybeCallNative) {
  return [
    // `String.prototype.match` method
    // https://tc39.es/ecma262/#sec-string.prototype.match
    function match(regexp) {
      var O = requireObjectCoercible$2(this);
      var matcher = regexp == undefined ? undefined : getMethod(regexp, MATCH);
      return matcher ? call$2(matcher, regexp, O) : new RegExp(regexp)[MATCH](toString$4(O));
    },
    // `RegExp.prototype[@@match]` method
    // https://tc39.es/ecma262/#sec-regexp.prototype-@@match
    function (string) {
      var rx = anObject$2(this);
      var S = toString$4(string);
      var res = maybeCallNative(nativeMatch, rx, S);

      if (res.done) return res.value;

      if (!rx.global) return regExpExec(rx, S);

      var fullUnicode = rx.unicode;
      rx.lastIndex = 0;
      var A = [];
      var n = 0;
      var result;
      while ((result = regExpExec(rx, S)) !== null) {
        var matchStr = toString$4(result[0]);
        A[n] = matchStr;
        if (matchStr === '') rx.lastIndex = advanceStringIndex(S, toLength$1(rx.lastIndex), fullUnicode);
        n++;
      }
      return n === 0 ? null : A;
    }
  ];
});

function isPrintableCharacter(str) {
  return str.length === 1 && str.match(/\S| /);
}

function DComboboxKeyboardSupport(props) {
  const {
    children,
    dVisible,
    dEditable = false,
    dNested = false,
    onVisibleChange,
    onFocusChange
  } = props;
  const asyncCapture = useAsync();
  return children({
    ksOnKeyDown: e => {
      let code = e.code;

      if (code === 'Escape') {
        e.preventDefault();
        onVisibleChange === null || onVisibleChange === void 0 ? void 0 : onVisibleChange(false);
      } else {
        if (dVisible) {
          if (!dNested && ['ArrowLeft', 'ArrowRight'].includes(code)) {
            code = null;
          }

          switch (code) {
            case 'ArrowUp':
              e.preventDefault();
              onFocusChange === null || onFocusChange === void 0 ? void 0 : onFocusChange('prev');
              break;

            case 'ArrowDown':
              e.preventDefault();
              onFocusChange === null || onFocusChange === void 0 ? void 0 : onFocusChange('next');
              break;

            case 'Home':
              e.preventDefault();
              onFocusChange === null || onFocusChange === void 0 ? void 0 : onFocusChange('first');
              break;

            case 'End':
              e.preventDefault();
              onFocusChange === null || onFocusChange === void 0 ? void 0 : onFocusChange('last');
              break;

            case 'ArrowLeft':
              e.preventDefault();
              onFocusChange === null || onFocusChange === void 0 ? void 0 : onFocusChange('prev-level');
              break;

            case 'ArrowRight':
              e.preventDefault();
              onFocusChange === null || onFocusChange === void 0 ? void 0 : onFocusChange('next-level');
              break;
          }
        } else {
          if (dEditable && ['Home', 'End', 'Enter', 'Space'].includes(code)) {
            code = null;
          }

          switch (code) {
            case 'ArrowUp':
              e.preventDefault();
              onVisibleChange === null || onVisibleChange === void 0 ? void 0 : onVisibleChange(true);
              asyncCapture.requestAnimationFrame(() => onFocusChange === null || onFocusChange === void 0 ? void 0 : onFocusChange('last'));
              break;

            case 'ArrowDown':
              e.preventDefault();
              onVisibleChange === null || onVisibleChange === void 0 ? void 0 : onVisibleChange(true);
              asyncCapture.requestAnimationFrame(() => onFocusChange === null || onFocusChange === void 0 ? void 0 : onFocusChange('first'));
              break;

            case 'Home':
              e.preventDefault();
              onVisibleChange === null || onVisibleChange === void 0 ? void 0 : onVisibleChange(true);
              asyncCapture.requestAnimationFrame(() => onFocusChange === null || onFocusChange === void 0 ? void 0 : onFocusChange('first'));
              break;

            case 'End':
              e.preventDefault();
              onVisibleChange === null || onVisibleChange === void 0 ? void 0 : onVisibleChange(true);
              asyncCapture.requestAnimationFrame(() => onFocusChange === null || onFocusChange === void 0 ? void 0 : onFocusChange('last'));
              break;

            case 'Enter':
            case 'Space':
              e.preventDefault();
              onVisibleChange === null || onVisibleChange === void 0 ? void 0 : onVisibleChange(true);
              break;

            default:
              if (isPrintableCharacter(e.key)) {
                onVisibleChange === null || onVisibleChange === void 0 ? void 0 : onVisibleChange(true);
              }

              break;
          }
        }
      }
    }
  });
}

var uncurryThis$7 = functionUncurryThis;

// `thisNumberValue` abstract operation
// https://tc39.es/ecma262/#sec-thisnumbervalue
var thisNumberValue$1 = uncurryThis$7(1.0.valueOf);

var toIntegerOrInfinity$1 = toIntegerOrInfinity$6;
var toString$3 = toString$e;
var requireObjectCoercible$1 = requireObjectCoercible$a;

var $RangeError$2 = RangeError;

// `String.prototype.repeat` method implementation
// https://tc39.es/ecma262/#sec-string.prototype.repeat
var stringRepeat = function repeat(count) {
  var str = toString$3(requireObjectCoercible$1(this));
  var result = '';
  var n = toIntegerOrInfinity$1(count);
  if (n < 0 || n == Infinity) throw $RangeError$2('Wrong number of repetitions');
  for (;n > 0; (n >>>= 1) && (str += str)) if (n & 1) result += str;
  return result;
};

var $$6 = _export;
var uncurryThis$6 = functionUncurryThis;
var toIntegerOrInfinity = toIntegerOrInfinity$6;
var thisNumberValue = thisNumberValue$1;
var $repeat = stringRepeat;
var fails$3 = fails$q;

var $RangeError$1 = RangeError;
var $String = String;
var floor$3 = Math.floor;
var repeat = uncurryThis$6($repeat);
var stringSlice$3 = uncurryThis$6(''.slice);
var un$ToFixed = uncurryThis$6(1.0.toFixed);

var pow$1 = function (x, n, acc) {
  return n === 0 ? acc : n % 2 === 1 ? pow$1(x, n - 1, acc * x) : pow$1(x * x, n / 2, acc);
};

var log = function (x) {
  var n = 0;
  var x2 = x;
  while (x2 >= 4096) {
    n += 12;
    x2 /= 4096;
  }
  while (x2 >= 2) {
    n += 1;
    x2 /= 2;
  } return n;
};

var multiply = function (data, n, c) {
  var index = -1;
  var c2 = c;
  while (++index < 6) {
    c2 += n * data[index];
    data[index] = c2 % 1e7;
    c2 = floor$3(c2 / 1e7);
  }
};

var divide = function (data, n) {
  var index = 6;
  var c = 0;
  while (--index >= 0) {
    c += data[index];
    data[index] = floor$3(c / n);
    c = (c % n) * 1e7;
  }
};

var dataToString = function (data) {
  var index = 6;
  var s = '';
  while (--index >= 0) {
    if (s !== '' || index === 0 || data[index] !== 0) {
      var t = $String(data[index]);
      s = s === '' ? t : s + repeat('0', 7 - t.length) + t;
    }
  } return s;
};

var FORCED$1 = fails$3(function () {
  return un$ToFixed(0.00008, 3) !== '0.000' ||
    un$ToFixed(0.9, 0) !== '1' ||
    un$ToFixed(1.255, 2) !== '1.25' ||
    un$ToFixed(1000000000000000128.0, 0) !== '1000000000000000128';
}) || !fails$3(function () {
  // V8 ~ Android 4.3-
  un$ToFixed({});
});

// `Number.prototype.toFixed` method
// https://tc39.es/ecma262/#sec-number.prototype.tofixed
$$6({ target: 'Number', proto: true, forced: FORCED$1 }, {
  toFixed: function toFixed(fractionDigits) {
    var number = thisNumberValue(this);
    var fractDigits = toIntegerOrInfinity(fractionDigits);
    var data = [0, 0, 0, 0, 0, 0];
    var sign = '';
    var result = '0';
    var e, z, j, k;

    // TODO: ES2018 increased the maximum number of fraction digits to 100, need to improve the implementation
    if (fractDigits < 0 || fractDigits > 20) throw $RangeError$1('Incorrect fraction digits');
    // eslint-disable-next-line no-self-compare -- NaN check
    if (number != number) return 'NaN';
    if (number <= -1e21 || number >= 1e21) return $String(number);
    if (number < 0) {
      sign = '-';
      number = -number;
    }
    if (number > 1e-21) {
      e = log(number * pow$1(2, 69, 1)) - 69;
      z = e < 0 ? number * pow$1(2, -e, 1) : number / pow$1(2, e, 1);
      z *= 0x10000000000000;
      e = 52 - e;
      if (e > 0) {
        multiply(data, 0, z);
        j = fractDigits;
        while (j >= 7) {
          multiply(data, 1e7, 0);
          j -= 7;
        }
        multiply(data, pow$1(10, j, 1), 0);
        j = e - 1;
        while (j >= 23) {
          divide(data, 1 << 23);
          j -= 23;
        }
        divide(data, 1 << j);
        multiply(data, 1, 1);
        divide(data, 2);
        result = dataToString(data);
      } else {
        multiply(data, 0, z);
        multiply(data, 1 << -e, 0);
        result = dataToString(data) + repeat('0', fractDigits);
      }
    }
    if (fractDigits > 0) {
      k = result.length;
      result = sign + (k <= fractDigits
        ? '0.' + repeat('0', fractDigits - k) + result
        : stringSlice$3(result, 0, k - fractDigits) + '.' + stringSlice$3(result, k - fractDigits));
    } else {
      result = sign + result;
    } return result;
  }
});

function BaseInput(props, ref) {
  var _a, _b;

  const {
    dFormControl,
    dTag = 'input',
    dFor = true
  } = props,
        restProps = __rest(props, ["dFormControl", "dTag", "dFor"]); //#region Context


  const dPrefix = usePrefixConfig();
  const formContext = useContext(DFormContext); //#endregion

  const uniqueId = useId();
  const id = (_a = restProps.id) !== null && _a !== void 0 ? _a : `${dPrefix}base-input-${uniqueId}`;
  const supportForm = formContext && dFormControl;
  const attrs = supportForm ? Object.assign({
    'data-form-label-for': dFor
  }, dFormControl.inputAttrs) : {};
  return /*#__PURE__*/React.createElement(dTag, Object.assign(Object.assign(Object.assign({}, restProps), attrs), {
    ref,
    id,
    'aria-describedby': [props['aria-describedby'], (_b = dFormControl === null || dFormControl === void 0 ? void 0 : dFormControl.inputAttrs) === null || _b === void 0 ? void 0 : _b['aria-describedby']].filter(describedby => isString(describedby)).join(' ')
  }));
}

const DBaseInput = /*#__PURE__*/React.forwardRef(BaseInput);

const {
  COMPONENT_NAME: COMPONENT_NAME$_
} = registerComponentMate({
  COMPONENT_NAME: 'DInput'
});
function DInput(props) {
  const _a = useComponentConfig(COMPONENT_NAME$_, props),
        {
    dType,
    dMax,
    dMin,
    dStep,
    dInteger = false,
    dPlaceholder,
    dDisabled = false,
    dFormControl,
    dModel,
    dPrefix: dPrefixNode,
    dSuffix,
    dPasswordToggle = true,
    dNumbetButton = true,
    dClearable = false,
    dSize,
    dInputProps,
    dInputRef,
    onModelChange
  } = _a,
        restProps = __rest(_a, ["dType", "dMax", "dMin", "dStep", "dInteger", "dPlaceholder", "dDisabled", "dFormControl", "dModel", "dPrefix", "dSuffix", "dPasswordToggle", "dNumbetButton", "dClearable", "dSize", "dInputProps", "dInputRef", "onModelChange"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    gSize,
    gDisabled
  } = useGeneralContext(); //#endregion
  //#region Ref

  const inputRef = useRef(null); //#endregion

  const combineInputRef = useForkRef(inputRef, dInputRef);
  const dataRef = useRef({
    showValue: '',
    prevValue: ''
  });
  const asyncCapture = useAsync();
  const [t] = useTranslation();
  const forceUpdate = useForceUpdate();
  const formControlInject = useFormControl(dFormControl);
  const [_value, changeValue] = useDValue('', dModel, onModelChange, undefined, formControlInject);

  if (_value !== dataRef.current.prevValue) {
    dataRef.current.showValue = dataRef.current.prevValue = _value;
  }

  const [isFocus, setIsFocus] = useState(false);
  const [password, setPassword] = useState(true);
  const size = dSize !== null && dSize !== void 0 ? dSize : gSize;
  const disabled = dDisabled || gDisabled || (dFormControl === null || dFormControl === void 0 ? void 0 : dFormControl.control.disabled);
  const changeNumber = useEventCallback((isIncrease = true) => {
    var _a, _b;

    const stepVal = dStep !== null && dStep !== void 0 ? dStep : 1;

    const newVal = (() => {
      let val = Number(dataRef.current.showValue);

      if (Number.isNaN(val)) {
        return 0;
      }

      if (dInteger && !Number.isInteger(val)) {
        val = Math.round(val);
      }

      return isIncrease ? val + stepVal : val - stepVal;
    })();

    changeValue(Math.max(dMin !== null && dMin !== void 0 ? dMin : -Infinity, Math.min(dMax !== null && dMax !== void 0 ? dMax : Infinity, newVal)).toFixed((_b = (_a = stepVal.toString().split('.')[1]) === null || _a === void 0 ? void 0 : _a.length) !== null && _b !== void 0 ? _b : 0));
  });

  const handleNumberMouseDown = (isIncrease = true) => {
    const loop = () => {
      changeNumber(isIncrease);
      dataRef.current.clearLoop = asyncCapture.setTimeout(() => loop(), 50);
    };

    dataRef.current.clearTid = asyncCapture.setTimeout(() => loop(), 400);
  };

  const handleNumberMouseUp = () => {
    var _a, _b, _c, _d;

    (_b = (_a = dataRef.current).clearLoop) === null || _b === void 0 ? void 0 : _b.call(_a);
    (_d = (_c = dataRef.current).clearTid) === null || _d === void 0 ? void 0 : _d.call(_c);
  };

  const preventBlur = e => {
    if (e.target !== inputRef.current && e.button === 0) {
      e.preventDefault();
    }
  };

  useEffect(() => {
    const [asyncGroup, asyncId] = asyncCapture.createGroup();
    asyncGroup.fromEvent(window, 'mouseup').subscribe({
      next: () => {
        handleNumberMouseUp();
      }
    });
    return () => {
      asyncCapture.deleteGroup(asyncId);
    };
  }, [asyncCapture]);
  return jsx(DBaseDesign, Object.assign({
    dCompose: {
      active: isFocus,
      disabled: disabled
    },
    dFormControl: dFormControl
  }, {
    children: jsxs("div", Object.assign({}, restProps, {
      className: getClassName(restProps.className, `${dPrefix}input`, {
        [`${dPrefix}input--${size}`]: size,
        [`${dPrefix}input--number`]: dType === 'number',
        'is-disabled': disabled,
        'is-focus': isFocus
      }),
      onMouseDown: e => {
        var _a;

        (_a = restProps.onMouseDown) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
        preventBlur(e);
      },
      onMouseUp: e => {
        var _a;

        (_a = restProps.onMouseUp) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
        preventBlur(e);
      },
      onClick: e => {
        var _a, _b;

        (_a = restProps.onClick) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
        (_b = inputRef.current) === null || _b === void 0 ? void 0 : _b.focus({
          preventScroll: true
        });
      }
    }, {
      children: [checkNodeExist(dPrefixNode) && jsx("div", Object.assign({
        className: `${dPrefix}input__prefix`
      }, {
        children: dPrefixNode
      })), jsx(DBaseInput, Object.assign({}, dInputProps, {
        ref: combineInputRef,
        className: getClassName(dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.className, `${dPrefix}input__input`),
        placeholder: dPlaceholder,
        value: dataRef.current.showValue,
        type: dType === 'password' ? password ? 'password' : 'text' : dType,
        max: dMax,
        min: dMin,
        step: dStep,
        disabled: disabled,
        onChange: e => {
          var _a;

          (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onChange) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
          dataRef.current.showValue = e.currentTarget.value;
          forceUpdate();
          const val = Number(dataRef.current.showValue);

          if (!isUndefined(dMax) && val > dMax || !isUndefined(dMin) && val < dMin || dInteger && !Number.isInteger(val)) {
            return;
          }

          changeValue(dataRef.current.showValue);
        },
        onFocus: e => {
          var _a;

          (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onFocus) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
          setIsFocus(true);
        },
        onBlur: e => {
          var _a;

          (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onBlur) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);

          if (dType === 'number') {
            if (dataRef.current.showValue) {
              let val = Number(dataRef.current.showValue);

              if (!isUndefined(dMax) && val > dMax) {
                val = dMax;
              }

              if (!isUndefined(dMin) && val < dMin) {
                val = dMin;
              }

              if (dInteger && !Number.isInteger(val)) {
                val = Math.round(val);
              }

              changeValue(val.toString());
            } else {
              changeValue('');
            }
          }

          dataRef.current.showValue = _value;
          setIsFocus(false);
        },
        dFormControl: dFormControl
      })), dClearable && !disabled && jsx("div", Object.assign({
        className: `${dPrefix}input__clear`,
        style: {
          opacity: dataRef.current.showValue.length > 0 ? 1 : 0
        },
        role: "button",
        "aria-label": t('Clear'),
        onClick: () => {
          changeValue('');
        }
      }, {
        children: jsx(CloseCircleFilled, {})
      })), dType === 'password' && !disabled && jsx("div", Object.assign({
        className: `${dPrefix}input__password`,
        role: "button",
        "aria-label": t('Input', password ? 'Password is not visible' : 'Password is visible'),
        onClick: () => {
          if (dPasswordToggle) {
            setPassword(!password);
          }
        }
      }, {
        children: password ? jsx(EyeInvisibleOutlined, {}) : jsx(EyeOutlined, {})
      })), dType === 'number' && dNumbetButton && !disabled && jsxs("div", Object.assign({
        className: `${dPrefix}input__number-container`
      }, {
        children: [jsx("div", Object.assign({
          className: `${dPrefix}input__number`,
          role: "button",
          "aria-label": t('Input', 'Increase number'),
          onMouseDown: e => {
            if (e.button === 0) {
              handleNumberMouseDown();
            }
          },
          onTouchStart: () => {
            handleNumberMouseDown();
          },
          onTouchEnd: () => {
            handleNumberMouseUp();
          },
          onClick: () => {
            changeNumber();
          }
        }, {
          children: jsx(DCustomIcon, Object.assign({
            viewBox: "0 0 24 24"
          }, {
            children: jsx("path", {
              d: "M19.637 16.4369C19.0513 17.0227 18.1015 17.0227 17.5157 16.4369L11.8589 10.7801L6.20202 16.4369C5.61623 17.0227 4.66648 17.0227 4.0807 16.4369C3.49491 15.8511 3.49491 14.9014 4.0807 14.3156L10.7982 7.59809C11.384 7.01231 12.3337 7.01231 12.9195 7.59809L19.637 14.3156C20.2228 14.9014 20.2228 15.8511 19.637 16.4369Z"
            })
          }))
        })), jsx("div", Object.assign({
          className: `${dPrefix}input__number`,
          role: "button",
          "aria-label": t('Input', 'Decrease number'),
          onMouseDown: e => {
            if (e.button === 0) {
              handleNumberMouseDown(false);
            }
          },
          onTouchStart: () => {
            handleNumberMouseDown(false);
          },
          onTouchEnd: () => {
            handleNumberMouseUp();
          },
          onClick: () => {
            changeNumber(false);
          }
        }, {
          children: jsx(DCustomIcon, Object.assign({
            viewBox: "0 0 24 24"
          }, {
            children: jsx("path", {
              d: "M4.08045 7.59809C4.66624 7.01231 5.61599 7.01231 6.20177 7.59809L11.8586 13.2549L17.5155 7.59809C18.1013 7.01231 19.051 7.01231 19.6368 7.59809C20.2226 8.18388 20.2226 9.13363 19.6368 9.71941L12.9193 16.4369C12.3335 17.0227 11.3838 17.0227 10.798 16.4369L4.08045 9.71941C3.49467 9.13363 3.49467 8.18388 4.08045 7.59809Z"
            })
          }))
        }))]
      })), checkNodeExist(dSuffix) && jsx("div", Object.assign({
        className: `${dPrefix}input__suffix`
      }, {
        children: dSuffix
      }))]
    }))
  }));
}

const EMPTY = Symbol();
const {
  COMPONENT_NAME: COMPONENT_NAME$Z
} = registerComponentMate({
  COMPONENT_NAME: 'DVirtualScroll'
});

function VirtualScroll(props, ref) {
  const {
    children,
    dList,
    dFillNode,
    dItemRender,
    dItemSize,
    dItemNested,
    dItemKey,
    dFocusable = true,
    dFocusItem,
    dSize,
    dPadding,
    dHorizontal = false,
    dEmptyRender,
    dExpands,
    onScrollEnd
  } = useComponentConfig(COMPONENT_NAME$Z, props);
  const dataRef = useRef({
    listCache: new Map()
  });
  const asyncCapture = useAsync();
  const forceUpdate = useForceUpdate();
  const [scrollEl, setScrollEl] = useState(null);
  const scrollRef = useCallback(el => {
    setScrollEl(el);
  }, []);
  const [scrollPosition, setScrollPosition] = useState(0);
  const getItemSize = useMemo(() => isNumber(dItemSize) ? () => dItemSize : dItemSize, [dItemSize]);
  const checkFocusable = useMemo(() => isBoolean(dFocusable) ? () => dFocusable : dFocusable, [dFocusable]);
  const [itemsMap, totalSize, firstFocusableItem, lastFocusableItem] = useMemo(() => {
    let accSize = 0;
    let firstFocusableItem;
    let lastFocusableItem;
    const items = new Map();

    const reduceArr = arr => {
      var _a;

      let size = 0;

      for (const item of arr) {
        if (checkFocusable(item)) {
          lastFocusableItem = item;

          if (isUndefined(firstFocusableItem)) {
            firstFocusableItem = item;
          }
        }

        size += getItemSize(item);
        accSize += getItemSize(item);
        const data = {
          item,
          accSize,
          nestedSize: 0
        };
        items.set(dItemKey(item), data);
        const nestedData = dItemNested === null || dItemNested === void 0 ? void 0 : dItemNested(item);

        if (nestedData && nestedData.list && (isUndefined(dExpands) || dExpands.has(dItemKey(item)))) {
          if (nestedData.list.length === 0) {
            data.nestedSize = (_a = nestedData.emptySize) !== null && _a !== void 0 ? _a : 0;
            size += data.nestedSize;
            accSize += data.nestedSize;
          } else {
            data.nestedSize = reduceArr(nestedData.list);
            size += data.nestedSize;
          }
        }
      }

      return size;
    };

    return [items, reduceArr(dList), firstFocusableItem, lastFocusableItem];
  }, [checkFocusable, dExpands, dItemKey, dItemNested, dList, getItemSize]);
  let elSize;
  let elPaddingSize;

  if (scrollEl) {
    elSize = scrollEl[dHorizontal ? 'clientWidth' : 'clientHeight'];
    elPaddingSize = toPx(getComputedStyle(scrollEl).getPropertyValue(dHorizontal ? 'padding-left' : 'padding-top'), true);
  }

  const ulSize = dSize !== null && dSize !== void 0 ? dSize : elSize;
  const paddingSize = dPadding !== null && dPadding !== void 0 ? dPadding : elPaddingSize;
  useEffect(() => {
    if (isUndefined(dSize)) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();

      if (scrollEl) {
        asyncGroup.onResize(scrollEl, () => {
          forceUpdate();
        });
      }

      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, dSize, forceUpdate, scrollEl]);

  const list = (() => {
    if (isUndefined(ulSize) || isUndefined(paddingSize)) {
      return [];
    }

    const maxScrollSize = Math.max(totalSize + paddingSize * 2 - ulSize, 0);

    const _scrollPosition = Math.min(scrollPosition, maxScrollSize);

    let totalAccSize = 0;
    const startSize = _scrollPosition - ulSize - paddingSize;
    const endSize = _scrollPosition + ulSize + ulSize - paddingSize;
    let hasStart = false;
    let hasEnd = false;

    const getList = (arr, parent = []) => {
      var _a, _b, _c, _d;

      const fillSize = [0, 0];
      const list = [];
      const setsize = arr.filter(item => {
        var _a, _b;

        return item !== EMPTY && ((_b = (_a = dItemNested === null || dItemNested === void 0 ? void 0 : dItemNested(item)) === null || _a === void 0 ? void 0 : _a.asItem) !== null && _b !== void 0 ? _b : true);
      }).length;

      for (const [index, item] of arr.entries()) {
        let key = '';
        let size = 0;
        let nestedList;
        let childrenSize = 0;
        let emptyNode;

        if (item === EMPTY) {
          size = (_b = (_a = dItemNested === null || dItemNested === void 0 ? void 0 : dItemNested(parent[parent.length - 1])) === null || _a === void 0 ? void 0 : _a.emptySize) !== null && _b !== void 0 ? _b : 0;
          emptyNode = jsx(React.Fragment, {
            children: dEmptyRender === null || dEmptyRender === void 0 ? void 0 : dEmptyRender(parent[parent.length - 1])
          }, "$$empty");
        } else {
          key = dItemKey(item);
          size = getItemSize(item);
          nestedList = (_c = dItemNested === null || dItemNested === void 0 ? void 0 : dItemNested(item)) === null || _c === void 0 ? void 0 : _c.list;

          if (nestedList) {
            childrenSize = itemsMap.get(key).nestedSize;
          }
        }

        if (hasEnd) {
          fillSize[1] += size + childrenSize;
          continue;
        }

        totalAccSize += size;

        if (nestedList) {
          if (totalAccSize + childrenSize > startSize) {
            let childrenList = [];

            if (isUndefined(dExpands)) {
              childrenList = getList(nestedList.length === 0 ? [EMPTY] : nestedList, parent.concat([item]));
            } else {
              childrenList = (_d = dataRef.current.listCache.get(key)) !== null && _d !== void 0 ? _d : [];

              if (dExpands.has(dItemKey(item))) {
                childrenList = getList(nestedList.length === 0 ? [EMPTY] : nestedList, parent.concat([item]));
                dataRef.current.listCache.set(key, childrenList);
              }
            }

            list.push(dItemRender(item, index, {
              iARIA: {
                'aria-level': parent.length + 1,
                'aria-setsize': setsize,
                'aria-posinset': index + 1
              },
              iChildren: childrenList
            }, parent));
          } else {
            totalAccSize += childrenSize;
            fillSize[0] += size + childrenSize;
          }
        } else if (!hasStart) {
          if (totalAccSize > startSize) {
            list.push(item === EMPTY ? emptyNode : dItemRender(item, index, {
              iARIA: {
                'aria-level': parent.length + 1,
                'aria-setsize': setsize,
                'aria-posinset': index + 1
              }
            }, parent));
            hasStart = true;
          } else {
            fillSize[0] += size;
          }
        } else if (!hasEnd) {
          if (totalAccSize > endSize) {
            hasEnd = true;
            fillSize[1] += size;
          } else {
            list.push(item === EMPTY ? emptyNode : dItemRender(item, index, {
              iARIA: {
                'aria-level': parent.length + 1,
                'aria-setsize': setsize,
                'aria-posinset': index + 1
              }
            }, parent));
          }
        }
      }

      if (fillSize[0] > 0) {
        list.unshift( /*#__PURE__*/React.cloneElement(dFillNode, Object.assign(Object.assign({}, dFillNode.props), {
          key: '$$fill-size-0',
          style: Object.assign(Object.assign({}, dFillNode.props.style), {
            overflow: 'hidden',
            [dHorizontal ? 'height' : 'width']: 0,
            [dHorizontal ? 'width' : 'height']: fillSize[0]
          }),
          'aria-hidden': true
        })));
      }

      if (fillSize[1] > 0) {
        list.push( /*#__PURE__*/React.cloneElement(dFillNode, Object.assign(Object.assign({}, dFillNode.props), {
          key: '$$fill-size-1',
          style: Object.assign(Object.assign({}, dFillNode.props.style), {
            overflow: 'hidden',
            [dHorizontal ? 'height' : 'width']: 0,
            [dHorizontal ? 'width' : 'height']: fillSize[1]
          }),
          'aria-hidden': true
        })));
      }

      return list;
    };

    return getList(dList);
  })();

  const scrollTo = num => {
    if (scrollEl) {
      scrollEl[dHorizontal ? 'scrollLeft' : 'scrollTop'] = num;
    }
  };

  const scrollToItem = useEventCallback(item => {
    if (!isUndefined(paddingSize)) {
      const findItem = itemsMap.get(dItemKey(item));

      if (!isUndefined(findItem)) {
        scrollTo(findItem.accSize - getItemSize(findItem.item) + paddingSize);
      }
    }
  });
  const scrollByStep = useEventCallback(step => {
    if (!isUndefined(paddingSize)) {
      if (isUndefined(dFocusItem)) {
        return step > 0 ? scrollToStart() : scrollToEnd();
      }

      let findItem;
      let offsetSize;

      if (scrollEl) {
        let index = -1;
        let findIndex = -1;
        const accSizeList = [];

        for (const iterator of itemsMap) {
          index += 1;

          if (dItemKey(iterator[1].item) === dItemKey(dFocusItem)) {
            findIndex = index;
          }

          accSizeList.push(iterator[1]);
        }

        if (findIndex !== -1) {
          if (step < 0) {
            for (let _index = findIndex - 1, n = 0; n < accSizeList.length; _index--, n++) {
              const accSizeItem = nth(accSizeList, _index);

              if (accSizeItem && checkFocusable(accSizeItem.item)) {
                findItem = accSizeItem.item;
                offsetSize = [accSizeItem.accSize - getItemSize(findItem) + paddingSize, accSizeItem.accSize + paddingSize];
                break;
              }
            }
          } else {
            for (let _index2 = findIndex + 1, n = 0; n < accSizeList.length; _index2++, n++) {
              const accSizeItem = nth(accSizeList, _index2 % accSizeList.length);

              if (accSizeItem && checkFocusable(accSizeItem.item)) {
                findItem = accSizeItem.item;
                offsetSize = [accSizeItem.accSize - getItemSize(findItem) + paddingSize, accSizeItem.accSize + paddingSize];
                break;
              }
            }
          }
        }

        if (!isUndefined(offsetSize)) {
          const listElScrollPosition = scrollEl[dHorizontal ? 'scrollLeft' : 'scrollTop'];
          const listElClientSize = scrollEl[dHorizontal ? 'clientWidth' : 'clientHeight'];

          if (listElScrollPosition > offsetSize[1]) {
            scrollTo(offsetSize[0] - paddingSize);
          } else if (offsetSize[0] > listElScrollPosition + listElClientSize) {
            scrollTo(offsetSize[1] - listElClientSize + paddingSize);
          } else {
            if (step > 0) {
              if (offsetSize[1] > listElScrollPosition + listElClientSize) {
                scrollTo(offsetSize[1] - listElClientSize + paddingSize);
              }
            } else {
              if (listElScrollPosition > offsetSize[0]) {
                scrollTo(offsetSize[0] - paddingSize);
              }
            }
          }
        }
      }

      return findItem;
    }
  });
  const scrollToStart = useEventCallback(() => {
    scrollTo(0);
    return firstFocusableItem;
  });
  const scrollToEnd = useEventCallback(() => {
    if (scrollEl) {
      scrollTo(scrollEl[dHorizontal ? 'scrollWidth' : 'scrollHeight']);
    }

    return lastFocusableItem;
  });
  useImperativeHandle(ref, () => ({
    scrollToItem,
    scrollByStep,
    scrollToStart,
    scrollToEnd
  }), [scrollByStep, scrollToEnd, scrollToStart, scrollToItem]);
  return children({
    vsScrollRef: scrollRef,
    vsRender: list,
    vsOnScroll: e => {
      setScrollPosition(e.currentTarget[dHorizontal ? 'scrollLeft' : 'scrollTop']);

      if (dHorizontal ? e.currentTarget.scrollLeft + e.currentTarget.clientWidth === e.currentTarget.scrollWidth : e.currentTarget.scrollTop + e.currentTarget.clientHeight === e.currentTarget.scrollHeight) {
        onScrollEnd === null || onScrollEnd === void 0 ? void 0 : onScrollEnd();
      }
    }
  });
}

const DVirtualScroll = /*#__PURE__*/React.forwardRef(VirtualScroll);

const {
  COMPONENT_NAME: COMPONENT_NAME$Y
} = registerComponentMate({
  COMPONENT_NAME: 'DAutoComplete'
});

function AutoComplete(props, ref) {
  const _a = useComponentConfig(COMPONENT_NAME$Y, props),
        {
    children,
    dList,
    dVisible,
    dLoading = false,
    dCustomItem,
    onVisibleChange,
    afterVisibleChange,
    onItemClick,
    onScrollBottom
  } = _a,
        restProps = __rest(_a, ["children", "dList", "dVisible", "dLoading", "dCustomItem", "onVisibleChange", "afterVisibleChange", "onItemClick", "onScrollBottom"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    dScrollEl,
    dResizeEl
  } = useLayout(); //#endregion
  //#region Ref

  const popupRef = useRef(null);
  const dVSRef = useRef(null); //#endregion

  const [t] = useTranslation();
  const asyncCapture = useAsync();
  const uniqueId = useId();
  const listId = `${dPrefix}auto-complete-list-${uniqueId}`;

  const getGroupId = val => `${dPrefix}auto-complete-group-${val}-${uniqueId}`;

  const getItemId = val => `${dPrefix}auto-complete-item-${val}-${uniqueId}`;

  const scrollEl = useElement(dScrollEl);
  const resizeEl = useElement(dResizeEl);
  const containerEl = useElement(() => {
    let el = document.getElementById(`${dPrefix}auto-complete-root`);

    if (!el) {
      el = document.createElement('div');
      el.id = `${dPrefix}auto-complete-root`;
      document.body.appendChild(el);
    }

    return el;
  });
  const canSelectItem = useCallback(item => !item.disabled && !item.children, []);
  const [visible, changeVisible] = useDValue(false, dVisible, onVisibleChange);
  const [focusVisible, setFocusVisible] = useState(false);
  const maxZIndex = useMaxIndex(visible);
  const [popupPositionStyle, setPopupPositionStyle] = useState({
    top: -9999,
    left: -9999
  });
  const [transformOrigin, setTransformOrigin] = useState();
  const updatePosition = useEventCallback(() => {
    const boxEl = document.querySelector(`[data-auto-complete-boxid="${uniqueId}"]`);
    const popupEl = popupRef.current;

    if (boxEl && popupEl) {
      const width = boxEl.getBoundingClientRect().width;
      const {
        height
      } = getOriginalSize(popupEl);
      const {
        top,
        left,
        transformOrigin
      } = getVerticalSidePosition(boxEl, {
        width,
        height
      }, 'bottom-left', 8);
      setPopupPositionStyle({
        top,
        left,
        minWidth: width,
        maxWidth: window.innerWidth - left - 20
      });
      setTransformOrigin(transformOrigin);
    }
  });
  const [_focusItem, setFocusItem] = useState();

  const focusItem = (() => {
    if (_focusItem && findNested(dList, item => canSelectItem(item) && item.value === _focusItem.value)) {
      return _focusItem;
    }

    return findNested(dList, item => canSelectItem(item));
  })();

  const changeFocusItem = item => {
    if (!isUndefined(item)) {
      setFocusItem(item);
    }
  };

  useEffect(() => {
    if (visible) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      const boxEl = document.querySelector(`[data-auto-complete-boxid="${uniqueId}"]`);

      if (boxEl) {
        asyncGroup.onResize(boxEl, () => {
          updatePosition();
        });
      }

      if (popupRef.current) {
        asyncGroup.onResize(popupRef.current, () => {
          updatePosition();
        });
      }

      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, uniqueId, updatePosition, visible]);
  useEffect(() => {
    if (visible && scrollEl) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      asyncGroup.fromEvent(scrollEl, 'scroll', {
        passive: true
      }).subscribe({
        next: () => {
          updatePosition();
        }
      });
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, visible, scrollEl, updatePosition]);
  useEffect(() => {
    if (visible && resizeEl) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      asyncGroup.onResize(resizeEl, () => {
        updatePosition();
      });
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, visible, resizeEl, updatePosition]);

  const preventBlur = e => {
    if (e.button === 0) {
      e.preventDefault();
    }
  };

  useImperativeHandle(ref, () => ({
    updatePosition
  }), [updatePosition]);
  const child = React.Children.only(children);

  const getInputProps = (fvProps, ksProps, inputProps) => ({
    role: 'combobox',
    'aria-autocomplete': 'list',
    'aria-expanded': visible,
    'aria-controls': listId,
    onFocus: e => {
      var _a;

      (_a = inputProps === null || inputProps === void 0 ? void 0 : inputProps.onFocus) === null || _a === void 0 ? void 0 : _a.call(inputProps, e);
      fvProps.fvOnFocus(e);
    },
    onBlur: e => {
      var _a;

      (_a = inputProps === null || inputProps === void 0 ? void 0 : inputProps.onBlur) === null || _a === void 0 ? void 0 : _a.call(inputProps, e);
      fvProps.fvOnBlur(e);
      changeVisible(false);
    },
    onClick: e => {
      var _a;

      (_a = inputProps === null || inputProps === void 0 ? void 0 : inputProps.onClick) === null || _a === void 0 ? void 0 : _a.call(inputProps, e);
      changeVisible(true);
    },
    onKeyDown: e => {
      var _a;

      (_a = inputProps === null || inputProps === void 0 ? void 0 : inputProps.onKeyDown) === null || _a === void 0 ? void 0 : _a.call(inputProps, e);
      fvProps.fvOnKeyDown(e);
      ksProps.ksOnKeyDown(e);

      if (e.code === 'Enter' && visible && focusItem) {
        changeVisible(false);
        onItemClick === null || onItemClick === void 0 ? void 0 : onItemClick(focusItem.value, focusItem);
      }
    }
  });

  const vsPerformance = useMemo(() => ({
    dList,
    dItemSize: 32,
    dItemNested: item => ({
      list: item.children,
      emptySize: 32,
      asItem: false
    }),
    dItemKey: item => item.value,
    dFocusable: canSelectItem
  }), [canSelectItem, dList]);
  return jsxs(Fragment, {
    children: [jsx(DFocusVisible, Object.assign({
      onFocusVisibleChange: setFocusVisible
    }, {
      children: fvProps => jsx(DComboboxKeyboardSupport, Object.assign({
        dVisible: visible,
        dEditable: true,
        onVisibleChange: changeVisible,
        onFocusChange: key => {
          var _a, _b, _c, _d;

          switch (key) {
            case 'next':
              changeFocusItem((_a = dVSRef.current) === null || _a === void 0 ? void 0 : _a.scrollByStep(1));
              break;

            case 'prev':
              changeFocusItem((_b = dVSRef.current) === null || _b === void 0 ? void 0 : _b.scrollByStep(-1));
              break;

            case 'first':
              changeFocusItem((_c = dVSRef.current) === null || _c === void 0 ? void 0 : _c.scrollToStart());
              break;

            case 'last':
              changeFocusItem((_d = dVSRef.current) === null || _d === void 0 ? void 0 : _d.scrollToEnd());
              break;
          }
        }
      }, {
        children: ksProps => {
          const childProps = Object.assign(Object.assign({}, child.props), {
            'data-auto-complete-boxid': uniqueId
          });

          if (child.type === DInput) {
            childProps.dInputProps = getInputProps(fvProps, ksProps, child.props.dInputProps);
          } else {
            Object.assign(childProps, getInputProps(fvProps, ksProps, child.props));
          }

          return /*#__PURE__*/React.cloneElement(child, childProps);
        }
      }))
    })), containerEl && /*#__PURE__*/ReactDOM.createPortal(jsx(DTransition, Object.assign({
      dIn: visible,
      dDuring: TTANSITION_DURING_POPUP,
      onEnterRendered: updatePosition,
      afterEnter: () => {
        afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(true);
      },
      afterLeave: () => {
        afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(false);
      }
    }, {
      children: state => {
        let transitionStyle = {};

        switch (state) {
          case 'enter':
            transitionStyle = {
              transform: 'scaleY(0.7)',
              opacity: 0
            };
            break;

          case 'entering':
            transitionStyle = {
              transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_POPUP}ms ease-out`).join(', '),
              transformOrigin
            };
            break;

          case 'leaving':
            transitionStyle = {
              transform: 'scaleY(0.7)',
              opacity: 0,
              transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_POPUP}ms ease-in`).join(', '),
              transformOrigin
            };
            break;

          case 'leaved':
            transitionStyle = {
              display: 'none'
            };
            break;
        }

        return jsxs("div", Object.assign({}, restProps, {
          ref: popupRef,
          className: getClassName(restProps.className, `${dPrefix}auto-complete`),
          style: Object.assign(Object.assign(Object.assign(Object.assign({}, restProps.style), popupPositionStyle), transitionStyle), {
            zIndex: maxZIndex
          }),
          onMouseDown: e => {
            var _a;

            (_a = restProps.onMouseDown) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
            preventBlur(e);
          },
          onMouseUp: e => {
            var _a;

            (_a = restProps.onMouseUp) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
            preventBlur(e);
          }
        }, {
          children: [dLoading && jsx("div", Object.assign({
            className: getClassName(`${dPrefix}auto-complete__loading`, {
              [`${dPrefix}auto-complete__loading--empty`]: dList.length === 0
            })
          }, {
            children: jsx(LoadingOutlined, {
              dSize: dList.length === 0 ? 18 : 24,
              dSpin: true
            })
          })), jsx(DVirtualScroll, Object.assign({}, vsPerformance, {
            ref: dVSRef,
            dFillNode: jsx("li", {}),
            dItemRender: (item, index, {
              iARIA,
              iChildren
            }, parent) => {
              const {
                value: itemValue,
                disabled: itemDisabled,
                children
              } = item;
              const itemNode = dCustomItem ? dCustomItem(item) : itemValue;

              if (children) {
                return jsxs("ul", Object.assign({
                  className: `${dPrefix}auto-complete__option-group`,
                  role: "group",
                  "aria-labelledby": getGroupId(itemValue)
                }, {
                  children: [jsx("li", Object.assign({
                    id: getGroupId(itemValue),
                    className: `${dPrefix}auto-complete__option-group-label`,
                    role: "presentation"
                  }, {
                    children: jsx("div", Object.assign({
                      className: `${dPrefix}auto-complete__option-content`
                    }, {
                      children: itemNode
                    }))
                  }), itemValue), iChildren]
                }), itemValue);
              }

              return /*#__PURE__*/createElement$2("li", Object.assign({}, iARIA, {
                key: itemValue,
                id: getItemId(itemValue),
                className: getClassName(`${dPrefix}auto-complete__option`, {
                  'is-disabled': itemDisabled
                }),
                style: {
                  paddingLeft: parent.length === 0 ? undefined : 12 + 8
                },
                title: itemValue,
                role: "option",
                "aria-selected": false,
                "aria-disabled": itemDisabled,
                onClick: () => {
                  if (!itemDisabled) {
                    changeFocusItem(item);
                    changeVisible(false);
                    onItemClick === null || onItemClick === void 0 ? void 0 : onItemClick(itemValue, item);
                  }
                }
              }), focusVisible && (focusItem === null || focusItem === void 0 ? void 0 : focusItem.value) === itemValue && jsx("div", {
                className: `${dPrefix}focus-outline`
              }), jsx("div", Object.assign({
                className: `${dPrefix}auto-complete__option-content`
              }, {
                children: itemNode
              })));
            },
            dFocusItem: focusItem,
            dSize: 264,
            dPadding: 4,
            dEmptyRender: () => jsx("li", Object.assign({
              className: `${dPrefix}auto-complete__empty`,
              style: {
                paddingLeft: 12 + 8
              }
            }, {
              children: jsx("div", Object.assign({
                className: `${dPrefix}auto-complete__option-content`
              }, {
                children: t('No Data')
              }))
            })),
            onScrollEnd: onScrollBottom
          }, {
            children: ({
              vsScrollRef,
              vsRender,
              vsOnScroll
            }) => jsx("ul", Object.assign({
              ref: vsScrollRef,
              id: listId,
              className: `${dPrefix}auto-complete__list`,
              style: {
                pointerEvents: dLoading ? 'none' : undefined
              },
              tabIndex: -1,
              role: "listbox",
              "aria-activedescendant": isUndefined(focusItem) ? undefined : getItemId(focusItem.value),
              onScroll: vsOnScroll
            }, {
              children: dList.length === 0 ? jsx("li", Object.assign({
                className: `${dPrefix}auto-complete__empty`
              }, {
                children: jsx("div", Object.assign({
                  className: `${dPrefix}auto-complete__option-content`
                }, {
                  children: t('No Data')
                }))
              })) : vsRender
            }))
          }))]
        }));
      }
    })), containerEl)]
  });
}

const DAutoComplete = /*#__PURE__*/React.forwardRef(AutoComplete);

const {
  COMPONENT_NAME: COMPONENT_NAME$X
} = registerComponentMate({
  COMPONENT_NAME: 'DAvatar'
});
function DAvatar(props) {
  const _a = useComponentConfig(COMPONENT_NAME$X, props),
        {
    dVariant = 'circular',
    dImg,
    dIcon,
    dText,
    dSize = 40
  } = _a,
        restProps = __rest(_a, ["dVariant", "dImg", "dIcon", "dText", "dSize"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const textRef = useRef(null); //#endregion

  const [imgError, setImgError] = useState(false);
  const type = dImg && !imgError ? 'img' : dIcon ? 'icon' : dText ? 'text' : 'img';
  useEffect(() => {
    if (textRef.current) {
      const maxWidth = Math.sqrt(Math.pow(dSize / 2, 2) - Math.pow(textRef.current.clientHeight / 2, 2)) * 2;

      if (textRef.current.clientWidth > maxWidth) {
        textRef.current.style.cssText = `transform:scale(${maxWidth / textRef.current.clientWidth});`;
      }
    }
  });
  return jsx("div", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}avatar`, `${dPrefix}avatar--${type}`, `${dPrefix}avatar--${dVariant}`),
    style: Object.assign(Object.assign({}, restProps.style), {
      width: dSize,
      height: dSize,
      fontSize: type === 'icon' ? dSize / 2 : type === 'text' ? dSize * 0.45 : undefined
    })
  }, {
    children: type === 'img' ? // eslint-disable-next-line jsx-a11y/alt-text
    jsx("img", Object.assign({}, dImg, {
      className: getClassName(dImg === null || dImg === void 0 ? void 0 : dImg.className, `${dPrefix}avatar__img`),
      onError: e => {
        var _a;

        (_a = dImg === null || dImg === void 0 ? void 0 : dImg.onError) === null || _a === void 0 ? void 0 : _a.call(dImg, e);
        setImgError(true);
      }
    })) : type === 'icon' ? dIcon : jsx("span", Object.assign({
      ref: textRef
    }, {
      children: dText
    }))
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$W
} = registerComponentMate({
  COMPONENT_NAME: 'DBackTop'
});
function DBackTop(props) {
  const _a = useComponentConfig(COMPONENT_NAME$W, props),
        {
    children,
    dPage,
    dDistance = 400,
    dScrollBehavior = 'instant'
  } = _a,
        restProps = __rest(_a, ["children", "dPage", "dDistance", "dScrollBehavior"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    dScrollEl,
    dResizeEl
  } = useLayout(); //#endregion

  const dataRef = useRef({});
  const asyncCapture = useAsync();
  const pageEl = useElement(dPage !== null && dPage !== void 0 ? dPage : dScrollEl);
  const resizeEl = useElement(dResizeEl);
  const [visible, setVisible] = useState(false);
  const transitionStyles = {
    enter: {
      opacity: 0
    },
    entering: {
      transition: ['opacity'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms linear`).join(', ')
    },
    leaving: {
      opacity: 0,
      transition: ['opacity'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms linear`).join(', ')
    },
    leaved: {
      display: 'none'
    }
  };
  const updateBackTop = useEventCallback(() => {
    if (!pageEl) {
      return;
    }

    setVisible(pageEl.scrollTop >= dDistance);
  });
  useIsomorphicLayoutEffect(() => {
    updateBackTop(); // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);
  useEffect(() => {
    if (pageEl) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      asyncGroup.fromEvent(pageEl, 'scroll', {
        passive: true
      }).subscribe({
        next: () => {
          updateBackTop();
        }
      });
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, pageEl, updateBackTop]);
  useEffect(() => {
    if (resizeEl) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      asyncGroup.onResize(resizeEl, () => {
        updateBackTop();
      });
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, resizeEl, updateBackTop]);
  return jsx(DTransition, Object.assign({
    dIn: visible,
    dDuring: TTANSITION_DURING_BASE
  }, {
    children: state => jsx("button", Object.assign({}, restProps, {
      className: getClassName(restProps.className, `${dPrefix}back-top`),
      style: Object.assign(Object.assign({}, restProps.style), transitionStyles[state]),
      onClick: e => {
        var _a, _b, _c;

        (_a = restProps.onClick) === null || _a === void 0 ? void 0 : _a.call(restProps, e);

        if (pageEl) {
          (_c = (_b = dataRef.current).clearTid) === null || _c === void 0 ? void 0 : _c.call(_b);
          dataRef.current.clearTid = scrollTo(pageEl, {
            top: 0,
            behavior: dScrollBehavior
          });
        }
      }
    }, {
      children: checkNodeExist(children) ? children : jsx(VerticalAlignTopOutlined, {
        dSize: 24
      })
    }))
  }));
}

function DNumber(props) {
  const {
    dValue,
    dDown
  } = props; //#region Context

  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const containerRef = useRef(null); //#endregion

  const prevValue = useRef(dValue);
  const [nums, setNums] = useState([dValue]);
  useEffect(() => {
    if (containerRef.current && prevValue.current !== dValue) {
      let newNums = Array(10).fill(0).map((n, i) => i);

      if (dDown) {
        newNums = newNums.concat(Array(prevValue.current + 1).fill(0).map((n, i) => i));
        newNums = newNums.slice(newNums.length - 10, newNums.length);
        containerRef.current.style.cssText = 'transform:translateY(-900%);transition:none;';
      } else {
        newNums = Array(10 - prevValue.current).fill(0).map((n, i) => prevValue.current + i).concat(newNums);
        newNums = newNums.slice(0, 10);
        containerRef.current.style.cssText = 'transform:translateY(0);transition:none;';
      }

      prevValue.current = dValue;
      setNums(newNums);
    }
  }, [dDown, dValue]);
  useEffect(() => {
    if (containerRef.current) {
      containerRef.current.style.cssText = `transform:translateY(-${nums.findIndex(n => n === dValue) * 100}%); `;
    } // eslint-disable-next-line react-hooks/exhaustive-deps

  }, [nums]);
  return jsx("div", Object.assign({
    ref: containerRef,
    className: `${dPrefix}badge__number-container`
  }, {
    children: nums.map((n, i) => jsx("span", Object.assign({
      className: `${dPrefix}badge__number`
    }, {
      children: n
    }), i))
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$V
} = registerComponentMate({
  COMPONENT_NAME: 'DBadge'
});
function DBadge(props) {
  var _a;

  const _b = useComponentConfig(COMPONENT_NAME$V, props),
        {
    children,
    dValue,
    dTheme = 'danger',
    dColor,
    dShowZero = false,
    dMax = Infinity,
    dDot = false,
    dOffset = [0, '100%']
  } = _b,
        restProps = __rest(_b, ["children", "dValue", "dTheme", "dColor", "dShowZero", "dMax", "dDot", "dOffset"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const dataRef = useRef({
    prevValue: dValue,
    dDown: false
  });
  const show = dShowZero || dValue > 0;
  const value = show ? dValue : (_a = dataRef.current.saveValue) !== null && _a !== void 0 ? _a : 0;
  dataRef.current.saveValue = value;
  const nums = (value > dMax ? dMax : value).toString().split('').map(n => Number(n));

  if (value !== dataRef.current.prevValue) {
    dataRef.current.dDown = value < dataRef.current.prevValue;
    dataRef.current.prevValue = value;
  }

  return jsx(DTransition, Object.assign({
    dIn: show,
    dDuring: TTANSITION_DURING_BASE
  }, {
    children: state => {
      var _a;

      let transitionStyle = {};

      switch (state) {
        case 'enter':
          transitionStyle = {
            transform: 'scale(0)',
            opacity: 0
          };
          break;

        case 'entering':
          transitionStyle = {
            transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-out`).join(', ')
          };
          break;

        case 'leaving':
          transitionStyle = {
            transform: 'scale(0)',
            opacity: 0,
            transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-in`).join(', ')
          };
          break;
      }

      return jsxs("div", Object.assign({}, restProps, {
        className: getClassName(restProps.className, `${dPrefix}badge__container`),
        title: (_a = restProps.title) !== null && _a !== void 0 ? _a : dDot ? undefined : dValue.toString()
      }, {
        children: [children, state === 'leaved' ? null : jsx("div", Object.assign({
          className: getClassName(`${dPrefix}badge`, {
            [`t-${dTheme}`]: dTheme,
            [`${dPrefix}badge--dot`]: dDot
          }),
          style: {
            top: dOffset[0],
            left: dOffset[1],
            [`--${dPrefix}badge-color`]: dColor
          }
        }, {
          children: jsx("div", Object.assign({
            className: `${dPrefix}badge__wrapper`,
            style: transitionStyle
          }, {
            children: dDot ? null : jsxs(Fragment, {
              children: [nums.map((n, i) => jsx(DNumber, {
                dValue: n,
                dDown: dataRef.current.dDown
              }, nums.length - i)), value > dMax ? '+' : '']
            })
          }))
        }))]
      }));
    }
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$U
} = registerComponentMate({
  COMPONENT_NAME: 'DBreadcrumb'
});
function DBreadcrumb(props) {
  const _a = useComponentConfig(COMPONENT_NAME$U, props),
        {
    dList,
    dSeparator,
    onItemClick
  } = _a,
        restProps = __rest(_a, ["dList", "dSeparator", "onItemClick"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  return jsx("nav", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}breadcrumb`)
  }, {
    children: jsx("ol", Object.assign({
      className: `${dPrefix}breadcrumb__list`
    }, {
      children: dList.map((item, index) => {
        var _a, _b;

        return jsxs(React.Fragment, {
          children: [jsx("li", Object.assign({
            className: getClassName(`${dPrefix}breadcrumb__item`, {
              [`${dPrefix}breadcrumb__item--link`]: item.link,
              [`${dPrefix}breadcrumb__item--last`]: index === dList.length - 1
            }),
            onClick: () => {
              onItemClick === null || onItemClick === void 0 ? void 0 : onItemClick(item.id, item);
            }
          }, {
            children: item.title
          })), index !== dList.length - 1 && jsx("li", Object.assign({
            className: `${dPrefix}breadcrumb__separator`,
            "aria-hidden": true
          }, {
            children: (_b = (_a = item.separator) !== null && _a !== void 0 ? _a : dSeparator) !== null && _b !== void 0 ? _b : '/'
          }))]
        }, item.id);
      })
    }))
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$T
} = registerComponentMate({
  COMPONENT_NAME: 'DButton'
});

function Button(props, ref) {
  var _a;

  const _b = useComponentConfig(COMPONENT_NAME$T, props),
        {
    children,
    dType = 'primary',
    dTheme = 'primary',
    dLoading = false,
    dBlock = false,
    dVariant,
    dSize,
    dIcon,
    dIconRight = false
  } = _b,
        restProps = __rest(_b, ["children", "dType", "dTheme", "dLoading", "dBlock", "dVariant", "dSize", "dIcon", "dIconRight"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    gSize,
    gDisabled
  } = useGeneralContext(); //#endregion

  const [waveNode, wave] = useWave();
  const size = dSize !== null && dSize !== void 0 ? dSize : gSize;
  const disabled = restProps.disabled || dLoading || gDisabled;

  const buttonIcon = (loading, iconRef, style) => jsx("div", Object.assign({
    ref: iconRef,
    className: `${dPrefix}button__icon`,
    style: style
  }, {
    children: loading ? jsx(LoadingOutlined, {
      dSpin: true
    }) : dIcon
  }));

  return jsx(DBaseDesign, Object.assign({
    dCompose: {
      disabled: disabled
    }
  }, {
    children: jsxs("button", Object.assign({}, restProps, {
      ref: ref,
      className: getClassName(restProps.className, `${dPrefix}button`, `${dPrefix}button--${dType}`, `t-${dTheme}`, {
        [`${dPrefix}button--${dVariant}`]: dVariant,
        [`${dPrefix}button--${size}`]: size,
        [`${dPrefix}button--block`]: dBlock,
        [`${dPrefix}button--icon`]: !children,
        [`${dPrefix}button--icon-right`]: dIconRight,
        'is-loading': dLoading
      }),
      type: (_a = restProps.type) !== null && _a !== void 0 ? _a : 'button',
      disabled: disabled,
      onClick: e => {
        var _a;

        (_a = restProps.onClick) === null || _a === void 0 ? void 0 : _a.call(restProps, e);

        if (dType === 'primary' || dType === 'secondary' || dType === 'outline' || dType === 'dashed') {
          wave(`var(--${dPrefix}color-${dTheme})`);
        }
      }
    }, {
      children: [dIcon ? buttonIcon(dLoading) : jsx(DCollapseTransition, Object.assign({
        dSize: 0,
        dIn: dLoading,
        dDuring: TTANSITION_DURING_SLOW,
        dHorizontal: true,
        dStyles: {
          entering: {
            transition: ['width', 'padding', 'margin'].map(attr => `${attr} ${TTANSITION_DURING_SLOW}ms linear`).join(', ')
          },
          leaving: {
            transition: ['width', 'padding', 'margin'].map(attr => `${attr} ${TTANSITION_DURING_SLOW}ms linear`).join(', ')
          },
          leaved: {
            display: 'none'
          }
        }
      }, {
        children: (iconRef, collapseStyle) => buttonIcon(true, iconRef, collapseStyle)
      })), jsx("div", {
        children: children
      }), waveNode]
    }))
  }));
}

const DButton = /*#__PURE__*/React.forwardRef(Button);

const {
  COMPONENT_NAME: COMPONENT_NAME$S
} = registerComponentMate({
  COMPONENT_NAME: 'DSeparator'
});
function DSeparator(props) {
  var _a;

  const _b = useComponentConfig(COMPONENT_NAME$S, props),
        {
    children,
    dTextAlign = 'left',
    dVertical = false
  } = _b,
        restProps = __rest(_b, ["children", "dTextAlign", "dVertical"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  return jsx("div", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}separator`, {
      [`${dPrefix}separator--text`]: children,
      [`${dPrefix}separator--text-${dTextAlign}`]: children,
      [`${dPrefix}separator--vertical`]: dVertical
    }),
    role: "separator",
    "aria-orientation": (_a = restProps['aria-orientation']) !== null && _a !== void 0 ? _a : dVertical ? 'vertical' : 'horizontal'
  }, {
    children: checkNodeExist(children) && jsx("div", Object.assign({
      className: `${dPrefix}separator__text`
    }, {
      children: children
    }))
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$R
} = registerComponentMate({
  COMPONENT_NAME: 'DCard.Content'
});
function DCardContent(props) {
  const _a = useComponentConfig(COMPONENT_NAME$R, props),
        {
    children
  } = _a,
        restProps = __rest(_a, ["children"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  return jsx("div", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}card__content`)
  }, {
    children: children
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$Q
} = registerComponentMate({
  COMPONENT_NAME: 'DCard.Header'
});
function DCardHeader(props) {
  const _a = useComponentConfig(COMPONENT_NAME$Q, props),
        {
    children,
    dAction
  } = _a,
        restProps = __rest(_a, ["children", "dAction"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  return jsxs("div", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}card__header`)
  }, {
    children: [jsx("div", Object.assign({
      className: `${dPrefix}card__header-title`
    }, {
      children: children
    })), jsx("div", Object.assign({
      className: `${dPrefix}card__header-action`
    }, {
      children: dAction
    }))]
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$P
} = registerComponentMate({
  COMPONENT_NAME: 'DCard'
});
const DCard = props => {
  const _a = useComponentConfig(COMPONENT_NAME$P, props),
        {
    children,
    dBorder = true,
    dShadow = false,
    dActions
  } = _a,
        restProps = __rest(_a, ["children", "dBorder", "dShadow", "dActions"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  return jsxs("div", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}card`, {
      [`${dPrefix}card--border`]: dBorder,
      [`${dPrefix}card--shadow`]: dShadow === true,
      [`${dPrefix}card--shadow-hover`]: dShadow === 'hover'
    })
  }, {
    children: [children, dActions && jsx("div", Object.assign({
      className: `${dPrefix}card__actions`
    }, {
      children: React.Children.map(dActions, (action, index) => jsxs(Fragment, {
        children: [/*#__PURE__*/React.cloneElement(action, Object.assign(Object.assign({}, action.props), {
          className: getClassName(action.props.className, `${dPrefix}card__action`)
        })), index !== dActions.length - 1 && jsx(DSeparator, {
          dVertical: true
        })]
      }))
    }))]
  }));
};
DCard.Header = DCardHeader;
DCard.Content = DCardContent;

var tryToString = tryToString$5;

var $TypeError$1 = TypeError;

var deletePropertyOrThrow$1 = function (O, P) {
  if (!delete O[P]) throw $TypeError$1('Cannot delete property ' + tryToString(P) + ' of ' + tryToString(O));
};

var arraySlice$1 = arraySliceSimple;

var floor$2 = Math.floor;

var mergeSort = function (array, comparefn) {
  var length = array.length;
  var middle = floor$2(length / 2);
  return length < 8 ? insertionSort(array, comparefn) : merge(
    array,
    mergeSort(arraySlice$1(array, 0, middle), comparefn),
    mergeSort(arraySlice$1(array, middle), comparefn),
    comparefn
  );
};

var insertionSort = function (array, comparefn) {
  var length = array.length;
  var i = 1;
  var element, j;

  while (i < length) {
    j = i;
    element = array[i];
    while (j && comparefn(array[j - 1], element) > 0) {
      array[j] = array[--j];
    }
    if (j !== i++) array[j] = element;
  } return array;
};

var merge = function (array, left, right, comparefn) {
  var llength = left.length;
  var rlength = right.length;
  var lindex = 0;
  var rindex = 0;

  while (lindex < llength || rindex < rlength) {
    array[lindex + rindex] = (lindex < llength && rindex < rlength)
      ? comparefn(left[lindex], right[rindex]) <= 0 ? left[lindex++] : right[rindex++]
      : lindex < llength ? left[lindex++] : right[rindex++];
  } return array;
};

var arraySort$1 = mergeSort;

var fails$2 = fails$q;

var arrayMethodIsStrict$2 = function (METHOD_NAME, argument) {
  var method = [][METHOD_NAME];
  return !!method && fails$2(function () {
    // eslint-disable-next-line no-useless-call -- required for testing
    method.call(null, argument || function () { return 1; }, 1);
  });
};

var userAgent$1 = engineUserAgent;

var firefox = userAgent$1.match(/firefox\/(\d+)/i);

var engineFfVersion = !!firefox && +firefox[1];

var UA = engineUserAgent;

var engineIsIeOrEdge = /MSIE|Trident/.test(UA);

var userAgent = engineUserAgent;

var webkit = userAgent.match(/AppleWebKit\/(\d+)\./);

var engineWebkitVersion = !!webkit && +webkit[1];

var $$5 = _export;
var uncurryThis$5 = functionUncurryThis;
var aCallable$1 = aCallable$9;
var toObject$2 = toObject$7;
var lengthOfArrayLike$2 = lengthOfArrayLike$6;
var deletePropertyOrThrow = deletePropertyOrThrow$1;
var toString$2 = toString$e;
var fails$1 = fails$q;
var internalSort = arraySort$1;
var arrayMethodIsStrict$1 = arrayMethodIsStrict$2;
var FF = engineFfVersion;
var IE_OR_EDGE = engineIsIeOrEdge;
var V8 = engineV8Version;
var WEBKIT = engineWebkitVersion;

var test$1 = [];
var un$Sort = uncurryThis$5(test$1.sort);
var push$3 = uncurryThis$5(test$1.push);

// IE8-
var FAILS_ON_UNDEFINED = fails$1(function () {
  test$1.sort(undefined);
});
// V8 bug
var FAILS_ON_NULL = fails$1(function () {
  test$1.sort(null);
});
// Old WebKit
var STRICT_METHOD$1 = arrayMethodIsStrict$1('sort');

var STABLE_SORT = !fails$1(function () {
  // feature detection can be too slow, so check engines versions
  if (V8) return V8 < 70;
  if (FF && FF > 3) return;
  if (IE_OR_EDGE) return true;
  if (WEBKIT) return WEBKIT < 603;

  var result = '';
  var code, chr, value, index;

  // generate an array with more 512 elements (Chakra and old V8 fails only in this case)
  for (code = 65; code < 76; code++) {
    chr = String.fromCharCode(code);

    switch (code) {
      case 66: case 69: case 70: case 72: value = 3; break;
      case 68: case 71: value = 4; break;
      default: value = 2;
    }

    for (index = 0; index < 47; index++) {
      test$1.push({ k: chr + index, v: value });
    }
  }

  test$1.sort(function (a, b) { return b.v - a.v; });

  for (index = 0; index < test$1.length; index++) {
    chr = test$1[index].k.charAt(0);
    if (result.charAt(result.length - 1) !== chr) result += chr;
  }

  return result !== 'DGBEFHACIJK';
});

var FORCED = FAILS_ON_UNDEFINED || !FAILS_ON_NULL || !STRICT_METHOD$1 || !STABLE_SORT;

var getSortCompare = function (comparefn) {
  return function (x, y) {
    if (y === undefined) return -1;
    if (x === undefined) return 1;
    if (comparefn !== undefined) return +comparefn(x, y) || 0;
    return toString$2(x) > toString$2(y) ? 1 : -1;
  };
};

// `Array.prototype.sort` method
// https://tc39.es/ecma262/#sec-array.prototype.sort
$$5({ target: 'Array', proto: true, forced: FORCED }, {
  sort: function sort(comparefn) {
    if (comparefn !== undefined) aCallable$1(comparefn);

    var array = toObject$2(this);

    if (STABLE_SORT) return comparefn === undefined ? un$Sort(array) : un$Sort(array, comparefn);

    var items = [];
    var arrayLength = lengthOfArrayLike$2(array);
    var itemsLength, index;

    for (index = 0; index < arrayLength; index++) {
      if (index in array) push$3(items, array[index]);
    }

    internalSort(items, getSortCompare(comparefn));

    itemsLength = items.length;
    index = 0;

    while (index < itemsLength) array[index] = items[index++];
    while (index < arrayLength) deletePropertyOrThrow(array, index++);

    return array;
  }
});

function Selectbox(props, ref) {
  const {
    children,
    dClassNamePrefix,
    dFormControl,
    dVisible = false,
    dContent,
    dContentTitle,
    dPlaceholder,
    dSuffix,
    dSize,
    dLoading = false,
    dSearchable = false,
    dClearable = false,
    dDisabled = false,
    dInputProps,
    dInputRef,
    dUpdatePosition,
    afterVisibleChange,
    onFocusVisibleChange,
    onClear
  } = props,
        restProps = __rest(props, ["children", "dClassNamePrefix", "dFormControl", "dVisible", "dContent", "dContentTitle", "dPlaceholder", "dSuffix", "dSize", "dLoading", "dSearchable", "dClearable", "dDisabled", "dInputProps", "dInputRef", "dUpdatePosition", "afterVisibleChange", "onFocusVisibleChange", "onClear"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    dScrollEl,
    dResizeEl
  } = useLayout(); //#endregion
  //#region Ref

  const boxRef = useRef(null);
  const popupRef = useRef(null);
  const inputRef = useRef(null); //#endregion

  const prefix = `${dPrefix}${dClassNamePrefix}`;
  const combineInputRef = useForkRef(inputRef, dInputRef);
  const asyncCapture = useAsync();
  const [t] = useTranslation();
  const [isFocus, setIsFocus] = useState(false);
  const inputable = dSearchable && dVisible;
  const clearable = dClearable && dContent && !dVisible && !dLoading && !dDisabled;
  const scrollEl = useElement(dScrollEl);
  const resizeEl = useElement(dResizeEl);
  const containerEl = useElement(() => {
    let el = document.getElementById(`${prefix}-root`);

    if (!el) {
      el = document.createElement('div');
      el.id = `${prefix}-root`;
      document.body.appendChild(el);
    }

    return el;
  });
  const maxZIndex = useMaxIndex(dVisible);
  const [popupPositionStyle, setPopupPositionStyle] = useState({
    top: -9999,
    left: -9999
  });
  const [transformOrigin, setTransformOrigin] = useState();
  const updatePosition = useEventCallback(() => {
    if (boxRef.current && popupRef.current) {
      const res = dUpdatePosition === null || dUpdatePosition === void 0 ? void 0 : dUpdatePosition(boxRef.current, popupRef.current);

      if (res) {
        setPopupPositionStyle(res.position);
        setTransformOrigin(res.transformOrigin);
      }
    }
  });
  useEffect(() => {
    if (dVisible) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();

      if (boxRef.current) {
        asyncGroup.onResize(boxRef.current, () => {
          updatePosition();
        });
      }

      if (popupRef.current) {
        asyncGroup.onResize(popupRef.current, () => {
          updatePosition();
        });
      }

      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, dVisible, updatePosition]);
  useEffect(() => {
    if (dVisible && scrollEl) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      asyncGroup.fromEvent(scrollEl, 'scroll', {
        passive: true
      }).subscribe({
        next: () => {
          updatePosition();
        }
      });
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, dVisible, scrollEl, updatePosition]);
  useEffect(() => {
    if (dVisible && resizeEl) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      asyncGroup.onResize(resizeEl, () => {
        updatePosition();
      });
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, dVisible, resizeEl, updatePosition]);

  const preventBlur = e => {
    if (e.target !== inputRef.current && e.button === 0) {
      e.preventDefault();
    }
  };

  useImperativeHandle(ref, () => ({
    updatePosition
  }), [updatePosition]);
  return jsxs(Fragment, {
    children: [jsx(DBaseDesign, Object.assign({
      dCompose: {
        active: isFocus,
        disabled: dDisabled
      },
      dFormControl: dFormControl
    }, {
      children: jsxs("div", Object.assign({}, restProps, {
        ref: boxRef,
        className: getClassName(restProps.className, prefix, {
          [`${prefix}--${dSize}`]: dSize,
          'is-expanded': dVisible,
          'is-focus': isFocus,
          'is-disabled': dDisabled
        }),
        onMouseDown: e => {
          var _a;

          (_a = restProps.onMouseDown) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
          preventBlur(e);
        },
        onMouseUp: e => {
          var _a;

          (_a = restProps.onMouseUp) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
          preventBlur(e);
        },
        onClick: e => {
          var _a, _b;

          (_a = restProps.onClick) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
          (_b = inputRef.current) === null || _b === void 0 ? void 0 : _b.focus({
            preventScroll: true
          });
        }
      }, {
        children: [jsxs("div", Object.assign({
          className: `${prefix}__container`,
          title: dContentTitle
        }, {
          children: [jsx(DFocusVisible, Object.assign({
            onFocusVisibleChange: onFocusVisibleChange
          }, {
            children: ({
              fvOnFocus,
              fvOnBlur,
              fvOnKeyDown
            }) => jsx(DBaseInput, Object.assign({}, dInputProps, {
              ref: combineInputRef,
              className: getClassName(`${prefix}__search`, dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.className),
              style: Object.assign(Object.assign({}, dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.style), {
                opacity: inputable ? undefined : 0,
                zIndex: inputable ? undefined : -1
              }),
              type: "text",
              autoComplete: "off",
              disabled: dDisabled,
              role: "combobox",
              "aria-haspopup": "listbox",
              "aria-expanded": dVisible,
              onFocus: e => {
                var _a;

                (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onFocus) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
                fvOnFocus(e);
                setIsFocus(true);
              },
              onBlur: e => {
                var _a;

                (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onBlur) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
                fvOnBlur(e);
                setIsFocus(false);
              },
              onKeyDown: e => {
                var _a;

                (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onKeyDown) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
                fvOnKeyDown(e);
              },
              dFormControl: dFormControl
            }))
          })), !inputable && (dContent ? jsx("div", Object.assign({
            className: `${prefix}__content`
          }, {
            children: dContent
          })) : dPlaceholder ? jsx("div", Object.assign({
            className: `${prefix}__placeholder-wrapper`
          }, {
            children: jsx("div", Object.assign({
              className: `${prefix}__placeholder`
            }, {
              children: dPlaceholder
            }))
          })) : null)]
        })), checkNodeExist(dSuffix) && jsx("div", Object.assign({
          className: `${prefix}__suffix`,
          onClick: e => {
            e.stopPropagation();
          }
        }, {
          children: dSuffix
        })), clearable && jsx("div", Object.assign({
          className: `${prefix}__clear`,
          role: "button",
          "aria-label": t('Clear'),
          onClick: e => {
            e.stopPropagation();
            onClear === null || onClear === void 0 ? void 0 : onClear();
          }
        }, {
          children: jsx(CloseCircleFilled, {})
        })), jsx("div", Object.assign({
          className: getClassName(`${prefix}__icon`, {
            'is-arrow-up': !dLoading && !inputable && dVisible
          }),
          style: {
            opacity: clearable ? 0 : 1
          }
        }, {
          children: dLoading ? jsx(LoadingOutlined, {
            dSpin: true
          }) : inputable ? jsx(SearchOutlined, {}) : jsx(DownOutlined, {})
        }))]
      }))
    })), containerEl && /*#__PURE__*/ReactDOM.createPortal(jsx(DTransition, Object.assign({
      dIn: dVisible,
      dDuring: TTANSITION_DURING_POPUP,
      onEnterRendered: updatePosition,
      afterEnter: () => {
        afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(true);
      },
      afterLeave: () => {
        afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(false);
      }
    }, {
      children: state => {
        let transitionStyle = {};

        switch (state) {
          case 'enter':
            transitionStyle = {
              transform: 'scaleY(0.7)',
              opacity: 0
            };
            break;

          case 'entering':
            transitionStyle = {
              transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_POPUP}ms ease-out`).join(', '),
              transformOrigin
            };
            break;

          case 'leaving':
            transitionStyle = {
              transform: 'scaleY(0.7)',
              opacity: 0,
              transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_POPUP}ms ease-in`).join(', '),
              transformOrigin
            };
            break;

          case 'leaved':
            transitionStyle = {
              display: 'none'
            };
            break;
        }

        return children({
          sPopupRef: popupRef,
          sStyle: Object.assign(Object.assign(Object.assign({}, popupPositionStyle), transitionStyle), {
            zIndex: maxZIndex
          }),
          sOnMouseDown: preventBlur,
          sOnMouseUp: preventBlur
        });
      }
    })), containerEl)]
  });
}

const DSelectbox = /*#__PURE__*/React.forwardRef(Selectbox);

function DGroup$1(props) {
  const {
    children,
    dId,
    dList,
    dEmpty,
    dLevel = 0
  } = props; //#region Context

  const dPrefix = usePrefixConfig(); //#endregion

  const [t] = useTranslation();
  return jsxs("ul", Object.assign({
    className: `${dPrefix}dropdown__group-list`,
    role: "group",
    "aria-labelledby": dId
  }, {
    children: [jsx("li", Object.assign({
      id: dId,
      className: `${dPrefix}dropdown__group-title`,
      style: {
        paddingLeft: 12 + dLevel * 16
      },
      role: "presentation"
    }, {
      children: children
    })), dEmpty ? jsx("div", Object.assign({
      className: `${dPrefix}dropdown__empty`,
      style: {
        paddingLeft: 12 + (dLevel + 1) * 16
      }
    }, {
      children: t('No Data')
    })) : dList]
  }));
}

function DItem$1(props) {
  const {
    children,
    dId,
    dDisabled,
    dFocusVisible,
    dIcon,
    dLevel = 0,
    onItemClick
  } = props; //#region Context

  const dPrefix = usePrefixConfig(); //#endregion

  return jsxs("li", Object.assign({
    id: dId,
    className: getClassName(`${dPrefix}dropdown__item`, `${dPrefix}dropdown__item--basic`, {
      'is-disabled': dDisabled
    }),
    style: {
      paddingLeft: 12 + dLevel * 16
    },
    role: "menuitem",
    "aria-disabled": dDisabled,
    onClick: onItemClick
  }, {
    children: [dFocusVisible && jsx("div", {
      className: `${dPrefix}focus-outline`
    }), checkNodeExist(dIcon) && jsx("div", Object.assign({
      className: `${dPrefix}dropdown__item-icon`
    }, {
      children: dIcon
    })), jsx("div", Object.assign({
      className: `${dPrefix}dropdown__item-content`
    }, {
      children: children
    }))]
  }));
}

function DSub$1(props) {
  const {
    children,
    dId,
    dFocusVisible,
    dPopup,
    dPopupVisible,
    dPopupState,
    dEmpty,
    dTrigger,
    dIcon,
    dLevel = 0,
    dDisabled,
    onVisibleChange,
    updatePosition$
  } = props; //#region Context

  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const ulRef = useRef(null);
  const liRef = useRef(null); //#endregion

  const [t] = useTranslation();
  const [popupPositionStyle, setPopupPositionStyle] = useState({
    top: -9999,
    left: -9999
  });
  const [transformOrigin, setTransformOrigin] = useState();
  const updatePosition = useEventCallback(() => {
    if (ulRef.current && liRef.current) {
      const {
        width,
        height
      } = getOriginalSize(ulRef.current);
      const {
        top,
        left,
        transformOrigin
      } = getHorizontalSidePosition(liRef.current, {
        width,
        height
      }, 'right', 10);
      setPopupPositionStyle({
        top,
        left
      });
      setTransformOrigin(transformOrigin);
    }
  });
  const maxZIndex = useMaxIndex(dPopupVisible);
  useEffect(() => {
    if (dPopupVisible) {
      const ob = updatePosition$.subscribe({
        next: () => {
          updatePosition();
        }
      });
      return () => {
        ob.unsubscribe();
      };
    }
  }, [dPopupVisible, updatePosition, updatePosition$]);
  return jsx(DTransition, Object.assign({
    dIn: dPopupVisible,
    dDuring: TTANSITION_DURING_POPUP,
    onEnterRendered: updatePosition
  }, {
    children: state => {
      let transitionStyle = {};

      switch (state) {
        case 'enter':
          transitionStyle = {
            transform: 'scale(0)',
            opacity: 0
          };
          break;

        case 'entering':
          transitionStyle = {
            transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_POPUP}ms ease-out`).join(', '),
            transformOrigin
          };
          break;

        case 'leaving':
          transitionStyle = {
            transform: 'scale(0)',
            opacity: 0,
            transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_POPUP}ms ease-in`).join(', '),
            transformOrigin
          };
          break;

        case 'leaved':
          transitionStyle = {
            display: 'none'
          };
          break;
      }

      return jsx(DPopup, Object.assign({
        dPopup: _a => {
          var {
            pOnClick,
            pOnMouseEnter,
            pOnMouseLeave
          } = _a,
              restPProps = __rest(_a, ["pOnClick", "pOnMouseEnter", "pOnMouseLeave"]);

          return jsx("ul", Object.assign({}, restPProps, {
            ref: ulRef,
            className: `${dPrefix}dropdown__sub-popup`,
            style: Object.assign(Object.assign(Object.assign({}, popupPositionStyle), transitionStyle), {
              zIndex: maxZIndex
            }),
            role: "menu",
            "aria-labelledby": dId,
            onClick: pOnClick,
            onMouseEnter: pOnMouseEnter,
            onMouseLeave: pOnMouseLeave
          }, {
            children: dEmpty ? jsx("div", Object.assign({
              className: `${dPrefix}dropdown__empty`,
              style: {
                paddingLeft: 12 + dLevel * 16
              }
            }, {
              children: t('No Data')
            })) : dPopup
          }));
        },
        dVisible: dPopupState,
        dDisabled: dDisabled,
        dTrigger: dTrigger,
        dUpdatePosition: updatePosition,
        onVisibleChange: onVisibleChange
      }, {
        children: _a => {
          var {
            pOnClick,
            pOnMouseEnter,
            pOnMouseLeave
          } = _a,
              restPProps = __rest(_a, ["pOnClick", "pOnMouseEnter", "pOnMouseLeave"]);

          return jsxs("li", Object.assign({}, restPProps, {
            ref: liRef,
            id: dId,
            className: getClassName(`${dPrefix}dropdown__item`, `${dPrefix}dropdown__item--sub`, {
              'is-expand': dPopupVisible,
              'is-disabled': dDisabled
            }),
            style: {
              paddingLeft: 12 + dLevel * 16
            },
            role: "menuitem",
            "aria-haspopup": true,
            "aria-expanded": dPopupVisible,
            "aria-disabled": dDisabled,
            onClick: pOnClick,
            onMouseEnter: pOnMouseEnter,
            onMouseLeave: pOnMouseLeave
          }, {
            children: [dFocusVisible && jsx("div", {
              className: `${dPrefix}focus-outline`
            }), checkNodeExist(dIcon) && jsx("div", Object.assign({
              className: `${dPrefix}dropdown__item-icon`
            }, {
              children: dIcon
            })), jsx("div", Object.assign({
              className: `${dPrefix}dropdown__item-content`
            }, {
              children: children
            })), jsx(RightOutlined, {
              className: `${dPrefix}dropdown__sub-arrow`,
              dSize: 14
            })]
          }));
        }
      }));
    }
  }));
}

function checkEnableItem$1(item) {
  return (item.type === 'item' || item.type === 'sub') && !item.disabled;
}
function getSameLevelItems$1(arr) {
  const items = [];

  const reduceArr = arr => {
    for (const item of arr) {
      if (item.type === 'group' && item.children) {
        reduceArr(item.children);
      } else if (checkEnableItem$1(item)) {
        items.push(item);
      }
    }
  };

  reduceArr(arr);
  return items;
}

const {
  COMPONENT_NAME: COMPONENT_NAME$O
} = registerComponentMate({
  COMPONENT_NAME: 'DDropdown'
});

function Dropdown(props, ref) {
  var _a, _b;

  const _c = useComponentConfig(COMPONENT_NAME$O, props),
        {
    children,
    dList,
    dVisible,
    dPlacement = 'bottom-right',
    dTrigger = 'hover',
    dArrow = false,
    dCloseOnClick = true,
    dZIndex,
    onVisibleChange,
    afterVisibleChange,
    onItemClick
  } = _c,
        restProps = __rest(_c, ["children", "dList", "dVisible", "dPlacement", "dTrigger", "dArrow", "dCloseOnClick", "dZIndex", "onVisibleChange", "afterVisibleChange", "onItemClick"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const dropdownRef = useRef(null);
  const ulRef = useRef(null); //#endregion

  const [t] = useTranslation();
  const updatePosition$ = useEventNotify();
  const uniqueId = useId();
  const id = (_a = restProps.id) !== null && _a !== void 0 ? _a : `${dPrefix}dropdown-${uniqueId}`;
  const buttonId = (_b = children.props.id) !== null && _b !== void 0 ? _b : `${dPrefix}dropdown-button-${uniqueId}`;

  const getItemId = id => `${dPrefix}dropdown-item-${id}-${uniqueId}`;

  const {
    popupIds,
    setPopupIds,
    addPopupId,
    removePopupId
  } = useNestedPopup();
  const [focusIds, setFocusIds] = useState([]);
  const [isFocus, setIsFocus] = useState(false);
  const [focusVisible, setFocusVisible] = useState(false);

  const focusId = (() => {
    var _a;

    if (isFocus) {
      let id;

      for (const [index, focusId] of focusIds.entries()) {
        id = focusId;

        if (((_a = nth(popupIds, index)) === null || _a === void 0 ? void 0 : _a.id) !== focusId) {
          break;
        }
      }

      return id;
    }
  })();

  const focusFirst = () => {
    const ids = [];

    const reduceArr = arr => {
      for (const item of arr) {
        if (ids.length === 1) {
          break;
        }

        if (item.type === 'group' && item.children) {
          reduceArr(item.children);
        } else if (checkEnableItem$1(item)) {
          ids.push(item.id);
        }
      }
    };

    reduceArr(dList);
    setFocusIds(ids);
  };

  const focusLast = () => {
    const ids = [];

    const reduceArr = arr => {
      for (let index = arr.length - 1; index >= 0; index--) {
        if (ids.length === 1) {
          break;
        }

        const item = arr[index];

        if (item.type === 'group' && item.children) {
          reduceArr(item.children);
        } else if (checkEnableItem$1(item)) {
          ids.push(item.id);
        }
      }
    };

    reduceArr(dList);
    setFocusIds(ids);
  };

  const [visible, changeVisible] = useDValue(false, dVisible, onVisibleChange);
  useIsomorphicLayoutEffect(() => {
    if (!visible) {
      setPopupIds([]);
    }
  }, [setPopupIds, visible]);
  const maxZIndex = useMaxIndex(visible);

  const zIndex = (() => {
    if (isUndefined(dZIndex)) {
      return maxZIndex;
    } else {
      return dZIndex;
    }
  })();

  const [popupPositionStyle, setPopupPositionStyle] = useState({
    top: -9999,
    left: -9999
  });
  const [transformOrigin, setTransformOrigin] = useState();
  const [arrowPosition, setArrowPosition] = useState();
  const updatePosition = useEventCallback(() => {
    const triggerEl = document.getElementById(buttonId);

    if (triggerEl && dropdownRef.current) {
      const {
        width,
        height
      } = getOriginalSize(dropdownRef.current);
      const {
        top,
        left,
        transformOrigin,
        arrowPosition
      } = getVerticalSidePosition(triggerEl, {
        width,
        height
      }, dPlacement, 8);
      setPopupPositionStyle({
        top,
        left
      });
      setTransformOrigin(transformOrigin);
      setArrowPosition(arrowPosition);
    }
  });

  const preventBlur = e => {
    if (e.button === 0) {
      e.preventDefault();
    }
  };

  let handleKeyDown;

  const nodes = (() => {
    const getNodes = (arr, level, subParents) => arr.map(item => {
      var _a;

      const {
        id: itemId,
        label: itemLabel,
        type: itemType,
        icon: itemIcon,
        disabled: itemDisabled,
        children
      } = item;
      const newSubParents = itemType === 'sub' ? subParents.concat([item]) : subParents;
      const id = getItemId(itemId);
      const isFocus = itemId === focusId;
      const isEmpty = !(children && children.length > 0);
      const popupState = popupIds.find(v => v.id === itemId);

      const handleItemClick = () => {
        onItemClick === null || onItemClick === void 0 ? void 0 : onItemClick(itemId, item);
        setFocusIds(subParents.map(parentItem => parentItem.id).concat([itemId]));

        if (dCloseOnClick) {
          changeVisible(false);
        }
      };

      if (isFocus) {
        handleKeyDown = e => {
          var _a, _b, _c, _d;

          const sameLevelItems = getSameLevelItems$1((_b = (_a = nth(subParents, -1)) === null || _a === void 0 ? void 0 : _a.children) !== null && _b !== void 0 ? _b : dList);

          const focusItem = val => {
            if (val) {
              setFocusIds(subParents.map(parentItem => parentItem.id).concat([val.id]));
            }
          };

          const scrollToItem = val => {
            if (val) {
              const el = document.getElementById(getItemId(val.id));

              if (el && ulRef.current) {
                scrollToView(el, ulRef.current, 4);
              }
            }
          };

          switch (e.code) {
            case 'ArrowUp':
              {
                e.preventDefault();
                const index = sameLevelItems.findIndex(sameLevelItem => sameLevelItem.id === itemId);
                const item = nth(sameLevelItems, index - 1);
                focusItem(item);
                scrollToItem(item);

                if (item && ((_c = nth(popupIds, -1)) === null || _c === void 0 ? void 0 : _c.id) === itemId) {
                  setPopupIds(popupIds.slice(0, -1));
                }

                break;
              }

            case 'ArrowDown':
              {
                e.preventDefault();
                const index = sameLevelItems.findIndex(sameLevelItem => sameLevelItem.id === itemId);
                const item = nth(sameLevelItems, (index + 1) % sameLevelItems.length);
                focusItem(item);
                scrollToItem(item);

                if (item && ((_d = nth(popupIds, -1)) === null || _d === void 0 ? void 0 : _d.id) === itemId) {
                  setPopupIds(popupIds.slice(0, -1));
                }

                break;
              }

            case 'ArrowLeft':
              {
                e.preventDefault();
                setPopupIds(popupIds.slice(0, -1));
                const ids = subParents.map(item => item.id);

                if (ids.length > 0) {
                  setFocusIds(ids);
                }

                break;
              }

            case 'ArrowRight':
              e.preventDefault();

              if (itemType === 'sub') {
                addPopupId(itemId);

                if (children) {
                  const newFocusItem = nth(getSameLevelItems$1(children), 0);

                  if (newFocusItem) {
                    setFocusIds(newSubParents.map(parentItem => parentItem.id).concat([newFocusItem.id]));
                  }
                }
              }

              break;

            case 'Home':
              e.preventDefault();
              focusItem(nth(sameLevelItems, 0));

              if (ulRef.current) {
                ulRef.current.scrollTop = 0;
              }

              break;

            case 'End':
              e.preventDefault();
              focusItem(nth(sameLevelItems, -1));

              if (ulRef.current) {
                ulRef.current.scrollTop = ulRef.current.scrollHeight;
              }

              break;

            case 'Enter':
            case 'Space':
              e.preventDefault();

              if (itemType === 'item') {
                handleItemClick();
              } else if (itemType === 'sub') {
                addPopupId(itemId);
              }

              break;
          }
        };
      }

      return jsx(React.Fragment, {
        children: itemType === 'item' ? jsx(DItem$1, Object.assign({
          dId: id,
          dDisabled: itemDisabled,
          dFocusVisible: focusVisible && isFocus,
          dIcon: itemIcon,
          dLevel: level,
          onItemClick: handleItemClick
        }, {
          children: itemLabel
        })) : itemType === 'group' ? jsx(DGroup$1, Object.assign({
          dId: id,
          dList: children && getNodes(children, level + 1, newSubParents),
          dEmpty: isEmpty,
          dLevel: level
        }, {
          children: itemLabel
        })) : jsx(DSub$1, Object.assign({
          dId: id,
          dDisabled: itemDisabled,
          dFocusVisible: focusVisible && isFocus,
          dPopup: children && getNodes(children, 0, newSubParents),
          dPopupVisible: !isUndefined(popupState),
          dPopupState: (_a = popupState === null || popupState === void 0 ? void 0 : popupState.visible) !== null && _a !== void 0 ? _a : false,
          dEmpty: isEmpty,
          dTrigger: dTrigger,
          dIcon: itemIcon,
          dLevel: level,
          onVisibleChange: visible => {
            if (visible) {
              if (subParents.length === 0) {
                setPopupIds([{
                  id: itemId,
                  visible: true
                }]);
              } else {
                addPopupId(itemId);
              }
            } else {
              removePopupId(itemId);
            }
          },
          "updatePosition$": updatePosition$
        }, {
          children: itemLabel
        }))
      }, itemId);
    });

    return getNodes(dList, 0, []);
  })();

  useImperativeHandle(ref, () => ({
    updatePosition: () => {
      updatePosition();
      updatePosition$.next();
    }
  }), [updatePosition, updatePosition$]);
  return jsx(DTransition, Object.assign({
    dIn: visible,
    dDuring: TTANSITION_DURING_POPUP,
    onEnterRendered: updatePosition,
    afterEnter: () => {
      afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(true);
    },
    afterLeave: () => {
      afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(false);
    }
  }, {
    children: state => {
      let transitionStyle = {};

      switch (state) {
        case 'enter':
          transitionStyle = {
            transform: 'scaleY(0.7)',
            opacity: 0
          };
          break;

        case 'entering':
          transitionStyle = {
            transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_POPUP}ms ease-out`).join(', '),
            transformOrigin
          };
          break;

        case 'leaving':
          transitionStyle = {
            transform: 'scaleY(0.7)',
            opacity: 0,
            transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_POPUP}ms ease-in`).join(', '),
            transformOrigin
          };
          break;

        case 'leaved':
          transitionStyle = {
            display: 'none'
          };
          break;
      }

      return jsx(DPopup, Object.assign({
        dPopup: _a => {
          var {
            pOnClick,
            pOnMouseEnter,
            pOnMouseLeave
          } = _a,
              restPProps = __rest(_a, ["pOnClick", "pOnMouseEnter", "pOnMouseLeave"]);

          return jsxs("div", Object.assign({
            ref: dropdownRef
          }, restProps, restPProps, {
            className: getClassName(restProps.className, `${dPrefix}dropdown`),
            style: Object.assign(Object.assign(Object.assign(Object.assign({}, restProps.style), popupPositionStyle), transitionStyle), {
              zIndex
            }),
            onClick: e => {
              var _a;

              (_a = restProps.onClick) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
              pOnClick === null || pOnClick === void 0 ? void 0 : pOnClick(e);
            },
            onMouseEnter: e => {
              var _a;

              (_a = restProps.onMouseEnter) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
              pOnMouseEnter === null || pOnMouseEnter === void 0 ? void 0 : pOnMouseEnter(e);
            },
            onMouseLeave: e => {
              var _a;

              (_a = restProps.onMouseLeave) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
              pOnMouseLeave === null || pOnMouseLeave === void 0 ? void 0 : pOnMouseLeave(e);
            },
            onMouseDown: e => {
              var _a;

              (_a = restProps.onMouseDown) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
              preventBlur(e);
            },
            onMouseUp: e => {
              var _a;

              (_a = restProps.onMouseUp) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
              preventBlur(e);
            }
          }, {
            children: [jsx("ul", Object.assign({
              ref: ulRef,
              id: id,
              className: `${dPrefix}dropdown__list`,
              tabIndex: -1,
              role: "menu",
              "aria-labelledby": buttonId,
              "aria-activedescendant": isUndefined(focusId) ? undefined : getItemId(focusId)
            }, {
              children: dList.length === 0 ? jsx("div", Object.assign({
                className: `${dPrefix}dropdown__empty`
              }, {
                children: t('No Data')
              })) : nodes
            })), dArrow && jsx("div", {
              className: `${dPrefix}dropdown__arrow`,
              style: arrowPosition
            })]
          }));
        },
        dVisible: visible,
        dTrigger: dTrigger,
        dUpdatePosition: updatePosition,
        onVisibleChange: changeVisible
      }, {
        children: _a => {
          var {
            pOnClick,
            pOnMouseEnter,
            pOnMouseLeave
          } = _a,
              restPProps = __rest(_a, ["pOnClick", "pOnMouseEnter", "pOnMouseLeave"]);

          return jsx(DFocusVisible, Object.assign({
            onFocusVisibleChange: setFocusVisible
          }, {
            children: ({
              fvOnFocus,
              fvOnBlur,
              fvOnKeyDown
            }) => {
              var _a, _b, _c, _d, _e;

              return /*#__PURE__*/React.cloneElement(children, Object.assign(Object.assign(Object.assign({}, children.props), restPProps), {
                id: (_a = children.props.id) !== null && _a !== void 0 ? _a : buttonId,
                role: (_b = children.props.role) !== null && _b !== void 0 ? _b : 'button',
                'aria-haspopup': (_c = children.props['aria-haspopup']) !== null && _c !== void 0 ? _c : 'menu',
                'aria-expanded': (_d = children.props['aria-expanded']) !== null && _d !== void 0 ? _d : visible,
                'aria-controls': (_e = children.props['aria-controls']) !== null && _e !== void 0 ? _e : id,
                onClick: e => {
                  var _a, _b;

                  (_b = (_a = children.props).onClick) === null || _b === void 0 ? void 0 : _b.call(_a, e);
                  pOnClick === null || pOnClick === void 0 ? void 0 : pOnClick(e);
                },
                onFocus: e => {
                  var _a, _b;

                  (_b = (_a = children.props).onFocus) === null || _b === void 0 ? void 0 : _b.call(_a, e);
                  fvOnFocus(e);
                  setIsFocus(true);
                  focusFirst();
                },
                onBlur: e => {
                  var _a, _b;

                  (_b = (_a = children.props).onBlur) === null || _b === void 0 ? void 0 : _b.call(_a, e);
                  fvOnBlur(e);
                  setIsFocus(false);
                  changeVisible(false);
                },
                onKeyDown: e => {
                  var _a, _b;

                  (_b = (_a = children.props).onKeyDown) === null || _b === void 0 ? void 0 : _b.call(_a, e);
                  fvOnKeyDown(e);

                  if (visible) {
                    handleKeyDown === null || handleKeyDown === void 0 ? void 0 : handleKeyDown(e);
                  } else {
                    switch (e.code) {
                      case 'Enter':
                      case 'Space':
                      case 'ArrowDown':
                        e.preventDefault();
                        focusFirst();
                        changeVisible(true);
                        break;

                      case 'ArrowUp':
                        e.preventDefault();
                        focusLast();
                        changeVisible(true);
                        break;
                    }
                  }
                },
                onMouseEnter: e => {
                  var _a, _b;

                  (_b = (_a = children.props).onMouseEnter) === null || _b === void 0 ? void 0 : _b.call(_a, e);
                  pOnMouseEnter === null || pOnMouseEnter === void 0 ? void 0 : pOnMouseEnter(e);
                },
                onMouseLeave: e => {
                  var _a, _b;

                  (_b = (_a = children.props).onMouseLeave) === null || _b === void 0 ? void 0 : _b.call(_a, e);
                  pOnMouseLeave === null || pOnMouseLeave === void 0 ? void 0 : pOnMouseLeave(e);
                }
              }));
            }
          }));
        }
      }));
    }
  }));
}

const DDropdown = /*#__PURE__*/React.forwardRef(Dropdown);

const {
  COMPONENT_NAME: COMPONENT_NAME$N
} = registerComponentMate({
  COMPONENT_NAME: 'DTag'
});
function DTag(props) {
  const _a = useComponentConfig(COMPONENT_NAME$N, props),
        {
    children,
    dType = 'primary',
    dTheme,
    dColor,
    dSize
  } = _a,
        restProps = __rest(_a, ["children", "dType", "dTheme", "dColor", "dSize"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    gSize
  } = useGeneralContext(); //#endregion

  const size = dSize !== null && dSize !== void 0 ? dSize : gSize;
  return jsx("div", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}tag`, `${dPrefix}tag--${dType}`, {
      [`${dPrefix}tag--${size}`]: size,
      [`t-${dTheme}`]: dTheme
    }),
    style: Object.assign(Object.assign({}, restProps.style), dColor ? {
      [`--${dPrefix}tag-color`]: dColor,
      [`--${dPrefix}tag-background-color`]: convertHex(dColor, 0.1)
    } : {})
  }, {
    children: children
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$M
} = registerComponentMate({
  COMPONENT_NAME: 'DCheckbox.Group'
});
function DCheckboxGroup(props) {
  var _a;

  const _b = useComponentConfig(COMPONENT_NAME$M, props),
        {
    dFormControl,
    dList,
    dModel,
    dDisabled = false,
    dVertical = false,
    onModelChange
  } = _b,
        restProps = __rest(_b, ["dFormControl", "dList", "dModel", "dDisabled", "dVertical", "onModelChange"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    gDisabled
  } = useGeneralContext(); //#endregion

  const uniqueId = useId();

  const getId = value => `${dPrefix}checkbox-group-${value}-${uniqueId}`;

  const formControlInject = useFormControl(dFormControl);
  const [value, changeValue] = useDValue([], dModel, onModelChange, undefined, formControlInject);
  const disabled = dDisabled || gDisabled || (dFormControl === null || dFormControl === void 0 ? void 0 : dFormControl.control.disabled);
  return jsx("div", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}checkbox-group`, {
      [`${dPrefix}checkbox-group--vertical`]: dVertical
    }),
    role: (_a = restProps.role) !== null && _a !== void 0 ? _a : 'group'
  }, {
    children: dList.map((item, index) => jsx(DCheckbox, Object.assign({
      dDisabled: item.disabled || disabled,
      dInputProps: index === 0 ? {
        id: getId(item.value),
        'data-form-label-for': true
      } : undefined,
      dModel: value.includes(item.value),
      onModelChange: checked => {
        changeValue(draft => {
          if (checked) {
            draft.push(item.value);
          } else {
            draft.splice(draft.findIndex(v => v === item.value), 1);
          }
        });
      }
    }, {
      children: item.label
    }), item.value))
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$L
} = registerComponentMate({
  COMPONENT_NAME: 'DCheckbox'
});
const DCheckbox = props => {
  const _a = useComponentConfig(COMPONENT_NAME$L, props),
        {
    children,
    dFormControl,
    dModel,
    dDisabled = false,
    dIndeterminate = false,
    dInputProps,
    dInputRef,
    onModelChange
  } = _a,
        restProps = __rest(_a, ["children", "dFormControl", "dModel", "dDisabled", "dIndeterminate", "dInputProps", "dInputRef", "onModelChange"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    gDisabled
  } = useGeneralContext(); //#endregion

  const formControlInject = useFormControl(dFormControl);
  const [checked, changeChecked] = useDValue(false, dIndeterminate ? false : dModel, onModelChange, undefined, formControlInject);
  const disabled = dDisabled || gDisabled || (dFormControl === null || dFormControl === void 0 ? void 0 : dFormControl.control.disabled);
  return jsxs("label", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}checkbox`, {
      'is-indeterminate': dIndeterminate,
      'is-checked': checked,
      'is-disabled': disabled
    })
  }, {
    children: [jsxs("div", Object.assign({
      className: `${dPrefix}checkbox__state-container`
    }, {
      children: [jsx(DBaseInput, Object.assign({}, dInputProps, {
        ref: dInputRef,
        className: getClassName(dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.className, `${dPrefix}checkbox__input`),
        type: "checkbox",
        disabled: disabled,
        "aria-checked": dIndeterminate ? 'mixed' : checked,
        onChange: e => {
          var _a;

          (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onChange) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
          changeChecked(!checked);
        },
        dFormControl: dFormControl
      })), dIndeterminate ? jsx("div", {
        className: `${dPrefix}checkbox__indeterminate`
      }) : checked && jsx("div", {
        className: `${dPrefix}checkbox__tick`
      })]
    })), checkNodeExist(children) && jsx("div", Object.assign({
      className: `${dPrefix}checkbox__label`
    }, {
      children: children
    }))]
  }));
};
DCheckbox.Group = DCheckboxGroup;

const SEPARATOR = ' / ';
const TREE_NODE_KEY = Symbol();
function getText(node) {
  const text = [node.origin.label];
  let n = node;

  while (n.parent) {
    n = n.parent;
    text.unshift(n.origin.label);
  }

  return text.join(SEPARATOR);
}

function DSearchPanel(props) {
  const {
    dGetItemId,
    dList,
    dFocusItem,
    dCustomItem,
    dMultiple,
    dOnlyLeafSelectable,
    dFocusVisible,
    onFocusChange,
    onClickItem,
    onKeyDown$
  } = props,
        restProps = __rest(props, ["dGetItemId", "dList", "dFocusItem", "dCustomItem", "dMultiple", "dOnlyLeafSelectable", "dFocusVisible", "onFocusChange", "onClickItem", "onKeyDown$"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const dVSRef = useRef(null); //#endregion

  const [t] = useTranslation();
  const handleKeyDown = useEventCallback(key => {
    var _a, _b, _c, _d;

    const focusItem = item => {
      if (item) {
        onFocusChange(item);
      }
    };

    switch (key) {
      case 'next':
        focusItem((_a = dVSRef.current) === null || _a === void 0 ? void 0 : _a.scrollByStep(1));
        break;

      case 'prev':
        focusItem((_b = dVSRef.current) === null || _b === void 0 ? void 0 : _b.scrollByStep(-1));
        break;

      case 'first':
        focusItem((_c = dVSRef.current) === null || _c === void 0 ? void 0 : _c.scrollToStart());
        break;

      case 'last':
        focusItem((_d = dVSRef.current) === null || _d === void 0 ? void 0 : _d.scrollToEnd());
        break;

      case 'click':
        if (dFocusItem) {
          onClickItem(dFocusItem);
        }

        break;
    }
  });
  useEffect(() => {
    const ob = onKeyDown$.subscribe({
      next: key => {
        handleKeyDown(key);
      }
    });
    return () => {
      ob.unsubscribe();
    };
  }, [handleKeyDown, onKeyDown$]);
  const vsPerformance = useMemo(() => ({
    dList,
    dItemSize: 32,
    dItemKey: item => item.value,
    dFocusable: item => item[TREE_NODE_KEY].enabled
  }), [dList]);
  return jsx(DVirtualScroll, Object.assign({}, vsPerformance, {
    ref: dVSRef,
    dFillNode: jsx("li", {}),
    dItemRender: (item, index, {
      iARIA
    }) => {
      const node = item[TREE_NODE_KEY];
      let inSelected = node.checked;

      if (!dOnlyLeafSelectable) {
        let _node = node;

        while (_node.parent) {
          _node = _node.parent;

          if (_node.id === item.value) {
            inSelected = true;
            break;
          }
        }
      }

      return /*#__PURE__*/createElement$2("li", Object.assign({}, iARIA, {
        key: item.value,
        id: dGetItemId(item.value),
        className: getClassName(`${dPrefix}tree__search-option`, {
          'is-selected': !dMultiple && inSelected,
          'is-disabled': node.disabled
        }),
        title: item.label,
        role: "option",
        "aria-selected": node.checked,
        "aria-disabled": node.disabled,
        onClick: () => {
          onFocusChange(item);
          onClickItem(item);
        }
      }), dFocusVisible && (dFocusItem === null || dFocusItem === void 0 ? void 0 : dFocusItem.value) === item.value && jsx("div", {
        className: `${dPrefix}focus-outline`
      }), dMultiple && jsx(DCheckbox, {
        dModel: node.checked,
        dDisabled: node.disabled
      }), jsx("div", Object.assign({
        className: `${dPrefix}tree__search-option-content`
      }, {
        children: dCustomItem ? dCustomItem(node.origin) : getText(node)
      })));
    },
    dFocusItem: dFocusItem,
    dSize: 264,
    dPadding: 4
  }, {
    children: ({
      vsScrollRef,
      vsRender,
      vsOnScroll
    }) => {
      var _a, _b, _c, _d;

      return (// eslint-disable-next-line jsx-a11y/aria-activedescendant-has-tabindex
        jsx("ul", Object.assign({}, restProps, {
          ref: vsScrollRef,
          className: getClassName(restProps.className, `${dPrefix}tree__search-list`),
          tabIndex: (_a = restProps.tabIndex) !== null && _a !== void 0 ? _a : -1,
          role: (_b = restProps.role) !== null && _b !== void 0 ? _b : 'listbox',
          "aria-multiselectable": (_c = restProps['aria-multiselectable']) !== null && _c !== void 0 ? _c : dMultiple,
          "aria-activedescendant": (_d = restProps['aria-activedescendant']) !== null && _d !== void 0 ? _d : isUndefined(dFocusItem) ? undefined : dGetItemId(dFocusItem.value),
          onScroll: e => {
            var _a;

            (_a = restProps.onScroll) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
            vsOnScroll(e);
          }
        }, {
          children: dList.length === 0 ? jsx("li", Object.assign({
            className: `${dPrefix}tree__search-empty`
          }, {
            children: jsx("div", Object.assign({
              className: `${dPrefix}tree__search-option-content`
            }, {
              children: t('No Data')
            }))
          })) : vsRender
        }))
      );
    }
  }));
}

const [INDETERMINATE, CHECKED, UNCHECKED] = ['INDETERMINATE', 'CHECKED', 'UNCHECKED'];
class AbstractTreeNode {
  constructor(origin) {
    Object.defineProperty(this, "origin", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: origin
    });
    Object.defineProperty(this, "_parent", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: null
    });
  }

  get parent() {
    return this._parent;
  }

  get root() {
    let node = this;

    while (node.parent) {
      node = node.parent;
    }

    return node;
  }

  get isLeaf() {
    return !this.children;
  }

  get id() {
    return this._id;
  }

  get status() {
    return this._status;
  }

  get checked() {
    return this._status === CHECKED;
  }

  get unchecked() {
    return this._status === UNCHECKED;
  }

  get indeterminate() {
    return this._status === INDETERMINATE;
  }

  get disabled() {
    return this._disabled;
  }

  get enabled() {
    return !this._disabled;
  }

  updateStatus(checked, onlySelf = false) {
    if (this.children && !onlySelf) {
      this.children.forEach(child => {
        child.updateStatus(checked, onlySelf);
      });
    }

    this._calculateStatus(checked);
  }

  _setParent(parent) {
    this._parent = parent;
  }

  _updateAncestors(checked, onlySelf) {
    if (this._parent && !onlySelf) {
      this._parent.updateStatus(checked, onlySelf);
    }
  }

}
class SingleTreeNode extends AbstractTreeNode {
  constructor(origin, getId, opts) {
    super(origin);
    Object.defineProperty(this, "getId", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: getId
    });
    Object.defineProperty(this, "opts", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: opts
    });
    Object.defineProperty(this, "children", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: void 0
    });
    Object.defineProperty(this, "_id", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: void 0
    });
    Object.defineProperty(this, "_status", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: void 0
    });
    Object.defineProperty(this, "_disabled", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: void 0
    });
    this._id = getId(origin);
    this._disabled = !!(opts.disabled || origin.disabled);

    this._setUpChildren();
  }

  _setUpChildren() {
    if (this.origin.children) {
      this.children = this.origin.children.map(child => {
        const node = new SingleTreeNode(child, this.getId, Object.assign(this.opts, {
          disabled: this._disabled
        }));

        node._setParent(this);

        return node;
      });
    }
  }

  _calculateStatus(checked) {
    this._status = this.id === checked ? CHECKED : UNCHECKED;
  }

}
class MultipleTreeNode extends AbstractTreeNode {
  constructor(origin, getId, opts) {
    super(origin);
    Object.defineProperty(this, "getId", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: getId
    });
    Object.defineProperty(this, "opts", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: opts
    });
    Object.defineProperty(this, "children", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: void 0
    });
    Object.defineProperty(this, "_id", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: void 0
    });
    Object.defineProperty(this, "_status", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: void 0
    });
    Object.defineProperty(this, "_disabled", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: void 0
    });
    this._id = getId(origin);
    this._disabled = !!(opts.disabled || origin.disabled);

    this._setUpChildren();
  }

  changeStatus(status, checkeds) {
    const newCheckeds = this._changeStatus(status, checkeds);

    return newCheckeds;
  }

  _calculateStatus(checkeds) {
    if (this.children) {
      let checkedNum = 0;
      let hasIndeterminate = false;
      let enabledLength = 0;

      for (const child of this.children) {
        if (child.enabled) {
          enabledLength += 1;
        }

        if (child.checked) {
          checkedNum += 1;
        } else if (child.enabled && child.indeterminate) {
          hasIndeterminate = true;
        }
      }

      this._status = hasIndeterminate ? INDETERMINATE : checkedNum === 0 ? UNCHECKED : checkedNum === enabledLength ? CHECKED : INDETERMINATE;
    } else {
      this._status = checkeds.has(this._id) ? CHECKED : UNCHECKED;
    }
  }

  _changeStatus(status, initValue) {
    let res = new Set(initValue);

    if (this.enabled && this._status !== status) {
      this._status = status;

      if (this.children) {
        this.children.forEach(child => {
          res = child._changeStatus(status, res);
        });
      } else {
        if (status === CHECKED) {
          res.add(this._id);
        } else {
          res.delete(this._id);
        }
      }
    }

    return res;
  }

  _setUpChildren() {
    if (this.origin.children) {
      this.children = this.origin.children.map(v => {
        const node = new MultipleTreeNode(v, this.getId, Object.assign(this.opts, {
          disabled: this._disabled
        }));

        node._setParent(this);

        return node;
      });
    }
  }

}

function DList$1(props) {
  const {
    dGetItemId,
    dList,
    dFocusItem,
    dCustomItem,
    dMultiple,
    dFocusVisible,
    dRoot,
    onClickItem,
    onFocusChange,
    onKeyDown$
  } = props,
        restProps = __rest(props, ["dGetItemId", "dList", "dFocusItem", "dCustomItem", "dMultiple", "dFocusVisible", "dRoot", "onClickItem", "onFocusChange", "onKeyDown$"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const dVSRef = useRef(null); //#endregion

  const [t] = useTranslation();
  const isFocus = dFocusItem && dList.findIndex(node => node.id === dFocusItem.id) !== -1;

  const inFocusNode = (() => {
    if (dFocusItem) {
      for (const node of dList) {
        if (dFocusItem.id === node.id) {
          return node;
        }

        let _node = dFocusItem;

        while (_node.parent) {
          _node = _node.parent;

          if (_node.id === node.id) {
            return node;
          }
        }
      }
    }
  })();

  const shouldInitFocus = dRoot && isUndefined(dFocusItem);
  const handleKeyDown = useEventCallback(key => {
    var _a, _b, _c, _d;

    const focusNode = node => {
      if (node) {
        onFocusChange(node);
      }
    };

    switch (key) {
      case 'next':
        focusNode((_a = dVSRef.current) === null || _a === void 0 ? void 0 : _a.scrollByStep(1));
        break;

      case 'prev':
        focusNode((_b = dVSRef.current) === null || _b === void 0 ? void 0 : _b.scrollByStep(-1));
        break;

      case 'first':
        focusNode((_c = dVSRef.current) === null || _c === void 0 ? void 0 : _c.scrollToStart());
        break;

      case 'last':
        focusNode((_d = dVSRef.current) === null || _d === void 0 ? void 0 : _d.scrollToEnd());
        break;

      case 'prev-level':
        if (inFocusNode && inFocusNode.parent) {
          onFocusChange(inFocusNode.parent);
        }

        break;

      case 'next-level':
        if (inFocusNode && inFocusNode.children) {
          for (const node of inFocusNode.children) {
            if (node.enabled) {
              onFocusChange(node);
              break;
            }
          }
        }

        break;

      case 'click':
        if (inFocusNode) {
          onClickItem(inFocusNode);
        }

        break;
    }
  });
  useEffect(() => {
    if (isFocus || shouldInitFocus) {
      const ob = onKeyDown$.subscribe({
        next: key => {
          handleKeyDown(key);
        }
      });
      return () => {
        ob.unsubscribe();
      };
    }
  }, [handleKeyDown, isFocus, onKeyDown$, shouldInitFocus]);
  const vsPerformance = useMemo(() => ({
    dList,
    dItemSize: 32,
    dItemKey: item => item.id,
    dFocusable: item => item.enabled
  }), [dList]);
  return jsxs(Fragment, {
    children: [jsx(DVirtualScroll, Object.assign({}, vsPerformance, {
      ref: dVSRef,
      dFillNode: jsx("li", {}),
      dItemRender: (item, index, {
        iARIA
      }) => /*#__PURE__*/createElement$2("li", Object.assign({}, iARIA, {
        key: item.id,
        id: dGetItemId(item.id),
        className: getClassName(`${dPrefix}cascader__option`, {
          'is-focus': item.id === (inFocusNode === null || inFocusNode === void 0 ? void 0 : inFocusNode.id),
          'is-selected': !dMultiple && item.checked,
          'is-disabled': item.disabled
        }),
        title: item.origin.label,
        role: "option",
        "aria-selected": item.checked,
        "aria-disabled": item.disabled,
        onClick: () => {
          onFocusChange(item);

          if (!dMultiple || item.isLeaf) {
            onClickItem(item);
          }
        }
      }), dFocusVisible && item.id === (dFocusItem === null || dFocusItem === void 0 ? void 0 : dFocusItem.id) && jsx("div", {
        className: `${dPrefix}focus-outline`
      }), dMultiple && jsx(DCheckbox, {
        onClick: e => {
          e.stopPropagation();
          onFocusChange(item);
          onClickItem(item);
        },
        dModel: item.checked,
        dDisabled: item.disabled,
        dIndeterminate: item.indeterminate
      }), jsx("div", Object.assign({
        className: `${dPrefix}cascader__option-content`
      }, {
        children: dCustomItem ? dCustomItem(item.origin) : item.origin.label
      })), !item.isLeaf && jsx("div", Object.assign({
        className: `${dPrefix}cascader__option-icon`
      }, {
        children: item.origin.loading ? jsx(LoadingOutlined, {
          dSpin: true
        }) : jsx(RightOutlined, {})
      }))),
      dFocusItem: inFocusNode,
      dSize: 264,
      dPadding: 4
    }, {
      children: ({
        vsScrollRef,
        vsRender,
        vsOnScroll
      }) => {
        var _a, _b, _c, _d;

        return (// eslint-disable-next-line jsx-a11y/aria-activedescendant-has-tabindex
          jsx("ul", Object.assign({
            ref: vsScrollRef
          }, restProps, {
            className: getClassName(restProps.className, `${dPrefix}cascader__list`),
            tabIndex: (_a = restProps.tabIndex) !== null && _a !== void 0 ? _a : -1,
            role: (_b = restProps.role) !== null && _b !== void 0 ? _b : 'listbox',
            "aria-multiselectable": (_c = restProps['aria-multiselectable']) !== null && _c !== void 0 ? _c : dMultiple,
            "aria-activedescendant": (_d = restProps['aria-activedescendant']) !== null && _d !== void 0 ? _d : dRoot && !isUndefined(dFocusItem) ? dGetItemId(dFocusItem.id) : undefined,
            onScroll: e => {
              var _a;

              (_a = restProps.onScroll) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
              vsOnScroll(e);
            }
          }, {
            children: dList.length === 0 ? jsx("li", Object.assign({
              className: `${dPrefix}cascader__empty`
            }, {
              children: jsx("div", Object.assign({
                className: `${dPrefix}cascader__option-content`
              }, {
                children: t('No Data')
              }))
            })) : vsRender
          }))
        );
      }
    })), inFocusNode && !inFocusNode.origin.loading && inFocusNode.children && jsx(DList$1, Object.assign({}, props, {
      id: undefined,
      dList: inFocusNode.children,
      dRoot: false
    }))]
  });
}

const {
  COMPONENT_NAME: COMPONENT_NAME$K
} = registerComponentMate({
  COMPONENT_NAME: 'DCascader'
});

function Cascader(props, ref) {
  const _a = useComponentConfig(COMPONENT_NAME$K, props),
        {
    dFormControl,
    dList,
    dModel,
    dVisible,
    dPlaceholder,
    dSize,
    dLoading = false,
    dSearchable = false,
    dClearable = false,
    dDisabled = false,
    dMultiple = false,
    dOnlyLeafSelectable = true,
    dCustomItem,
    dCustomSelected,
    dCustomSearch,
    dPopupClassName,
    dInputProps,
    dInputRef,
    onModelChange,
    onVisibleChange,
    afterVisibleChange,
    onSearch,
    onClear,
    onFirstFocus
  } = _a,
        restProps = __rest(_a, ["dFormControl", "dList", "dModel", "dVisible", "dPlaceholder", "dSize", "dLoading", "dSearchable", "dClearable", "dDisabled", "dMultiple", "dOnlyLeafSelectable", "dCustomItem", "dCustomSelected", "dCustomSearch", "dPopupClassName", "dInputProps", "dInputRef", "onModelChange", "onVisibleChange", "afterVisibleChange", "onSearch", "onClear", "onFirstFocus"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    gSize,
    gDisabled
  } = useGeneralContext(); //#endregion

  const dataRef = useRef({
    focusList: new Set()
  });
  const [t] = useTranslation();
  const onKeyDown$ = useEventNotify();
  const uniqueId = useId();
  const listId = `${dPrefix}cascader-list-${uniqueId}`;

  const getItemId = val => `${dPrefix}cascader-item-${val}-${uniqueId}`;

  const renderNodes = useMemo(() => dList.map(item => dMultiple ? new MultipleTreeNode(item, origin => origin.value, {
    disabled: item.disabled
  }) : new SingleTreeNode(item, origin => origin.value, {
    disabled: item.disabled
  })), [dMultiple, dList]);
  const nodesMap = useMemo(() => {
    const nodes = new Map();

    const reduceArr = arr => {
      for (const item of arr) {
        nodes.set(item.id, item);

        if (item.children) {
          reduceArr(item.children);
        }
      }
    };

    reduceArr(renderNodes);
    return nodes;
  }, [renderNodes]);
  const [searchValue, setSearchValue] = useState('');
  const [visible, changeVisible] = useDValue(false, dVisible, onVisibleChange);
  const formControlInject = useFormControl(dFormControl);
  const [_select, changeSelect] = useDValue(dMultiple ? [] : null, dModel, value => {
    var _a;

    if (onModelChange) {
      if (dMultiple) {
        onModelChange(value, value.map(v => {
          var _a;

          return (_a = nodesMap.get(v)) === null || _a === void 0 ? void 0 : _a.origin;
        }));
      } else {
        onModelChange(value, isNull(value) ? null : (_a = nodesMap.get(value)) === null || _a === void 0 ? void 0 : _a.origin);
      }
    }
  }, undefined, formControlInject);
  const select = useMemo(() => dMultiple ? new Set(_select) : _select, [_select, dMultiple]);
  renderNodes.forEach(node => {
    node.updateStatus(select);
  });
  const size = dSize !== null && dSize !== void 0 ? dSize : gSize;
  const disabled = dDisabled || gDisabled || (dFormControl === null || dFormControl === void 0 ? void 0 : dFormControl.control.disabled);
  const hasSearch = searchValue.length > 0;
  const hasSelected = dMultiple ? select.size > 0 : !isNull(select);
  const [focusVisible, setFocusVisible] = useState(false);
  const filterFn = useCallback((item, searchStr = searchValue) => {
    const defaultFilterFn = item => {
      return item.label.includes(searchStr);
    };

    return dCustomSearch && dCustomSearch.filter ? dCustomSearch.filter(searchStr, item) : defaultFilterFn(item);
  }, [dCustomSearch, searchValue]);
  const sortFn = dCustomSearch === null || dCustomSearch === void 0 ? void 0 : dCustomSearch.sort;
  const searchList = useMemo(() => {
    if (!hasSearch) {
      return [];
    }

    const searchList = [];

    const reduceNodes = nodes => {
      nodes.forEach(node => {
        if (!dMultiple && !dOnlyLeafSelectable || node.isLeaf) {
          if (filterFn(node.origin)) {
            searchList.push({
              label: getText(node),
              value: node.id,
              disabled: node.disabled,
              [TREE_NODE_KEY]: node
            });
          }
        }

        if (node.children) {
          reduceNodes(node.children);
        }
      });
    };

    reduceNodes(renderNodes);

    if (sortFn) {
      searchList.sort((a, b) => sortFn(a[TREE_NODE_KEY].origin, b[TREE_NODE_KEY].origin));
    }

    return searchList;
  }, [dMultiple, dOnlyLeafSelectable, filterFn, hasSearch, renderNodes, sortFn]);
  const [_noSearchFocusItem, setNoSearchFocusItem] = useState();

  const noSearchFocusItem = (() => {
    if (_noSearchFocusItem) {
      const node = nodesMap.get(_noSearchFocusItem.id);

      if (node && node.enabled) {
        return node;
      }
    }

    if (hasSelected) {
      return findNested(renderNodes, node => node.enabled && node.checked);
    }
  })();

  const [_searchFocusItem, setSearchFocusItem] = useState();

  const searchFocusItem = (() => {
    if (_searchFocusItem && findNested(searchList, item => item[TREE_NODE_KEY].enabled && item.value === _searchFocusItem.value)) {
      return _searchFocusItem;
    }

    if (hasSearch) {
      return findNested(searchList, item => item[TREE_NODE_KEY].enabled);
    }
  })();

  const handleClear = () => {
    onClear === null || onClear === void 0 ? void 0 : onClear();

    if (dMultiple) {
      changeSelect([]);
    } else {
      changeSelect(null);
    }
  };

  const [selectedNode, suffixNode, selectedLabel] = (() => {
    let selectedNode = null;
    let suffixNode = null;
    let selectedLabel;

    if (dMultiple) {
      const selectedNodes = _select.map(v => nodesMap.get(v));

      suffixNode = jsx(DDropdown, Object.assign({
        dList: selectedNodes.map(node => {
          const {
            value: itemValue,
            disabled: itemDisabled
          } = node.origin;
          const text = dCustomSelected ? dCustomSelected(node.origin) : getText(node);
          return {
            id: itemValue,
            label: text,
            type: 'item',
            disabled: itemDisabled,
            node
          };
        }),
        dCloseOnClick: false,
        onItemClick: (id, item) => {
          const checkeds = item.node.changeStatus('UNCHECKED', select);
          changeSelect(Array.from(checkeds.keys()));
        }
      }, {
        children: jsx(DTag, Object.assign({
          className: `${dPrefix}cascader__multiple-count`,
          dSize: size
        }, {
          children: select.size
        }))
      }));
      selectedNode = selectedNodes.map(node => jsxs(DTag, Object.assign({
        className: `${dPrefix}cascader__multiple-tag`,
        dSize: size
      }, {
        children: [dCustomSelected ? dCustomSelected(node.origin) : node.origin.label, !(node.disabled || disabled) && jsx("div", Object.assign({
          className: `${dPrefix}cascader__close`,
          role: "button",
          "aria-label": t('Close'),
          onClick: e => {
            e.stopPropagation();
            const checkeds = node.changeStatus('UNCHECKED', select);
            changeSelect(Array.from(checkeds.keys()));
          }
        }, {
          children: jsx(CloseOutlined, {})
        }))]
      }), node.id));
    } else {
      if (!isNull(select)) {
        const node = nodesMap.get(select);
        selectedLabel = getText(node);
        selectedNode = dCustomSelected ? dCustomSelected(node.origin) : selectedLabel;
      }
    }

    return [selectedNode, suffixNode, selectedLabel];
  })();

  return jsx(DComboboxKeyboardSupport, Object.assign({
    dVisible: visible,
    dEditable: dSearchable,
    dNested: !hasSearch,
    onVisibleChange: changeVisible,
    onFocusChange: key => {
      onKeyDown$.next(key);
    }
  }, {
    children: ({
      ksOnKeyDown
    }) => jsx(DSelectbox, Object.assign({}, restProps, {
      ref: ref,
      onClick: e => {
        var _a;

        (_a = restProps.onClick) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
        changeVisible(draft => dSearchable ? true : !draft);
      },
      dClassNamePrefix: "cascader",
      dFormControl: dFormControl,
      dVisible: visible,
      dContent: hasSelected && selectedNode,
      dContentTitle: selectedLabel,
      dPlaceholder: dPlaceholder,
      dSuffix: suffixNode,
      dSize: size,
      dLoading: dLoading,
      dSearchable: dSearchable,
      dClearable: dClearable,
      dDisabled: disabled,
      dInputProps: Object.assign(Object.assign({}, dInputProps), {
        value: searchValue,
        'aria-controls': listId,
        onBlur: e => {
          var _a;

          (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onBlur) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
          changeVisible(false);
        },
        onKeyDown: e => {
          var _a;

          (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onKeyDown) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
          ksOnKeyDown(e);

          if ((e.code === 'Enter' || !dSearchable && e.code === 'Space') && visible) {
            onKeyDown$.next('click');
          }
        },
        onChange: e => {
          var _a;

          (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onChange) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
          const val = e.currentTarget.value;

          if (dSearchable) {
            setSearchValue(val);
            onSearch === null || onSearch === void 0 ? void 0 : onSearch(val);
          }
        }
      }),
      dInputRef: dInputRef,
      dUpdatePosition: (boxEl, popupEl) => {
        const width = boxEl.getBoundingClientRect().width;
        const {
          height
        } = getOriginalSize(popupEl);
        const {
          top,
          left,
          transformOrigin
        } = getVerticalSidePosition(boxEl, {
          width,
          height
        }, 'bottom-left', 8);
        return {
          position: {
            top,
            left,
            maxWidth: window.innerWidth - left - 20
          },
          transformOrigin
        };
      },
      afterVisibleChange: afterVisibleChange,
      onFocusVisibleChange: setFocusVisible,
      onClear: handleClear
    }, {
      children: ({
        sPopupRef,
        sStyle,
        sOnMouseDown,
        sOnMouseUp
      }) => jsxs("div", Object.assign({
        ref: sPopupRef,
        className: getClassName(dPopupClassName, `${dPrefix}cascader__popup`),
        style: sStyle,
        onMouseDown: sOnMouseDown,
        onMouseUp: sOnMouseUp
      }, {
        children: [dLoading && jsx("div", Object.assign({
          className: getClassName(`${dPrefix}cascader__loading`, {
            [`${dPrefix}cascader__loading--empty`]: (hasSearch ? searchList : renderNodes).length === 0
          })
        }, {
          children: jsx(LoadingOutlined, {
            dSize: (hasSearch ? searchList : renderNodes).length === 0 ? 18 : 24,
            dSpin: true
          })
        })), hasSearch ? jsx(DSearchPanel, {
          id: listId,
          style: {
            pointerEvents: dLoading ? 'none' : undefined
          },
          dGetItemId: getItemId,
          dList: searchList,
          dFocusItem: searchFocusItem,
          dCustomItem: dCustomItem,
          dMultiple: dMultiple,
          dOnlyLeafSelectable: dOnlyLeafSelectable,
          dFocusVisible: focusVisible,
          onFocusChange: item => {
            if (!dataRef.current.focusList.has(item.value)) {
              dataRef.current.focusList.add(item.value);
              onFirstFocus === null || onFirstFocus === void 0 ? void 0 : onFirstFocus(item.value, item[TREE_NODE_KEY].origin);
            }

            setSearchFocusItem(item);
          },
          onClickItem: item => {
            if (dMultiple) {
              const checkeds = item[TREE_NODE_KEY].changeStatus(item[TREE_NODE_KEY].checked ? 'UNCHECKED' : 'CHECKED', select);
              changeSelect(Array.from(checkeds.keys()));
            } else {
              changeSelect(item[TREE_NODE_KEY].id);
              changeVisible(false);
            }
          },
          "onKeyDown$": onKeyDown$
        }) : jsx(DList$1, {
          id: listId,
          style: {
            pointerEvents: dLoading ? 'none' : undefined
          },
          dGetItemId: getItemId,
          dList: renderNodes,
          dFocusItem: noSearchFocusItem,
          dCustomItem: dCustomItem,
          dMultiple: dMultiple,
          dFocusVisible: focusVisible,
          dRoot: true,
          onFocusChange: node => {
            if (!dataRef.current.focusList.has(node.id)) {
              dataRef.current.focusList.add(node.id);
              onFirstFocus === null || onFirstFocus === void 0 ? void 0 : onFirstFocus(node.id, node.origin);
            }

            setNoSearchFocusItem(node);
          },
          onClickItem: node => {
            if (dMultiple) {
              const checkeds = node.changeStatus(node.checked ? 'UNCHECKED' : 'CHECKED', select);
              changeSelect(Array.from(checkeds.keys()));
            } else {
              if (!dOnlyLeafSelectable || node.isLeaf) {
                changeSelect(node.id);
              }

              if (node.isLeaf) {
                changeVisible(false);
              }
            }
          },
          "onKeyDown$": onKeyDown$
        })]
      }))
    }))
  }));
}

const DCascader = /*#__PURE__*/React.forwardRef(Cascader);

d.extend(customParseFormat);
d.extend(isBetween);
d.extend(localeData);
const dayjs = d;

const H12 = freeze(['12', ...Array(11).fill(0).map((n, i) => `${i + 1 < 10 ? '0' : ''}${i + 1}`)]);
const [H24, M60, S60] = [24, 60, 60].map(num => freeze(Array(num).fill(0).map((n, i) => `${i < 10 ? '0' : ''}${i}`)));

function Panel$1(props, ref) {
  const {
    dTime,
    dCols,
    d12Hour = false,
    dConfigTime,
    onTimeChange,
    __header = false
  } = props; //#region Context

  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const ulHRef = useRef(null);
  const ulMRef = useRef(null);
  const ulSRef = useRef(null); //#endregion

  const dataRef = useRef({});
  const [saveA, setSaveA] = useState('AM');
  const activeTime = dTime ? dayjs(dTime) : dayjs('00:00:00', 'HH:mm:ss');
  const activeA = dTime ? activeTime.get('hour') < 12 ? 'AM' : 'PM' : saveA;

  const format = (() => {
    const unit = [];

    if (dCols.includes('hour')) {
      unit.push('HH');
    }

    if (dCols.includes('minute')) {
      unit.push('mm');
    }

    if (dCols.includes('second')) {
      unit.push('ss');
    }

    return unit.join(':');
  })();

  const updateView = useEventCallback((t, unit) => {
    var _a, _b, _c, _d, _e, _f;

    if (unit === 'hour' || isUndefined(unit)) {
      let hour = t.getHours();

      if (d12Hour) {
        if (activeA === 'AM' && hour > 11) {
          hour -= 12;
        }

        if (activeA === 'PM' && hour < 12) {
          hour += 12;
        }
      }

      if (ulHRef.current) {
        (_b = (_a = dataRef.current).clearHTid) === null || _b === void 0 ? void 0 : _b.call(_a);
        dataRef.current.clearHTid = scrollTo(ulHRef.current, {
          top: Array.prototype.indexOf.call(ulHRef.current.children, ulHRef.current.querySelector(`[data-h="${hour}"]`)) * 28,
          behavior: 'smooth'
        });
      }
    }

    if (unit === 'minute' || isUndefined(unit)) {
      const minute = t.getMinutes();

      if (ulMRef.current) {
        (_d = (_c = dataRef.current).clearMTid) === null || _d === void 0 ? void 0 : _d.call(_c);
        dataRef.current.clearMTid = scrollTo(ulMRef.current, {
          top: Array.prototype.indexOf.call(ulMRef.current.children, ulMRef.current.querySelector(`[data-m="${minute}"]`)) * 28,
          behavior: 'smooth'
        });
      }
    }

    if (unit === 'second' || isUndefined(unit)) {
      const second = t.getSeconds();

      if (ulSRef.current) {
        (_f = (_e = dataRef.current).clearSTid) === null || _f === void 0 ? void 0 : _f.call(_e);
        dataRef.current.clearSTid = scrollTo(ulSRef.current, {
          top: Array.prototype.indexOf.call(ulSRef.current.children, ulSRef.current.querySelector(`[data-s="${second}"]`)) * 28,
          behavior: 'smooth'
        });
      }
    }
  });
  useImperativeHandle(ref, () => ({
    updateView
  }), [updateView]);
  return jsxs("div", Object.assign({
    className: `${dPrefix}time-picker__panel`
  }, {
    children: [__header && jsx("div", Object.assign({
      className: `${dPrefix}time-picker__header`
    }, {
      children: activeTime.format(format)
    })), dCols.includes('hour') && jsx("ul", Object.assign({
      ref: ulHRef,
      className: `${dPrefix}time-picker__column`
    }, {
      children: (d12Hour ? H12 : H24).map(_h => {
        var _a;

        let h = Number(_h);

        if (d12Hour) {
          if (activeA === 'AM' && h === 12) {
            h = 0;
          }

          if (activeA === 'PM' && h !== 12) {
            h += 12;
          }
        }

        const {
          disabled,
          hidden
        } = (_a = dConfigTime === null || dConfigTime === void 0 ? void 0 : dConfigTime('hour', h)) !== null && _a !== void 0 ? _a : {};
        return hidden ? null : jsx("li", Object.assign({
          className: getClassName(`${dPrefix}time-picker__cell`, {
            'is-active': dTime && activeTime.get('hour') === h,
            'is-disabled': disabled
          }),
          "data-h": h,
          onClick: () => {
            const newT = activeTime.set('hour', h).toDate();
            updateView(newT, 'hour');
            onTimeChange === null || onTimeChange === void 0 ? void 0 : onTimeChange(newT);
          }
        }, {
          children: _h
        }), h);
      })
    })), dCols.includes('minute') && jsx("ul", Object.assign({
      ref: ulMRef,
      className: `${dPrefix}time-picker__column`
    }, {
      children: M60.map(_m => {
        var _a;

        const m = Number(_m);
        const {
          disabled,
          hidden
        } = (_a = dConfigTime === null || dConfigTime === void 0 ? void 0 : dConfigTime('minute', m)) !== null && _a !== void 0 ? _a : {};
        return hidden ? null : jsx("li", Object.assign({
          className: getClassName(`${dPrefix}time-picker__cell`, {
            'is-active': dTime && activeTime.get('minute') === m,
            'is-disabled': disabled
          }),
          "data-m": m,
          onClick: () => {
            const newT = activeTime.set('minute', m).toDate();
            updateView(newT, 'minute');
            onTimeChange === null || onTimeChange === void 0 ? void 0 : onTimeChange(newT);
          }
        }, {
          children: _m
        }), m);
      })
    })), dCols.includes('second') && jsx("ul", Object.assign({
      ref: ulSRef,
      className: `${dPrefix}time-picker__column`
    }, {
      children: S60.map(_s => {
        var _a;

        const s = Number(_s);
        const {
          disabled,
          hidden
        } = (_a = dConfigTime === null || dConfigTime === void 0 ? void 0 : dConfigTime('second', s)) !== null && _a !== void 0 ? _a : {};
        return hidden ? null : jsx("li", Object.assign({
          className: getClassName(`${dPrefix}time-picker__cell`, {
            'is-active': dTime && activeTime.get('second') === s,
            'is-disabled': disabled
          }),
          "data-s": s,
          onClick: () => {
            const newT = activeTime.set('second', s).toDate();
            updateView(newT, 'second');
            onTimeChange === null || onTimeChange === void 0 ? void 0 : onTimeChange(newT);
          }
        }, {
          children: _s
        }), s);
      })
    })), d12Hour && jsx("ul", Object.assign({
      className: `${dPrefix}time-picker__column`
    }, {
      children: ['AM', 'PM'].map(A => jsx("li", Object.assign({
        className: getClassName(`${dPrefix}time-picker__cell`, {
          'is-active': activeA === A
        }),
        onClick: () => {
          if (dTime) {
            if (activeA !== A) {
              const newT = activeTime.set('hour', activeTime.get('hour') + (A === 'AM' ? -12 : 12)).toDate();
              onTimeChange === null || onTimeChange === void 0 ? void 0 : onTimeChange(newT);
            }
          } else {
            setSaveA(A);
          }
        }
      }, {
        children: A
      }), A))
    }))]
  }));
}

const DPanel$3 = /*#__PURE__*/React.forwardRef(Panel$1);

var classof$1 = classofRaw$1;

// `IsArray` abstract operation
// https://tc39.es/ecma262/#sec-isarray
// eslint-disable-next-line es-x/no-array-isarray -- safe
var isArray$1 = Array.isArray || function isArray(argument) {
  return classof$1(argument) == 'Array';
};

var $$4 = _export;
var uncurryThis$4 = functionUncurryThis;
var isArray = isArray$1;

var un$Reverse = uncurryThis$4([].reverse);
var test = [1, 2];

// `Array.prototype.reverse` method
// https://tc39.es/ecma262/#sec-array.prototype.reverse
// fix for Safari 12.0 bug
// https://bugs.webkit.org/show_bug.cgi?id=188794
$$4({ target: 'Array', proto: true, forced: String(test) === String(test.reverse()) }, {
  reverse: function reverse() {
    // eslint-disable-next-line no-self-assign -- dirty hack
    if (isArray(this)) this.length = this.length;
    return un$Reverse(this);
  }
});

function DateInput(props, ref) {
  const {
    children,
    dClassNamePrefix,
    dFormControl,
    dVisible = false,
    dPlacement = 'bottom-left',
    dSuffix,
    dSize,
    dRange = false,
    dClearable = false,
    dDisabled = false,
    dInputProps,
    dInputRef,
    onVisibleChange,
    afterVisibleChange,
    onClear
  } = props,
        restProps = __rest(props, ["children", "dClassNamePrefix", "dFormControl", "dVisible", "dPlacement", "dSuffix", "dSize", "dRange", "dClearable", "dDisabled", "dInputProps", "dInputRef", "onVisibleChange", "afterVisibleChange", "onClear"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    dScrollEl,
    dResizeEl
  } = useLayout(); //#endregion
  //#region Ref

  const boxRef = useRef(null);
  const popupRef = useRef(null);
  const inputRefLeft = useRef(null);
  const inputRefRight = useRef(null);
  const indicatorRef = useRef(null); //#endregion

  const dataRef = useRef({});
  const prefix = `${dPrefix}${dClassNamePrefix}`;
  const [dInputRefLeft, dInputRefRight] = dInputRef !== null && dInputRef !== void 0 ? dInputRef : [];
  const combineInputRefLeft = useForkRef(inputRefLeft, dInputRefLeft);
  const combineInputRefRight = useForkRef(inputRefRight, dInputRefRight);
  const asyncCapture = useAsync();
  const [t] = useTranslation();
  const uniqueId = useId();
  const [isFocus, setIsFocus] = useState(false);

  const handleFocusChange = focus => {
    var _a, _b;

    (_b = (_a = dataRef.current).clearTid) === null || _b === void 0 ? void 0 : _b.call(_a);

    if (focus) {
      setIsFocus(true);
    } else {
      dataRef.current.clearTid = asyncCapture.setTimeout(() => {
        setIsFocus(false);
        onVisibleChange === null || onVisibleChange === void 0 ? void 0 : onVisibleChange(false);
      }, 20);
    }
  };

  const clearable = dClearable && !dVisible && !dDisabled;
  const scrollEl = useElement(dScrollEl);
  const resizeEl = useElement(dResizeEl);
  const containerEl = useElement(() => {
    let el = document.getElementById(`${prefix}-root`);

    if (!el) {
      el = document.createElement('div');
      el.id = `${prefix}-root`;
      document.body.appendChild(el);
    }

    return el;
  });
  const maxZIndex = useMaxIndex(dVisible);
  const [popupPositionStyle, setPopupPositionStyle] = useState({
    top: -9999,
    left: -9999
  });
  const [transformOrigin, setTransformOrigin] = useState();
  const updatePosition = useEventCallback(() => {
    if (boxRef.current && popupRef.current) {
      const {
        width,
        height
      } = getOriginalSize(popupRef.current);
      const {
        top,
        left,
        transformOrigin
      } = getVerticalSidePosition(boxRef.current, {
        width,
        height
      }, dPlacement, 8);
      setPopupPositionStyle({
        top,
        left,
        maxWidth: window.innerWidth - left - 20
      });
      setTransformOrigin(transformOrigin);
    }
  });
  useEffect(() => {
    if (dVisible) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();

      if (boxRef.current) {
        asyncGroup.onResize(boxRef.current, () => {
          updatePosition();
        });
      }

      if (popupRef.current) {
        asyncGroup.onResize(popupRef.current, () => {
          updatePosition();
        });
      }

      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, dVisible, uniqueId, updatePosition]);
  useEffect(() => {
    if (dVisible && scrollEl) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      asyncGroup.fromEvent(scrollEl, 'scroll', {
        passive: true
      }).subscribe({
        next: () => {
          updatePosition();
        }
      });
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, dVisible, scrollEl, updatePosition]);
  useEffect(() => {
    if (dVisible && resizeEl) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      asyncGroup.onResize(resizeEl, () => {
        updatePosition();
      });
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, dVisible, resizeEl, updatePosition]);

  const preventBlur = e => {
    if (e.target !== inputRefLeft.current && e.target !== inputRefRight.current && e.button === 0) {
      e.preventDefault();
    }
  };

  useEffect(() => {
    if (boxRef.current && indicatorRef.current) {
      let focus = false;
      const boxRect = boxRef.current.getBoundingClientRect();

      if (inputRefLeft.current && document.activeElement === inputRefLeft.current) {
        const rect = inputRefLeft.current.getBoundingClientRect();
        indicatorRef.current.style.cssText = `left:${rect.left - boxRect.left}px;width:${rect.width}px;opacity:1;`;
        focus = true;
      }

      if (inputRefRight.current && document.activeElement === inputRefRight.current) {
        const rect = inputRefRight.current.getBoundingClientRect();
        indicatorRef.current.style.cssText = `left:${rect.left - boxRect.left}px;width:${rect.width}px;opacity:1;`;
        focus = true;
      }

      if (!focus) {
        indicatorRef.current.style.cssText += 'opacity:0;';
      }
    }
  });

  const getInputNode = (isLeft, ksProps) => {
    const [dInputPropsLeft, dInputPropsRight] = dInputProps !== null && dInputProps !== void 0 ? dInputProps : [];
    const inputProps = isLeft ? dInputPropsLeft : dInputPropsRight;
    return jsx(DBaseInput, Object.assign({}, inputProps, {
      ref: isLeft ? combineInputRefLeft : combineInputRefRight,
      className: getClassName(inputProps === null || inputProps === void 0 ? void 0 : inputProps.className, `${prefix}__input`),
      type: "text",
      autoComplete: "off",
      disabled: dDisabled,
      onFocus: e => {
        var _a;

        (_a = inputProps === null || inputProps === void 0 ? void 0 : inputProps.onFocus) === null || _a === void 0 ? void 0 : _a.call(inputProps, e);
        handleFocusChange(true);
      },
      onBlur: e => {
        var _a;

        (_a = inputProps === null || inputProps === void 0 ? void 0 : inputProps.onBlur) === null || _a === void 0 ? void 0 : _a.call(inputProps, e);
        handleFocusChange(false);
      },
      onKeyDown: e => {
        var _a;

        (_a = inputProps === null || inputProps === void 0 ? void 0 : inputProps.onKeyDown) === null || _a === void 0 ? void 0 : _a.call(inputProps, e);
        ksProps.ksOnKeyDown(e);
      },
      dFormControl: dFormControl,
      dFor: isLeft
    }));
  };

  useImperativeHandle(ref, () => ({
    updatePosition
  }), [updatePosition]);
  return jsxs(Fragment, {
    children: [jsx(DComboboxKeyboardSupport, Object.assign({
      dVisible: dVisible,
      dEditable: true,
      onVisibleChange: onVisibleChange
    }, {
      children: ksProps => jsx(DBaseDesign, Object.assign({
        dCompose: {
          active: isFocus,
          disabled: dDisabled
        },
        dFormControl: dFormControl
      }, {
        children: jsxs("div", Object.assign({}, restProps, {
          ref: boxRef,
          className: getClassName(restProps.className, prefix, {
            [`${prefix}--${dSize}`]: dSize,
            'is-disabled': dDisabled,
            'is-focus': isFocus
          }),
          onMouseDown: e => {
            var _a;

            (_a = restProps.onMouseDown) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
            preventBlur(e);
          },
          onMouseUp: e => {
            var _a;

            (_a = restProps.onMouseUp) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
            preventBlur(e);
          },
          onClick: e => {
            var _a, _b;

            (_a = restProps.onClick) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
            onVisibleChange === null || onVisibleChange === void 0 ? void 0 : onVisibleChange(true);

            if (!isFocus) {
              (_b = inputRefLeft.current) === null || _b === void 0 ? void 0 : _b.focus({
                preventScroll: true
              });
            }
          }
        }, {
          children: [getInputNode(true, ksProps), dRange && jsxs(Fragment, {
            children: [jsx("div", {
              ref: indicatorRef,
              className: `${prefix}__indicator`
            }), jsx(SwapRightOutlined, {
              className: `${prefix}__separator`
            }), getInputNode(false, ksProps)]
          }), clearable && jsx("div", Object.assign({
            className: `${prefix}__clear`,
            role: "button",
            "aria-label": t('Clear'),
            onClick: e => {
              e.stopPropagation();
              onClear === null || onClear === void 0 ? void 0 : onClear();
            }
          }, {
            children: jsx(CloseCircleFilled, {})
          })), checkNodeExist(dSuffix) && jsx("div", Object.assign({
            className: `${prefix}__icon`,
            style: {
              opacity: clearable ? 0 : 1
            }
          }, {
            children: dSuffix
          }))]
        }))
      }))
    })), containerEl && /*#__PURE__*/ReactDOM.createPortal(jsx(DTransition, Object.assign({
      dIn: dVisible,
      dDuring: TTANSITION_DURING_POPUP,
      onEnterRendered: updatePosition,
      afterEnter: () => {
        afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(true);
      },
      afterLeave: () => {
        afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(false);
      }
    }, {
      children: state => {
        let transitionStyle = {};

        switch (state) {
          case 'enter':
            transitionStyle = {
              transform: 'scaleY(0.7)',
              opacity: 0
            };
            break;

          case 'entering':
            transitionStyle = {
              transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_POPUP}ms ease-out`).join(', '),
              transformOrigin
            };
            break;

          case 'leaving':
            transitionStyle = {
              transform: 'scaleY(0.7)',
              opacity: 0,
              transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_POPUP}ms ease-in`).join(', '),
              transformOrigin
            };
            break;

          case 'leaved':
            transitionStyle = {
              display: 'none'
            };
            break;
        }

        return children({
          diPopupRef: popupRef,
          diStyle: Object.assign(Object.assign(Object.assign({}, popupPositionStyle), transitionStyle), {
            zIndex: maxZIndex
          }),
          diOnMouseDown: preventBlur,
          diOnMouseUp: preventBlur
        });
      }
    })), containerEl)]
  });
}

const DDateInput = /*#__PURE__*/React.forwardRef(DateInput);

function getCols(_format) {
  const format = _format.replace(/\[[\s\S]*?\]/g, '');

  const cols = [];

  if (['H', 'HH', 'h', 'hh'].some(v => format.includes(v))) {
    cols.push('hour');
  }

  if (['m', 'mm'].some(v => format.includes(v))) {
    cols.push('minute');
  }

  if (['s', 'ss'].some(v => format.includes(v))) {
    cols.push('second');
  }

  return cols;
}
function deepCompareDate(a, b, format) {
  const isSame = (t1, t2) => dayjs(t1).format(format) === dayjs(t2).format(format);

  if (isDate(a) && isDate(b)) {
    return isSame(a, b);
  }

  if (isNull(a) && isNull(b)) {
    return true;
  }

  if (isArray$2(a) && isArray$2(b)) {
    return isSame(a[0], b[0]) && isSame(a[1], b[1]);
  }

  return false;
}
function orderDate(date, order, unit) {
  if (order === 'ascend' && dayjs(date[0]).isAfter(date[1], unit) || order === 'descend' && dayjs(date[0]).isBefore(date[1], unit)) {
    return true;
  }

  return false;
}
function orderTime(time, order) {
  const t1 = dayjs(time[0]).set('year', 2000).set('month', 0).set('date', 1);
  const t2 = dayjs(time[1]).set('year', 2000).set('month', 0).set('date', 1);
  return orderDate([t1, t2], order);
}

function Builder(props, ref) {
  const {
    children,
    dClassNamePrefix,
    dFormControl,
    dModel,
    dFormat,
    dVisible,
    dSuffix,
    dPlaceholder,
    dOrder,
    dPlacement = 'bottom-left',
    dSize,
    dClearable = false,
    dRange = false,
    dDisabled = false,
    dPopupClassName,
    dInputProps,
    dInputRef,
    onModelChange,
    onVisibleChange,
    afterVisibleChange,
    onClear,
    onUpdatePanel
  } = props,
        restProps = __rest(props, ["children", "dClassNamePrefix", "dFormControl", "dModel", "dFormat", "dVisible", "dSuffix", "dPlaceholder", "dOrder", "dPlacement", "dSize", "dClearable", "dRange", "dDisabled", "dPopupClassName", "dInputProps", "dInputRef", "onModelChange", "onVisibleChange", "afterVisibleChange", "onClear", "onUpdatePanel"]); //#region Ref


  const {
    gSize,
    gDisabled
  } = useGeneralContext(); //#endregion

  const dataRef = useRef({
    focusAnother: false,
    inputValue: ['', ''],
    rangeDate: [null, null]
  });
  const asyncCapture = useAsync();
  const forceUpdate = useForceUpdate();
  const size = dSize !== null && dSize !== void 0 ? dSize : gSize;
  const disabled = dDisabled || gDisabled || (dFormControl === null || dFormControl === void 0 ? void 0 : dFormControl.control.disabled);
  const [dInputRefLeft, dInputRefRight] = dRange ? dInputRef !== null && dInputRef !== void 0 ? dInputRef : [] : [dInputRef];
  const [visible, changeVisible] = useDValue(false, dVisible, onVisibleChange);
  const formControlInject = useFormControl(dFormControl);
  const [_value, _changeValue] = useDValue(null, dModel, onModelChange, (a, b) => deepCompareDate(a, b, dFormat), formControlInject);

  const changeValue = (date, position) => {
    dataRef.current.inputValue[position === 'start' ? 0 : 1] = dayjs(date).format(dFormat);

    if (dRange) {
      if (isNull(_value)) {
        dataRef.current.rangeDate[position === 'start' ? 0 : 1] = date;

        if (dataRef.current.rangeDate.every(v => !isNull(v))) {
          dataRef.current.focusAnother = dOrder(dataRef.current.rangeDate);

          if (dataRef.current.focusAnother) {
            dataRef.current.rangeDate.reverse();
            dataRef.current.inputValue.reverse();
          }

          _changeValue(dataRef.current.rangeDate);
        }
      } else {
        _changeValue(draft => {
          draft[position === 'start' ? 0 : 1] = date;
          dataRef.current.focusAnother = dOrder(draft);

          if (dataRef.current.focusAnother) {
            draft.reverse();
            dataRef.current.inputValue.reverse();
          }
        });
      }
    } else {
      _changeValue(date);
    }

    forceUpdate();
  };

  let [valueLeft, valueRight = null] = isArray$2(_value) ? _value : [_value, null];

  if (dRange) {
    if (isNull(_value)) {
      [valueLeft, valueRight] = dataRef.current.rangeDate;
    } else {
      dataRef.current.rangeDate = [null, null];
    }
  }

  const [isFocus, setIsFocus] = useImmer([false, false]);

  const handleFocusChange = (focus, position) => {
    var _a, _b;

    (_b = (_a = dataRef.current).clearTid) === null || _b === void 0 ? void 0 : _b.call(_a);

    if (focus) {
      setIsFocus(draft => {
        draft.fill(false);
        draft[position === 'start' ? 0 : 1] = true;
      });
    } else {
      dataRef.current.clearTid = asyncCapture.setTimeout(() => {
        setIsFocus([false, false]);
      }, 20);
    }
  };

  if (!isFocus[0]) {
    dataRef.current.inputValue[0] = isNull(valueLeft) ? '' : dayjs(valueLeft).format(dFormat);
  }

  if (!isFocus[1]) {
    dataRef.current.inputValue[1] = isNull(valueRight) ? '' : dayjs(valueRight).format(dFormat);
  }

  useEffect(() => {
    if (dataRef.current.focusAnother && document.activeElement) {
      const el = document.activeElement.parentElement;

      for (let index = 0; index < el.childElementCount; index++) {
        const element = el.children.item(index);

        if (element.tagName.toLowerCase() === 'input' && element !== document.activeElement) {
          element.focus({
            preventScroll: true
          });
          break;
        }
      }
    }

    dataRef.current.focusAnother = false;
  });

  const getInputProps = isLeft => {
    const [dInputPropsLeft, dInputPropsRight] = dRange ? dInputProps !== null && dInputProps !== void 0 ? dInputProps : [] : [dInputProps];
    const inputProps = isLeft ? dInputPropsLeft : dInputPropsRight;
    const index = isLeft ? 0 : 1;
    const position = isLeft ? 'start' : 'end';
    const value = isLeft ? valueLeft : valueRight;
    return Object.assign(Object.assign({}, inputProps), {
      value: dataRef.current.inputValue[index],
      placeholder: isLeft ? dPlaceholder[0] : dPlaceholder[1],
      onChange: e => {
        var _a;

        (_a = inputProps === null || inputProps === void 0 ? void 0 : inputProps.onChange) === null || _a === void 0 ? void 0 : _a.call(inputProps, e);
        const val = e.currentTarget.value;
        dataRef.current.inputValue[index] = val;

        if (dayjs(val, dFormat, true).isValid()) {
          const date = dayjs(val, dFormat).toDate();
          onUpdatePanel === null || onUpdatePanel === void 0 ? void 0 : onUpdatePanel(date);
          changeValue(date, position);
        }

        forceUpdate();
      },
      onKeyDown: e => {
        var _a;

        (_a = inputProps === null || inputProps === void 0 ? void 0 : inputProps.onKeyDown) === null || _a === void 0 ? void 0 : _a.call(inputProps, e);

        if (e.code === 'Enter') {
          if (dayjs(dataRef.current.inputValue[index], dFormat, true).isValid()) {
            if (dRange) {
              if (isNull(isLeft ? valueRight : valueLeft)) {
                dataRef.current.focusAnother = true;
              } else {
                changeVisible(false);
              }
            } else {
              changeVisible(false);
            }
          } else {
            dataRef.current.inputValue[index] = isNull(value) ? '' : dayjs(value).format(dFormat);
          }

          forceUpdate();
        }
      },
      onFocus: e => {
        var _a;

        (_a = inputProps === null || inputProps === void 0 ? void 0 : inputProps.onFocus) === null || _a === void 0 ? void 0 : _a.call(inputProps, e);

        if (value && isFocus[isLeft ? 1 : 0]) {
          onUpdatePanel === null || onUpdatePanel === void 0 ? void 0 : onUpdatePanel(value);
        }

        handleFocusChange(true, position);
      },
      onBlur: e => {
        var _a;

        (_a = inputProps === null || inputProps === void 0 ? void 0 : inputProps.onBlur) === null || _a === void 0 ? void 0 : _a.call(inputProps, e);
        handleFocusChange(false, position);
      }
    });
  };

  const latestFocus = useRef('start');

  if (isFocus[0]) {
    latestFocus.current = 'start';
  }

  if (isFocus[1]) {
    latestFocus.current = 'end';
  }

  return jsx(DDateInput, Object.assign({}, restProps, {
    ref: ref,
    dClassNamePrefix: dClassNamePrefix,
    dFormControl: dFormControl,
    dVisible: visible,
    dPlacement: dPlacement,
    dSuffix: dSuffix,
    dSize: size,
    dRange: dRange,
    dClearable: dClearable && !isNull(_value),
    dDisabled: disabled,
    dInputProps: [getInputProps(true), getInputProps(false)],
    dInputRef: [dInputRefLeft, dInputRefRight],
    onVisibleChange: changeVisible,
    afterVisibleChange: afterVisibleChange,
    onClear: () => {
      onClear === null || onClear === void 0 ? void 0 : onClear();

      _changeValue(null);
    }
  }, {
    children: ({
      diPopupRef,
      diStyle,
      diOnMouseDown,
      diOnMouseUp
    }) => jsx("div", Object.assign({
      ref: diPopupRef,
      className: dPopupClassName,
      style: diStyle,
      onMouseDown: diOnMouseDown,
      onMouseUp: diOnMouseUp
    }, {
      children: children({
        pbDate: latestFocus.current === 'start' ? valueLeft : valueRight,
        pbCurrentDate: dRange ? isNull(_value) ? dataRef.current.rangeDate : _value : [valueLeft, null],
        pbPosition: latestFocus.current,
        changeValue: date => {
          if (isArray$2(date)) {
            dataRef.current.inputValue = date.map(d => dayjs(d).format(dFormat));

            _changeValue(date);
          } else {
            changeValue(date, latestFocus.current);
          }
        }
      })
    }))
  }));
}

const DBuilder = /*#__PURE__*/React.forwardRef(Builder);

function Panel(props, ref) {
  const {
    dDate,
    dAnotherDate,
    dConfigDate,
    onDateChange
  } = props; //#region Context

  const dPrefix = usePrefixConfig(); //#endregion

  const dataRef = useRef({});
  const asyncCapture = useAsync();
  const [t, lang] = useTranslation();
  const activeDate = dDate ? dayjs(dDate) : dayjs().set('hour', 0).set('minute', 0).set('second', 0);
  const anotherDate = dAnotherDate ? dayjs(dAnotherDate) : null;
  const [hoverDate, setHoverDate] = useState(null);
  const [showDate, setShowDate] = useState(activeDate);
  const updateView = useEventCallback(t => {
    setShowDate(dayjs(t));
  });

  const handleButtonDown = (unit, value) => {
    const loop = () => {
      setShowDate(d => d.set(unit, d.get(unit) + value));
      dataRef.current.clearLoop = asyncCapture.setTimeout(() => loop(), 50);
    };

    dataRef.current.clearTid = asyncCapture.setTimeout(() => loop(), 400);
  };

  const handleButtonMouseUp = () => {
    var _a, _b, _c, _d;

    (_b = (_a = dataRef.current).clearLoop) === null || _b === void 0 ? void 0 : _b.call(_a);
    (_d = (_c = dataRef.current).clearTid) === null || _d === void 0 ? void 0 : _d.call(_c);
  };

  const getButtonProps = (unit, value) => ({
    onMouseDown: e => {
      if (e.button === 0) {
        handleButtonDown(unit, value);
      }
    },
    onTouchStart: () => {
      handleButtonDown(unit, value);
    },
    onTouchEnd: () => {
      handleButtonMouseUp();
    },
    onClick: () => {
      updateView(showDate.set(unit, showDate.get(unit) + value).toDate());
    }
  });

  const weekList = (() => {
    const firstDay = showDate.set('date', 1);
    const month = [];
    let week = [];

    for (let num = 0, addDay = -firstDay.day(); num < 7 * 6; num++, addDay++) {
      week.push(firstDay.add(addDay, 'day'));

      if (week.length === 7) {
        month.push(week);
        week = [];
      }
    }

    return month;
  })();

  useEffect(() => {
    const [asyncGroup, asyncId] = asyncCapture.createGroup();
    asyncGroup.fromEvent(window, 'mouseup').subscribe({
      next: () => {
        handleButtonMouseUp();
      }
    });
    return () => {
      asyncCapture.deleteGroup(asyncId);
    };
  }, [asyncCapture]);
  useImperativeHandle(ref, () => ({
    updateView
  }), [updateView]);
  return jsxs("div", Object.assign({
    className: `${dPrefix}date-picker__panel`
  }, {
    children: [jsxs("div", Object.assign({
      className: `${dPrefix}date-picker__header`
    }, {
      children: [jsx("button", Object.assign({}, getButtonProps('year', -1), {
        className: `${dPrefix}date-picker__header-button`,
        title: t('DatePicker', 'Previous year')
      }, {
        children: jsx(DoubleLeftOutlined, {})
      })), jsx("button", Object.assign({}, getButtonProps('month', -1), {
        className: `${dPrefix}date-picker__header-button`,
        title: t('DatePicker', 'Previous month')
      }, {
        children: jsx(LeftOutlined, {})
      })), jsx("span", Object.assign({
        className: `${dPrefix}date-picker__header-content`
      }, {
        children: showDate.format(lang === 'zh-Hant' ? 'YYYY年 M月' : 'MMM YYYY')
      })), jsx("button", Object.assign({}, getButtonProps('month', 1), {
        className: `${dPrefix}date-picker__header-button`,
        title: t('DatePicker', 'Next month')
      }, {
        children: jsx(RightOutlined, {})
      })), jsx("button", Object.assign({}, getButtonProps('year', 1), {
        className: `${dPrefix}date-picker__header-button`,
        title: t('DatePicker', 'Next year')
      }, {
        children: jsx(DoubleRightOutlined, {})
      }))]
    })), jsxs("table", Object.assign({
      className: `${dPrefix}date-picker__content`
    }, {
      children: [jsx("thead", {
        children: jsx("tr", {
          children: dayjs.weekdaysMin().map(day => jsx("th", {
            children: day
          }, day))
        })
      }), jsx("tbody", {
        children: weekList.map((week, index1) => jsx("tr", {
          children: week.map((d, index2) => {
            var _a;

            const {
              disabled
            } = (_a = dConfigDate === null || dConfigDate === void 0 ? void 0 : dConfigDate(d.toDate())) !== null && _a !== void 0 ? _a : {};
            const isActive = dDate && d.isSame(activeDate, 'date');
            const isAnother = anotherDate && d.isSame(anotherDate, 'date');
            const isHover = !isActive && !isAnother && anotherDate && d.isSame(hoverDate, 'date');
            return jsx("td", Object.assign({
              style: {
                pointerEvents: disabled ? 'none' : undefined
              },
              onClick: () => {
                updateView(d.toDate());
                onDateChange === null || onDateChange === void 0 ? void 0 : onDateChange(d.toDate());
              },
              onMouseEnter: () => {
                var _a, _b;

                (_b = (_a = dataRef.current).clearHoverTid) === null || _b === void 0 ? void 0 : _b.call(_a);
                setHoverDate(d);
              },
              onMouseLeave: () => {
                var _a, _b;

                (_b = (_a = dataRef.current).clearHoverTid) === null || _b === void 0 ? void 0 : _b.call(_a);
                dataRef.current.clearHoverTid = asyncCapture.setTimeout(() => setHoverDate(null), 50);
              }
            }, {
              children: jsx("div", Object.assign({
                className: getClassName(`${dPrefix}date-picker__cell`, {
                  [`${dPrefix}date-picker__cell--out-month`]: d.get('month') !== showDate.get('month'),
                  [`${dPrefix}date-picker__cell--today`]: !isActive && !isAnother && d.isSame(dayjs(), 'date'),
                  'is-active': isActive,
                  'is-another': !isActive && isAnother,
                  'is-hover': isHover,
                  'is-between': !isActive && !isAnother && !isHover && dDate && anotherDate && d.isBetween(activeDate, anotherDate, 'date'),
                  'is-between-hover': !isActive && hoverDate && anotherDate && d.isBetween(hoverDate, anotherDate, 'date'),
                  'is-disabled': disabled
                })
              }, {
                children: d.get('date')
              }))
            }), index2);
          })
        }, index1))
      })]
    }))]
  }));
}

const DPanel$2 = /*#__PURE__*/React.forwardRef(Panel);

const {
  COMPONENT_NAME: COMPONENT_NAME$J
} = registerComponentMate({
  COMPONENT_NAME: 'DDatePicker'
});

function DatePicker(props, ref) {
  const _a = useComponentConfig(COMPONENT_NAME$J, props),
        {
    dFormat,
    dPlaceholder,
    dOrder = 'ascend',
    dRange = false,
    dPresetDate,
    dConfigDate,
    dPopupClassName,
    dShowTime = false
  } = _a,
        restProps = __rest(_a, ["dFormat", "dPlaceholder", "dOrder", "dRange", "dPresetDate", "dConfigDate", "dPopupClassName", "dShowTime"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const dDPPRef = useRef(null);
  const dTPPRef = useRef(null); //#endregion

  const [t] = useTranslation();
  const format = isUndefined(dFormat) ? dShowTime ? !isBoolean(dShowTime) && dShowTime.d12Hour ? 'YYYY-MM-DD hh:mm:ss A' : 'YYYY-MM-DD HH:mm:ss' : `YYYY-MM-DD` : dFormat;
  const [placeholderLeft = t('DatePicker', dRange ? 'Start date' : 'Select date'), placeholderRight = t('DatePicker', 'End date')] = dRange ? dPlaceholder !== null && dPlaceholder !== void 0 ? dPlaceholder : [] : [dPlaceholder];
  const {
    d12Hour: t12Hour,
    dConfigTime
  } = isBoolean(dShowTime) ? {} : dShowTime;
  return jsx(DBuilder, Object.assign({}, restProps, {
    ref: ref,
    dClassNamePrefix: "date-picker",
    dFormat: format,
    dSuffix: jsx(CalendarOutlined, {}),
    dPlaceholder: [placeholderLeft, placeholderRight],
    dOrder: date => orderDate(date, dOrder, dShowTime ? undefined : 'date'),
    dRange: dRange,
    dPopupClassName: getClassName(dPopupClassName, `${dPrefix}date-picker__popup`),
    onUpdatePanel: date => {
      var _a, _b;

      (_a = dDPPRef.current) === null || _a === void 0 ? void 0 : _a.updateView(date);
      (_b = dTPPRef.current) === null || _b === void 0 ? void 0 : _b.updateView(date);
    }
  }, {
    children: ({
      pbDate,
      pbCurrentDate,
      pbPosition,
      changeValue
    }) => jsxs(Fragment, {
      children: [jsx(DPanel$2, {
        ref: dDPPRef,
        dDate: pbDate,
        dAnotherDate: pbCurrentDate[pbPosition === 'start' ? 1 : 0],
        dConfigDate: dConfigDate ? (...args) => dConfigDate(...args, pbPosition, pbCurrentDate) : undefined,
        onDateChange: changeValue
      }), dShowTime && /*#__PURE__*/React.createElement(DPanel$3, {
        ref: dTPPRef,
        dTime: pbDate,
        dCols: getCols(format),
        d12Hour: t12Hour,
        dConfigTime: dConfigTime ? (...args) => dConfigTime(...args, pbPosition, pbCurrentDate) : undefined,
        onTimeChange: changeValue,
        __header: true
      }), jsx("div", Object.assign({
        className: getClassName(`${dPrefix}date-picker__footer`, {
          [`${dPrefix}date-picker__footer--custom`]: dPresetDate
        })
      }, {
        children: dPresetDate ? Object.keys(dPresetDate).map(name => {
          const handleClick = () => {
            var _a, _b;

            const d = dPresetDate[name]();
            changeValue(d);
            (_a = dDPPRef.current) === null || _a === void 0 ? void 0 : _a.updateView(d[pbPosition === 'start' ? 0 : 1]);
            (_b = dTPPRef.current) === null || _b === void 0 ? void 0 : _b.updateView(d[pbPosition === 'start' ? 0 : 1]);
          };

          return jsx(DTag, Object.assign({
            className: `${dPrefix}date-picker__footer-button`,
            role: "button",
            onClick: handleClick,
            dTheme: "primary"
          }, {
            children: name
          }), name);
        }) : jsx(DButton, Object.assign({
          onClick: () => {
            var _a, _b;

            const now = new Date();
            changeValue(now);
            (_a = dDPPRef.current) === null || _a === void 0 ? void 0 : _a.updateView(now);
            (_b = dTPPRef.current) === null || _b === void 0 ? void 0 : _b.updateView(now);
          },
          dType: "link"
        }, {
          children: t('DatePicker', dShowTime ? 'Now' : 'Today')
        }))
      }))]
    })
  }));
}

const DDatePicker = /*#__PURE__*/React.forwardRef(DatePicker);

function DMask(props) {
  const {
    dVisible,
    onClose,
    afterVisibleChange
  } = props,
        restProps = __rest(props, ["dVisible", "onClose", "afterVisibleChange"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const transitionStyles = {
    enter: {
      opacity: 0
    },
    entering: {
      transition: ['opacity'].map(attr => `${attr} ${TTANSITION_DURING_FAST}ms linear`).join(', ')
    },
    leaving: {
      opacity: 0,
      transition: ['opacity'].map(attr => `${attr} ${TTANSITION_DURING_FAST}ms linear`).join(', ')
    },
    leaved: {
      display: 'none'
    }
  };
  return jsx(DTransition, Object.assign({
    dIn: dVisible,
    dDuring: TTANSITION_DURING_FAST,
    afterEnter: () => {
      afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(true);
    },
    afterLeave: () => {
      afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(false);
    }
  }, {
    children: state => jsx("div", Object.assign({}, restProps, {
      className: getClassName(restProps.className, `${dPrefix}mask`),
      style: Object.assign(Object.assign({}, restProps.style), transitionStyles[state]),
      onClick: e => {
        var _a;

        (_a = restProps.onClick) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
        onClose === null || onClose === void 0 ? void 0 : onClose();
      }
    }))
  }));
}

function DFooter(props) {
  const {
    dClassNamePrefix,
    dAlign = 'right',
    dActions = ['cancel', 'ok'],
    dCancelProps,
    dOkProps,
    onCancelClick,
    onOkClick,
    onClose
  } = props,
        restProps = __rest(props, ["dClassNamePrefix", "dAlign", "dActions", "dCancelProps", "dOkProps", "onCancelClick", "onOkClick", "onClose"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const prefix = `${dPrefix}${dClassNamePrefix}`;
  const [t] = useTranslation();
  const [cancelLoading, setCancelLoading] = useState(false);
  const [okLoading, setOkLoading] = useState(false);
  const cancelProps = Object.assign(Object.assign({}, dCancelProps), {
    dLoading: (dCancelProps === null || dCancelProps === void 0 ? void 0 : dCancelProps.dLoading) || cancelLoading,
    onClick: () => {
      const shouldClose = onCancelClick === null || onCancelClick === void 0 ? void 0 : onCancelClick();

      if (shouldClose instanceof Promise) {
        setCancelLoading(true);
        shouldClose.then(val => {
          setCancelLoading(false);

          if (val !== false) {
            onClose === null || onClose === void 0 ? void 0 : onClose();
          }
        });
      } else if (shouldClose !== false) {
        onClose === null || onClose === void 0 ? void 0 : onClose();
      }
    }
  });
  const okProps = Object.assign(Object.assign({}, dOkProps), {
    dLoading: (dOkProps === null || dOkProps === void 0 ? void 0 : dOkProps.dLoading) || okLoading,
    onClick: () => {
      const shouldClose = onOkClick === null || onOkClick === void 0 ? void 0 : onOkClick();

      if (shouldClose instanceof Promise) {
        setOkLoading(true);
        shouldClose.then(val => {
          setOkLoading(false);

          if (val !== false) {
            onClose === null || onClose === void 0 ? void 0 : onClose();
          }
        });
      } else if (shouldClose !== false) {
        onClose === null || onClose === void 0 ? void 0 : onClose();
      }
    }
  });
  return jsx("div", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${prefix}__footer`, `${prefix}__footer--${dAlign}`)
  }, {
    children: React.Children.map(dActions, action => {
      var _a, _b, _c;

      return action === 'cancel' ? /*#__PURE__*/createElement$2(DButton, Object.assign({}, cancelProps, {
        key: "$$cancel",
        dType: (_a = cancelProps.dType) !== null && _a !== void 0 ? _a : 'secondary'
      }), (_b = cancelProps.children) !== null && _b !== void 0 ? _b : t('Footer', 'Cancel')) : action === 'ok' ? /*#__PURE__*/createElement$2(DButton, Object.assign({}, okProps, {
        key: "$$ok"
      }), (_c = okProps.children) !== null && _c !== void 0 ? _c : t('Footer', 'OK')) : action;
    })
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$I
} = registerComponentMate({
  COMPONENT_NAME: 'DDrawer.Footer'
});
function DDrawerFooter(props) {
  const _a = useComponentConfig(COMPONENT_NAME$I, props),
        {
    __onClose
  } = _a,
        restProps = __rest(_a, ["__onClose"]);

  return jsx(DFooter, Object.assign({}, restProps, {
    dClassNamePrefix: "drawer",
    onClose: __onClose
  }));
}

function DHeader(props) {
  const {
    children,
    dClassNamePrefix,
    dTitleId,
    dActions = ['close'],
    dCloseProps,
    onCloseClick,
    onClose
  } = props,
        restProps = __rest(props, ["children", "dClassNamePrefix", "dTitleId", "dActions", "dCloseProps", "onCloseClick", "onClose"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const prefix = `${dPrefix}${dClassNamePrefix}`;
  const [t] = useTranslation();
  const [closeLoading, setCloseLoading] = useState(false);
  const closeProps = Object.assign(Object.assign({}, dCloseProps), {
    dLoading: (dCloseProps === null || dCloseProps === void 0 ? void 0 : dCloseProps.dLoading) || closeLoading,
    onClick: () => {
      const shouldClose = onCloseClick === null || onCloseClick === void 0 ? void 0 : onCloseClick();

      if (shouldClose instanceof Promise) {
        setCloseLoading(true);
        shouldClose.then(val => {
          setCloseLoading(false);

          if (val !== false) {
            onClose === null || onClose === void 0 ? void 0 : onClose();
          }
        });
      } else if (shouldClose !== false) {
        onClose === null || onClose === void 0 ? void 0 : onClose();
      }
    }
  });
  return jsxs("div", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${prefix}__header`)
  }, {
    children: [jsx("div", Object.assign({
      id: dTitleId,
      className: `${prefix}__header-title`
    }, {
      children: children
    })), jsx("div", Object.assign({
      className: `${prefix}__header-actions`
    }, {
      children: React.Children.map(dActions, action => {
        var _a, _b, _c;

        return action === 'close' ? /*#__PURE__*/createElement$2(DButton, Object.assign({}, closeProps, {
          key: "$$close",
          "aria-label": (_a = closeProps['aria-label']) !== null && _a !== void 0 ? _a : t('Close'),
          dType: (_b = closeProps.dType) !== null && _b !== void 0 ? _b : 'text',
          dIcon: (_c = closeProps.dIcon) !== null && _c !== void 0 ? _c : jsx(CloseOutlined, {})
        })) : action;
      })
    }))]
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$H
} = registerComponentMate({
  COMPONENT_NAME: 'DDrawer.Header'
});
function DDrawerHeader(props) {
  var _a;

  const _b = useComponentConfig(COMPONENT_NAME$H, props),
        {
    __id,
    __onClose
  } = _b,
        restProps = __rest(_b, ["__id", "__onClose"]);

  return jsx(DHeader, Object.assign({}, restProps, {
    dClassNamePrefix: "drawer",
    dTitleId: (_a = restProps.dTitleId) !== null && _a !== void 0 ? _a : __id,
    onClose: __onClose
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$G
} = registerComponentMate({
  COMPONENT_NAME: 'DDrawer'
});
const DDrawer = props => {
  const _a = useComponentConfig(COMPONENT_NAME$G, props),
        {
    children,
    dVisible,
    dContainer,
    dPlacement = 'right',
    dWidth = 400,
    dHeight = 280,
    dZIndex,
    dMask = true,
    dMaskClosable = true,
    dEscClosable = true,
    dHeader,
    dFooter,
    dChildDrawer,
    onVisibleChange,
    afterVisibleChange,
    __zIndex,
    __onVisibleChange
  } = _a,
        restProps = __rest(_a, ["children", "dVisible", "dContainer", "dPlacement", "dWidth", "dHeight", "dZIndex", "dMask", "dMaskClosable", "dEscClosable", "dHeader", "dFooter", "dChildDrawer", "onVisibleChange", "afterVisibleChange", "__zIndex", "__onVisibleChange"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const drawerRef = useRef(null); //#endregion

  const uniqueId = useId();
  const titleId = `${dPrefix}drawer-title-${uniqueId}`;
  const bodyId = `${dPrefix}drawer-content-${uniqueId}`;
  const [distance, setDistance] = useState({
    visible: false,
    top: 0,
    right: 0,
    bottom: 0,
    left: 0
  });
  const nestedStyle = {
    transition: `transform 140ms ${distance.visible ? 'ease-out' : 'ease-in'} 60ms`,
    transform: dPlacement === 'top' ? `translateY(${distance[dPlacement] / 3 * 2}px)` : dPlacement === 'right' ? `translateX(${-(distance[dPlacement] / 3) * 2}px)` : dPlacement === 'bottom' ? `translateY(${-(distance[dPlacement] / 3) * 2}px)` : `translateX(${distance[dPlacement] / 3 * 2}px)`
  };
  const [visible, changeVisible] = useDValue(false, dVisible, onVisibleChange);
  const isFixed = isUndefined(dContainer);
  const maxZIndex = useMaxIndex(visible);

  const zIndex = (() => {
    if (!isUndefined(dZIndex)) {
      return dZIndex;
    }

    if (isUndefined(__zIndex)) {
      if (isFixed) {
        return maxZIndex;
      } else {
        return `var(--${dPrefix}zindex-absolute)`;
      }
    } else {
      return __zIndex;
    }
  })();

  const containerEl = useElement(isUndefined(dContainer) || dContainer === false ? () => {
    if (isUndefined(dContainer)) {
      let el = document.getElementById(`${dPrefix}drawer-root`);

      if (!el) {
        el = document.createElement('div');
        el.id = `${dPrefix}drawer-root`;
        document.body.appendChild(el);
      }

      return el;
    }

    return null;
  } : dContainer);
  useLockScroll(isFixed && visible);
  useEffect(() => {
    if (visible) {
      const height = isString(dHeight) ? toPx(dHeight, true) : dHeight;
      const width = isString(dWidth) ? toPx(dWidth, true) : dWidth;
      __onVisibleChange === null || __onVisibleChange === void 0 ? void 0 : __onVisibleChange({
        visible: true,
        top: distance.top + (dPlacement === 'top' ? height : 0),
        right: distance.right + (dPlacement === 'right' ? width : 0),
        bottom: distance.bottom + (dPlacement === 'bottom' ? height : 0),
        left: distance.left + (dPlacement === 'left' ? width : 0)
      });
    } else {
      __onVisibleChange === null || __onVisibleChange === void 0 ? void 0 : __onVisibleChange(Object.assign(Object.assign({}, distance), {
        visible: false
      }));
    } // eslint-disable-next-line react-hooks/exhaustive-deps

  }, [visible]);
  const prevActiveEl = useRef(null);
  useEffect(() => {
    if (visible) {
      prevActiveEl.current = document.activeElement;

      if (drawerRef.current) {
        drawerRef.current.focus({
          preventScroll: true
        });
      }
    } else if (prevActiveEl.current) {
      prevActiveEl.current.focus({
        preventScroll: true
      });
    }
  }, [visible]);

  const transitionStyles = (() => {
    const transform = dPlacement === 'top' ? 'translate(0, -100%)' : dPlacement === 'right' ? 'translate(100%, 0)' : dPlacement === 'bottom' ? 'translate(0, 100%)' : 'translate(-100%, 0)';
    return {
      enter: {
        transform
      },
      entering: {
        transition: ['transform'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-out`).join(', ')
      },
      leaving: {
        transform,
        transition: ['transform'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-in`).join(', ')
      },
      leaved: {
        transform
      }
    };
  })();

  const childDrawer = (() => {
    if (dChildDrawer) {
      return /*#__PURE__*/React.cloneElement(dChildDrawer, Object.assign(Object.assign({}, dChildDrawer.props), {
        __zIndex: isUndefined(zIndex) ? zIndex : `calc(${zIndex} + 1)`,
        __onVisibleChange: distance => {
          setDistance(distance);
        }
      }));
    }

    return null;
  })();

  const headerNode = (() => {
    if (dHeader) {
      const node = isString(dHeader) ? jsx(DDrawerHeader, {
        children: dHeader
      }) : dHeader;
      return /*#__PURE__*/React.cloneElement(node, Object.assign(Object.assign({}, node.props), {
        __id: titleId,
        __onClose: () => {
          changeVisible(false);
        }
      }));
    }
  })();

  const drawerNode = jsxs(Fragment, {
    children: [jsx(DTransition, Object.assign({
      dIn: visible,
      dDuring: TTANSITION_DURING_BASE,
      afterEnter: () => {
        afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(true);
      },
      afterLeave: () => {
        afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(false);
      }
    }, {
      children: state => {
        var _a, _b, _c, _d;

        return jsxs("div", Object.assign({}, restProps, {
          ref: drawerRef,
          className: getClassName(restProps.className, `${dPrefix}drawer`),
          style: Object.assign(Object.assign(Object.assign({}, restProps.style), nestedStyle), {
            display: state === 'leaved' ? 'none' : undefined,
            position: isFixed ? undefined : 'absolute',
            zIndex
          }),
          tabIndex: -1,
          role: (_a = restProps.role) !== null && _a !== void 0 ? _a : 'dialog',
          "aria-modal": (_b = restProps['aria-modal']) !== null && _b !== void 0 ? _b : 'true',
          "aria-labelledby": (_c = restProps['aria-labelledby']) !== null && _c !== void 0 ? _c : headerNode ? titleId : undefined,
          "aria-describedby": (_d = restProps['aria-describedby']) !== null && _d !== void 0 ? _d : bodyId,
          onKeyDown: e => {
            var _a;

            (_a = restProps.onKeyDown) === null || _a === void 0 ? void 0 : _a.call(restProps, e);

            if (dEscClosable && e.code === 'Escape') {
              changeVisible(false);
            }

            handleModalKeyDown(e);
          }
        }, {
          children: [dMask && jsx(DMask, {
            dVisible: visible,
            onClose: () => {
              if (dMaskClosable) {
                changeVisible(false);
              }
            }
          }), jsxs("div", Object.assign({
            className: getClassName(`${dPrefix}drawer__content`, `${dPrefix}drawer__content--${dPlacement}`),
            style: Object.assign({
              width: dPlacement === 'left' || dPlacement === 'right' ? dWidth : undefined,
              height: dPlacement === 'bottom' || dPlacement === 'top' ? dHeight : undefined
            }, transitionStyles[state])
          }, {
            children: [headerNode, jsx("div", Object.assign({
              id: bodyId,
              className: `${dPrefix}drawer__body`
            }, {
              children: children
            })), dFooter && /*#__PURE__*/React.cloneElement(dFooter, Object.assign(Object.assign({}, dFooter.props), {
              __onClose: () => {
                changeVisible(false);
              }
            }))]
          }))]
        }));
      }
    })), childDrawer]
  });

  return dContainer === false ? drawerNode : containerEl && /*#__PURE__*/ReactDOM.createPortal(drawerNode, containerEl);
};
DDrawer.Header = DDrawerHeader;
DDrawer.Footer = DDrawerFooter;

const {
  COMPONENT_NAME: COMPONENT_NAME$F
} = registerComponentMate({
  COMPONENT_NAME: 'DEmpty'
});
function DEmpty(props) {
  const _a = useComponentConfig(COMPONENT_NAME$F, props),
        {
    children,
    dIcon,
    dDescription
  } = _a,
        restProps = __rest(_a, ["children", "dIcon", "dDescription"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const [t] = useTranslation();
  return jsxs("div", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}empty`)
  }, {
    children: [checkNodeExist(dIcon) ? dIcon : null, jsx("div", Object.assign({
      className: `${dPrefix}empty__description`
    }, {
      children: checkNodeExist(dDescription) ? dDescription : t('No Data')
    })), children]
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$E
} = registerComponentMate({
  COMPONENT_NAME: 'DImage.Preview'
});
function DImagePreview(props) {
  var _a, _b, _c;

  const _d = useComponentConfig(COMPONENT_NAME$E, props),
        {
    dList,
    dActive,
    dVisible,
    dZIndex,
    dMask = true,
    dMaskClosable = true,
    dEscClosable = true,
    onActiveChange,
    onVisibleChange,
    afterVisibleChange
  } = _d,
        restProps = __rest(_d, ["dList", "dActive", "dVisible", "dZIndex", "dMask", "dMaskClosable", "dEscClosable", "onActiveChange", "onVisibleChange", "afterVisibleChange"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const previewRef = useRef(null);
  const imgRef = useRef(null); //#endregion

  const asyncCapture = useAsync();
  const [activeIndex, changeActiveIndex] = useDValue(0, dActive, onActiveChange);
  const activeSrc = dList[activeIndex].src;
  const [offset, setOffset] = useState(3);
  useIsomorphicLayoutEffect(() => {
    const handleResize = () => {
      setOffset(~~((window.innerWidth - 108) / 120));
    };

    handleResize();
    window.addEventListener('resize', handleResize);
    return () => {
      window.removeEventListener('resize', handleResize);
    };
  });
  let startIndex = Math.max(activeIndex - offset, 0);
  const endIndex = Math.min(startIndex + offset * 2, dList.length - 1);
  startIndex = Math.max(endIndex - offset * 2, 0);
  const [isDragging, setIsDragging] = useState(false);
  const [position, setPosition] = useImmer(new Map());
  const activePosition = (_a = position.get(activeSrc)) !== null && _a !== void 0 ? _a : {
    top: 0,
    left: 0
  };
  const [rotate, setRotate] = useImmer(new Map());
  const activeRotate = (_b = rotate.get(activeSrc)) !== null && _b !== void 0 ? _b : 0;
  const [scale, setScale] = useImmer(new Map());
  const activeScale = (_c = scale.get(activeSrc)) !== null && _c !== void 0 ? _c : 1;
  const [visible, changeVisible] = useDValue(false, dVisible, onVisibleChange);
  const maxZIndex = useMaxIndex(visible);

  const zIndex = (() => {
    if (!isUndefined(dZIndex)) {
      return dZIndex;
    }

    return maxZIndex;
  })();

  const containerEl = useElement(() => {
    let el = document.getElementById(`${dPrefix}image-preview-root`);

    if (!el) {
      el = document.createElement('div');
      el.id = `${dPrefix}image-preview-root`;
      document.body.appendChild(el);
    }

    return el;
  });
  useLockScroll(visible);
  const prevActiveEl = useRef(null);
  useEffect(() => {
    if (visible) {
      prevActiveEl.current = document.activeElement;

      if (previewRef.current) {
        previewRef.current.focus({
          preventScroll: true
        });
      }
    } else if (prevActiveEl.current) {
      prevActiveEl.current.focus({
        preventScroll: true
      });
    }
  }, [visible]);
  useEffect(() => {
    const [asyncGroup, asyncId] = asyncCapture.createGroup();

    if (isDragging && imgRef.current) {
      let initMove;
      let currentMove;
      let initScale;
      let currentScale;

      const handleMove = () => {
        if (initMove && currentMove) {
          const movementX = currentMove.x - initMove.x;
          const movementY = currentMove.y - initMove.y;
          setPosition(draft => {
            var _a;

            const oldPosition = (_a = draft.get(activeSrc)) !== null && _a !== void 0 ? _a : {
              top: 0,
              left: 0
            };
            draft.set(activeSrc, {
              top: oldPosition.top + movementY,
              left: oldPosition.left + movementX
            });
          });
          initMove = currentMove;
          currentMove = undefined;
        }

        if (initScale && currentScale) {
          const initLength = Math.sqrt(Math.pow(initScale.x0 - initScale.x1, 2) + Math.pow(initScale.y0 - initScale.y1, 2));
          const currentLength = Math.sqrt(Math.pow(currentScale.x0 - currentScale.x1, 2) + Math.pow(currentScale.y0 - currentScale.y1, 2));
          setScale(draft => {
            var _a;

            const oldScale = (_a = draft.get(activeSrc)) !== null && _a !== void 0 ? _a : 1;
            draft.set(activeSrc, Math.max(oldScale + (currentLength - initLength) / 100, 1));
          });
          initScale = currentScale;
          currentScale = undefined;
        }
      };

      asyncGroup.fromEvent(window, 'touchmove', {
        passive: false
      }).subscribe({
        next: e => {
          e.preventDefault();

          if (e.touches.length === 2) {
            initMove = currentMove = undefined;
            const newScale = {
              x0: e.touches[0].clientX,
              y0: e.touches[0].clientY,
              x1: e.touches[1].clientX,
              y1: e.touches[1].clientY
            };

            if (isUndefined(initScale)) {
              initScale = newScale;
            } else {
              currentScale = newScale;
            }
          } else {
            initScale = currentScale = undefined;
            const newMove = {
              x: e.touches[0].clientX,
              y: e.touches[0].clientY
            };

            if (isUndefined(initMove)) {
              initMove = newMove;
            } else {
              currentMove = newMove;
            }
          }

          handleMove();
        }
      });
      asyncGroup.fromEvent(window, 'mousemove').subscribe({
        next: e => {
          e.preventDefault();
          const newMove = {
            x: e.clientX,
            y: e.clientY
          };

          if (isUndefined(initMove)) {
            initMove = newMove;
          } else {
            currentMove = newMove;
          }

          handleMove();
        }
      });
    }

    return () => {
      asyncCapture.deleteGroup(asyncId);
    };
  }, [activeSrc, asyncCapture, isDragging, setPosition, setScale]);
  useEffect(() => {
    const [asyncGroup, asyncId] = asyncCapture.createGroup();

    if (isDragging) {
      asyncGroup.fromEvent(window, 'mouseup').subscribe({
        next: e => {
          e.preventDefault();
          setIsDragging(false);
        }
      });
    }

    return () => {
      asyncCapture.deleteGroup(asyncId);
    };
  }, [asyncCapture, isDragging]);
  return containerEl && /*#__PURE__*/ReactDOM.createPortal(jsx(DTransition, Object.assign({
    dIn: visible,
    dDuring: TTANSITION_DURING_BASE,
    afterEnter: () => {
      afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(true);
    },
    afterLeave: () => {
      afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(false);
    }
  }, {
    children: state => {
      let transitionStyle = {};

      switch (state) {
        case 'enter':
          transitionStyle = {
            transform: 'scale(0.3)',
            opacity: 0
          };
          break;

        case 'entering':
          transitionStyle = {
            transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-out`).join(', ')
          };
          break;

        case 'leaving':
          transitionStyle = {
            transform: 'scale(0.3)',
            opacity: 0,
            transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-in`).join(', ')
          };
          break;
      }

      return jsxs("div", Object.assign({}, restProps, {
        ref: previewRef,
        className: getClassName(restProps.className, `${dPrefix}image-preview`),
        style: Object.assign(Object.assign(Object.assign({}, restProps.style), transitionStyle), {
          display: state === 'leaved' ? 'none' : undefined,
          zIndex
        }),
        tabIndex: -1,
        onKeyDown: e => {
          if (dEscClosable && e.code === 'Escape') {
            changeVisible(false);
          }
        }
      }, {
        children: [jsx("button", Object.assign({
          className: getClassName(`${dPrefix}image-preview__navigation-button`, `${dPrefix}image-preview__navigation-button--prev`),
          onClick: () => {
            changeActiveIndex(draft => {
              return draft === 0 ? dList.length - 1 : draft - 1;
            });
          }
        }, {
          children: jsx(LeftOutlined, {})
        })), jsx("button", Object.assign({
          className: getClassName(`${dPrefix}image-preview__navigation-button`, `${dPrefix}image-preview__navigation-button--next`),
          onClick: () => {
            changeActiveIndex(draft => {
              return draft === dList.length - 1 ? 0 : draft + 1;
            });
          }
        }, {
          children: jsx(RightOutlined, {})
        })), jsxs("ul", Object.assign({
          className: `${dPrefix}image-preview__toolbar`
        }, {
          children: [jsxs("li", Object.assign({
            className: `${dPrefix}image-preview__toolbar-page`
          }, {
            children: [jsx(DInput, {
              className: `${dPrefix}image-preview__toolbar-page-input`,
              dModel: (activeIndex + 1).toString(),
              dType: "number",
              dSize: "smaller",
              dMin: 1,
              dMax: dList.length,
              dInteger: true,
              onModelChange: val => {
                if (val) {
                  changeActiveIndex(Number(val) - 1);
                }
              }
            }), jsx("span", {
              children: "/"
            }), jsx("span", {
              children: dList.length
            })]
          })), jsx("li", Object.assign({
            className: `${dPrefix}image-preview__toolbar-rotate`
          }, {
            children: jsx(DButton, {
              onClick: () => {
                setRotate(draft => {
                  var _a;

                  const oldRotate = (_a = draft.get(activeSrc)) !== null && _a !== void 0 ? _a : 0;
                  draft.set(activeSrc, oldRotate + 90);
                });
              },
              dType: "text",
              dIcon: jsx(RotateRightOutlined, {})
            })
          })), jsx("li", Object.assign({
            className: `${dPrefix}image-preview__toolbar-zoom-out`
          }, {
            children: jsx(DButton, {
              onClick: () => {
                setScale(draft => {
                  var _a;

                  const oldScale = (_a = draft.get(activeSrc)) !== null && _a !== void 0 ? _a : 1;
                  draft.set(activeSrc, Math.max(oldScale / 1.3, 1));
                });
              },
              dType: "text",
              dIcon: jsx(ZoomOutOutlined, {})
            })
          })), jsx("li", Object.assign({
            className: `${dPrefix}image-preview__toolbar-zoom`
          }, {
            children: jsx(DInput, {
              className: `${dPrefix}image-preview__toolbar-zoom-input`,
              dModel: Math.round(activeScale * 100).toString(),
              dType: "number",
              dSize: "smaller",
              dMin: 100,
              dStep: 10,
              dInteger: true,
              onModelChange: val => {
                if (val) {
                  setScale(draft => {
                    draft.set(activeSrc, Number(val) / 100);
                  });
                }
              }
            })
          })), jsx("li", Object.assign({
            className: `${dPrefix}image-preview__toolbar-zoom-in`
          }, {
            children: jsx(DButton, {
              onClick: () => {
                setScale(draft => {
                  var _a;

                  const oldScale = (_a = draft.get(activeSrc)) !== null && _a !== void 0 ? _a : 1;
                  draft.set(activeSrc, oldScale * 1.3);
                });
              },
              dType: "text",
              dIcon: jsx(ZoomInOutlined, {})
            })
          })), jsx("li", Object.assign({
            className: `${dPrefix}image-preview__toolbar-close`
          }, {
            children: jsx(DButton, {
              onClick: () => {
                changeVisible(false);
              },
              dType: "text",
              dIcon: jsx(CloseOutlined, {})
            })
          }))]
        })), // eslint-disable-next-line jsx-a11y/alt-text
        jsx("img", Object.assign({}, dList[activeIndex], {
          ref: imgRef,
          className: `${dPrefix}image-preview__img`,
          style: {
            transform: `translate(${activePosition.left}px, ${activePosition.top}px) rotate(${activeRotate}deg) scale(${activeScale})`
          },
          width: undefined,
          height: undefined,
          tabIndex: -1,
          onMouseDown: e => {
            if (e.button === 0) {
              e.preventDefault();
              e.currentTarget.focus({
                preventScroll: true
              });
              setIsDragging(true);
            }
          },
          onMouseUp: e => {
            if (e.button === 0) {
              e.preventDefault();
            }
          },
          onTouchStart: e => {
            e.currentTarget.focus({
              preventScroll: true
            });
            setIsDragging(true);
          },
          onTouchEnd: () => {
            setIsDragging(false);
          },
          onWheel: e => {
            setScale(draft => {
              var _a;

              const oldScale = (_a = draft.get(activeSrc)) !== null && _a !== void 0 ? _a : 1;
              draft.set(activeSrc, e.deltaY < 0 ? oldScale + 0.1 : Math.max(oldScale - 0.1, 1));
            });
          }
        })), jsx("ul", Object.assign({
          className: `${dPrefix}image-preview__thumbnail-list`
        }, {
          children: dList.map((imgProps, index) => index >= startIndex && index <= endIndex && jsx("li", Object.assign({
            className: getClassName(`${dPrefix}image-preview__thumbnail`, {
              'is-active': activeIndex === index
            }),
            onClick: () => {
              changeActiveIndex(index);
            }
          }, {
            children: // eslint-disable-next-line jsx-a11y/alt-text
            jsx("img", Object.assign({}, imgProps, {
              className: `${dPrefix}image-preview__thumbnail-img`,
              style: undefined,
              width: undefined,
              height: undefined
            }))
          }), index))
        })), dMask && jsx(DMask, {
          dVisible: true,
          onClose: () => {
            if (dMaskClosable) {
              changeVisible(false);
            }
          }
        })]
      }));
    }
  })), containerEl);
}

const {
  COMPONENT_NAME: COMPONENT_NAME$D
} = registerComponentMate({
  COMPONENT_NAME: 'DImage'
});
const DImage = props => {
  const _a = useComponentConfig(COMPONENT_NAME$D, props),
        {
    dLoading,
    dError,
    dActions,
    dImgProps
  } = _a,
        restProps = __rest(_a, ["dLoading", "dError", "dActions", "dImgProps"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const dataRef = useRef({
    isLoading: true,
    isError: false
  });
  const forceUpdate = useForceUpdate();

  if (dImgProps.src !== dataRef.current.prevSrc) {
    dataRef.current.prevSrc = dImgProps.src;
    dataRef.current.isLoading = true;
    dataRef.current.isError = false;
  }

  return jsxs("div", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}image`)
  }, {
    children: [dataRef.current.isLoading && dLoading, dataRef.current.isError && dError, // eslint-disable-next-line jsx-a11y/alt-text
    jsx("img", Object.assign({}, dImgProps, {
      style: Object.assign(Object.assign({}, dImgProps.style), {
        display: dataRef.current.isLoading && dLoading || dataRef.current.isError && dError ? 'none' : undefined
      }),
      onLoadStart: e => {
        var _a; // https://bugs.chromium.org/p/chromium/issues/detail?id=458851


        (_a = dImgProps.onLoadStart) === null || _a === void 0 ? void 0 : _a.call(dImgProps, e);
        dataRef.current.isLoading = true;
        forceUpdate();
      },
      onLoad: e => {
        var _a;

        (_a = dImgProps.onLoad) === null || _a === void 0 ? void 0 : _a.call(dImgProps, e);
        dataRef.current.isLoading = false;
        forceUpdate();
      },
      onError: e => {
        var _a;

        (_a = dImgProps.onError) === null || _a === void 0 ? void 0 : _a.call(dImgProps, e);
        dataRef.current.isLoading = false;
        dataRef.current.isError = true;
        forceUpdate();
      }
    })), dActions && jsx("div", Object.assign({
      className: `${dPrefix}image__actions`
    }, {
      children: React.Children.map(dActions, action => /*#__PURE__*/React.cloneElement(action, Object.assign(Object.assign({}, action.props), {
        className: getClassName(action.props.className, `${dPrefix}image__action`)
      })))
    }))]
  }));
};
DImage.Preview = DImagePreview;

function DGroup(props) {
  const {
    children,
    dId,
    dList,
    dEmpty,
    dStep,
    dSpace,
    dLevel = 0
  } = props; //#region Context

  const dPrefix = usePrefixConfig(); //#endregion

  const [t] = useTranslation();
  return jsxs("ul", Object.assign({
    className: `${dPrefix}menu__group-list`,
    role: "group",
    "aria-labelledby": dId
  }, {
    children: [jsx("li", Object.assign({
      id: dId,
      className: `${dPrefix}menu__group-title`,
      style: {
        paddingLeft: dSpace + dLevel * dStep
      },
      role: "presentation"
    }, {
      children: children
    })), dEmpty ? jsx("div", Object.assign({
      className: `${dPrefix}menu__empty`,
      style: {
        paddingLeft: dSpace + (dLevel + 1) * dStep
      }
    }, {
      children: t('No Data')
    })) : dList]
  }));
}

function DItem(props) {
  const {
    children,
    dId,
    dDisabled,
    dPosinset,
    dMode,
    dInNav,
    dActive,
    dFocusVisible,
    dIcon,
    dStep,
    dSpace,
    dLevel = 0,
    onItemClick
  } = props; //#region Context

  const dPrefix = usePrefixConfig(); //#endregion

  const inHorizontalNav = dMode === 'horizontal' && dInNav;

  const liNode = jsxs("li", Object.assign({
    id: dId,
    className: getClassName(`${dPrefix}menu__item`, `${dPrefix}menu__item--basic`, {
      [`${dPrefix}menu__item--horizontal`]: inHorizontalNav,
      [`${dPrefix}menu__item--icon`]: dMode === 'icon' && dInNav,
      'is-active': dActive,
      'is-disabled': dDisabled
    }),
    style: {
      paddingLeft: dSpace + dLevel * dStep
    },
    role: "menuitem",
    "aria-disabled": dDisabled,
    onClick: onItemClick
  }, {
    children: [dFocusVisible && jsx("div", {
      className: `${dPrefix}focus-outline`
    }), jsx("div", Object.assign({
      className: getClassName(`${dPrefix}menu__indicator`, {
        [`${dPrefix}menu__indicator--first`]: dPosinset[0] === 0 && dPosinset[1] > 1,
        [`${dPrefix}menu__indicator--last`]: dPosinset[0] === dPosinset[1] - 1 && dPosinset[1] > 1
      })
    }, {
      children: jsx("div", {
        style: {
          backgroundColor: dLevel === 0 ? 'transparent' : undefined
        }
      })
    })), checkNodeExist(dIcon) && jsx("div", Object.assign({
      className: `${dPrefix}menu__item-icon-wrapper`
    }, {
      children: jsx("div", Object.assign({
        className: `${dPrefix}menu__item-icon`
      }, {
        children: dIcon
      }))
    })), jsx("div", Object.assign({
      className: `${dPrefix}menu__item-content`
    }, {
      children: children
    }))]
  }));

  return jsx(DTooltip, Object.assign({
    dDisabled: !(dMode === 'icon' && dInNav),
    dTitle: children,
    dPlacement: "right"
  }, {
    children: liNode
  }));
}

function DSub(props) {
  const {
    children,
    dId,
    dDisabled,
    dPosinset,
    dMode,
    dInNav,
    dActive,
    dExpand,
    dFocusVisible,
    dList,
    dPopupVisible,
    dPopupState,
    dEmpty,
    dTrigger,
    dIcon,
    dStep,
    dSpace,
    dLevel = 0,
    onVisibleChange,
    onSubClick,
    updatePosition$
  } = props; //#region Context

  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const popupRef = useRef(null);
  const liRef = useRef(null); //#endregion

  const [t] = useTranslation();
  const inHorizontalNav = dMode === 'horizontal' && dInNav;
  const [popupPositionStyle, setPopupPositionStyle] = useState({
    top: -9999,
    left: -9999
  });
  const [transformOrigin, setTransformOrigin] = useState();
  const updatePosition = useEventCallback(() => {
    if (popupRef.current && liRef.current) {
      const size = getOriginalSize(popupRef.current);
      const height = size.height;
      let width = size.width;

      if (inHorizontalNav) {
        width = liRef.current.getBoundingClientRect().width - 32;
      }

      const {
        top,
        left,
        transformOrigin
      } = inHorizontalNav ? getVerticalSidePosition(liRef.current, {
        width,
        height
      }, 'bottom-left', 12) : getHorizontalSidePosition(liRef.current, {
        width,
        height
      }, 'right', dInNav ? 10 : 14);
      setPopupPositionStyle({
        top,
        left: inHorizontalNav ? left + 16 : left,
        width: inHorizontalNav ? width : undefined
      });
      setTransformOrigin(transformOrigin);
    }
  });
  const maxZIndex = useMaxIndex(dPopupVisible);

  const iconRotate = (() => {
    if (dMode === 'vertical' && dExpand) {
      return 180;
    }

    if (dMode !== 'vertical' && !inHorizontalNav) {
      return -90;
    }

    return undefined;
  })();

  useEffect(() => {
    if (dPopupVisible) {
      const ob = updatePosition$.subscribe({
        next: () => {
          updatePosition();
        }
      });
      return () => {
        ob.unsubscribe();
      };
    }
  }, [dPopupVisible, updatePosition, updatePosition$]);
  return jsx(DCollapseTransition, Object.assign({
    dSize: 0,
    dIn: dMode === 'vertical' || !dInNav ? dExpand : false,
    dDuring: TTANSITION_DURING_BASE,
    dStyles: {
      entering: {
        transition: ['height', 'padding', 'margin'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-out`).join(', ')
      },
      leaving: {
        transition: ['height', 'padding', 'margin'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-in`).join(', ')
      },
      leaved: {
        display: 'none'
      }
    }
  }, {
    children: (collapseRef, collapseStyle, collapseState) => jsxs(Fragment, {
      children: [jsx(DTransition, Object.assign({
        dIn: dPopupVisible,
        dDuring: TTANSITION_DURING_POPUP,
        onEnterRendered: updatePosition
      }, {
        children: popupState => {
          let popupTransitionStyle = {};

          switch (popupState) {
            case 'enter':
              popupTransitionStyle = {
                transform: inHorizontalNav ? 'scaleY(0.7)' : 'scale(0)',
                opacity: 0
              };
              break;

            case 'entering':
              popupTransitionStyle = {
                transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_POPUP}ms ease-out`).join(', '),
                transformOrigin
              };
              break;

            case 'leaving':
              popupTransitionStyle = {
                transform: inHorizontalNav ? 'scaleY(0.7)' : 'scale(0)',
                opacity: 0,
                transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_POPUP}ms ease-in`).join(', '),
                transformOrigin
              };
              break;

            case 'leaved':
              popupTransitionStyle = {
                display: 'none'
              };
              break;
          }

          return jsx(DPopup, Object.assign({
            dPopup: _a => {
              var {
                pOnClick,
                pOnMouseEnter,
                pOnMouseLeave
              } = _a,
                  restPProps = __rest(_a, ["pOnClick", "pOnMouseEnter", "pOnMouseLeave"]);

              return jsx("ul", Object.assign({}, restPProps, {
                ref: popupRef,
                className: getClassName(`${dPrefix}menu__sub-list`, `${dPrefix}menu__sub-list--popup`),
                style: Object.assign(Object.assign(Object.assign({}, popupPositionStyle), popupTransitionStyle), {
                  minWidth: inHorizontalNav ? undefined : 160,
                  zIndex: maxZIndex
                }),
                role: "menu",
                "aria-labelledby": dId,
                onClick: pOnClick,
                onMouseEnter: pOnMouseEnter,
                onMouseLeave: pOnMouseLeave
              }, {
                children: dEmpty ? jsx("div", Object.assign({
                  className: `${dPrefix}menu__empty`,
                  style: {
                    paddingLeft: dSpace + dLevel * dStep
                  }
                }, {
                  children: t('No Data')
                })) : dList
              }));
            },
            dVisible: dPopupState,
            dDisabled: dDisabled || dMode === 'vertical',
            dTrigger: dTrigger,
            dUpdatePosition: updatePosition,
            onVisibleChange: onVisibleChange
          }, {
            children: _a => {
              var {
                pOnClick,
                pOnMouseEnter,
                pOnMouseLeave
              } = _a,
                  restPProps = __rest(_a, ["pOnClick", "pOnMouseEnter", "pOnMouseLeave"]);

              return jsxs("li", Object.assign({}, restPProps, {
                ref: liRef,
                id: dId,
                className: getClassName(`${dPrefix}menu__item`, `${dPrefix}menu__item--sub`, {
                  [`${dPrefix}menu__item--horizontal`]: inHorizontalNav,
                  [`${dPrefix}menu__item--icon`]: dMode === 'icon' && dInNav,
                  'is-active': dActive,
                  'is-expand': dMode === 'vertical' ? dExpand : dPopupVisible,
                  'is-disabled': dDisabled
                }),
                style: {
                  paddingLeft: dSpace + dLevel * dStep
                },
                role: "menuitem",
                "aria-haspopup": true,
                "aria-expanded": dMode === 'vertical' ? dExpand : dPopupVisible,
                "aria-disabled": dDisabled,
                onClick: e => {
                  pOnClick === null || pOnClick === void 0 ? void 0 : pOnClick(e);
                  onSubClick(e);
                },
                onMouseEnter: pOnMouseEnter,
                onMouseLeave: pOnMouseLeave
              }, {
                children: [dFocusVisible && jsx("div", {
                  className: `${dPrefix}focus-outline`
                }), jsx("div", Object.assign({
                  className: getClassName(`${dPrefix}menu__indicator`, {
                    [`${dPrefix}menu__indicator--first`]: dPosinset[0] === 0 && dPosinset[1] > 1,
                    [`${dPrefix}menu__indicator--last`]: dPosinset[0] === dPosinset[1] - 1 && dPosinset[1] > 1
                  })
                }, {
                  children: jsx("div", {
                    style: {
                      backgroundColor: dLevel === 0 ? 'transparent' : undefined
                    }
                  })
                })), checkNodeExist(dIcon) && jsx("div", Object.assign({
                  className: `${dPrefix}menu__item-icon-wrapper`
                }, {
                  children: jsx("div", Object.assign({
                    className: `${dPrefix}menu__item-icon`
                  }, {
                    children: dIcon
                  }))
                })), jsx("div", Object.assign({
                  className: `${dPrefix}menu__item-content`
                }, {
                  children: children
                })), !inHorizontalNav && jsx(CaretDownOutlined, {
                  className: `${dPrefix}menu__sub-arrow`,
                  dSize: 14,
                  dRotate: iconRotate
                })]
              }));
            }
          }));
        }
      })), dMode !== 'vertical' && (collapseState === 'leaved' || !dInNav) ? null : jsx("ul", Object.assign({
        ref: collapseRef,
        className: `${dPrefix}menu__sub-list`,
        style: collapseStyle,
        role: "menu",
        "aria-labelledby": dId
      }, {
        children: dEmpty ? jsx("div", Object.assign({
          className: `${dPrefix}menu__empty`,
          style: {
            paddingLeft: dSpace + (dLevel + 1) * dStep
          }
        }, {
          children: t('No Data')
        })) : dList
      }))]
    })
  }));
}

function checkEnableItem(item) {
  return (item.type === 'item' || item.type === 'sub') && !item.disabled;
}
function getSameLevelItems(arr) {
  const items = [];

  const reduceArr = arr => {
    for (const item of arr) {
      if (item.type === 'group' && item.children) {
        reduceArr(item.children);
      } else if (checkEnableItem(item)) {
        items.push(item);
      }
    }
  };

  reduceArr(arr);
  return items;
}

const {
  COMPONENT_NAME: COMPONENT_NAME$C
} = registerComponentMate({
  COMPONENT_NAME: 'DMenu'
});

function Menu(props, ref) {
  const _a = useComponentConfig(COMPONENT_NAME$C, props),
        {
    dList,
    dActive,
    dExpands,
    dMode = 'vertical',
    dExpandOne = false,
    dExpandTrigger,
    onActiveChange,
    onExpandsChange
  } = _a,
        restProps = __rest(_a, ["dList", "dActive", "dExpands", "dMode", "dExpandOne", "dExpandTrigger", "onActiveChange", "onExpandsChange"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const updatePosition$ = useEventNotify();
  const uniqueId = useId();

  const getItemId = id => `${dPrefix}menu-item-${id}-${uniqueId}`;

  const [activeId, changeActiveId] = useDValue(null, dActive, id => {
    if (onActiveChange) {
      onActiveChange(id, findNested(dList, item => item.id === id));
    }
  });

  const activeIds = (() => {
    let ids;

    const reduceArr = (arr, subParent = []) => {
      for (const item of arr) {
        if (ids) {
          break;
        }

        if (item.children) {
          reduceArr(item.children, item.type === 'sub' ? subParent.concat([item.id]) : subParent);
        } else if (item.id === activeId) {
          ids = subParent.concat([item.id]);
        }
      }
    };

    if (!isNull(activeId)) {
      reduceArr(dList);
    }

    return ids !== null && ids !== void 0 ? ids : [];
  })();

  const [expandIds, changeExpandIds] = useDValue([], dExpands, ids => {
    if (onExpandsChange) {
      let length = ids.length;
      const items = [];

      const reduceArr = arr => {
        for (const item of arr) {
          if (length === 0) {
            break;
          }

          if (item.children) {
            reduceArr(item.children);
          } else {
            const index = ids.findIndex(id => id === item.id);

            if (index !== -1) {
              items[index] = item;
              length -= 1;
            }
          }
        }
      };

      reduceArr(dList);
      onExpandsChange(ids, items);
    }
  });
  const {
    popupIds,
    setPopupIds,
    addPopupId,
    removePopupId
  } = useNestedPopup();
  const [focusIds, setFocusIds] = useState([]);
  const [isFocus, setIsFocus] = useState(false);
  const [focusVisible, setFocusVisible] = useState(false);

  const focusId = (() => {
    var _a;

    if (isFocus) {
      if (dMode === 'vertical') {
        return nth(focusIds, -1);
      } else {
        let id;

        for (const [index, focusId] of focusIds.entries()) {
          id = focusId;

          if (((_a = nth(popupIds, index)) === null || _a === void 0 ? void 0 : _a.id) !== focusId) {
            break;
          }
        }

        return id;
      }
    }
  })();

  const initFocus = () => {
    let firstId;
    const ids = [];

    const reduceArr = arr => {
      for (const item of arr) {
        if (ids.length === 1) {
          break;
        }

        if ((item.type === 'group' || dMode === 'vertical' && item.type === 'sub' && expandIds.includes(item.id)) && item.children) {
          reduceArr(item.children);
        } else if (checkEnableItem(item)) {
          if (isUndefined(firstId)) {
            firstId = item.id;
          }

          if (activeIds.includes(item.id)) {
            ids.push(item.id);
          }
        }
      }
    };

    reduceArr(dList);
    setFocusIds(ids.length === 0 ? isUndefined(firstId) ? [] : [firstId] : ids);
  };

  let handleKeyDown;

  const nodes = (() => {
    const getNodes = (arr, level, subParents, inNav = false) => {
      const posinset = new Map();
      let noGroup = [];

      for (const item of arr) {
        if (item.type === 'group') {
          for (const [i, o] of noGroup.entries()) {
            posinset.set(o.id, [i, noGroup.length]);
          }

          noGroup = [];
        } else {
          noGroup.push(item);
        }
      }

      for (const [i, o] of noGroup.entries()) {
        posinset.set(o.id, [i, noGroup.length]);
      }

      return arr.map(item => {
        var _a;

        const {
          id: itemId,
          title: itemTitle,
          type: itemType,
          icon: itemIcon,
          disabled: itemDisabled,
          children
        } = item;

        const _subParents = itemType === 'sub' ? subParents.concat([item]) : subParents;

        const id = getItemId(itemId);
        const isExpand = expandIds.includes(itemId);
        const isFocus = itemId === focusId;
        const isEmpty = !(children && children.length > 0);
        const popupState = popupIds.find(v => v.id === itemId);
        let step = 20;
        let space = 16;

        if (dMode === 'horizontal' && inNav) {
          space = 20;
        }

        if (dMode !== 'vertical' && !inNav) {
          step = 12;
          space = 10;
        }

        const handleItemClick = () => {
          changeActiveId(itemId);
          setFocusIds(subParents.map(parentItem => parentItem.id).concat([itemId]));
        };

        const handleSubExpand = sameLevelItems => {
          if (isExpand) {
            changeExpandIds(draft => {
              const index = draft.findIndex(id => id === itemId);
              draft.splice(index, 1);
            });
          } else {
            if (dExpandOne) {
              const ids = expandIds.filter(id => sameLevelItems.findIndex(sameLevelItem => sameLevelItem.id === id) === -1);
              ids.push(itemId);
              changeExpandIds(ids);
            } else {
              changeExpandIds(draft => {
                draft.push(itemId);
              });
            }
          }
        };

        if (isFocus) {
          handleKeyDown = e => {
            var _a, _b, _c, _d;

            const sameLevelItems = getSameLevelItems((_b = (_a = nth(subParents, -1)) === null || _a === void 0 ? void 0 : _a.children) !== null && _b !== void 0 ? _b : dList);

            const focusItem = val => {
              if (val) {
                setFocusIds(subParents.map(parentItem => parentItem.id).concat([val.id]));
              }
            };

            const handleOpenSub = () => {
              if (dMode === 'vertical') {
                if (!isExpand) {
                  handleSubExpand(sameLevelItems);
                }
              } else {
                addPopupId(itemId);
              }

              if (children) {
                const newFocusItem = nth(getSameLevelItems(children), 0);

                if (newFocusItem) {
                  setFocusIds(_subParents.map(parentItem => parentItem.id).concat([newFocusItem.id]));
                }
              }
            };

            if (dMode === 'horizontal' && inNav) {
              switch (e.code) {
                case 'ArrowUp':
                  e.code = 'ArrowLeft';
                  break;

                case 'ArrowLeft':
                  e.code = 'ArrowUp';
                  break;

                case 'ArrowDown':
                  e.code = 'ArrowRight';
                  break;

                case 'ArrowRight':
                  e.code = 'ArrowDown';
                  break;
              }
            }

            switch (e.code) {
              case 'ArrowUp':
                {
                  e.preventDefault();
                  const index = sameLevelItems.findIndex(sameLevelItem => sameLevelItem.id === itemId);
                  const newFocusItem = nth(sameLevelItems, index - 1);
                  focusItem(newFocusItem);

                  if (dMode !== 'vertical' && newFocusItem && ((_c = nth(popupIds, -1)) === null || _c === void 0 ? void 0 : _c.id) === itemId) {
                    setPopupIds(popupIds.slice(0, -1));
                  }

                  break;
                }

              case 'ArrowDown':
                {
                  e.preventDefault();
                  const index = sameLevelItems.findIndex(sameLevelItem => sameLevelItem.id === itemId);
                  const newFocusItem = nth(sameLevelItems, (index + 1) % sameLevelItems.length);
                  focusItem(newFocusItem);

                  if (dMode !== 'vertical' && newFocusItem && ((_d = nth(popupIds, -1)) === null || _d === void 0 ? void 0 : _d.id) === itemId) {
                    setPopupIds(popupIds.slice(0, -1));
                  }

                  break;
                }

              case 'ArrowLeft':
                {
                  e.preventDefault();

                  if (dMode === 'vertical') {
                    changeExpandIds(draft => {
                      const index = draft.findIndex(id => {
                        var _a;

                        return id === ((_a = nth(subParents, -1)) === null || _a === void 0 ? void 0 : _a.id);
                      });
                      draft.splice(index, 1);
                    });
                  } else {
                    setPopupIds(popupIds.slice(0, -1));
                  }

                  const ids = subParents.map(item => item.id);

                  if (ids.length > 0) {
                    setFocusIds(ids);
                  }

                  break;
                }

              case 'ArrowRight':
                e.preventDefault();

                if (itemType === 'sub') {
                  handleOpenSub();
                }

                break;

              case 'Home':
                e.preventDefault();
                focusItem(nth(sameLevelItems, 0));
                break;

              case 'End':
                e.preventDefault();
                focusItem(nth(sameLevelItems, -1));
                break;

              case 'Enter':
              case 'Space':
                e.preventDefault();

                if (itemType === 'item') {
                  handleItemClick();
                } else if (itemType === 'sub') {
                  handleOpenSub();
                }

                break;
            }
          };
        }

        return jsx(React.Fragment, {
          children: itemType === 'item' ? jsx(DItem, Object.assign({
            dId: id,
            dDisabled: itemDisabled,
            dPosinset: posinset.get(itemId),
            dMode: dMode,
            dInNav: inNav,
            dActive: activeId === itemId,
            dFocusVisible: focusVisible && isFocus,
            dIcon: itemIcon,
            dStep: step,
            dSpace: space,
            dLevel: level,
            onItemClick: handleItemClick
          }, {
            children: itemTitle
          })) : itemType === 'group' ? jsx(DGroup, Object.assign({
            dId: id,
            dList: children && getNodes(children, level + 1, _subParents),
            dEmpty: isEmpty,
            dStep: step,
            dSpace: space,
            dLevel: level
          }, {
            children: itemTitle
          })) : jsx(DSub, Object.assign({
            dId: id,
            dDisabled: itemDisabled,
            dPosinset: posinset.get(itemId),
            dMode: dMode,
            dInNav: inNav,
            dActive: (dMode === 'vertical' ? !isExpand : isUndefined(popupState)) && activeIds.includes(itemId),
            dExpand: isExpand,
            dFocusVisible: focusVisible && isFocus,
            dList: children && getNodes(children, dMode === 'vertical' ? level + 1 : 0, _subParents),
            dPopupVisible: dMode === 'vertical' ? false : !isUndefined(popupState),
            dPopupState: (_a = popupState === null || popupState === void 0 ? void 0 : popupState.visible) !== null && _a !== void 0 ? _a : false,
            dEmpty: isEmpty,
            dTrigger: dExpandTrigger !== null && dExpandTrigger !== void 0 ? dExpandTrigger : dMode === 'vertical' ? 'click' : 'hover',
            dIcon: itemIcon,
            dStep: step,
            dSpace: space,
            dLevel: level,
            onVisibleChange: visible => {
              if (visible) {
                if (subParents.length === 0) {
                  setPopupIds([{
                    id: itemId,
                    visible: true
                  }]);
                } else {
                  addPopupId(itemId);
                }
              } else {
                removePopupId(itemId);
              }
            },
            onSubClick: () => {
              var _a, _b;

              if (!itemDisabled) {
                setFocusIds(subParents.map(parentItem => parentItem.id).concat([itemId]));

                if (dMode === 'vertical') {
                  const sameLevelItems = getSameLevelItems((_b = (_a = nth(subParents, -1)) === null || _a === void 0 ? void 0 : _a.children) !== null && _b !== void 0 ? _b : dList);
                  handleSubExpand(sameLevelItems);
                }
              }
            },
            "updatePosition$": updatePosition$
          }, {
            children: itemTitle
          }))
        }, itemId);
      });
    };

    return getNodes(dList, 0, [], true);
  })();

  useImperativeHandle(ref, () => ({
    updatePosition: () => {
      updatePosition$.next();
    }
  }), [updatePosition$]);
  return jsx(DCollapseTransition, Object.assign({
    dSize: 80,
    dIn: dMode !== 'icon',
    dDuring: TTANSITION_DURING_BASE,
    dHorizontal: true,
    dStyles: {
      entering: {
        transition: ['width', 'padding', 'margin'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms linear`).join(', ')
      },
      leaving: {
        transition: ['width', 'padding', 'margin'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms linear`).join(', ')
      }
    }
  }, {
    children: (navRef, collapseStyle) => jsx(DFocusVisible, Object.assign({
      onFocusVisibleChange: setFocusVisible
    }, {
      children: ({
        fvOnFocus,
        fvOnBlur,
        fvOnKeyDown
      }) => {
        var _a, _b, _c, _d;

        return (// eslint-disable-next-line jsx-a11y/aria-activedescendant-has-tabindex
          jsx("nav", Object.assign({}, restProps, {
            ref: navRef,
            className: getClassName(restProps.className, `${dPrefix}menu`, {
              [`${dPrefix}menu--horizontal`]: dMode === 'horizontal'
            }),
            style: Object.assign(Object.assign({}, restProps.style), collapseStyle),
            tabIndex: (_a = restProps.tabIndex) !== null && _a !== void 0 ? _a : 0,
            role: (_b = restProps.role) !== null && _b !== void 0 ? _b : 'menubar',
            "aria-orientation": (_c = restProps['aria-orientation']) !== null && _c !== void 0 ? _c : dMode === 'horizontal' ? 'horizontal' : 'vertical',
            "aria-activedescendant": (_d = restProps['aria-activedescendant']) !== null && _d !== void 0 ? _d : isUndefined(focusId) ? undefined : getItemId(focusId),
            onFocus: e => {
              var _a;

              (_a = restProps.onFocus) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
              fvOnFocus(e);
              setIsFocus(true);
              initFocus();
            },
            onBlur: e => {
              var _a;

              (_a = restProps.onBlur) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
              fvOnBlur(e);
              setIsFocus(false);
              setPopupIds([]);
            },
            onKeyDown: e => {
              var _a;

              (_a = restProps.onKeyDown) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
              fvOnKeyDown(e);
              handleKeyDown === null || handleKeyDown === void 0 ? void 0 : handleKeyDown(e);
            }
          }, {
            children: nodes
          }))
        );
      }
    }))
  }));
}

const DMenu = /*#__PURE__*/React.forwardRef(Menu);

const {
  COMPONENT_NAME: COMPONENT_NAME$B
} = registerComponentMate({
  COMPONENT_NAME: 'DModal.Footer'
});
function DModalFooter(props) {
  const _a = useComponentConfig(COMPONENT_NAME$B, props),
        {
    __onClose
  } = _a,
        restProps = __rest(_a, ["__onClose"]);

  return jsx(DFooter, Object.assign({}, restProps, {
    dClassNamePrefix: "modal",
    onClose: __onClose
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$A
} = registerComponentMate({
  COMPONENT_NAME: 'DModal.Header'
});
function DModalHeader(props) {
  var _a;

  const _b = useComponentConfig(COMPONENT_NAME$A, props),
        {
    __id,
    __onClose
  } = _b,
        restProps = __rest(_b, ["__id", "__onClose"]);

  return jsx(DHeader, Object.assign({}, restProps, {
    dClassNamePrefix: "modal",
    dTitleId: (_a = restProps.dTitleId) !== null && _a !== void 0 ? _a : __id,
    onClose: __onClose
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$z
} = registerComponentMate({
  COMPONENT_NAME: 'DModal'
});
const DModal = props => {
  const _a = useComponentConfig(COMPONENT_NAME$z, props),
        {
    children,
    dVisible,
    dWidth = 520,
    dTop = 100,
    dZIndex,
    dMask = true,
    dMaskClosable = true,
    dEscClosable = true,
    dType,
    dHeader,
    dFooter,
    onVisibleChange,
    afterVisibleChange
  } = _a,
        restProps = __rest(_a, ["children", "dVisible", "dWidth", "dTop", "dZIndex", "dMask", "dMaskClosable", "dEscClosable", "dType", "dHeader", "dFooter", "onVisibleChange", "afterVisibleChange"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const modalRef = useRef(null);
  const modalContentRef = useRef(null); //#endregion

  const dataRef = useRef({
    x: 0,
    y: 0
  });
  const asyncCapture = useAsync();
  const uniqueId = useId();
  const titleId = `${dPrefix}modal-title-${uniqueId}`;
  const bodyId = `${dPrefix}modal-content-${uniqueId}`;
  const topStyle = dTop + (isNumber(dTop) ? 'px' : '');
  const [visible, changeVisible] = useDValue(false, dVisible, onVisibleChange);
  const maxZIndex = useMaxIndex(visible);

  const zIndex = (() => {
    if (!isUndefined(dZIndex)) {
      return dZIndex;
    }

    return maxZIndex;
  })();

  const containerEl = useElement(() => {
    let el = document.getElementById(`${dPrefix}modal-root`);

    if (!el) {
      el = document.createElement('div');
      el.id = `${dPrefix}modal-root`;
      document.body.appendChild(el);
    }

    return el;
  });
  useLockScroll(visible);
  const prevActiveEl = useRef(null);
  useEffect(() => {
    if (visible) {
      prevActiveEl.current = document.activeElement;

      if (modalRef.current) {
        modalRef.current.focus({
          preventScroll: true
        });
      }
    } else if (prevActiveEl.current) {
      prevActiveEl.current.focus({
        preventScroll: true
      });
    }
  }, [visible]);
  useEffect(() => {
    const [asyncGroup, asyncId] = asyncCapture.createGroup();
    asyncGroup.fromEvent(window, 'click', {
      capture: true
    }).subscribe({
      next: e => {
        var _a, _b;

        dataRef.current.x = e.clientX;
        dataRef.current.y = e.clientY;
        (_b = (_a = dataRef.current).clearTid) === null || _b === void 0 ? void 0 : _b.call(_a);
        dataRef.current.clearTid = asyncGroup.setTimeout(() => {
          dataRef.current.clearTid = undefined;
        }, 20);
      }
    });
    return () => {
      asyncCapture.deleteGroup(asyncId);
    };
  }, [asyncCapture]);

  const headerNode = (() => {
    if (dHeader) {
      const node = isString(dHeader) ? jsx(DModalHeader, {
        children: dHeader
      }) : dHeader;
      return /*#__PURE__*/React.cloneElement(node, Object.assign(Object.assign({}, node.props), {
        __id: titleId,
        __onClose: () => {
          changeVisible(false);
        }
      }));
    }
  })();

  return containerEl && /*#__PURE__*/ReactDOM.createPortal(jsx(DTransition, Object.assign({
    dIn: visible,
    dDuring: TTANSITION_DURING_BASE,
    onEnterRendered: () => {
      if (isUndefined(dataRef.current.clearTid)) {
        dataRef.current.transformOrigin = undefined;
      } else if (modalContentRef.current) {
        const left = `${(window.innerWidth - modalContentRef.current.clientWidth) / 2}px`;
        const top = dTop === 'center' ? `${(window.innerHeight - modalContentRef.current.clientHeight) / 2}px` : topStyle;
        dataRef.current.transformOrigin = `calc(${dataRef.current.x}px - ${left}) calc(${dataRef.current.y}px - ${top})`;
      }
    },
    afterEnter: () => {
      afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(true);
    },
    afterLeave: () => {
      afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(false);
    }
  }, {
    children: state => {
      var _a, _b, _c, _d;

      let transitionStyle = {};

      switch (state) {
        case 'enter':
          transitionStyle = {
            transform: 'scale(0.3)',
            opacity: 0
          };
          break;

        case 'entering':
          transitionStyle = {
            transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-out`).join(', '),
            transformOrigin: dataRef.current.transformOrigin
          };
          break;

        case 'leaving':
          transitionStyle = {
            transform: 'scale(0.3)',
            opacity: 0,
            transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-in`).join(', '),
            transformOrigin: dataRef.current.transformOrigin
          };
          break;
      }

      return jsxs("div", Object.assign({}, restProps, {
        ref: modalRef,
        className: getClassName(restProps.className, `${dPrefix}modal`, {
          [`${dPrefix}modal--center`]: dTop === 'center',
          [`${dPrefix}modal--type`]: dType
        }),
        style: Object.assign(Object.assign({}, restProps.style), {
          display: state === 'leaved' ? 'none' : undefined,
          zIndex
        }),
        tabIndex: -1,
        role: (_a = restProps.role) !== null && _a !== void 0 ? _a : 'dialog',
        "aria-modal": (_b = restProps['aria-modal']) !== null && _b !== void 0 ? _b : 'true',
        "aria-labelledby": (_c = restProps['aria-labelledby']) !== null && _c !== void 0 ? _c : headerNode ? titleId : undefined,
        "aria-describedby": (_d = restProps['aria-describedby']) !== null && _d !== void 0 ? _d : bodyId,
        onKeyDown: e => {
          var _a;

          (_a = restProps.onKeyDown) === null || _a === void 0 ? void 0 : _a.call(restProps, e);

          if (dEscClosable && e.code === 'Escape') {
            changeVisible(false);
          }

          handleModalKeyDown(e);
        }
      }, {
        children: [dMask && jsx(DMask, {
          dVisible: visible,
          onClose: () => {
            if (dMaskClosable) {
              changeVisible(false);
            }
          }
        }), jsxs("div", Object.assign({
          ref: modalContentRef,
          className: `${dPrefix}modal__content`,
          style: Object.assign(Object.assign({}, transitionStyle), {
            width: dWidth,
            top: dTop === 'center' ? undefined : dTop,
            maxHeight: dTop === 'center' ? undefined : `calc(100% - ${topStyle} - 20px)`
          })
        }, {
          children: [headerNode, jsx("div", Object.assign({
            id: bodyId,
            className: `${dPrefix}modal__body`
          }, {
            children: dType ? jsxs(Fragment, {
              children: [jsx("div", Object.assign({
                className: `${dPrefix}modal__icon`
              }, {
                children: checkNodeExist(dType.icon) ? dType.icon : dType.type === 'success' ? jsx(CheckCircleOutlined, {
                  dTheme: "success"
                }) : dType.type === 'warning' ? jsx(WarningOutlined, {
                  dTheme: "warning"
                }) : dType.type === 'error' ? jsx(CloseCircleOutlined, {
                  dTheme: "danger"
                }) : jsx(ExclamationCircleOutlined, {
                  dTheme: "primary"
                })
              })), jsxs("div", Object.assign({
                className: `${dPrefix}modal__type-wrapper`
              }, {
                children: [checkNodeExist(dType.title) && jsx("div", Object.assign({
                  className: `${dPrefix}modal__title`
                }, {
                  children: dType.title
                })), checkNodeExist(dType.description) && jsx("div", Object.assign({
                  className: `${dPrefix}modal__description`
                }, {
                  children: dType.description
                }))]
              }))]
            }) : children
          })), dFooter && /*#__PURE__*/React.cloneElement(dFooter, Object.assign(Object.assign({}, dFooter.props), {
            __onClose: () => {
              changeVisible(false);
            }
          }))]
        }))]
      }));
    }
  })), containerEl);
};
DModal.Header = DModalHeader;
DModal.Footer = DModalFooter;

function DAlertPopover(props) {
  var _a, _b;

  const {
    children,
    dDuration,
    dEscClosable = true,
    onClose
  } = props;
  const dataRef = useRef({});
  const asyncCapture = useAsync();
  useMount(() => {
    if (dDuration > 0) {
      dataRef.current.clearTid = asyncCapture.setTimeout(() => {
        onClose === null || onClose === void 0 ? void 0 : onClose();
      }, dDuration * 1000);
    }
  });
  return /*#__PURE__*/React.cloneElement(children, Object.assign(Object.assign({}, children.props), {
    tabIndex: (_a = children.props.tabIndex) !== null && _a !== void 0 ? _a : -1,
    role: (_b = children.props.role) !== null && _b !== void 0 ? _b : 'alert',
    onMouseEnter: e => {
      var _a, _b, _c, _d;

      (_b = (_a = children.props).onMouseEnter) === null || _b === void 0 ? void 0 : _b.call(_a, e);
      (_d = (_c = dataRef.current).clearTid) === null || _d === void 0 ? void 0 : _d.call(_c);
    },
    onMouseLeave: e => {
      var _a, _b;

      (_b = (_a = children.props).onMouseLeave) === null || _b === void 0 ? void 0 : _b.call(_a, e);

      if (dDuration > 0) {
        dataRef.current.clearTid = asyncCapture.setTimeout(() => {
          onClose === null || onClose === void 0 ? void 0 : onClose();
        }, dDuration * 1000);
      }
    },
    onKeyDown: e => {
      var _a, _b, _c, _d;

      (_b = (_a = children.props).onKeyDown) === null || _b === void 0 ? void 0 : _b.call(_a, e);

      if (dEscClosable && e.code === 'Escape') {
        (_d = (_c = dataRef.current).clearTid) === null || _d === void 0 ? void 0 : _d.call(_c);
        onClose === null || onClose === void 0 ? void 0 : onClose();
      }
    }
  }));
}

const notificationSubject = {
  open$: new Subject(),
  close$: new Subject(),
  rerender$: new Subject(),
  closeAll$: new Subject()
};

class Notification$1 {
  constructor(_uniqueId) {
    Object.defineProperty(this, "_uniqueId", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: _uniqueId
    });
  }

  get uniqueId() {
    return this._uniqueId;
  }

  close() {
    NotificationService.close(this._uniqueId);
  }

  rerender(props) {
    NotificationService.rerender(this._uniqueId, props);
  }

}

let NOTIFICATIONS = [];
let UNIQUEID$1 = 1;
class NotificationService {
  static get notifications() {
    return NOTIFICATIONS;
  }

  static open(props) {
    UNIQUEID$1 += 1;
    notificationSubject.open$.next({
      uniqueId: UNIQUEID$1,
      props
    });
    const notification = new Notification$1(UNIQUEID$1);
    NOTIFICATIONS.push(notification);
    return notification;
  }

  static close(uniqueId) {
    NOTIFICATIONS = NOTIFICATIONS.filter(item => item.uniqueId !== uniqueId);
    notificationSubject.close$.next(uniqueId);
  }

  static rerender(uniqueId, props) {
    notificationSubject.rerender$.next({
      uniqueId,
      props
    });
  }

  static closeAll(animation = true) {
    NOTIFICATIONS = [];
    notificationSubject.closeAll$.next(animation);
  }

}
const TTANSITION_DURING$3 = {
  enter: 133,
  leave: 166
};
const {
  COMPONENT_NAME: COMPONENT_NAME$y
} = registerComponentMate({
  COMPONENT_NAME: 'DNotification'
});
function DNotification(props) {
  const _a = useComponentConfig(COMPONENT_NAME$y, props),
        {
    dVisible,
    dType,
    dIcon,
    dTitle,
    dDescription,
    dDuration = 9.6,
    dPlacement = 'right-top',
    dActions = ['close'],
    dEscClosable = true,
    onClose,
    afterVisibleChange
  } = _a,
        restProps = __rest(_a, ["dVisible", "dType", "dIcon", "dTitle", "dDescription", "dDuration", "dPlacement", "dActions", "dEscClosable", "onClose", "afterVisibleChange"]); //#region Ref


  const panelRef = useRef(null); //#endregion

  return jsx(DTransition, Object.assign({
    dIn: dVisible,
    dDuring: TTANSITION_DURING$3,
    dSkipFirstTransition: false,
    afterEnter: () => {
      afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(true);
    },
    afterLeave: () => {
      afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(false);
    }
  }, {
    children: state => {
      let transitionStyle = {};

      switch (state) {
        case 'enter':
          transitionStyle = {
            transform: dPlacement === 'left-top' || dPlacement === 'left-bottom' ? 'translate(-100%, 0)' : 'translate(100%, 0)'
          };
          break;

        case 'entering':
          transitionStyle = {
            transition: ['transform'].map(attr => `${attr} ${TTANSITION_DURING$3.enter}ms ease-out`).join(', ')
          };
          break;

        case 'leave':
          if (panelRef.current) {
            const {
              height
            } = panelRef.current.getBoundingClientRect();
            transitionStyle = {
              height,
              overflow: 'hidden'
            };
          }

          break;

        case 'leaving':
          transitionStyle = {
            height: 0,
            overflow: 'hidden',
            paddingTop: 0,
            paddingBottom: 0,
            marginTop: 0,
            marginBottom: 0,
            opacity: 0,
            transition: ['height', 'padding', 'margin', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING$3.leave}ms ease-in`).join(', ')
          };
          break;

        case 'leaved':
          transitionStyle = {
            display: 'none'
          };
          break;
      }

      return jsx(DAlertPopover, Object.assign({
        dDuration: dDuration,
        dEscClosable: dEscClosable,
        onClose: onClose
      }, {
        children: jsx(DPanel$5, Object.assign({}, restProps, {
          ref: panelRef,
          style: Object.assign(Object.assign({}, restProps.style), transitionStyle),
          dClassNamePrefix: "notification",
          dType: dType,
          dIcon: dIcon,
          dTitle: dTitle,
          dDescription: dDescription,
          dActions: dActions,
          onClose: onClose
        }))
      }));
    }
  }));
}

const IS_CREATE = Symbol();
const {
  COMPONENT_NAME: COMPONENT_NAME$x
} = registerComponentMate({
  COMPONENT_NAME: 'DSelect'
});

function Select(props, ref) {
  const _a = useComponentConfig(COMPONENT_NAME$x, props),
        {
    dFormControl,
    dList,
    dModel,
    dVisible,
    dPlaceholder,
    dSize,
    dLoading = false,
    dSearchable = false,
    dClearable = false,
    dDisabled = false,
    dMultiple = false,
    dCustomItem,
    dCustomSelected,
    dCustomSearch,
    dCreateItem,
    dPopupClassName,
    dInputProps,
    dInputRef,
    onModelChange,
    onVisibleChange,
    afterVisibleChange,
    onClear,
    onSearch,
    onCreateItem,
    onScrollBottom
  } = _a,
        restProps = __rest(_a, ["dFormControl", "dList", "dModel", "dVisible", "dPlaceholder", "dSize", "dLoading", "dSearchable", "dClearable", "dDisabled", "dMultiple", "dCustomItem", "dCustomSelected", "dCustomSearch", "dCreateItem", "dPopupClassName", "dInputProps", "dInputRef", "onModelChange", "onVisibleChange", "afterVisibleChange", "onClear", "onSearch", "onCreateItem", "onScrollBottom"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    gSize,
    gDisabled
  } = useGeneralContext(); //#endregion
  //#region Ref

  const dVSRef = useRef(null); //#endregion

  const [t] = useTranslation();
  const uniqueId = useId();
  const listId = `${dPrefix}select-list-${uniqueId}`;

  const getGroupId = val => `${dPrefix}select-group-${val}-${uniqueId}`;

  const getItemId = val => `${dPrefix}select-item-${val}-${uniqueId}`;

  const itemsMap = useMemo(() => {
    const items = new Map();

    const reduceArr = arr => {
      for (const item of arr) {
        items.set(item.value, item);

        if (item.children) {
          reduceArr(item.children);
        }
      }
    };

    reduceArr(dList);
    return items;
  }, [dList]);
  const [searchValue, setSearchValue] = useState('');
  const canSelectItem = useCallback(item => !item.disabled && !item.children, []);
  const [focusVisible, setFocusVisible] = useState(false);
  const [visible, changeVisible] = useDValue(false, dVisible, onVisibleChange);
  const formControlInject = useFormControl(dFormControl);
  const [_select, changeSelect] = useDValue(dMultiple ? [] : null, dModel, value => {
    if (onModelChange) {
      if (dMultiple) {
        onModelChange(value, value.map(v => itemsMap.get(v)));
      } else {
        onModelChange(value, isNull(value) ? null : itemsMap.get(value));
      }
    }
  }, undefined, formControlInject);
  const select = useMemo(() => dMultiple ? new Set(_select) : _select, [_select, dMultiple]);
  const size = dSize !== null && dSize !== void 0 ? dSize : gSize;
  const disabled = dDisabled || gDisabled || (dFormControl === null || dFormControl === void 0 ? void 0 : dFormControl.control.disabled);
  const hasSearch = searchValue.length > 0;
  const hasSelected = dMultiple ? select.size > 0 : !isNull(select);

  const _filterFn = dCustomSearch === null || dCustomSearch === void 0 ? void 0 : dCustomSearch.filter;

  const filterFn = useCallback(item => {
    const defaultFilterFn = item => {
      return item.label.includes(searchValue);
    };

    return _filterFn ? _filterFn(searchValue, item) : defaultFilterFn(item);
  }, [_filterFn, searchValue]);
  const sortFn = dCustomSearch === null || dCustomSearch === void 0 ? void 0 : dCustomSearch.sort;
  const searchList = useMemo(() => {
    if (!hasSearch) {
      return [];
    }

    let createItem = dCreateItem === null || dCreateItem === void 0 ? void 0 : dCreateItem(searchValue);

    if (createItem) {
      createItem = Object.assign(Object.assign({}, createItem), {
        [IS_CREATE]: true
      });
    }

    let searchList = [];
    dList.forEach(item => {
      if (!item.children) {
        if (createItem && item.value === createItem.value) {
          createItem = undefined;
        }

        if (filterFn(item)) {
          searchList.push(item);
        }
      } else {
        const groupList = [];
        item.children.forEach(groupItem => {
          if (createItem && groupItem.value === createItem.value) {
            createItem = undefined;
          }

          if (filterFn(groupItem)) {
            groupList.push(groupItem);
          }
        });
        searchList = searchList.concat(groupList);
      }
    });

    if (sortFn) {
      searchList.sort(sortFn);
    }

    if (createItem) {
      searchList.unshift(createItem);
    }

    return searchList;
  }, [dCreateItem, dList, filterFn, hasSearch, searchValue, sortFn]);
  const list = hasSearch ? searchList : dList;
  const [_noSearchFocusItem, setNoSearchFocusItem] = useState();

  const noSearchFocusItem = (() => {
    let focusItem;

    if (_noSearchFocusItem) {
      focusItem = itemsMap.get(_noSearchFocusItem.value);

      if (focusItem && canSelectItem(focusItem)) {
        return focusItem;
      }
    }

    if (hasSelected) {
      focusItem = findNested(dList, item => canSelectItem(item) && dMultiple ? select.has(item.value) : select === item.value);
    }

    if (isUndefined(focusItem)) {
      focusItem = findNested(dList, item => canSelectItem(item));
    }

    return focusItem;
  })();

  const [_searchFocusItem, setSearchFocusItem] = useState();

  const searchFocusItem = (() => {
    if (_searchFocusItem && findNested(searchList, item => canSelectItem(item) && item.value === _searchFocusItem.value)) {
      return _searchFocusItem;
    }

    if (hasSearch) {
      return findNested(searchList, item => canSelectItem(item));
    }
  })();

  const focusItem = hasSearch ? searchFocusItem : noSearchFocusItem;

  const changeFocusItem = item => {
    if (!isUndefined(item)) {
      hasSearch ? setSearchFocusItem(item) : setNoSearchFocusItem(item);
    }
  };

  const createItem = item => {
    if (!isUndefined(item)) {
      const newItem = Object.assign({}, item);
      delete newItem[IS_CREATE];
      onCreateItem === null || onCreateItem === void 0 ? void 0 : onCreateItem(newItem);
    }
  };

  const changeSelectByClick = useEventCallback(val => {
    if (dMultiple) {
      changeSelect(draft => {
        const index = draft.findIndex(v => v === val);

        if (index !== -1) {
          draft.splice(index, 1);
        } else {
          draft.push(val);
        }
      });
    } else {
      changeSelect(val);
      changeVisible(false);
    }
  });

  const [selectedNode, suffixNode, selectedLabel] = (() => {
    let selectedNode = null;
    let suffixNode = null;
    let selectedLabel;

    if (dMultiple) {
      const selectedItems = _select.map(v => itemsMap.get(v));

      suffixNode = jsx(DDropdown, Object.assign({
        dList: selectedItems.map(item => {
          const {
            label: itemLabel,
            value: itemValue,
            disabled: itemDisabled
          } = item;
          const text = dCustomSelected ? dCustomSelected(item) : itemLabel;
          return {
            id: itemValue,
            label: text,
            type: 'item',
            disabled: itemDisabled
          };
        }),
        dCloseOnClick: false,
        onItemClick: id => {
          changeSelectByClick(id);
        }
      }, {
        children: jsx(DTag, Object.assign({
          className: `${dPrefix}select__multiple-count`,
          dSize: size
        }, {
          children: select.size
        }))
      }));
      selectedNode = selectedItems.map(item => jsxs(DTag, Object.assign({
        className: `${dPrefix}select__multiple-tag`,
        dSize: size
      }, {
        children: [dCustomSelected ? dCustomSelected(item) : item.label, !(item.disabled || disabled) && jsx("div", Object.assign({
          className: `${dPrefix}select__close`,
          role: "button",
          "aria-label": t('Close'),
          onClick: e => {
            e.stopPropagation();
            changeSelectByClick(item.value);
          }
        }, {
          children: jsx(CloseOutlined, {})
        }))]
      }), item.value));
    } else {
      if (!isNull(select)) {
        const item = itemsMap.get(select);
        selectedLabel = item.label;
        selectedNode = dCustomSelected ? dCustomSelected(item) : selectedLabel;
      }
    }

    return [selectedNode, suffixNode, selectedLabel];
  })();

  const vsPerformance = useMemo(() => ({
    dList: list,
    dItemSize: 32,
    dItemNested: item => ({
      list: item.children,
      emptySize: 32,
      asItem: false
    }),
    dItemKey: item => item.value,
    dFocusable: canSelectItem
  }), [canSelectItem, list]);
  return jsx(DComboboxKeyboardSupport, Object.assign({
    dVisible: visible,
    dEditable: dSearchable,
    onVisibleChange: changeVisible,
    onFocusChange: key => {
      var _a, _b, _c, _d;

      switch (key) {
        case 'next':
          changeFocusItem((_a = dVSRef.current) === null || _a === void 0 ? void 0 : _a.scrollByStep(1));
          break;

        case 'prev':
          changeFocusItem((_b = dVSRef.current) === null || _b === void 0 ? void 0 : _b.scrollByStep(-1));
          break;

        case 'first':
          changeFocusItem((_c = dVSRef.current) === null || _c === void 0 ? void 0 : _c.scrollToStart());
          break;

        case 'last':
          changeFocusItem((_d = dVSRef.current) === null || _d === void 0 ? void 0 : _d.scrollToEnd());
          break;
      }
    }
  }, {
    children: ({
      ksOnKeyDown
    }) => jsx(DSelectbox, Object.assign({}, restProps, {
      ref: ref,
      onClick: e => {
        var _a;

        (_a = restProps.onClick) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
        changeVisible(draft => dSearchable ? true : !draft);
      },
      dClassNamePrefix: "select",
      dFormControl: dFormControl,
      dVisible: visible,
      dContent: hasSelected && selectedNode,
      dContentTitle: selectedLabel,
      dPlaceholder: dPlaceholder,
      dSuffix: suffixNode,
      dSize: size,
      dLoading: dLoading,
      dSearchable: dSearchable,
      dClearable: dClearable,
      dDisabled: disabled,
      dInputProps: Object.assign(Object.assign({}, dInputProps), {
        value: searchValue,
        'aria-controls': listId,
        onBlur: e => {
          var _a;

          (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onBlur) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
          changeVisible(false);
        },
        onKeyDown: e => {
          var _a;

          (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onKeyDown) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
          ksOnKeyDown(e);

          if ((e.code === 'Enter' || !dSearchable && e.code === 'Space') && visible && focusItem) {
            e.preventDefault();

            if (focusItem[IS_CREATE]) {
              createItem(focusItem);
            }

            changeSelectByClick(focusItem.value);
          }
        },
        onChange: e => {
          var _a;

          (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onChange) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
          const val = e.currentTarget.value;

          if (dSearchable) {
            setSearchValue(val);
            onSearch === null || onSearch === void 0 ? void 0 : onSearch(val);
          }
        }
      }),
      dInputRef: dInputRef,
      dUpdatePosition: (boxEl, popupEl) => {
        const width = boxEl.getBoundingClientRect().width;
        const {
          height
        } = getOriginalSize(popupEl);
        const {
          top,
          left,
          transformOrigin
        } = getVerticalSidePosition(boxEl, {
          width,
          height
        }, 'bottom-left', 8);
        return {
          position: {
            top,
            left,
            width,
            maxWidth: window.innerWidth - left - 20
          },
          transformOrigin
        };
      },
      afterVisibleChange: afterVisibleChange,
      onFocusVisibleChange: setFocusVisible,
      onClear: () => {
        onClear === null || onClear === void 0 ? void 0 : onClear();

        if (dMultiple) {
          changeSelect([]);
        } else {
          changeSelect(null);
        }
      }
    }, {
      children: ({
        sPopupRef,
        sStyle,
        sOnMouseDown,
        sOnMouseUp
      }) => jsxs("div", Object.assign({
        ref: sPopupRef,
        className: getClassName(dPopupClassName, `${dPrefix}select__popup`),
        style: sStyle,
        onMouseDown: sOnMouseDown,
        onMouseUp: sOnMouseUp
      }, {
        children: [dLoading && jsx("div", Object.assign({
          className: getClassName(`${dPrefix}select__loading`, {
            [`${dPrefix}select__loading--empty`]: list.length === 0
          })
        }, {
          children: jsx(LoadingOutlined, {
            dSize: list.length === 0 ? 18 : 24,
            dSpin: true
          })
        })), jsx(DVirtualScroll, Object.assign({}, vsPerformance, {
          ref: dVSRef,
          dFillNode: jsx("li", {}),
          dItemRender: (item, index, {
            iARIA,
            iChildren
          }, parent) => {
            const {
              label: itemLabel,
              value: itemValue,
              disabled: itemDisabled,
              children
            } = item;
            const node = dCustomItem ? dCustomItem(item) : itemLabel;

            if (children) {
              return jsxs("ul", Object.assign({
                className: `${dPrefix}select__option-group`,
                role: "group",
                "aria-labelledby": getGroupId(itemValue)
              }, {
                children: [jsx("li", Object.assign({
                  id: getGroupId(itemValue),
                  className: `${dPrefix}select__option-group-label`,
                  role: "presentation"
                }, {
                  children: jsx("div", Object.assign({
                    className: `${dPrefix}select__option-content`
                  }, {
                    children: node
                  }))
                }), itemValue), iChildren]
              }), itemValue);
            }

            let isSelected = false;

            if (dMultiple) {
              isSelected = select.has(itemValue);
            } else {
              isSelected = select === itemValue;
            }

            return /*#__PURE__*/createElement$2("li", Object.assign({}, iARIA, {
              key: itemValue,
              id: getItemId(itemValue),
              className: getClassName(`${dPrefix}select__option`, {
                'is-selected': !dMultiple && isSelected,
                'is-disabled': itemDisabled
              }),
              style: {
                paddingLeft: parent.length === 0 ? undefined : 12 + 8
              },
              title: (item[IS_CREATE] ? t('Create') + ' ' : '') + itemLabel,
              role: "option",
              "aria-selected": isSelected,
              "aria-disabled": itemDisabled,
              onClick: () => {
                if (!itemDisabled) {
                  if (item[IS_CREATE]) {
                    createItem(item);
                  }

                  changeFocusItem(item);
                  changeSelectByClick(itemValue);
                }
              }
            }), focusVisible && (focusItem === null || focusItem === void 0 ? void 0 : focusItem.value) === itemValue && jsx("div", {
              className: `${dPrefix}focus-outline`
            }), item[IS_CREATE] ? jsx(PlusOutlined, {
              dTheme: "primary"
            }) : dMultiple ? jsx(DCheckbox, {
              dDisabled: itemDisabled,
              dModel: isSelected
            }) : null, jsx("div", Object.assign({
              className: `${dPrefix}select__option-content`
            }, {
              children: node
            })));
          },
          dFocusItem: focusItem,
          dSize: 264,
          dPadding: 4,
          dEmptyRender: () => jsx("li", Object.assign({
            className: `${dPrefix}select__empty`,
            style: {
              paddingLeft: 12 + 8
            }
          }, {
            children: jsx("div", Object.assign({
              className: `${dPrefix}select__option-content`
            }, {
              children: t('No Data')
            }))
          })),
          onScrollEnd: onScrollBottom
        }, {
          children: ({
            vsScrollRef,
            vsRender,
            vsOnScroll
          }) => jsx("ul", Object.assign({
            ref: vsScrollRef,
            id: listId,
            className: `${dPrefix}select__list`,
            style: {
              pointerEvents: dLoading ? 'none' : undefined
            },
            tabIndex: -1,
            role: "listbox",
            "aria-multiselectable": dMultiple,
            "aria-activedescendant": isUndefined(focusItem) ? undefined : getItemId(focusItem.value),
            onScroll: vsOnScroll
          }, {
            children: list.length === 0 ? jsx("li", Object.assign({
              className: `${dPrefix}select__empty`
            }, {
              children: jsx("div", Object.assign({
                className: `${dPrefix}select__option-content`
              }, {
                children: t('No Data')
              }))
            })) : vsRender
          }))
        }))]
      }))
    }))
  }));
}

const DSelect = /*#__PURE__*/React.forwardRef(Select);

function getButtonRoleAttributes(handleClick, disabled = false) {
  return {
    tabIndex: disabled ? -1 : 0,
    role: 'button',
    'aria-disabled': disabled,
    onKeyDown: e => {
      if (e.code === 'Enter' || e.code === 'Space') {
        e.preventDefault();
        handleClick();
      }
    },
    onClick: handleClick
  };
}

const {
  COMPONENT_NAME: COMPONENT_NAME$w
} = registerComponentMate({
  COMPONENT_NAME: 'DPagination'
});
function DPagination(props) {
  var _a, _b, _c;

  const _d = useComponentConfig(COMPONENT_NAME$w, props),
        {
    dActive,
    dTotal,
    dPageSize,
    dPageSizeList = [10, 20, 50, 100],
    dCompose = ['pages'],
    dCustomRender,
    dMini = false,
    onActiveChange,
    onPageSizeChange
  } = _d,
        restProps = __rest(_d, ["dActive", "dTotal", "dPageSize", "dPageSizeList", "dCompose", "dCustomRender", "dMini", "onActiveChange", "onPageSizeChange"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const navRef = useRef(null); //#endregion

  const [t] = useTranslation();
  const [active, _changeActive] = useDValue(1, dActive, onActiveChange);

  const changeActive = (active, max = lastPage) => {
    _changeActive(Math.max(Math.min(active, max), 1));

    setIsChange(true);
  };

  const [isChange, setIsChange] = useState(false); // eslint-disable-next-line react-hooks/exhaustive-deps

  useEffect(() => {
    if (isChange) {
      setIsChange(false);
    }
  });
  const [pageSize, _changePageSize] = useDValue((_a = dPageSizeList[0]) !== null && _a !== void 0 ? _a : 10, dPageSize, onPageSizeChange);

  const changePageSize = size => {
    _changePageSize(size);

    const lastPage = Math.max(Math.ceil(dTotal / size), 1);
    changeActive(active, lastPage);
  };

  const [jumpValue, setJumpValue] = useState('');
  const lastPage = Math.max(Math.ceil(dTotal / pageSize), 1);

  const totalNode = (() => {
    if (dCompose.includes('total')) {
      const range = [Math.min((active - 1) * pageSize + 1, dTotal), Math.min(active * pageSize, dTotal)];

      if (dCustomRender && dCustomRender.total) {
        return dCustomRender.total(range);
      } else {
        return jsxs("div", {
          children: [t('Pagination', 'Total'), " ", dTotal, " ", t('Pagination', 'items')]
        });
      }
    }

    return null;
  })();

  const [prevNode, pageNode, nextNode] = (() => {
    let [prevNode, nextNode] = [null, null];

    if (dCompose.includes('pages')) {
      prevNode = jsx("li", Object.assign({}, getButtonRoleAttributes(() => {
        changeActive(active - 1);
      }, active === 1), {
        className: getClassName(`${dPrefix}pagination__item`, `${dPrefix}pagination__item--button`, {
          'is-disabled': active === 1,
          [`${dPrefix}pagination__item--border`]: !(dCustomRender && dCustomRender.prev)
        }),
        title: t('Pagination', 'Previous page')
      }, {
        children: dCustomRender && dCustomRender.prev ? dCustomRender.prev : jsx(LeftOutlined, {})
      }));
      nextNode = jsx("li", Object.assign({}, getButtonRoleAttributes(() => {
        changeActive(active + 1);
      }, active === lastPage), {
        className: getClassName(`${dPrefix}pagination__item`, `${dPrefix}pagination__item--button`, {
          'is-disabled': active === lastPage,
          [`${dPrefix}pagination__item--border`]: !(dCustomRender && dCustomRender.next)
        }),
        title: t('Pagination', 'Next page')
      }, {
        children: dCustomRender && dCustomRender.next ? dCustomRender.next : jsx(RightOutlined, {})
      }));
    }

    return [prevNode, page => {
      if (dCustomRender && dCustomRender.page) {
        return dCustomRender.page(page);
      } else {
        return jsx("div", {
          children: page
        });
      }
    }, nextNode];
  })();

  const sizeNode = (() => {
    const list = dPageSizeList.map(size => ({
      label: size.toString(),
      value: size
    }));
    return jsx(DSelect, {
      className: getClassName(`${dPrefix}pagination__size-select`, {
        [`${dPrefix}pagination__size-select--mini`]: dMini
      }),
      dList: list,
      dModel: pageSize,
      dCustomItem: item => dCustomRender && dCustomRender.size ? dCustomRender.size(item.value) : item.label,
      dCustomSelected: select => `${select.label}${t('Pagination', ' / Page')}`,
      onModelChange: value => {
        if (!isNull(value)) {
          changePageSize(value);
        }
      }
    }, "size");
  })();

  const jumpNode = (() => {
    if (dCompose.includes('jump')) {
      const jumpInput = jsx(DInput, {
        className: getClassName(`${dPrefix}pagination__jump-input`, {
          [`${dPrefix}pagination__jump-input--mini`]: dMini
        }),
        dType: "number",
        dMax: lastPage,
        dMin: 1,
        dStep: 1,
        dModel: jumpValue,
        dNumbetButton: !dMini,
        dInputProps: {
          onKeyDown: e => {
            if (e.code === 'Enter') {
              e.preventDefault();
              const val = Number(jumpValue);

              if (!isNaN(val)) {
                changeActive(val);
              }
            }
          }
        },
        onModelChange: setJumpValue
      });

      if (dCustomRender && dCustomRender.jump) {
        return dCustomRender.jump(jumpInput);
      } else {
        return jsxs("div", Object.assign({
          className: `${dPrefix}pagination__jump-wrapper`
        }, {
          children: [t('Pagination', 'Go'), " ", jumpInput, " ", t('Pagination', 'Page')]
        }));
      }
    }

    return null;
  })();

  return jsx("nav", Object.assign({}, restProps, {
    ref: navRef,
    className: getClassName(restProps.className, `${dPrefix}pagination`, {
      [`${dPrefix}pagination--mini`]: dMini,
      'is-change': isChange
    }),
    role: (_b = restProps.role) !== null && _b !== void 0 ? _b : 'navigation',
    "aria-label": (_c = restProps['aria-label']) !== null && _c !== void 0 ? _c : 'Pagination Navigation'
  }, {
    children: dCompose.map(item => {
      if (item === 'total') {
        return jsx("div", Object.assign({
          className: getClassName(`${dPrefix}pagination__item`)
        }, {
          children: totalNode
        }), "total");
      }

      if (item === 'pages') {
        let pages = [];

        if (lastPage <= 7) {
          pages = Array(lastPage).fill(0).map((n, index) => index + 1);
        } else {
          for (let n = -3; n <= 3; n++) {
            pages.push(active + n);
          }

          if (pages[0] < 1) {
            pages = pages.map(n => n + (1 - pages[0]));
          }

          if (pages[6] > lastPage) {
            pages = pages.map(n => n - (pages[6] - lastPage));
          }

          if (pages[0] > 1) {
            pages[0] = 1;
            pages[1] = 'prev5';
          }

          if (pages[6] < lastPage) {
            pages[6] = lastPage;
            pages[5] = 'next5';
          }
        }

        return jsxs("ul", Object.assign({
          className: `${dPrefix}pagination__list`
        }, {
          children: [prevNode, pages.map(n => {
            if (n === 'prev5') {
              return /*#__PURE__*/createElement$2("li", Object.assign({}, getButtonRoleAttributes(() => {
                changeActive(active - 5);
              }), {
                key: "prev5",
                className: getClassName(`${dPrefix}pagination__item`, `${dPrefix}pagination__item--button`, `${dPrefix}pagination__item--jump5`),
                title: t('Pagination', '5 pages forward')
              }), jsx(DoubleLeftOutlined, {
                className: `${dPrefix}pagination__jump5-icon`
              }), jsx("div", Object.assign({
                className: `${dPrefix}pagination__ellipsis`
              }, {
                children: jsx(EllipsisOutlined, {})
              })));
            } else if (n === 'next5') {
              return /*#__PURE__*/createElement$2("li", Object.assign({}, getButtonRoleAttributes(() => {
                changeActive(active + 5);
              }), {
                key: "next5",
                className: getClassName(`${dPrefix}pagination__item`, `${dPrefix}pagination__item--button`, `${dPrefix}pagination__item--jump5`),
                title: t('Pagination', '5 pages backward')
              }), jsx(DoubleRightOutlined, {
                className: `${dPrefix}pagination__jump5-icon`
              }), jsx("div", Object.assign({
                className: `${dPrefix}pagination__ellipsis`
              }, {
                children: jsx(EllipsisOutlined, {})
              })));
            } else {
              return jsx("li", Object.assign({
                className: getClassName(`${dPrefix}pagination__item`, `${dPrefix}pagination__item--button`, `${dPrefix}pagination__item--border`, `${dPrefix}pagination__item--number`, {
                  'is-active': active === n
                }),
                tabIndex: active === n ? 0 : -1,
                "data-number": n,
                onClick: () => {
                  changeActive(n);
                },
                onKeyDown: e => {
                  const focusN = num => {
                    if (navRef.current) {
                      const activeEl = navRef.current.querySelector(`li[data-number="${num}"]`);
                      activeEl === null || activeEl === void 0 ? void 0 : activeEl.focus({
                        preventScroll: true
                      });
                    }

                    changeActive(num);
                  };

                  switch (e.code) {
                    case 'ArrowLeft':
                      e.preventDefault();
                      focusN(n - 1);
                      break;

                    case 'ArrowRight':
                      e.preventDefault();
                      focusN(n + 1);
                      break;

                    case 'Home':
                      e.preventDefault();
                      focusN(1);
                      break;

                    case 'End':
                      e.preventDefault();
                      focusN(lastPage);
                      break;
                  }
                }
              }, {
                children: pageNode(n)
              }), n);
            }
          }), nextNode]
        }), "pages");
      }

      if (item === 'size') {
        return sizeNode;
      }

      if (item === 'jump') {
        return jsx("div", Object.assign({
          className: getClassName(`${dPrefix}pagination__item`)
        }, {
          children: jumpNode
        }), "jump");
      }

      return null;
    })
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$v
} = registerComponentMate({
  COMPONENT_NAME: 'DPopover.Footer'
});
function DPopoverFooter(props) {
  const _a = useComponentConfig(COMPONENT_NAME$v, props),
        {
    __onClose
  } = _a,
        restProps = __rest(_a, ["__onClose"]);

  return jsx(DFooter, Object.assign({}, restProps, {
    dClassNamePrefix: "popover",
    onClose: __onClose
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$u
} = registerComponentMate({
  COMPONENT_NAME: 'DPopover.Header'
});
function DPopoverHeader(props) {
  var _a;

  const _b = useComponentConfig(COMPONENT_NAME$u, props),
        {
    dActions = [],
    __id,
    __onClose
  } = _b,
        restProps = __rest(_b, ["dActions", "__id", "__onClose"]);

  return jsx(DHeader, Object.assign({}, restProps, {
    dClassNamePrefix: "popover",
    dTitleId: (_a = restProps.dTitleId) !== null && _a !== void 0 ? _a : __id,
    dActions: dActions,
    onClose: __onClose
  }));
}

const TTANSITION_DURING$2 = {
  enter: 86,
  leave: 100
};
const {
  COMPONENT_NAME: COMPONENT_NAME$t
} = registerComponentMate({
  COMPONENT_NAME: 'DPopover'
});

function Popover(props, ref) {
  const _a = useComponentConfig(COMPONENT_NAME$t, props),
        {
    children,
    dVisible,
    dTrigger = 'hover',
    dContainer,
    dPlacement = 'top',
    dEscClosable = true,
    dArrow = true,
    dModal = false,
    dDisabled = false,
    dDistance = 10,
    dMouseEnterDelay = 150,
    dMouseLeaveDelay = 200,
    dZIndex,
    dHeader,
    dContent,
    dFooter,
    onVisibleChange,
    afterVisibleChange
  } = _a,
        restProps = __rest(_a, ["children", "dVisible", "dTrigger", "dContainer", "dPlacement", "dEscClosable", "dArrow", "dModal", "dDisabled", "dDistance", "dMouseEnterDelay", "dMouseLeaveDelay", "dZIndex", "dHeader", "dContent", "dFooter", "onVisibleChange", "afterVisibleChange"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const popoverRef = useRef(null);
  const popupRef = useRef(null); //#endregion

  const uniqueId = useId();
  const titleId = `${dPrefix}popover-title-${uniqueId}`;
  const bodyId = `${dPrefix}popover-content-${uniqueId}`;
  const [visible, changeVisible] = useDValue(false, dVisible, onVisibleChange);
  const isFixed = isUndefined(dContainer);
  const maxZIndex = useMaxIndex(visible);

  const zIndex = (() => {
    if (isUndefined(dZIndex)) {
      if (isFixed) {
        return maxZIndex;
      } else {
        return `var(--${dPrefix}zindex-absolute)`;
      }
    } else {
      return dZIndex;
    }
  })();

  const containerEl = useElement(isUndefined(dContainer) || dContainer === false ? () => {
    var _a;

    if (dContainer === false) {
      const triggerEl = document.querySelector(`[data-popover-triggerid="${uniqueId}"]`);
      return (_a = triggerEl === null || triggerEl === void 0 ? void 0 : triggerEl.parentElement) !== null && _a !== void 0 ? _a : null;
    }

    return null;
  } : dContainer);
  const [popupPositionStyle, setPopupPositionStyle] = useState({
    top: -9999,
    left: -9999
  });
  const [placement, setPlacement] = useState(dPlacement);
  const [transformOrigin, setTransformOrigin] = useState();
  const updatePosition = useEventCallback(() => {
    const triggerEl = document.querySelector(`[data-popover-triggerid="${uniqueId}"]`);

    if (popupRef.current && triggerEl) {
      let currentPlacement = dPlacement;
      let space = [0, 0, 0, 0];

      if (!isFixed && containerEl) {
        const containerRect = containerEl.getBoundingClientRect();
        space = [containerRect.top, window.innerWidth - containerRect.left - containerRect.width, window.innerHeight - containerRect.top - containerRect.height, containerRect.left];
      }

      const position = getPopupPosition(popupRef.current, triggerEl, dPlacement, dDistance, isFixed, space);

      if (position) {
        currentPlacement = position.placement;
        setPlacement(position.placement);
        setPopupPositionStyle({
          position: isFixed ? undefined : 'absolute',
          top: position.top,
          left: position.left
        });
      } else {
        const _position = getPopupPosition(popupRef.current, triggerEl, placement, dDistance, isFixed);

        setPopupPositionStyle({
          position: isFixed ? undefined : 'absolute',
          top: _position.top,
          left: _position.left
        });
      }

      let transformOrigin = 'center bottom';

      switch (currentPlacement) {
        case 'top':
          transformOrigin = 'center bottom';
          break;

        case 'top-left':
          transformOrigin = '20px bottom';
          break;

        case 'top-right':
          transformOrigin = 'calc(100% - 20px) bottom';
          break;

        case 'right':
          transformOrigin = 'left center';
          break;

        case 'right-top':
          transformOrigin = 'left 12px';
          break;

        case 'right-bottom':
          transformOrigin = 'left calc(100% - 12px)';
          break;

        case 'bottom':
          transformOrigin = 'center top';
          break;

        case 'bottom-left':
          transformOrigin = '20px top';
          break;

        case 'bottom-right':
          transformOrigin = 'calc(100% - 20px) top';
          break;

        case 'left':
          transformOrigin = 'right center';
          break;

        case 'left-top':
          transformOrigin = 'right 12px';
          break;

        case 'left-bottom':
          transformOrigin = 'right calc(100% - 12px)';
          break;
      }

      setTransformOrigin(transformOrigin);
    }
  });
  useLockScroll(dModal && visible);
  const prevActiveEl = useRef(null);
  useEffect(() => {
    if (dModal) {
      if (visible) {
        prevActiveEl.current = document.activeElement;

        if (popoverRef.current) {
          popoverRef.current.focus({
            preventScroll: true
          });
        }
      } else if (prevActiveEl.current) {
        prevActiveEl.current.focus({
          preventScroll: true
        });
      }
    }
  }, [dModal, visible]);

  const headerNode = (() => {
    if (dHeader) {
      const node = isString(dHeader) ? jsx(DPopoverHeader, {
        children: dHeader
      }) : dHeader;
      return /*#__PURE__*/React.cloneElement(node, Object.assign(Object.assign({}, node.props), {
        __id: titleId,
        __onClose: () => {
          changeVisible(false);
        }
      }));
    }
  })();

  useImperativeHandle(ref, () => ({
    updatePosition
  }), [updatePosition]);
  return jsx(DTransition, Object.assign({
    dIn: visible,
    dDuring: TTANSITION_DURING$2,
    onEnterRendered: updatePosition,
    afterEnter: () => {
      afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(true);
    },
    afterLeave: () => {
      afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(false);
    }
  }, {
    children: state => {
      let transitionStyle = {};

      switch (state) {
        case 'enter':
          transitionStyle = {
            transform: 'scale(0.3)',
            opacity: 0
          };
          break;

        case 'entering':
          transitionStyle = {
            transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING$2.enter}ms ease-out`).join(', '),
            transformOrigin
          };
          break;

        case 'leaving':
          transitionStyle = {
            transform: 'scale(0.3)',
            opacity: 0,
            transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING$2.leave}ms ease-in`).join(', '),
            transformOrigin
          };
          break;
      }

      return jsx(DPopup, Object.assign({
        dPopup: _a => {
          var _b, _c, _d, _e;

          var {
            pOnClick,
            pOnMouseEnter,
            pOnMouseLeave
          } = _a,
              restPProps = __rest(_a, ["pOnClick", "pOnMouseEnter", "pOnMouseLeave"]);

          return jsxs("div", Object.assign({}, restProps, {
            ref: popoverRef,
            className: getClassName(restProps.className, `${dPrefix}popover`, `${dPrefix}popover--` + placement),
            style: Object.assign(Object.assign({}, restProps.style), {
              display: state === 'leaved' ? 'none' : undefined,
              zIndex
            }),
            tabIndex: -1,
            role: (_b = restProps.role) !== null && _b !== void 0 ? _b : dModal ? 'alertdialog' : 'alert',
            "aria-modal": (_c = restProps['aria-modal']) !== null && _c !== void 0 ? _c : dModal,
            "aria-labelledby": (_d = restProps['aria-labelledby']) !== null && _d !== void 0 ? _d : headerNode ? titleId : undefined,
            "aria-describedby": (_e = restProps['aria-describedby']) !== null && _e !== void 0 ? _e : bodyId,
            onKeyDown: e => {
              var _a;

              (_a = restProps.onKeyDown) === null || _a === void 0 ? void 0 : _a.call(restProps, e);

              if (dEscClosable && e.code === 'Escape') {
                changeVisible(false);
              }

              if (dModal) {
                handleModalKeyDown(e);
              }
            }
          }, {
            children: [dModal && jsx("div", {
              className: `${dPrefix}popover__mask`,
              onClick: () => {
                changeVisible(false);
              }
            }), jsxs("div", Object.assign({}, restPProps, {
              ref: popupRef,
              className: `${dPrefix}popover__content`,
              style: Object.assign(Object.assign({}, popupPositionStyle), transitionStyle),
              onClick: e => {
                var _a;

                (_a = restProps.onClick) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
                pOnClick === null || pOnClick === void 0 ? void 0 : pOnClick(e);
              },
              onMouseEnter: e => {
                var _a;

                (_a = restProps.onMouseEnter) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
                pOnMouseEnter === null || pOnMouseEnter === void 0 ? void 0 : pOnMouseEnter(e);
              },
              onMouseLeave: e => {
                var _a;

                (_a = restProps.onMouseLeave) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
                pOnMouseLeave === null || pOnMouseLeave === void 0 ? void 0 : pOnMouseLeave(e);
              }
            }, {
              children: [dArrow && jsx("div", {
                className: `${dPrefix}popover__arrow`
              }), headerNode, jsx("div", Object.assign({
                id: bodyId,
                className: `${dPrefix}popover__body`
              }, {
                children: dContent
              })), dFooter && /*#__PURE__*/React.cloneElement(dFooter, Object.assign(Object.assign({}, dFooter.props), {
                __onClose: () => {
                  changeVisible(false);
                }
              }))]
            }))]
          }));
        },
        dVisible: visible,
        dContainer: isFixed ? undefined : containerEl,
        dTrigger: dTrigger,
        dDisabled: dDisabled,
        dEscClosable: dEscClosable,
        dMouseEnterDelay: dMouseEnterDelay,
        dMouseLeaveDelay: dMouseLeaveDelay,
        dUpdatePosition: updatePosition,
        onVisibleChange: changeVisible
      }, {
        children: _a => {
          var {
            pOnClick,
            pOnMouseEnter,
            pOnMouseLeave
          } = _a,
              restPProps = __rest(_a, ["pOnClick", "pOnMouseEnter", "pOnMouseLeave"]);

          return /*#__PURE__*/React.cloneElement(children, Object.assign(Object.assign(Object.assign({}, children.props), restPProps), {
            'data-popover-triggerid': uniqueId,
            onClick: e => {
              var _a, _b;

              (_b = (_a = children.props).onClick) === null || _b === void 0 ? void 0 : _b.call(_a, e);
              pOnClick === null || pOnClick === void 0 ? void 0 : pOnClick(e);
            },
            onMouseEnter: e => {
              var _a, _b;

              (_b = (_a = children.props).onMouseEnter) === null || _b === void 0 ? void 0 : _b.call(_a, e);
              pOnMouseEnter === null || pOnMouseEnter === void 0 ? void 0 : pOnMouseEnter(e);
            },
            onMouseLeave: e => {
              var _a, _b;

              (_b = (_a = children.props).onMouseLeave) === null || _b === void 0 ? void 0 : _b.call(_a, e);
              pOnMouseLeave === null || pOnMouseLeave === void 0 ? void 0 : pOnMouseLeave(e);
            }
          }));
        }
      }));
    }
  }));
}

const DPopover = /*#__PURE__*/React.forwardRef(Popover);
DPopover.Header = DPopoverHeader;
DPopover.Footer = DPopoverFooter;

function ease(k) {
  return 0.5 * (1 - Math.cos(Math.PI * k));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$s
} = registerComponentMate({
  COMPONENT_NAME: 'DProgress'
});
function DProgress(props) {
  var _a, _b, _c, _d;

  const _e = useComponentConfig(COMPONENT_NAME$s, props),
        {
    dPercent = 0,
    dType = 'line',
    dStatus,
    dWave = false,
    dLineCap = 'round',
    dLinearGradient,
    dGapDegree = 0.55 * Math.PI,
    dLabel,
    dSize,
    dLineWidth = 8
  } = _e,
        restProps = __rest(_e, ["dPercent", "dType", "dStatus", "dWave", "dLineCap", "dLinearGradient", "dGapDegree", "dLabel", "dSize", "dLineWidth"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const canvasRef = useRef(null); //#endregion

  const dataRef = useRef({
    wavePercent: 0
  });
  const asyncCapture = useAsync();
  const status = isUndefined(dStatus) && dPercent === 100 ? 'success' : dStatus;
  const theme = status === 'success' ? 'success' : status === 'warning' ? 'warning' : status === 'error' ? 'danger' : 'primary';
  const [percent, setPercent] = useState(dPercent);

  const drawLine = () => {
    if (canvasRef.current) {
      const canvas = canvasRef.current;
      const {
        width
      } = canvas.getBoundingClientRect();
      canvas.width = width;
      canvas.height = dLineWidth;
      const ctx = canvas.getContext('2d');

      if (ctx) {
        const overSize = dLineCap === 'butt' ? 0 : dLineWidth / 2;
        ctx.clearRect(0, 0, width, dLineWidth);
        ctx.lineWidth = dLineWidth;
        ctx.lineCap = dLineCap;
        ctx.beginPath();
        ctx.moveTo(overSize, dLineWidth / 2);
        ctx.strokeStyle = getComputedStyle(canvas).getPropertyValue(`--${dPrefix}background-color-indicator`);
        ctx.lineTo(width - overSize, dLineWidth / 2);
        ctx.stroke();
        ctx.closePath();

        if (percent > 0) {
          ctx.beginPath();
          ctx.moveTo(overSize, dLineWidth / 2);
          const gradient = ctx.createLinearGradient(overSize, dLineWidth / 2, width - overSize, dLineWidth / 2);
          dLinearGradient === null || dLinearGradient === void 0 ? void 0 : dLinearGradient(gradient);
          ctx.strokeStyle = isUndefined(dLinearGradient) ? getComputedStyle(canvas).getPropertyValue(`--${dPrefix}color-${theme}`) : gradient;
          ctx.lineTo(overSize + (width - overSize * 2) * (percent / 100), dLineWidth / 2);
          ctx.stroke();
          ctx.closePath();
        }
      }
    }
  };

  const arcSize = dSize !== null && dSize !== void 0 ? dSize : 120;

  const drawArc = arc => {
    const ctx = arc.ctx;
    ctx.beginPath();
    ctx.arc(arcSize / 2, arcSize / 2, arcSize / 2 - dLineWidth / 2, arc.startAngle, arc.endAngle);
    ctx.strokeStyle = arc.strokeStyle;
    ctx.stroke();
    ctx.closePath();
  };

  const drawCircle = (startAngle, gapDegree = 0) => {
    if (canvasRef.current) {
      const canvas = canvasRef.current;
      canvas.width = arcSize;
      canvas.height = arcSize;
      const ctx = canvas.getContext('2d');

      if (ctx) {
        ctx.clearRect(0, 0, arcSize, arcSize);
        ctx.lineWidth = dLineWidth;
        ctx.lineCap = dLineCap;
        drawArc({
          ctx,
          startAngle,
          endAngle: startAngle + (2 * Math.PI - gapDegree),
          strokeStyle: getComputedStyle(canvas).getPropertyValue(`--${dPrefix}background-color-indicator`)
        });

        if (percent > 0) {
          const gradient = ctx.createLinearGradient(0, 0, arcSize, arcSize);
          dLinearGradient === null || dLinearGradient === void 0 ? void 0 : dLinearGradient(gradient);
          drawArc({
            ctx,
            startAngle: startAngle,
            endAngle: startAngle + (2 * Math.PI - gapDegree) * (percent / 100),
            strokeStyle: isUndefined(dLinearGradient) ? getComputedStyle(canvas).getPropertyValue(`--${dPrefix}color-${theme}`) : gradient
          });
        }
      }
    }
  };

  const draw = () => {
    dType === 'line' ? drawLine() : dType === 'circle' ? drawCircle(-0.5 * Math.PI) : drawCircle(-1.5 * Math.PI + dGapDegree / 2, dGapDegree);
  };

  useEffect(() => {
    draw();
  });

  dataRef.current.waveLoopFn = startTime => {
    const time = window.performance.now();
    const elapsed = Math.min((time - startTime) / 1500, 1);
    const speed = ease(elapsed);

    const resetWave = () => {
      dataRef.current.wavePercent = 0;
      draw();
      dataRef.current.clearWaveTid = asyncCapture.setTimeout(() => {
        var _a, _b;

        (_b = (_a = dataRef.current).waveLoopFn) === null || _b === void 0 ? void 0 : _b.call(_a, window.performance.now());
      }, 2000);
    };

    if (percent > dataRef.current.wavePercent) {
      dataRef.current.wavePercent = percent * speed;

      if (dataRef.current.wavePercent > 0) {
        draw();

        if (canvasRef.current) {
          const canvas = canvasRef.current;
          const ctx = canvas.getContext('2d');

          if (ctx) {
            if (dType === 'line') {
              const {
                width
              } = canvas.getBoundingClientRect();
              const overSize = dLineCap === 'butt' ? 0 : dLineWidth / 2;
              const gradientWidth = Math.max(width * (percent / 100) / 20, dLineWidth * 1.5);
              const end = overSize + (width - overSize * 2) * (dataRef.current.wavePercent / 100);
              ctx.beginPath();
              ctx.moveTo(end - gradientWidth, dLineWidth / 2);
              const gradient = ctx.createLinearGradient(end - gradientWidth, dLineWidth / 2, end, dLineWidth / 2);
              gradient.addColorStop(0, 'rgb(255 255 255 / 0%)');
              gradient.addColorStop(0.8, 'rgb(255 255 255 / 12%)');
              gradient.addColorStop(1, 'rgb(255 255 255 / 16%)');
              ctx.strokeStyle = gradient;
              ctx.lineTo(end, dLineWidth / 2);
              ctx.stroke();
              ctx.closePath();
            } else {
              const endAngle = dType === 'circle' ? -0.5 * Math.PI + 2 * Math.PI * (dataRef.current.wavePercent / 100) : -1.5 * Math.PI + dGapDegree / 2 + (2 * Math.PI - dGapDegree) * (dataRef.current.wavePercent / 100);
              const startAngle = Math.max(endAngle - 0.1 * Math.PI, dType === 'circle' ? -0.5 * Math.PI : -1.5 * Math.PI + dGapDegree / 2);
              const gradient = ctx.createLinearGradient(arcSize / 2 + arcSize / 2 * Math.cos(startAngle), arcSize / 2 + arcSize / 2 * Math.sin(startAngle), arcSize / 2 + arcSize / 2 * Math.cos(endAngle), arcSize / 2 + arcSize / 2 * Math.sin(endAngle));
              gradient.addColorStop(0, 'rgb(255 255 255 / 0%)');
              gradient.addColorStop(0.8, 'rgb(255 255 255 / 12%)');
              gradient.addColorStop(1, 'rgb(255 255 255 / 16%)');
              drawArc({
                ctx,
                startAngle,
                endAngle,
                strokeStyle: gradient
              });
            }
          }
        }
      }

      if (dataRef.current.wavePercent === percent) {
        resetWave();
      } else {
        dataRef.current.clearWaveTid = asyncCapture.requestAnimationFrame(() => {
          var _a, _b;

          (_b = (_a = dataRef.current).waveLoopFn) === null || _b === void 0 ? void 0 : _b.call(_a, startTime);
        });
      }
    } else {
      resetWave();
    }
  };

  useEffect(() => {
    var _a, _b, _c, _d;

    (_b = (_a = dataRef.current).clearWaveTid) === null || _b === void 0 ? void 0 : _b.call(_a);

    if (dWave) {
      (_d = (_c = dataRef.current).waveLoopFn) === null || _d === void 0 ? void 0 : _d.call(_c, window.performance.now());
    } // eslint-disable-next-line react-hooks/exhaustive-deps

  }, [dWave, dType]);

  dataRef.current.transitionLoopFn = (startTime, startPercent) => {
    const time = window.performance.now();
    const elapsed = Math.min((time - startTime) / 300, 1);
    const speed = ease(elapsed);
    const newPercent = startPercent + (dPercent - startPercent) * speed;
    setPercent(newPercent);

    if (newPercent !== dPercent) {
      dataRef.current.clearTransitionTid = asyncCapture.requestAnimationFrame(() => {
        var _a, _b;

        (_b = (_a = dataRef.current).transitionLoopFn) === null || _b === void 0 ? void 0 : _b.call(_a, startTime, startPercent);
      });
    }
  };

  useEffect(() => {
    var _a, _b, _c, _d;

    (_b = (_a = dataRef.current).clearTransitionTid) === null || _b === void 0 ? void 0 : _b.call(_a);

    if (dPercent !== percent) {
      (_d = (_c = dataRef.current).transitionLoopFn) === null || _d === void 0 ? void 0 : _d.call(_c, window.performance.now(), percent);
    } // eslint-disable-next-line react-hooks/exhaustive-deps

  }, [dPercent]);
  const forceUpdate = useForceUpdate();
  useMount(() => {
    if (canvasRef.current) {
      const canvas = canvasRef.current;
      const cssVars = [`--${dPrefix}background-color-indicator`, `--${dPrefix}color-primary`, `--${dPrefix}color-success`, `--${dPrefix}color-warning`, `--${dPrefix}color-danger`];
      let cssVals = cssVars.map(v => getComputedStyle(canvas).getPropertyValue(v));
      const observer = new MutationObserver(() => {
        const newVals = cssVars.map(v => getComputedStyle(canvas).getPropertyValue(v));

        if (!newVals.every((v, i) => v === cssVals[i])) {
          cssVals = newVals;
          forceUpdate();
        }
      });
      observer.observe(document.body, {
        attributeFilter: ['class']
      });
      return () => {
        observer.disconnect();
      };
    }
  });
  return jsxs("div", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}progress`, `${dPrefix}progress--${dType}`),
    style: Object.assign(Object.assign({}, restProps.style), {
      width: dType === 'line' && isUndefined(dSize) ? '100%' : undefined
    }),
    role: (_a = restProps.role) !== null && _a !== void 0 ? _a : 'progressbar',
    "aria-valuenow": (_b = restProps['aria-valuenow']) !== null && _b !== void 0 ? _b : dPercent,
    "aria-valuemin": (_c = restProps['aria-valuemin']) !== null && _c !== void 0 ? _c : 0,
    "aria-valuemax": (_d = restProps['aria-valuemax']) !== null && _d !== void 0 ? _d : 100
  }, {
    children: [jsx("canvas", {
      ref: canvasRef,
      width: dType === 'line' ? undefined : arcSize,
      height: dType === 'line' ? undefined : arcSize,
      style: dType === 'line' ? {
        width: isUndefined(dSize) ? '100%' : dSize,
        height: dLineWidth
      } : undefined
    }), dLabel !== false && jsx("div", Object.assign({
      className: getClassName(`${dPrefix}progress__label`, {
        [`${dPrefix}progress__label--${status}`]: status
      })
    }, {
      children: checkNodeExist(dLabel) ? dLabel : status === 'success' ? /*#__PURE__*/React.createElement(dType === 'line' ? CheckCircleFilled : CheckOutlined, {
        className: `${dPrefix}progress__label-icon`
      }) : status === 'warning' ? /*#__PURE__*/React.createElement(dType === 'line' ? WarningFilled : ExclamationOutlined, {
        className: `${dPrefix}progress__label-icon`
      }) : status === 'error' ? /*#__PURE__*/React.createElement(dType === 'line' ? CloseCircleFilled : CloseOutlined, {
        className: `${dPrefix}progress__label-icon`
      }) : `${dPercent}%`
    }))]
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$r
} = registerComponentMate({
  COMPONENT_NAME: 'DRadio.Group'
});
function DRadioGroup(props) {
  var _a, _b, _c;

  const _d = useComponentConfig(COMPONENT_NAME$r, props),
        {
    dFormControl,
    dList,
    dModel,
    dName,
    dDisabled = false,
    dType,
    dSize,
    dVertical = false,
    onModelChange
  } = _d,
        restProps = __rest(_d, ["dFormControl", "dList", "dModel", "dName", "dDisabled", "dType", "dSize", "dVertical", "onModelChange"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    gSize,
    gDisabled
  } = useGeneralContext(); //#endregion

  const uniqueId = useId();

  const getId = value => `${dPrefix}radio-group-${value}-${uniqueId}`;

  const formControlInject = useFormControl(dFormControl);
  const [value, changeValue] = useDValue((_b = (_a = nth(dList, 0)) === null || _a === void 0 ? void 0 : _a.value) !== null && _b !== void 0 ? _b : null, dModel, onModelChange, undefined, formControlInject);
  const [isChange, setIsChange] = useState(false); // eslint-disable-next-line react-hooks/exhaustive-deps

  useEffect(() => {
    if (isChange) {
      setIsChange(false);
    }
  });
  const size = dSize !== null && dSize !== void 0 ? dSize : gSize;
  const disabled = dDisabled || gDisabled || (dFormControl === null || dFormControl === void 0 ? void 0 : dFormControl.control.disabled);
  return jsx(DCompose, Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}radio-group`, {
      [`${dPrefix}radio-group--default`]: isUndefined(dType),
      'is-change': isChange
    }),
    dDisabled: disabled,
    role: (_c = restProps.role) !== null && _c !== void 0 ? _c : 'radiogroup',
    dSize: size,
    dVertical: dVertical
  }, {
    children: dList.map(item => /*#__PURE__*/React.createElement(DRadio, {
      key: item.value,
      dModel: item.value === value,
      dDisabled: item.disabled,
      dInputProps: Object.assign(Object.assign({}, item.value === value ? {
        id: getId(item.value),
        'data-form-label-for': true
      } : undefined), {
        name: dName !== null && dName !== void 0 ? dName : uniqueId,
        value: item.value
      }),
      onModelChange: () => {
        changeValue(item.value);
        setIsChange(true);
      },
      __type: dType
    }, item.label))
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$q
} = registerComponentMate({
  COMPONENT_NAME: 'DRadio'
});
const DRadio = props => {
  const _a = useComponentConfig(COMPONENT_NAME$q, props),
        {
    children,
    dFormControl,
    dModel,
    dDisabled = false,
    dInputProps,
    dInputRef,
    onModelChange,
    __type
  } = _a,
        restProps = __rest(_a, ["children", "dFormControl", "dModel", "dDisabled", "dInputProps", "dInputRef", "onModelChange", "__type"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    gSize,
    gDisabled
  } = useGeneralContext(); //#endregion

  const [waveNode, wave] = useWave();
  const [focusVisible, setFocusVisible] = useState(false);
  const formControlInject = useFormControl(dFormControl);
  const [checked, changeChecked] = useDValue(false, dModel, onModelChange, undefined, formControlInject);
  const disabled = dDisabled || gDisabled || (dFormControl === null || dFormControl === void 0 ? void 0 : dFormControl.control.disabled);
  return jsx(DBaseDesign, Object.assign({
    dCompose: {
      active: checked || focusVisible,
      disabled: disabled
    }
  }, {
    children: jsxs("label", Object.assign({}, restProps, {
      className: getClassName(restProps.className, `${dPrefix}radio`, {
        [`${dPrefix}radio--button`]: __type,
        [`${dPrefix}radio--button-${__type}`]: __type,
        [`${dPrefix}radio--${gSize}`]: gSize,
        'is-checked': checked,
        'is-focus-visible': focusVisible,
        'is-disabled': disabled
      }),
      onClick: e => {
        var _a;

        (_a = restProps.onClick) === null || _a === void 0 ? void 0 : _a.call(restProps, e);

        if (__type === 'fill' || __type === 'outline') {
          wave(`var(--${dPrefix}color-primary)`);
        }
      }
    }, {
      children: [jsx("div", Object.assign({
        className: `${dPrefix}radio__input-wrapper`
      }, {
        children: jsx(DFocusVisible, Object.assign({
          onFocusVisibleChange: setFocusVisible
        }, {
          children: ({
            fvOnFocus,
            fvOnBlur,
            fvOnKeyDown
          }) => jsx(DBaseInput, Object.assign({}, dInputProps, {
            ref: dInputRef,
            className: getClassName(dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.className, `${dPrefix}radio__input`),
            type: "radio",
            checked: checked,
            disabled: disabled,
            "aria-checked": checked,
            onChange: e => {
              var _a;

              (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onChange) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
              changeChecked(true);
            },
            onFocus: e => {
              var _a;

              (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onFocus) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
              fvOnFocus(e);
            },
            onBlur: e => {
              var _a;

              (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onBlur) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
              fvOnBlur(e);
            },
            onKeyDown: e => {
              var _a;

              (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onKeyDown) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
              fvOnKeyDown(e);
            },
            dFormControl: dFormControl
          }))
        }))
      })), checkNodeExist(children) && jsx("div", Object.assign({
        className: `${dPrefix}radio__label`
      }, {
        children: children
      })), waveNode]
    }))
  }));
};
DRadio.Group = DRadioGroup;

function DStar(props) {
  var _a, _b;

  const {
    dFormControl,
    dValue,
    dName,
    dDisabled,
    dIcon,
    dChecked,
    dHoverValue,
    dHalf,
    dTooltip,
    onCheck,
    onHoverChange
  } = props; //#region Context

  const dPrefix = usePrefixConfig(); //#endregion

  const uniqueId = useId();
  const inputId = `${dPrefix}rating-star-input-${uniqueId}`;
  const halfInputId = `${dPrefix}rating-star-half-input-${uniqueId}`;
  const checked = dValue === dChecked;
  const halfValue = dValue - 0.5;
  const halfChecked = halfValue === dChecked;
  const [tooltipValue, setTooltipValue] = useState(dValue);
  const [isFocus, setIsFocus] = useState(false);
  return jsx(DTooltip, Object.assign({
    dDisabled: isUndefined(dTooltip),
    dTitle: dTooltip === null || dTooltip === void 0 ? void 0 : dTooltip(tooltipValue)
  }, {
    children: jsxs("div", Object.assign({
      className: getClassName(`${dPrefix}rating__star`, {
        'is-focus': isFocus
      })
    }, {
      children: [dHalf && jsxs(Fragment, {
        children: [jsx(DBaseInput, {
          id: halfInputId,
          className: getClassName(`${dPrefix}rating__input`, `${dPrefix}rating__input--half`),
          type: "radio",
          name: dName,
          checked: halfChecked,
          disabled: dDisabled,
          "aria-checked": halfChecked,
          onChange: () => {
            onCheck(halfValue);
          },
          onFocus: () => {
            setIsFocus(true);
          },
          onBlur: () => {
            setIsFocus(false);
          },
          onMouseEnter: () => {
            if (!isUndefined(dTooltip)) {
              setTooltipValue(halfValue);
            }

            onHoverChange(halfValue);
          },
          dFormControl: dFormControl,
          dFor: halfChecked
        }), jsx("label", Object.assign({
          className: getClassName(`${dPrefix}rating__icon`, `${dPrefix}rating__icon--half`, {
            'is-checked': halfValue <= ((_a = dHoverValue !== null && dHoverValue !== void 0 ? dHoverValue : dChecked) !== null && _a !== void 0 ? _a : 0)
          }),
          htmlFor: halfInputId
        }, {
          children: dIcon
        }))]
      }), jsxs("label", Object.assign({
        className: getClassName(`${dPrefix}rating__icon`, {
          'is-checked': dValue <= ((_b = dHoverValue !== null && dHoverValue !== void 0 ? dHoverValue : dChecked) !== null && _b !== void 0 ? _b : 0)
        })
      }, {
        children: [jsx(DBaseInput, {
          id: inputId,
          className: `${dPrefix}rating__input`,
          type: "radio",
          name: dName,
          checked: checked,
          disabled: dDisabled,
          "aria-checked": checked,
          onChange: () => {
            onCheck(dValue);
          },
          onFocus: () => {
            setIsFocus(true);
          },
          onBlur: () => {
            setIsFocus(false);
          },
          onMouseEnter: () => {
            if (!isUndefined(dTooltip)) {
              setTooltipValue(dValue);
            }

            onHoverChange(dValue);
          },
          dFormControl: dFormControl,
          dFor: checked
        }), dIcon]
      }))]
    }))
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$p
} = registerComponentMate({
  COMPONENT_NAME: 'DRating'
});
function DRating(props) {
  var _a;

  const _b = useComponentConfig(COMPONENT_NAME$p, props),
        {
    dFormControl,
    dModel,
    dName,
    dDisabled = false,
    dTotal = 5,
    dHalf = false,
    dReadOnly = false,
    dCustomIcon,
    dTooltip,
    onModelChange
  } = _b,
        restProps = __rest(_b, ["dFormControl", "dModel", "dName", "dDisabled", "dTotal", "dHalf", "dReadOnly", "dCustomIcon", "dTooltip", "onModelChange"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    gDisabled
  } = useGeneralContext(); //#endregion

  const uniqueId = useId();
  const [hoverValue, setHoverValue] = useState(null);
  const formControlInject = useFormControl(dFormControl);
  const [value, changeValue] = useDValue(null, dModel, onModelChange, undefined, formControlInject);
  const disabled = dDisabled || gDisabled || (dFormControl === null || dFormControl === void 0 ? void 0 : dFormControl.control.disabled);
  return jsx("div", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}rating`, {
      [`${dPrefix}rating--read-only`]: dReadOnly,
      'is-disabled': disabled
    }),
    role: (_a = restProps.role) !== null && _a !== void 0 ? _a : 'radiogroup',
    onMouseLeave: e => {
      var _a;

      (_a = restProps.onMouseLeave) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
      setHoverValue(null);
    }
  }, {
    children: Array(dTotal).fill(0).map((v, i) => jsx(DStar, {
      dFormControl: dFormControl,
      dName: dName !== null && dName !== void 0 ? dName : uniqueId,
      dDisabled: disabled || dReadOnly,
      dValue: i + 1,
      dIcon: isFunction(dCustomIcon) ? dCustomIcon(i + 1) : checkNodeExist(dCustomIcon) ? dCustomIcon : jsx(StarFilled, {}),
      dChecked: value,
      dHoverValue: hoverValue,
      dHalf: dHalf,
      dTooltip: dTooltip,
      onCheck: v => changeValue(v),
      onHoverChange: v => setHoverValue(v)
    }, i + 1))
  }));
}

function Notification() {
  //#region Context
  const dPrefix = usePrefixConfig(); //#endregion

  const [notifications, setNotifications] = useImmer(new Map());

  const getRoot = id => {
    let root = document.getElementById(`${dPrefix}notification-root`);

    if (!root) {
      root = document.createElement('div');
      root.id = `${dPrefix}notification-root`;
      document.body.appendChild(root);
    }

    let el = document.getElementById(id);

    if (!el) {
      el = document.createElement('div');
      el.id = id;
      root.appendChild(el);
    }

    return el;
  };

  const notificationLTRoot = useElement(() => getRoot(`${dPrefix}notification-lt-root`));
  const notificationRTRoot = useElement(() => getRoot(`${dPrefix}notification-rt-root`));
  const notificationLBRoot = useElement(() => getRoot(`${dPrefix}notification-lb-root`));
  const notificationRBRoot = useElement(() => getRoot(`${dPrefix}notification-rb-root`));
  useEffect(() => {
    const obs = [];

    const mergeProps = (uniqueId, props) => {
      return {
        onClose: () => {
          var _a;

          (_a = props.onClose) === null || _a === void 0 ? void 0 : _a.call(props);
          NotificationService.close(uniqueId);
        },
        afterVisibleChange: visible => {
          var _a;

          (_a = props.afterVisibleChange) === null || _a === void 0 ? void 0 : _a.call(props, visible);

          if (!visible) {
            setNotifications(draft => {
              draft.delete(uniqueId);
            });
          }
        }
      };
    };

    obs.push(notificationSubject.open$.subscribe({
      next: ({
        uniqueId,
        props
      }) => {
        setNotifications(draft => {
          draft.set(uniqueId, Object.assign(Object.assign(Object.assign({}, props), {
            dVisible: true
          }), mergeProps(uniqueId, props)));
        });
      }
    }), notificationSubject.close$.subscribe({
      next: uniqueId => {
        setNotifications(draft => {
          const props = draft.get(uniqueId);

          if (props) {
            draft.set(uniqueId, Object.assign(Object.assign({}, props), {
              dVisible: false
            }));
          }
        });
      }
    }), notificationSubject.rerender$.subscribe({
      next: ({
        uniqueId,
        props: newProps
      }) => {
        setNotifications(draft => {
          const props = draft.get(uniqueId);

          if (props) {
            draft.set(uniqueId, Object.assign(Object.assign(Object.assign({}, newProps), {
              dVisible: props.dVisible
            }), mergeProps(uniqueId, newProps)));
          }
        });
      }
    }), notificationSubject.closeAll$.subscribe({
      next: animation => {
        setNotifications(draft => {
          if (animation) {
            for (const props of draft.values()) {
              props.dVisible = false;
            }
          } else {
            draft.clear();
          }
        });
      }
    }));
  }, [setNotifications]);
  return jsxs(Fragment, {
    children: [notificationLTRoot && /*#__PURE__*/ReactDOM.createPortal(Array.from(notifications.entries()).filter(([, notificationProps]) => notificationProps.dPlacement === 'left-top').map(([uniqueId, notificationProps]) => jsx(DNotification, Object.assign({}, notificationProps), uniqueId)), notificationLTRoot), notificationRTRoot && /*#__PURE__*/ReactDOM.createPortal(Array.from(notifications.entries()).filter(([, notificationProps]) => {
      var _a;

      return ((_a = notificationProps.dPlacement) !== null && _a !== void 0 ? _a : 'right-top') === 'right-top';
    }).map(([uniqueId, notificationProps]) => jsx(DNotification, Object.assign({}, notificationProps), uniqueId)), notificationRTRoot), notificationLBRoot && /*#__PURE__*/ReactDOM.createPortal(Array.from(notifications.entries()).filter(([, notificationProps]) => notificationProps.dPlacement === 'left-bottom').map(([uniqueId, notificationProps]) => jsx(DNotification, Object.assign({}, notificationProps), uniqueId)), notificationLBRoot), notificationRBRoot && /*#__PURE__*/ReactDOM.createPortal(Array.from(notifications.entries()).filter(([, notificationProps]) => notificationProps.dPlacement === 'right-bottom').map(([uniqueId, notificationProps]) => jsx(DNotification, Object.assign({}, notificationProps), uniqueId)), notificationRBRoot)]
  });
}

const toastSubject = {
  open$: new Subject(),
  close$: new Subject(),
  rerender$: new Subject(),
  closeAll$: new Subject()
};

class Toast$1 {
  constructor(_uniqueId) {
    Object.defineProperty(this, "_uniqueId", {
      enumerable: true,
      configurable: true,
      writable: true,
      value: _uniqueId
    });
  }

  get uniqueId() {
    return this._uniqueId;
  }

  close() {
    ToastService.close(this._uniqueId);
  }

  rerender(props) {
    ToastService.rerender(this._uniqueId, props);
  }

}

let TOASTS = [];
let UNIQUEID = 1;
class ToastService {
  static get toasts() {
    return TOASTS;
  }

  static open(props) {
    UNIQUEID += 1;
    toastSubject.open$.next({
      uniqueId: UNIQUEID,
      props
    });
    const toast = new Toast$1(UNIQUEID);
    TOASTS.push(toast);
    return toast;
  }

  static close(uniqueId) {
    TOASTS = TOASTS.filter(item => item.uniqueId !== uniqueId);
    toastSubject.close$.next(uniqueId);
  }

  static rerender(uniqueId, props) {
    toastSubject.rerender$.next({
      uniqueId,
      props
    });
  }

  static closeAll(animation = true) {
    TOASTS = [];
    toastSubject.closeAll$.next(animation);
  }

}
const TTANSITION_DURING$1 = {
  enter: 133,
  leave: 166
};
const {
  COMPONENT_NAME: COMPONENT_NAME$o
} = registerComponentMate({
  COMPONENT_NAME: 'DToast'
});
function DToast(props) {
  const _a = useComponentConfig(COMPONENT_NAME$o, props),
        {
    dVisible,
    dType,
    dIcon,
    dContent,
    dDuration = 2,
    dPlacement = 'top',
    dEscClosable = true,
    onClose,
    afterVisibleChange
  } = _a,
        restProps = __rest(_a, ["dVisible", "dType", "dIcon", "dContent", "dDuration", "dPlacement", "dEscClosable", "onClose", "afterVisibleChange"]); //#region Ref


  const panelRef = useRef(null); //#endregion

  return jsx(DTransition, Object.assign({
    dIn: dVisible,
    dDuring: TTANSITION_DURING$1,
    dSkipFirstTransition: false,
    afterEnter: () => {
      afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(true);
    },
    afterLeave: () => {
      afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(false);
    }
  }, {
    children: state => {
      let transitionStyle = {};

      switch (state) {
        case 'enter':
          transitionStyle = {
            transform: dPlacement === 'top' ? 'translate(0, -70%)' : 'translate(0, 70%)',
            opacity: 0
          };
          break;

        case 'entering':
          transitionStyle = {
            transition: ['transform', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING$1.enter}ms ease-out`).join(', ')
          };
          break;

        case 'leave':
          if (panelRef.current) {
            const {
              height
            } = panelRef.current.getBoundingClientRect();
            transitionStyle = {
              height,
              overflow: 'hidden'
            };
          }

          break;

        case 'leaving':
          transitionStyle = {
            height: 0,
            overflow: 'hidden',
            paddingTop: 0,
            paddingBottom: 0,
            marginTop: 0,
            marginBottom: 0,
            opacity: 0,
            transition: ['height', 'padding', 'margin', 'opacity'].map(attr => `${attr} ${TTANSITION_DURING$1.leave}ms ease-in`).join(', ')
          };
          break;

        case 'leaved':
          transitionStyle = {
            display: 'none'
          };
          break;
      }

      return jsx(DAlertPopover, Object.assign({
        dDuration: dDuration,
        dEscClosable: dEscClosable,
        onClose: onClose
      }, {
        children: jsx(DPanel$4, Object.assign({}, restProps, {
          ref: panelRef,
          style: Object.assign(Object.assign({}, restProps.style), transitionStyle),
          dClassNamePrefix: "toast",
          dType: dType,
          dIcon: dIcon,
          dContent: dContent,
          dActions: []
        }))
      }));
    }
  }));
}

function Toast() {
  //#region Context
  const dPrefix = usePrefixConfig(); //#endregion

  const [toasts, setToasts] = useImmer(new Map());

  const getRoot = id => {
    let root = document.getElementById(`${dPrefix}toast-root`);

    if (!root) {
      root = document.createElement('div');
      root.id = `${dPrefix}toast-root`;
      document.body.appendChild(root);
    }

    let el = document.getElementById(id);

    if (!el) {
      el = document.createElement('div');
      el.id = id;
      root.appendChild(el);
    }

    return el;
  };

  const toastTRoot = useElement(() => getRoot(`${dPrefix}toast-t-root`));
  const toastBRoot = useElement(() => getRoot(`${dPrefix}toast-b-root`));
  useEffect(() => {
    const obs = [];

    const mergeProps = (uniqueId, props) => {
      return {
        onClose: () => {
          var _a;

          (_a = props.onClose) === null || _a === void 0 ? void 0 : _a.call(props);
          ToastService.close(uniqueId);
        },
        afterVisibleChange: visible => {
          var _a;

          (_a = props.afterVisibleChange) === null || _a === void 0 ? void 0 : _a.call(props, visible);

          if (!visible) {
            setToasts(draft => {
              draft.delete(uniqueId);
            });
          }
        }
      };
    };

    obs.push(toastSubject.open$.subscribe({
      next: ({
        uniqueId,
        props
      }) => {
        setToasts(draft => {
          draft.set(uniqueId, Object.assign(Object.assign(Object.assign({}, props), {
            dVisible: true
          }), mergeProps(uniqueId, props)));
        });
      }
    }), toastSubject.close$.subscribe({
      next: uniqueId => {
        setToasts(draft => {
          const props = draft.get(uniqueId);

          if (props) {
            draft.set(uniqueId, Object.assign(Object.assign({}, props), {
              dVisible: false
            }));
          }
        });
      }
    }), toastSubject.rerender$.subscribe({
      next: ({
        uniqueId,
        props: newProps
      }) => {
        setToasts(draft => {
          const props = draft.get(uniqueId);

          if (props) {
            draft.set(uniqueId, Object.assign(Object.assign(Object.assign({}, newProps), {
              dVisible: props.dVisible
            }), mergeProps(uniqueId, newProps)));
          }
        });
      }
    }), toastSubject.closeAll$.subscribe({
      next: animation => {
        setToasts(draft => {
          if (animation) {
            for (const props of draft.values()) {
              props.dVisible = false;
            }
          } else {
            draft.clear();
          }
        });
      }
    }));
  }, [setToasts]);
  return jsxs(Fragment, {
    children: [toastTRoot && /*#__PURE__*/ReactDOM.createPortal(Array.from(toasts.entries()).filter(([, toastProps]) => {
      var _a;

      return ((_a = toastProps.dPlacement) !== null && _a !== void 0 ? _a : 'top') === 'top';
    }).map(([uniqueId, toastProps]) => jsx(DToast, Object.assign({}, toastProps), uniqueId)), toastTRoot), toastBRoot && /*#__PURE__*/ReactDOM.createPortal(Array.from(toasts.entries()).filter(([, toastProps]) => toastProps.dPlacement === 'bottom').map(([uniqueId, toastProps]) => jsx(DToast, Object.assign({}, toastProps), uniqueId)), toastBRoot)]
  });
}

const loadLocales = [];
function DRoot(props) {
  var _a, _b, _c, _d;

  const {
    children,
    dContext
  } = props;
  const lang = (_b = (_a = dContext === null || dContext === void 0 ? void 0 : dContext.i18n) === null || _a === void 0 ? void 0 : _a.lang) !== null && _b !== void 0 ? _b : 'zh-Hant';

  if (!loadLocales.includes(lang)) {
    loadLocales.push(lang);

    switch (lang) {
      case 'en-US':
        dayjs.locale('en-US', require('dayjs/locale/en'));
        break;

      case 'zh-Hant':
        dayjs.locale('zh-Hant', require('dayjs/locale/zh'));
        break;
    }
  }

  const iconProps = (_c = dContext === null || dContext === void 0 ? void 0 : dContext.componentConfigs) === null || _c === void 0 ? void 0 : _c.DIcon;
  const prefix = (_d = dContext === null || dContext === void 0 ? void 0 : dContext.prefix) !== null && _d !== void 0 ? _d : 'd-';
  const iconContext = useMemo(() => ({
    props: iconProps,
    prefix,
    twoToneColor: theme => [theme ? `var(--${prefix}color-${theme})` : `var(--${prefix}text-color)`, theme ? `var(--${prefix}background-color-${theme})` : `rgb(var(--${prefix}text-color-rgb) / 10%)`]
  }), [iconProps, prefix]);
  return jsx(DConfigContext.Provider, Object.assign({
    value: dContext
  }, {
    children: jsxs(DIconContext.Provider, Object.assign({
      value: iconContext
    }, {
      children: [children, jsx(Notification, {}), jsx(Toast, {})]
    }))
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$n
} = registerComponentMate({
  COMPONENT_NAME: 'DSkeleton'
});
function DSkeleton(props) {
  const _a = useComponentConfig(COMPONENT_NAME$n, props),
        {
    children,
    dVariant = 'text'
  } = _a,
        restProps = __rest(_a, ["children", "dVariant"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  return jsxs("div", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}skeleton`, `${dPrefix}skeleton--${dVariant}`)
  }, {
    children: [dVariant === 'text' && jsx("div", Object.assign({
      className: `${dPrefix}skeleton__placeholder`,
      "aria-hidden": true
    }, {
      children: "t"
    })), children]
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$m
} = registerComponentMate({
  COMPONENT_NAME: 'DSlider'
});
function DSlider(props) {
  var _a, _b;

  const _c = useComponentConfig(COMPONENT_NAME$m, props),
        {
    dFormControl,
    dModel,
    dMax = 100,
    dMin = 0,
    dStep = 1,
    dDisabled = false,
    dMarks,
    dInputProps,
    dInputRef,
    dTooltipVisible,
    dRange = false,
    dRangeMinDistance,
    dRangeThumbDraggable = false,
    dVertical = false,
    dReverse = false,
    dCustomTooltip,
    onModelChange
  } = _c,
        restProps = __rest(_c, ["dFormControl", "dModel", "dMax", "dMin", "dStep", "dDisabled", "dMarks", "dInputProps", "dInputRef", "dTooltipVisible", "dRange", "dRangeMinDistance", "dRangeThumbDraggable", "dVertical", "dReverse", "dCustomTooltip", "onModelChange"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    gDisabled
  } = useGeneralContext(); //#endregion
  //#region Ref

  const sliderRef = useRef(null);
  const dotRefLeft = useRef(null);
  const dotRefRight = useRef(null);
  const tooltipRefLeft = useRef(null);
  const tooltipRefRight = useRef(null); //#endregion

  const asyncCapture = useAsync();
  const [focusDot, setFocusDot] = useState(null);
  const [mouseenterDot, setMouseenterDot] = useState(null);
  const [draggableDot, setDraggableDot] = useState(null);
  const [thumbPoint, setThumbPoint] = useState(null);
  const [dInputRefLeft, dInputRefRight] = dRange ? dInputRef !== null && dInputRef !== void 0 ? dInputRef : [] : [dInputRef];
  const formControlInject = useFormControl(dFormControl);
  const [_value, changeValue] = useDValue(dRange ? [0, 0] : 0, dModel, onModelChange, (a, b) => {
    if (isNumber(a) && isNumber(b)) {
      return a === b;
    } else if (isArray$2(a) && isArray$2(b)) {
      return a[0] === b[0] && a[1] === b[1];
    }

    return false;
  }, formControlInject);
  const [valueLeft, valueRight = 0] = dRange ? _value : [_value];
  const disabled = dDisabled || gDisabled || (dFormControl === null || dFormControl === void 0 ? void 0 : dFormControl.control.disabled);
  const [visibleLeft, visibleRight] = [(_a = dRange ? dTooltipVisible === null || dTooltipVisible === void 0 ? void 0 : dTooltipVisible[0] : dTooltipVisible) !== null && _a !== void 0 ? _a : mouseenterDot === 'left' ? true : !!(focusDot === 'left' || thumbPoint), (_b = dRange ? dTooltipVisible === null || dTooltipVisible === void 0 ? void 0 : dTooltipVisible[1] : undefined) !== null && _b !== void 0 ? _b : mouseenterDot === 'right' ? true : !!(focusDot === 'right' || thumbPoint)];

  const preventBlur = e => {
    if (e.button === 0) {
      e.preventDefault();
    }
  };

  const getValue = (value, func = 'round') => {
    let newValue = null;

    if (dStep) {
      const n = Math[func](value / dStep);
      newValue = Math.min(dMax, Math.max(dMin, n * dStep));
    }

    if (isArray$2(dMarks)) {
      let min = newValue ? Math.abs(newValue - value) : Infinity;

      if (min > 0) {
        for (const mark of dMarks) {
          const v = isNumber(mark) ? mark : mark.value;

          if (func === 'round' || func === 'ceil' && v - value >= 0 || func === 'floor' && v - value <= 0) {
            const offset = Math.abs(v - value);

            if (offset < min) {
              min = offset;
              newValue = v;
            }
          }
        }
      }
    }

    return newValue !== null && newValue !== void 0 ? newValue : dMin;
  };

  const handleMove = useEventCallback((e, isLeft) => {
    isLeft = isLeft !== null && isLeft !== void 0 ? isLeft : focusDot === 'left';

    if (sliderRef.current) {
      const rect = sliderRef.current.getBoundingClientRect();
      const newValue = getValue((dMax - dMin) * (dVertical ? (dReverse ? e.clientY - rect.top : rect.bottom - e.clientY) / rect.height : (dReverse ? rect.right - e.clientX : e.clientX - rect.left) / rect.width));

      if (dRange) {
        changeValue(draft => {
          const index = isLeft ? 0 : 1;

          if (draft[index] !== newValue) {
            const offset = newValue - draft[index];
            const isAdd = offset > 0;
            draft[index] = newValue;

            if (isNumber(dRangeMinDistance) && draft[1] - draft[0] < dRangeMinDistance) {
              const _index = isLeft ? 1 : 0;

              draft[_index] = getValue(draft[_index] + offset, isAdd ? 'ceil' : 'floor');

              if (draft[1] - draft[0] < dRangeMinDistance) {
                draft[index] = getValue(draft[_index] + (isAdd ? -dRangeMinDistance : dRangeMinDistance), isAdd ? 'floor' : 'ceil');
              }
            }
          }
        });
      } else {
        changeValue(newValue);
      }
    }
  });
  const handleThumbMove = useEventCallback(e => {
    if (dStep && thumbPoint && sliderRef.current) {
      const rect = sliderRef.current.getBoundingClientRect();
      const offset = Math.round((dMax - dMin) * (dVertical ? (dReverse ? e.clientY - thumbPoint.clientY : thumbPoint.clientY - e.clientY) / rect.height : (dReverse ? thumbPoint.clientX - e.clientX : e.clientX - thumbPoint.clientX) / rect.width) / dStep) * dStep;
      const value = [0, 0];
      let index = -1;

      for (const v of [thumbPoint.left + offset, thumbPoint.right + offset]) {
        index += 1;

        const _index = index === 0 ? 1 : 0;

        if (v < dMin) {
          value[index] = dMin;
          value[_index] = dMin + Math.abs(thumbPoint.left - thumbPoint.right);
          break;
        }

        if (v > dMax) {
          value[index] = dMax;
          value[_index] = dMax - Math.abs(thumbPoint.left - thumbPoint.right);
          break;
        }

        value[index] = v;
      }

      changeValue(value);
    }
  });

  const startDrag = e => {
    const handle = (isLeft = true) => {
      const el = isLeft ? dotRefLeft.current : dotRefRight.current;

      if (el) {
        handleMove(e, isLeft);
        setDraggableDot(isLeft ? 'left' : 'right');
        el.firstElementChild.focus({
          preventScroll: true
        });
      }
    };

    if (dRange) {
      if (dotRefLeft.current && dotRefRight.current) {
        const rectLeft = dotRefLeft.current.getBoundingClientRect();
        const rectRight = dotRefRight.current.getBoundingClientRect();
        const offsetLeft = dVertical ? Math.abs(rectLeft.bottom - rectLeft.height / 2 - e.clientY) : Math.abs(e.clientX - (rectLeft.left + rectLeft.width / 2));
        const offsetRight = dVertical ? Math.abs(rectRight.bottom - rectRight.height / 2 - e.clientY) : Math.abs(e.clientX - (rectRight.left + rectRight.width / 2));

        if (dRangeThumbDraggable && (dVertical ? e.clientY < Math.max(rectLeft.top, rectRight.top) : e.clientX > Math.min(rectLeft.right, rectRight.right)) && (dVertical ? e.clientY > Math.min(rectLeft.bottom, rectRight.bottom) : e.clientX < Math.max(rectLeft.left, rectRight.left))) {
          setThumbPoint({
            left: valueLeft,
            right: valueRight,
            clientX: e.clientX,
            clientY: e.clientY
          });
        } else {
          if (offsetRight <= offsetLeft) {
            handle(false);
          } else {
            handle(true);
          }
        }
      }
    } else {
      handle(true);
    }
  };

  const handleChange = (e, isLeft = true) => {
    const val = toNumber(e.currentTarget.value);

    if (dRange) {
      const index = isLeft ? 0 : 1;
      changeValue(draft => {
        const offset = val - draft[index];
        const isAdd = offset > 0;
        draft[index] = val;

        if (isNumber(dRangeMinDistance) && draft[1] - draft[0] < dRangeMinDistance) {
          const _index = isLeft ? 1 : 0;

          draft[_index] = getValue(draft[_index] + offset, isAdd ? 'ceil' : 'floor');

          if (draft[1] - draft[0] < dRangeMinDistance) {
            draft[index] = getValue(draft[_index] + (isAdd ? -dRangeMinDistance : dRangeMinDistance), isAdd ? 'floor' : 'ceil');
          }
        }
      });
    } else {
      changeValue(val);
    }
  };

  useEffect(() => {
    var _a, _b, _c, _d;

    if (thumbPoint) {
      (_a = tooltipRefLeft.current) === null || _a === void 0 ? void 0 : _a.updatePosition();
      (_b = tooltipRefRight.current) === null || _b === void 0 ? void 0 : _b.updatePosition();
    } else {
      if (focusDot === 'left') {
        (_c = tooltipRefLeft.current) === null || _c === void 0 ? void 0 : _c.updatePosition();
      } else if (focusDot === 'right') {
        (_d = tooltipRefRight.current) === null || _d === void 0 ? void 0 : _d.updatePosition();
      }
    }
  }, [focusDot, _value, thumbPoint]);
  useEffect(() => {
    if (draggableDot !== null) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      let clientX;
      let clientY;
      asyncGroup.fromEvent(window, 'mouseup').subscribe({
        next: e => {
          e.preventDefault();
          setDraggableDot(null);
        }
      });
      asyncGroup.fromEvent(window, 'touchmove', {
        passive: false
      }).subscribe({
        next: e => {
          e.preventDefault();
          clientY = e.touches[0].clientY;
          clientX = e.touches[0].clientX;
          handleMove({
            clientX,
            clientY
          });
        }
      });
      asyncGroup.fromEvent(window, 'mousemove').subscribe({
        next: e => {
          e.preventDefault();
          clientX = e.clientX;
          clientY = e.clientY;
          handleMove({
            clientX,
            clientY
          });
        }
      });
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, draggableDot, handleMove]);
  useEffect(() => {
    if (thumbPoint) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      let clientX;
      let clientY;
      asyncGroup.fromEvent(window, 'mouseup').subscribe({
        next: e => {
          e.preventDefault();
          setThumbPoint(null);
        }
      });
      asyncGroup.fromEvent(window, 'touchmove', {
        passive: false
      }).subscribe({
        next: e => {
          e.preventDefault();
          clientY = e.touches[0].clientY;
          clientX = e.touches[0].clientX;
          handleThumbMove({
            clientX,
            clientY
          });
        }
      });
      asyncGroup.fromEvent(window, 'mousemove').subscribe({
        next: e => {
          e.preventDefault();
          clientX = e.clientX;
          clientY = e.clientY;
          handleThumbMove({
            clientX,
            clientY
          });
        }
      });
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, handleThumbMove, thumbPoint]);

  const marks = (() => {
    const marks = [];

    const getNode = (value, label = null) => {
      let percentage = value / (dMax - dMin) * 100;

      if (dReverse) {
        percentage = 100 - percentage;
      }

      marks.push(jsx("div", Object.assign({
        className: getClassName(`${dPrefix}slider__mark`, {
          [`${dPrefix}slider__mark--hidden`]: value === dMin || value === dMax
        }),
        style: {
          left: dVertical ? undefined : `${percentage}%`,
          bottom: dVertical ? `${percentage}%` : undefined
        }
      }, {
        children: label && jsx("div", Object.assign({
          className: getClassName(`${dPrefix}slider__mark-label`, {
            'is-active': dRange ? value <= Math.max(valueLeft, valueRight) && value >= Math.min(valueLeft, valueRight) : value <= valueLeft
          })
        }, {
          children: label
        }), value)
      }), value));
    };

    if (isArray$2(dMarks)) {
      dMarks.forEach(mark => {
        const value = isNumber(mark) ? mark : mark.value;
        getNode(value, isNumber(mark) ? null : mark.label);
      });
    } else if (isNumber(dMarks)) {
      for (let index = 0; index < (dMax - dMin) / dMarks; index++) {
        const value = index * dMarks;
        getNode(value);
      }
    }

    return marks;
  })();

  const getDotNode = isLeft => {
    const [dInputPropsLeft, dInputPropsRight] = dRange ? dInputProps !== null && dInputProps !== void 0 ? dInputProps : [] : [dInputProps];
    const value = isLeft ? valueLeft : valueRight;
    const inputProps = isLeft ? dInputPropsLeft : dInputPropsRight;
    return jsx(DTooltip, Object.assign({
      ref: isLeft ? tooltipRefLeft : tooltipRefRight,
      dVisible: isLeft ? visibleLeft : visibleRight,
      dTitle: dCustomTooltip ? dCustomTooltip(value) : value,
      dPlacement: dVertical ? 'right' : 'top',
      onVisibleChange: visible => {
        setMouseenterDot(visible ? isLeft ? 'left' : 'right' : null);
      }
    }, {
      children: jsx("div", Object.assign({
        ref: isLeft ? dotRefLeft : dotRefRight,
        className: getClassName(`${dPrefix}slider__input-wrapper`, {
          'is-focus': focusDot === (isLeft ? 'left' : 'right')
        }),
        style: {
          left: dVertical ? undefined : `calc(${value} / ${dMax - dMin} * 100% - 7px)`,
          bottom: dVertical ? `calc(${value} / ${dMax - dMin} * 100% - 7px)` : undefined
        }
      }, {
        children: jsx(DBaseInput, Object.assign({}, inputProps, {
          ref: isLeft ? dInputRefLeft : dInputRefRight,
          className: getClassName(inputProps === null || inputProps === void 0 ? void 0 : inputProps.className, `${dPrefix}slider__input`),
          type: "range",
          value: value,
          disabled: disabled,
          max: dMax,
          min: dMin,
          step: dStep !== null && dStep !== void 0 ? dStep : undefined,
          "aria-orientation": dVertical ? 'vertical' : 'horizontal',
          onChange: handleChange,
          onFocus: e => {
            var _a;

            (_a = inputProps === null || inputProps === void 0 ? void 0 : inputProps.onFocus) === null || _a === void 0 ? void 0 : _a.call(inputProps, e);
            setFocusDot(isLeft ? 'left' : 'right');
          },
          onBlur: e => {
            var _a;

            (_a = inputProps === null || inputProps === void 0 ? void 0 : inputProps.onBlur) === null || _a === void 0 ? void 0 : _a.call(inputProps, e);
            setFocusDot(null);
          },
          dFormControl: dFormControl,
          dFor: isLeft
        }))
      }))
    }));
  };

  return jsxs("div", Object.assign({}, restProps, {
    ref: sliderRef,
    className: getClassName(restProps.className, `${dPrefix}slider`, `${dPrefix}slider--${dVertical ? 'vertical' : 'horizontal'}`, {
      'is-disabled': disabled
    }),
    onMouseDown: e => {
      var _a;

      (_a = restProps.onMouseDown) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
      preventBlur(e);

      if (e.button === 0) {
        startDrag(e);
      }
    },
    onMouseUp: e => {
      var _a;

      (_a = restProps.onMouseUp) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
      preventBlur(e);
    },
    onTouchStart: e => {
      var _a;

      (_a = restProps.onTouchStart) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
      startDrag({
        clientX: e.touches[0].clientX,
        clientY: e.touches[0].clientY
      });
    },
    onTouchEnd: e => {
      var _a;

      (_a = restProps.onTouchEnd) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
      setDraggableDot(null);
      setThumbPoint(null);
    }
  }, {
    children: [jsxs("div", Object.assign({
      className: getClassName(`${dPrefix}slider__thumb`, {
        [`${dPrefix}slider__thumb--reverse `]: dReverse
      })
    }, {
      children: [jsx("div", {
        className: getClassName(`${dPrefix}slider__active-thumb`, {
          [`${dPrefix}slider__active-thumb--draggable`]: dRangeThumbDraggable,
          'is-focus': thumbPoint
        }),
        style: dVertical ? {
          bottom: `calc(${Math.min(valueLeft, valueRight)} / ${dMax - dMin} * 100%)`,
          top: `calc(${dMax - Math.max(valueLeft, valueRight)} / ${dMax - dMin} * 100%)`
        } : {
          left: `calc(${Math.min(valueLeft, valueRight)} / ${dMax - dMin} * 100%)`,
          right: `calc(${dMax - Math.max(valueLeft, valueRight)} / ${dMax - dMin} * 100%)`
        }
      }), getDotNode(true), dRange && getDotNode(false)]
    })), marks]
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$l
} = registerComponentMate({
  COMPONENT_NAME: 'DSlides.Slide'
});
function DSlidesSlide(props) {
  useComponentConfig(COMPONENT_NAME$l, props);
  return null;
}

const {
  COMPONENT_NAME: COMPONENT_NAME$k
} = registerComponentMate({
  COMPONENT_NAME: 'DSlides'
});
const DSlides = props => {
  const _a = useComponentConfig(COMPONENT_NAME$k, props),
        {
    children,
    navigation: _navigation,
    pagination: _pagination,
    direction = 'horizontal'
  } = _a,
        restProps = __rest(_a, ["children", "navigation", "pagination", "direction"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const navigation = (() => {
    const configs = {
      nextEl: '.swiper-button-next',
      prevEl: '.swiper-button-prev'
    };

    if (_navigation === true || isUndefined(_navigation)) {
      return configs;
    }

    if (_navigation !== false) {
      return Object.assign(configs, _navigation);
    }

    return _navigation;
  })();

  const pagination = (() => {
    const configs = {
      clickable: true
    };

    if (_pagination === true || isUndefined(_pagination)) {
      return configs;
    }

    if (_pagination !== false) {
      return Object.assign(configs, _pagination);
    }

    return _pagination;
  })();

  return jsxs(Swiper, Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}slides`, {
      [`${dPrefix}slides--vertical`]: direction === 'vertical'
    }),
    direction: direction,
    modules: [A11y, Autoplay, Controller, EffectCoverflow, EffectCube, EffectFade, EffectFlip, EffectCreative, EffectCards, HashNavigation, History, Keyboard, Lazy, Mousewheel, Navigation, Pagination$1, Parallax, Scrollbar, Thumbs, Virtual, Zoom, FreeMode, Grid, Manipulation],
    navigation: navigation,
    pagination: pagination
  }, {
    children: [React.Children.map(children, child => /*#__PURE__*/React.isValidElement(child) ? /*#__PURE__*/React.createElement(SwiperSlide, Object.assign(Object.assign({}, child.props), {
      className: getClassName(child.props.className, `${dPrefix}slide`)
    })) : child), jsx("button", Object.assign({
      className: "swiper-button-prev"
    }, {
      children: jsx(LeftOutlined, {})
    })), jsx("button", Object.assign({
      className: "swiper-button-next"
    }, {
      children: jsx(RightOutlined, {})
    }))]
  }));
};
DSlides.Slide = DSlidesSlide;

const {
  COMPONENT_NAME: COMPONENT_NAME$j
} = registerComponentMate({
  COMPONENT_NAME: 'DSpinner'
});
function DSpinner(props) {
  const _a = useComponentConfig(COMPONENT_NAME$j, props),
        {
    children,
    dVisible = true,
    dText,
    dDelay,
    dSize = '28px',
    afterVisibleChange
  } = _a,
        restProps = __rest(_a, ["children", "dVisible", "dText", "dDelay", "dSize", "afterVisibleChange"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const spinnerRef = useRef(null);
  const containerRef = useRef(null); //#endregion

  const asyncCapture = useAsync();
  const forceUpdate = useForceUpdate();
  const delayVisible = useRef(false);

  if (dVisible === false) {
    delayVisible.current = false;
  }

  const visible = isUndefined(dDelay) ? dVisible : delayVisible.current;
  const transitionStyles = {
    enter: {
      opacity: 0
    },
    entering: {
      transition: ['opacity'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms linear`).join(', ')
    },
    leaving: {
      opacity: 0,
      transition: ['opacity'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms linear`).join(', ')
    },
    leaved: {
      display: 'none'
    }
  };
  useEffect(() => {
    if (isNumber(dDelay) && dVisible) {
      const [asyncGroup, asyncId] = asyncCapture.createGroup();
      asyncGroup.setTimeout(() => {
        delayVisible.current = true;
        forceUpdate();
      }, dDelay);
      return () => {
        asyncCapture.deleteGroup(asyncId);
      };
    }
  }, [asyncCapture, dDelay, dVisible, forceUpdate]);
  return jsx(DTransition, Object.assign({
    dIn: visible,
    dDuring: TTANSITION_DURING_BASE,
    onEnterRendered: () => {
      if (spinnerRef.current && containerRef.current) {
        containerRef.current.style.top = `${(spinnerRef.current.clientHeight - containerRef.current.clientHeight) / 2}px`;
      }
    },
    afterEnter: () => {
      afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(true);
    },
    afterLeave: () => {
      afterVisibleChange === null || afterVisibleChange === void 0 ? void 0 : afterVisibleChange(false);
    }
  }, {
    children: state => jsx("div", Object.assign({}, restProps, {
      ref: spinnerRef,
      className: getClassName(restProps.className, `${dPrefix}spinner`),
      style: Object.assign(Object.assign({}, restProps.style), transitionStyles[state])
    }, {
      children: jsxs("div", Object.assign({
        ref: containerRef,
        className: `${dPrefix}spinner__container`
      }, {
        children: [jsx("div", Object.assign({
          className: `${dPrefix}spinner__icon`,
          style: {
            fontSize: dSize
          }
        }, {
          children: checkNodeExist(children) ? children : jsx("svg", Object.assign({
            className: `${dPrefix}spinner__spinner`,
            width: "1em",
            height: "1em",
            viewBox: "0 0 50 50"
          }, {
            children: jsx("circle", {
              cx: "25",
              cy: "25",
              r: "21",
              fill: "none",
              stroke: "currentColor",
              strokeWidth: "4",
              strokeLinecap: "round"
            })
          }))
        })), checkNodeExist(dText) && jsx("div", Object.assign({
          className: `${dPrefix}spinner__text`
        }, {
          children: dText
        }))]
      }))
    }))
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$i
} = registerComponentMate({
  COMPONENT_NAME: 'DStepper'
});
function DStepper(props) {
  var _a;

  const _b = useComponentConfig(COMPONENT_NAME$i, props),
        {
    dList,
    dActive,
    dPercent,
    dVertical = false,
    dIconSize = 36,
    dLabelBottom = false,
    dClickable = false,
    onItemClick
  } = _b,
        restProps = __rest(_b, ["dList", "dActive", "dPercent", "dVertical", "dIconSize", "dLabelBottom", "dClickable", "onItemClick"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const active = (_a = dActive !== null && dActive !== void 0 ? dActive : dList[0].step) !== null && _a !== void 0 ? _a : 1;
  return jsx("div", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}stepper`, {
      [`${dPrefix}stepper--label-bottom`]: dLabelBottom,
      [`${dPrefix}stepper--vertical`]: dVertical,
      [`${dPrefix}stepper--button`]: dClickable
    })
  }, {
    children: dList.map((item, index) => {
      const {
        step: itemStep = index + 1,
        title: itemTitle,
        description: itemDescription,
        icon: itemIcon,
        status: itemStatus
      } = item;
      const isCompleted = itemStep < active;
      const isActive = itemStep === active;
      const isWait = itemStep > active;
      const isProgress = isActive && isNumber(dPercent);

      const titleNode = jsx("div", Object.assign({
        className: `${dPrefix}stepper__step-title`,
        style: {
          marginTop: dLabelBottom ? undefined : `calc((${dIconSize}px - 1.1em) / 2)`
        }
      }, {
        children: itemTitle
      }));

      const separatoreNode = dVertical && dLabelBottom ? null : index !== dList.length - 1 && jsx("div", {
        className: `${dPrefix}stepper__step-separator`,
        style: {
          top: dVertical ? `${dIconSize}px` : `calc((${dIconSize}px - 2px) / 2)`,
          left: dVertical ? `${dIconSize / 2}px` : dLabelBottom ? `calc(50% + ${dIconSize / 2}px)` : undefined,
          width: !dVertical && dLabelBottom ? `calc(100% - ${dIconSize}px)` : undefined,
          height: dVertical ? `calc(100% - ${dIconSize}px)` : undefined
        }
      });
      return jsxs("div", Object.assign({
        className: getClassName(`${dPrefix}stepper__step`, isUndefined(itemStatus) ? {
          'is-completed': isCompleted,
          'is-active': isActive,
          'is-wait': isWait
        } : {}, {
          [`is-${itemStatus}`]: itemStatus,
          [`${dPrefix}stepper__step--last`]: index === dList.length - 1
        }),
        style: {
          maxWidth: !dVertical && index === dList.length - 1 ? `calc(100% / ${dList.length})` : undefined,
          width: !dVertical && dLabelBottom ? `calc(100% / ${dList.length})` : undefined
        },
        role: dClickable ? 'button' : undefined,
        tabIndex: dClickable ? 0 : undefined,
        onKeyDown: e => {
          if (dClickable) {
            if (e.code === 'Enter' || e.code === 'Space') {
              e.preventDefault();
              onItemClick === null || onItemClick === void 0 ? void 0 : onItemClick(itemStep, item);
            }
          }
        },
        onClick: () => {
          if (dClickable) {
            onItemClick === null || onItemClick === void 0 ? void 0 : onItemClick(itemStep, item);
          }
        }
      }, {
        children: [jsxs("div", Object.assign({
          className: `${dPrefix}stepper__step-header`
        }, {
          children: [jsxs("div", Object.assign({
            className: getClassName(`${dPrefix}stepper__step-icon`, {
              [`${dPrefix}stepper__step-icon--progress`]: isProgress
            }),
            style: {
              width: dIconSize,
              height: dIconSize
            }
          }, {
            children: [itemIcon === false ? null : checkNodeExist(itemIcon) ? itemIcon : itemStatus === 'error' ? jsx(CloseOutlined, {}) : isCompleted ? jsx(CheckOutlined, {}) : itemStep, isProgress && jsx(DProgress, {
              className: `${dPrefix}stepper__step-progress`,
              dStatus: "process",
              dPercent: dPercent,
              dSize: dIconSize + 8,
              dLineWidth: 2,
              dType: "circle",
              dLabel: false
            })]
          })), !dLabelBottom && titleNode, !dVertical && separatoreNode]
        })), dLabelBottom && titleNode, dVertical && separatoreNode, checkNodeExist(itemDescription) && jsx(DCollapseTransition, Object.assign({
          dSize: 0,
          dIn: !dVertical || isActive,
          dDuring: TTANSITION_DURING_BASE,
          dStyles: {
            entering: {
              transition: ['height', 'padding', 'margin'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-out`).join(', ')
            },
            leaving: {
              transition: ['height', 'padding', 'margin'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-in`).join(', ')
            },
            leaved: {
              display: 'none'
            }
          }
        }, {
          children: (ref, collapseStyle) => jsx("div", Object.assign({
            ref: ref,
            className: `${dPrefix}stepper__step-description`,
            style: Object.assign(Object.assign({}, collapseStyle), {
              marginLeft: dLabelBottom ? undefined : `calc(${dIconSize}px + 8px)`
            })
          }, {
            children: itemDescription
          }))
        }))]
      }), itemStep);
    })
  }));
}

const TTANSITION_DURING = 133;
const {
  COMPONENT_NAME: COMPONENT_NAME$h
} = registerComponentMate({
  COMPONENT_NAME: 'DSwitch'
});
function DSwitch(props) {
  const _a = useComponentConfig(COMPONENT_NAME$h, props),
        {
    children,
    dFormControl,
    dModel,
    dLabelPlacement = 'right',
    dStateContent,
    dLoading = false,
    dDisabled = false,
    dInputProps,
    dInputRef,
    onModelChange
  } = _a,
        restProps = __rest(_a, ["children", "dFormControl", "dModel", "dLabelPlacement", "dStateContent", "dLoading", "dDisabled", "dInputProps", "dInputRef", "onModelChange"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    gDisabled
  } = useGeneralContext(); //#endregion

  const [isFocus, setIsFocus] = useState(false);
  const formControlInject = useFormControl(dFormControl);
  const [checked, changeChecked] = useDValue(false, dModel, onModelChange, undefined, formControlInject);
  const disabled = dDisabled || gDisabled || (dFormControl === null || dFormControl === void 0 ? void 0 : dFormControl.control.disabled);
  const transitionStyles = {
    enter: {
      left: 2
    },
    entering: {
      left: 'calc(100% - 20px)',
      transition: ['width', 'padding', 'margin', 'left'].map(attr => `${attr} ${TTANSITION_DURING}ms linear`).join(', ')
    },
    entered: {
      right: 2
    },
    leave: {
      right: 2
    },
    leaving: {
      right: 'calc(100% - 20px)',
      transition: ['width', 'padding', 'margin', 'right'].map(attr => `${attr} ${TTANSITION_DURING}ms linear`).join(', ')
    },
    leaved: {
      left: 2
    }
  };
  return jsxs("label", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}switch`, {
      [`${dPrefix}switch--label-left`]: dLabelPlacement === 'left',
      'is-checked': checked,
      'is-disabled': disabled,
      'is-loading': dLoading
    })
  }, {
    children: [jsxs("div", Object.assign({
      className: `${dPrefix}switch__state-container`
    }, {
      children: [dStateContent && jsx("div", Object.assign({
        className: getClassName(`${dPrefix}switch__state-content`, `${dPrefix}switch__state-content--left`),
        style: {
          opacity: checked ? 1 : 0
        }
      }, {
        children: dStateContent[0]
      })), dStateContent && jsx("div", Object.assign({
        className: `${dPrefix}switch__state-content`,
        style: {
          opacity: checked ? 0 : 1
        }
      }, {
        children: dStateContent[1]
      })), jsx(DBaseInput, Object.assign({}, dInputProps, {
        ref: dInputRef,
        className: getClassName(dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.className, `${dPrefix}switch__input`),
        type: "checkbox",
        disabled: disabled || dLoading,
        role: "switch",
        "aria-checked": checked,
        onChange: e => {
          var _a;

          (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onChange) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
          changeChecked(!checked);
        },
        onFocus: e => {
          var _a;

          (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onFocus) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
          setIsFocus(true);
        },
        onBlur: e => {
          var _a;

          (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onBlur) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
          setIsFocus(false);
        },
        dFormControl: dFormControl
      })), jsx(DTransition, Object.assign({
        dIn: checked,
        dDuring: TTANSITION_DURING
      }, {
        children: state => jsx("div", Object.assign({
          className: getClassName(`${dPrefix}switch__state-dot`, {
            'is-focus': isFocus
          }),
          style: transitionStyles[state]
        }, {
          children: dLoading && jsx(LoadingOutlined, {
            dSpin: true
          })
        }))
      }))]
    })), checkNodeExist(children) && jsx("div", Object.assign({
      className: `${dPrefix}switch__label`
    }, {
      children: children
    }))]
  }));
}

var aCallable = aCallable$9;
var toObject$1 = toObject$7;
var IndexedObject = indexedObject;
var lengthOfArrayLike$1 = lengthOfArrayLike$6;

var $TypeError = TypeError;

// `Array.prototype.{ reduce, reduceRight }` methods implementation
var createMethod = function (IS_RIGHT) {
  return function (that, callbackfn, argumentsLength, memo) {
    aCallable(callbackfn);
    var O = toObject$1(that);
    var self = IndexedObject(O);
    var length = lengthOfArrayLike$1(O);
    var index = IS_RIGHT ? length - 1 : 0;
    var i = IS_RIGHT ? -1 : 1;
    if (argumentsLength < 2) while (true) {
      if (index in self) {
        memo = self[index];
        index += i;
        break;
      }
      index += i;
      if (IS_RIGHT ? index < 0 : length <= index) {
        throw $TypeError('Reduce of empty array with no initial value');
      }
    }
    for (;IS_RIGHT ? index >= 0 : length > index; index += i) if (index in self) {
      memo = callbackfn(memo, self[index], index, O);
    }
    return memo;
  };
};

var arrayReduce = {
  // `Array.prototype.reduce` method
  // https://tc39.es/ecma262/#sec-array.prototype.reduce
  left: createMethod(false),
  // `Array.prototype.reduceRight` method
  // https://tc39.es/ecma262/#sec-array.prototype.reduceright
  right: createMethod(true)
};

var $$3 = _export;
var $reduce = arrayReduce.left;
var arrayMethodIsStrict = arrayMethodIsStrict$2;
var CHROME_VERSION = engineV8Version;
var IS_NODE = engineIsNode;

var STRICT_METHOD = arrayMethodIsStrict('reduce');
// Chrome 80-82 has a critical bug
// https://bugs.chromium.org/p/chromium/issues/detail?id=1049982
var CHROME_BUG = !IS_NODE && CHROME_VERSION > 79 && CHROME_VERSION < 83;

// `Array.prototype.reduce` method
// https://tc39.es/ecma262/#sec-array.prototype.reduce
$$3({ target: 'Array', proto: true, forced: !STRICT_METHOD || CHROME_BUG }, {
  reduce: function reduce(callbackfn /* , initialValue */) {
    var length = arguments.length;
    return $reduce(this, callbackfn, length, length > 1 ? arguments[1] : undefined);
  }
});

const ZINDEX_CONFIG = {
  top: 5,
  right: 1,
  bottom: 5,
  left: 1
};
function DCell(props) {
  const {
    children,
    dTag,
    dWidth,
    dFixed,
    dAlign = 'left',
    dEllipsis = false
  } = props,
        restProps = __rest(props, ["children", "dTag", "dWidth", "dFixed", "dAlign", "dEllipsis"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    gFixed,
    gEllipsis
  } = useContextRequired(DTableContext); //#endregion
  //#region Ref

  const cellRef = useRef(null); //#endregion

  const ellipsis = gEllipsis || dEllipsis;
  let fixedLeft = false;
  let fixedRight = false;
  let fixedStyle = {};

  if (dFixed) {
    fixedStyle = Object.assign(Object.assign({}, dFixed), {
      position: 'sticky',
      zIndex: Object.keys(dFixed).reduce((previous, current) => previous + ZINDEX_CONFIG[current], 0)
    });

    if ('left' in dFixed) {
      fixedLeft = true;
    }

    if ('right' in dFixed) {
      fixedRight = true;
    }
  }

  useEffect(() => {
    if (cellRef.current && cellRef.current.parentElement) {
      let showShadow = false;

      if (fixedLeft && gFixed.includes('left')) {
        const elsL = cellRef.current.parentElement.querySelectorAll(`.${dPrefix}table__cell--fixed-left`);

        if (elsL.item(elsL.length - 1) === cellRef.current) {
          showShadow = true;
        }
      }

      if (fixedRight && gFixed.includes('right')) {
        const elsR = cellRef.current.parentElement.querySelectorAll(`.${dPrefix}table__cell--fixed-right`);

        if (elsR.item(0) === cellRef.current) {
          showShadow = true;
        }
      }

      cellRef.current.classList.toggle(`${dPrefix}table__cell--fixed-shadow`, showShadow);
    }
  });
  return /*#__PURE__*/React.createElement(dTag, Object.assign(Object.assign({}, restProps), {
    ref: cellRef,
    className: getClassName(restProps.className, `${dPrefix}table__cell`, `${dPrefix}table__cell--${dAlign}`, {
      [`${dPrefix}table__cell--fixed-left`]: fixedLeft,
      [`${dPrefix}table__cell--fixed-right`]: fixedRight,
      [`${dPrefix}table__cell--ellipsis`]: ellipsis
    }),
    style: Object.assign(Object.assign(Object.assign({}, restProps.style), fixedStyle), {
      width: isUndefined(dWidth) ? undefined : dWidth
    })
  }), jsx("div", Object.assign({
    className: `${dPrefix}table__cell-content`,
    style: {
      width: isUndefined(dWidth) ? undefined : `calc(${dWidth + (isNumber(dWidth) ? 'px' : '')} - var(--${dPrefix}table-padding-size) * 2)`
    }
  }, {
    children: children
  })));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$g
} = registerComponentMate({
  COMPONENT_NAME: 'DTable.Td'
});
function DTableTd(props) {
  const _a = useComponentConfig(COMPONENT_NAME$g, props),
        {
    children,
    dText = true,
    dWidth,
    dFixed,
    dAlign = 'left',
    dEllipsis = false
  } = _a,
        restProps = __rest(_a, ["children", "dText", "dWidth", "dFixed", "dAlign", "dEllipsis"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  return jsx(DCell, Object.assign({}, restProps, {
    dTag: "td",
    dWidth: dWidth,
    dFixed: dFixed,
    dAlign: dAlign,
    dEllipsis: dEllipsis
  }, {
    children: dText ? jsx("div", Object.assign({
      className: `${dPrefix}table__cell-text`
    }, {
      children: children
    })) : children
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$f
} = registerComponentMate({
  COMPONENT_NAME: 'DTable.Empty'
});
function DTableEmpty(props) {
  const _a = useComponentConfig(COMPONENT_NAME$f, props),
        {
    children,
    dColSpan
  } = _a,
        restProps = __rest(_a, ["children", "dColSpan"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  return jsx("tr", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}table__empty`)
  }, {
    children: jsx(DTableTd, Object.assign({
      className: `${dPrefix}table__empty-content`,
      colSpan: dColSpan,
      dAlign: "center"
    }, {
      children: checkNodeExist(children) ? children : jsx(DEmpty, {})
    }))
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$e
} = registerComponentMate({
  COMPONENT_NAME: 'DTable.Expand'
});
function DTableExpand(props) {
  const _a = useComponentConfig(COMPONENT_NAME$e, props),
        {
    dExpand,
    onExpandChange
  } = _a,
        restProps = __rest(_a, ["dExpand", "onExpandChange"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const [expand, changeExpand] = useDValue(false, dExpand, onExpandChange);
  return jsx("button", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}table__expand`, {
      'is-expand': expand
    }),
    onClick: e => {
      var _a;

      (_a = restProps.onClick) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
      changeExpand(draft => !draft);
    }
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$d
} = registerComponentMate({
  COMPONENT_NAME: 'DTable.Filter'
});

function TableFilter(props, ref) {
  const _a = useComponentConfig(COMPONENT_NAME$d, props),
        {
    dList,
    dSelected,
    dVisible,
    dLoading = false,
    dSearchable = false,
    dMultiple = false,
    dCustomItem,
    dCustomSearch,
    dPopupClassName,
    onSelectedChange,
    onVisibleChange,
    afterVisibleChange,
    onSearch,
    onScrollBottom
  } = _a,
        restProps = __rest(_a, ["dList", "dSelected", "dVisible", "dLoading", "dSearchable", "dMultiple", "dCustomItem", "dCustomSearch", "dPopupClassName", "onSelectedChange", "onVisibleChange", "afterVisibleChange", "onSearch", "onScrollBottom"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const dVSRef = useRef(null); //#endregion

  const dataRef = useRef({
    showSelected: dMultiple ? [] : null,
    prevSelected: dMultiple ? [] : null
  });
  const [t] = useTranslation();
  const forceUpdate = useForceUpdate();
  const uniqueId = useId();
  const listId = `${dPrefix}table-filter-list-${uniqueId}`;

  const getItemId = val => `${dPrefix}table-filter-item-${val}-${uniqueId}`;

  const itemsMap = useMemo(() => {
    const items = new Map();

    const reduceArr = arr => {
      for (const item of arr) {
        items.set(item.value, item);
      }
    };

    reduceArr(dList);
    return items;
  }, [dList]);
  const [searchValue, setSearchValue] = useState('');
  const canSelectItem = useCallback(item => !item.disabled, []);
  const [_select, changeSelect] = useDValue(dMultiple ? [] : null, dSelected, value => {
    if (onSelectedChange) {
      if (dMultiple) {
        onSelectedChange(value, value.map(v => itemsMap.get(v)));
      } else {
        onSelectedChange(value, isNull(value) ? null : itemsMap.get(value));
      }
    }
  }, dMultiple ? isSimpleArrayEqual : undefined);

  if (_select !== dataRef.current.prevSelected) {
    dataRef.current.showSelected = dataRef.current.prevSelected = _select;
  }

  const select = useMemo(() => dMultiple ? new Set(dataRef.current.showSelected) : dataRef.current.showSelected, // eslint-disable-next-line react-hooks/exhaustive-deps
  [dataRef.current.showSelected, dMultiple]);
  const hasSearch = searchValue.length > 0;
  const hasSelected = dMultiple ? select.size > 0 : !isNull(select);

  const _filterFn = dCustomSearch === null || dCustomSearch === void 0 ? void 0 : dCustomSearch.filter;

  const filterFn = useCallback(item => {
    const defaultTableFilterFn = item => {
      return item.label.includes(searchValue);
    };

    return _filterFn ? _filterFn(searchValue, item) : defaultTableFilterFn(item);
  }, [_filterFn, searchValue]);
  const sortFn = dCustomSearch === null || dCustomSearch === void 0 ? void 0 : dCustomSearch.sort;
  const searchList = useMemo(() => {
    if (!hasSearch) {
      return [];
    }

    const searchList = [];
    dList.forEach(item => {
      if (filterFn(item)) {
        searchList.push(item);
      }
    });

    if (sortFn) {
      searchList.sort(sortFn);
    }

    return searchList;
  }, [dList, filterFn, hasSearch, sortFn]);
  const list = hasSearch ? searchList : dList;
  const [_noSearchFocusItem, setNoSearchFocusItem] = useState();

  const noSearchFocusItem = (() => {
    let focusItem;

    if (_noSearchFocusItem) {
      focusItem = itemsMap.get(_noSearchFocusItem.value);

      if (focusItem && canSelectItem(focusItem)) {
        return focusItem;
      }
    }

    if (hasSelected) {
      focusItem = findNested(dList, item => canSelectItem(item) && dMultiple ? select.has(item.value) : select === item.value);
    }

    if (isUndefined(focusItem)) {
      focusItem = findNested(dList, item => canSelectItem(item));
    }

    return focusItem;
  })();

  const [_searchFocusItem, setSearchFocusItem] = useState();

  const searchFocusItem = (() => {
    if (_searchFocusItem && findNested(searchList, item => canSelectItem(item) && item.value === _searchFocusItem.value)) {
      return _searchFocusItem;
    }

    if (hasSearch) {
      return findNested(searchList, item => canSelectItem(item));
    }
  })();

  const focusItem = hasSearch ? searchFocusItem : noSearchFocusItem;

  const changeFocusItem = item => {
    if (!isUndefined(item)) {
      hasSearch ? setSearchFocusItem(item) : setNoSearchFocusItem(item);
    }
  };

  const changeSelectByClick = useEventCallback(val => {
    if (dMultiple) {
      const arr = [].concat(dataRef.current.showSelected);
      const index = arr.findIndex(v => v === val);

      if (index !== -1) {
        arr.splice(index, 1);
      } else {
        arr.push(val);
      }

      dataRef.current.showSelected = arr;
    } else {
      dataRef.current.showSelected = val;
    }

    forceUpdate();
  });
  const vsPerformance = useMemo(() => ({
    dList: list,
    dItemSize: 32,
    dItemKey: item => item.value,
    dFocusable: canSelectItem
  }), [canSelectItem, list]);
  return jsx(DPopover, Object.assign({
    ref: ref,
    className: getClassName(dPopupClassName, `${dPrefix}table__filter-popup`),
    onClick: e => {
      e.stopPropagation();
    },
    dVisible: dVisible,
    dTrigger: "click",
    dPlacement: "bottom-right",
    dArrow: false,
    dContent: jsxs(Fragment, {
      children: [dSearchable && jsx(DInput, {
        className: `${dPrefix}table__filter-search`,
        dPrefix: jsx(SearchOutlined, {}),
        dPlaceholder: t('Search'),
        onModelChange: val => {
          setSearchValue(val);
          onSearch === null || onSearch === void 0 ? void 0 : onSearch(val);
        }
      }), dLoading && jsx("div", Object.assign({
        className: getClassName(`${dPrefix}table__filter-loading`, {
          [`${dPrefix}table__filter-loading--empty`]: list.length === 0
        })
      }, {
        children: jsx(LoadingOutlined, {
          dSize: list.length === 0 ? 18 : 24,
          dSpin: true
        })
      })), jsx(DVirtualScroll, Object.assign({}, vsPerformance, {
        ref: dVSRef,
        dFillNode: jsx("li", {}),
        dItemRender: (item, index, {
          iARIA
        }) => {
          const {
            label: itemLabel,
            value: itemValue,
            disabled: itemDisabled
          } = item;
          const node = dCustomItem ? dCustomItem(item) : itemLabel;
          let isSelected = false;

          if (dMultiple) {
            isSelected = select.has(itemValue);
          } else {
            isSelected = select === itemValue;
          }

          return /*#__PURE__*/createElement$2("li", Object.assign({}, iARIA, {
            key: itemValue,
            id: getItemId(itemValue),
            className: getClassName(`${dPrefix}table__filter-option`, {
              'is-disabled': itemDisabled
            }),
            title: itemLabel,
            role: "option",
            "aria-selected": isSelected,
            "aria-disabled": itemDisabled,
            onClick: () => {
              if (!itemDisabled) {
                changeFocusItem(item);
                changeSelectByClick(itemValue);
              }
            }
          }), /*#__PURE__*/React.createElement(dMultiple ? DCheckbox : DRadio, {
            dModel: isSelected,
            dDisabled: itemDisabled
          }), jsx("div", Object.assign({
            className: `${dPrefix}table__filter-option-content`
          }, {
            children: node
          })));
        },
        dFocusItem: focusItem,
        dSize: 200,
        dPadding: 4,
        onScrollEnd: onScrollBottom
      }, {
        children: ({
          vsScrollRef,
          vsRender,
          vsOnScroll
        }) => jsx("ul", Object.assign({
          ref: vsScrollRef,
          id: listId,
          className: `${dPrefix}table__filter-list`,
          style: {
            pointerEvents: dLoading ? 'none' : undefined
          },
          tabIndex: -1,
          role: "listbox",
          "aria-multiselectable": dMultiple,
          "aria-activedescendant": isUndefined(focusItem) ? undefined : getItemId(focusItem.value),
          onScroll: vsOnScroll
        }, {
          children: list.length === 0 ? jsx("li", Object.assign({
            className: `${dPrefix}table__filter-empty`
          }, {
            children: jsx("div", Object.assign({
              className: `${dPrefix}table__filter-option-content`
            }, {
              children: t('No Data')
            }))
          })) : vsRender
        }))
      }))]
    }),
    dFooter: jsx(DPopover.Footer, {
      dActions: [jsx(DButton, Object.assign({
        onClick: () => {
          dataRef.current.showSelected = dMultiple ? [] : null;
          forceUpdate();
        },
        dType: "link"
      }, {
        children: t('Table', 'Reset')
      }), "$$reset"), 'ok']
    }),
    onVisibleChange: visible => {
      onVisibleChange === null || onVisibleChange === void 0 ? void 0 : onVisibleChange(visible);

      if (!visible) {
        changeSelect(dataRef.current.showSelected);
      }
    },
    afterVisibleChange: afterVisibleChange
  }, {
    children: jsx("button", Object.assign({}, restProps, {
      className: getClassName(restProps.className, {
        'is-active': hasSelected
      })
    }, {
      children: jsx(FilterFilled, {
        dSize: 12
      })
    }))
  }));
}

const DTableFilter = /*#__PURE__*/React.forwardRef(TableFilter);

const {
  COMPONENT_NAME: COMPONENT_NAME$c
} = registerComponentMate({
  COMPONENT_NAME: 'DTable.Search'
});

function TableSearch(props, ref) {
  const _a = useComponentConfig(COMPONENT_NAME$c, props),
        {
    dValue,
    dVisible,
    dPopupClassName,
    onValueChange,
    onVisibleChange,
    afterVisibleChange
  } = _a,
        restProps = __rest(_a, ["dValue", "dVisible", "dPopupClassName", "onValueChange", "onVisibleChange", "afterVisibleChange"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const dataRef = useRef({
    showValue: '',
    prevValue: ''
  });
  const [t] = useTranslation();
  const forceUpdate = useForceUpdate();
  const [_value, changeValue] = useDValue('', dValue, onValueChange);

  if (_value !== dataRef.current.prevValue) {
    dataRef.current.showValue = dataRef.current.prevValue = _value;
  }

  return jsx(DPopover, Object.assign({
    ref: ref,
    className: getClassName(dPopupClassName, `${dPrefix}table__filter-popup`),
    onClick: e => {
      e.stopPropagation();
    },
    dVisible: dVisible,
    dTrigger: "click",
    dPlacement: "bottom-right",
    dArrow: false,
    dContent: jsx(DInput, {
      className: `${dPrefix}table__filter-search`,
      dModel: dataRef.current.showValue,
      dPrefix: jsx(SearchOutlined, {}),
      dPlaceholder: t('Search'),
      onModelChange: val => {
        dataRef.current.showValue = val;
        forceUpdate();
      }
    }),
    dFooter: jsx(DPopover.Footer, {
      dActions: [jsx(DButton, Object.assign({
        onClick: () => {
          dataRef.current.showValue = '';
          forceUpdate();
        },
        dType: "link"
      }, {
        children: t('Table', 'Reset')
      }), "$$reset"), 'ok']
    }),
    onVisibleChange: visible => {
      onVisibleChange === null || onVisibleChange === void 0 ? void 0 : onVisibleChange(visible);

      if (!visible) {
        changeValue(dataRef.current.showValue);
      }
    },
    afterVisibleChange: afterVisibleChange
  }, {
    children: jsx("button", Object.assign({}, restProps, {
      className: getClassName(restProps.className, {
        'is-active': dataRef.current.showValue.length > 0
      })
    }, {
      children: jsx(SearchOutlined, {
        dSize: 14
      })
    }))
  }));
}

const DTableSearch = /*#__PURE__*/React.forwardRef(TableSearch);

const {
  COMPONENT_NAME: COMPONENT_NAME$b
} = registerComponentMate({
  COMPONENT_NAME: 'DTable.Th'
});
function DTableTh(props) {
  const _a = useComponentConfig(COMPONENT_NAME$b, props),
        {
    children,
    dWidth,
    dSort,
    dActions = [],
    dFixed,
    dAlign = 'left',
    dEllipsis = false
  } = _a,
        restProps = __rest(_a, ["children", "dWidth", "dSort", "dActions", "dFixed", "dAlign", "dEllipsis"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const [sort, changeSort] = useDValue(null, dSort === null || dSort === void 0 ? void 0 : dSort.active, dSort === null || dSort === void 0 ? void 0 : dSort.onSort);
  return jsxs(DCell, Object.assign({}, restProps, {
    className: getClassName(restProps.className, {
      [`${dPrefix}table__cell--th-empty`]: !checkNodeExist(children),
      [`${dPrefix}table__cell--th-sort`]: dSort
    }),
    "aria-sort": sort === 'ascend' ? 'ascending' : sort === 'descend' ? 'descending' : undefined,
    onClick: () => {
      var _a;

      if (dSort) {
        const sortOptions = (_a = dSort.options) !== null && _a !== void 0 ? _a : [null, 'ascend', 'descend'];
        changeSort(draft => sortOptions[(sortOptions.findIndex(order => order === draft) + 1) % sortOptions.length]);
      }
    },
    dTag: "th",
    dWidth: dWidth,
    dFixed: dFixed,
    dAlign: dAlign,
    dEllipsis: dEllipsis
  }, {
    children: [jsx("div", Object.assign({
      className: `${dPrefix}table__cell-text`
    }, {
      children: children
    })), (dSort || dActions.length > 0) && jsxs("div", Object.assign({
      className: `${dPrefix}table__th-actions`,
      "aria-hidden": true
    }, {
      children: [dSort && jsxs("button", Object.assign({
        className: getClassName(`${dPrefix}table__th-action`, `${dPrefix}table__th-action--sort`)
      }, {
        children: [(isUndefined(dSort.options) || dSort.options.includes('ascend')) && jsx(CaretUpOutlined, {
          className: getClassName(`${dPrefix}table__th-sort-icon`, {
            'is-active': sort === 'ascend'
          })
        }), (isUndefined(dSort.options) || dSort.options.includes('descend')) && jsx(CaretDownOutlined, {
          className: getClassName(`${dPrefix}table__th-sort-icon`, {
            'is-active': sort === 'descend'
          })
        })]
      })), React.Children.map(dActions, action => /*#__PURE__*/React.cloneElement(action, Object.assign(Object.assign({}, action.props), {
        className: getClassName(action.props.className, `${dPrefix}table__th-action`),
        onClick: e => {
          var _a, _b;

          (_b = (_a = action.props).onClick) === null || _b === void 0 ? void 0 : _b.call(_a, e);
          e.stopPropagation();
        }
      })))]
    }))]
  }));
}

const DTableContext = /*#__PURE__*/React.createContext(null);
const {
  COMPONENT_NAME: COMPONENT_NAME$a
} = registerComponentMate({
  COMPONENT_NAME: 'DTable'
});

function Table(props, ref) {
  const _a = useComponentConfig(COMPONENT_NAME$a, props),
        {
    children,
    dBorder = false,
    dEllipsis = false
  } = _a,
        restProps = __rest(_a, ["children", "dBorder", "dEllipsis"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const elRef = useRef(null); //#endregion

  const combineElRef = useForkRef(elRef, ref);
  const [fixed, setFixed] = useState([]);

  const getFixed = el => {
    const scrollLeft = el.scrollLeft;
    const maxScrollLeft = el.scrollWidth - el.clientWidth;
    let newFixed = [];

    if (maxScrollLeft === 0) {
      newFixed = [];
    } else if (scrollLeft === 0) {
      newFixed = ['right'];
    } else if (scrollLeft === maxScrollLeft) {
      newFixed = ['left'];
    } else {
      newFixed = ['left', 'right'];
    }

    if (!isSimpleArrayEqual(newFixed, fixed)) {
      setFixed(newFixed);
    }
  };

  useIsomorphicLayoutEffect(() => {
    if (elRef.current) {
      getFixed(elRef.current);
    } // eslint-disable-next-line react-hooks/exhaustive-deps

  }, []);
  const contextValue = useMemo(() => ({
    gFixed: fixed,
    gEllipsis: dEllipsis
  }), [dEllipsis, fixed]);
  return jsx(DTableContext.Provider, Object.assign({
    value: contextValue
  }, {
    children: jsx("div", Object.assign({}, restProps, {
      ref: combineElRef,
      className: getClassName(restProps.className, `${dPrefix}table`, {
        [`${dPrefix}table--border`]: dBorder
      }),
      onScroll: e => {
        var _a;

        (_a = restProps.onScroll) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
        getFixed(e.currentTarget);
      }
    }, {
      children: children
    }))
  }));
}

const DTable = /*#__PURE__*/React.forwardRef(Table);
DTable.Th = DTableTh;
DTable.Td = DTableTd;
DTable.Empty = DTableEmpty;
DTable.Filter = DTableFilter;
DTable.Search = DTableSearch;
DTable.Expand = DTableExpand;

const {
  COMPONENT_NAME: COMPONENT_NAME$9
} = registerComponentMate({
  COMPONENT_NAME: 'DTabs'
});
function DTabs(props) {
  const _a = useComponentConfig(COMPONENT_NAME$9, props),
        {
    dList,
    dActive,
    dPlacement = 'top',
    dCenter = false,
    dType,
    dSize,
    onActiveChange,
    onAddClick,
    onClose
  } = _a,
        restProps = __rest(_a, ["dList", "dActive", "dPlacement", "dCenter", "dType", "dSize", "onActiveChange", "onAddClick", "onClose"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const tabsRef = useRef(null);
  const tablistWrapperRef = useRef(null);
  const tablistRef = useRef(null);
  const indicatorRef = useRef(null); //#endregion

  const [t] = useTranslation();
  const uniqueId = useId();

  const getTabId = id => `${dPrefix}tabs-tab-${id}-${uniqueId}`;

  const getPanelId = id => `${dPrefix}tabs-panel-${id}-${uniqueId}`;

  const asyncCapture = useAsync();
  const [listOverflow, setListOverflow] = useState(false);
  const [dropdownList, setDropdownList] = useState([]);
  const [scrollEnd, setScrollEnd] = useState(false);
  const iconSize = dSize === 'smaller' ? 16 : dSize === 'larger' ? 20 : 18;
  const isHorizontal = dPlacement === 'top' || dPlacement === 'bottom';
  const [activeId, changeActiveId] = useDValue(() => {
    for (const tab of dList) {
      if (!tab.disabled) {
        return tab.id;
      }
    }
  }, dActive, id => {
    if (onActiveChange) {
      const tab = dList.find(t => t.id === id);

      if (tab) {
        onActiveChange(id, tab);
      }
    }
  });
  const refreshTabs = useEventCallback(() => {
    const tablistWrapperEl = tablistWrapperRef.current;

    if (tablistWrapperEl) {
      const isOverflow = isHorizontal ? tablistWrapperEl.scrollWidth > tablistWrapperEl.clientWidth : tablistWrapperEl.scrollHeight > tablistWrapperEl.clientHeight;
      setListOverflow(isOverflow);
      setScrollEnd(Math.abs(isHorizontal ? tablistWrapperEl.scrollWidth - tablistWrapperEl.scrollLeft - tablistWrapperEl.clientWidth : tablistWrapperEl.scrollHeight - tablistWrapperEl.scrollTop - tablistWrapperEl.clientHeight) < 1);

      if (isOverflow) {
        const tablistWrapperRect = tablistWrapperEl.getBoundingClientRect();
        const dropdownList = [];
        dList.forEach(tab => {
          const el = document.getElementById(getTabId(tab.id));

          if (el) {
            const rect = el.getBoundingClientRect();

            if (isHorizontal) {
              if (rect.right + 52 + (onAddClick ? 52 : 0) > tablistWrapperRect.right || rect.left < tablistWrapperRect.left) {
                dropdownList.push(tab);
              }
            } else {
              if (rect.bottom + 36 + (onAddClick ? 36 : 0) > tablistWrapperRect.bottom || rect.top < tablistWrapperRect.top) {
                dropdownList.push(tab);
              }
            }
          }
        });
        setDropdownList(dropdownList);
      }
    }
  });
  useIsomorphicLayoutEffect(() => {
    refreshTabs(); // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);
  useEffect(() => {
    const [asyncGroup, asyncId] = asyncCapture.createGroup();

    if (tablistWrapperRef.current) {
      asyncGroup.onResize(tablistWrapperRef.current, () => {
        refreshTabs();
      });
    }

    if (tablistRef.current) {
      asyncGroup.onResize(tablistRef.current, () => {
        refreshTabs();
      });
    }

    return () => {
      asyncCapture.deleteGroup(asyncId);
    };
  }, [asyncCapture, refreshTabs]);
  useEffect(() => {
    if (tablistRef.current && indicatorRef.current) {
      const tablistRect = tablistRef.current.getBoundingClientRect();

      for (const tab of dList) {
        if (tab.id === activeId) {
          const el = document.getElementById(getTabId(tab.id));

          if (el) {
            const rect = el.getBoundingClientRect();

            if (isHorizontal) {
              indicatorRef.current.style.cssText = `left:${rect.left - tablistRect.left}px;width:${rect.width}px;opacity:1;`;
            } else {
              indicatorRef.current.style.cssText = `top:${rect.top - tablistRect.top}px;opacity:1;`;
            }
          }
        }
      }
    }
  });
  return jsxs("div", Object.assign({}, restProps, {
    ref: tabsRef,
    className: getClassName(restProps.className, `${dPrefix}tabs`, `${dPrefix}tabs--${dPlacement}`, {
      [`${dPrefix}tabs--${dType}`]: dType,
      [`${dPrefix}tabs--${dSize}`]: dSize,
      [`${dPrefix}tabs--center`]: dCenter
    })
  }, {
    children: [jsx("div", Object.assign({
      ref: tablistWrapperRef,
      className: `${dPrefix}tabs__tablist-wrapper`,
      onScroll: () => {
        refreshTabs();
      }
    }, {
      children: jsxs("div", Object.assign({
        ref: tablistRef,
        className: `${dPrefix}tabs__tablist`,
        role: "tablist",
        "aria-orientation": isHorizontal ? 'horizontal' : 'vertical'
      }, {
        children: [dList.map((item, index) => {
          const {
            id: itemId,
            title: itemTitle,
            disabled: itemDisabled,
            closable: itemClosable
          } = item;

          const getTab = (next, _index = index) => {
            for (let focusIndex = next ? _index + 1 : _index - 1, n = 0; n < dList.length; next ? focusIndex++ : focusIndex--, n++) {
              const t = nth(dList, focusIndex % dList.length);

              if (t && !t.disabled) {
                return t;
              }
            }
          };

          const focusTab = t => {
            if (t) {
              changeActiveId(t.id);
              const el = document.getElementById(getTabId(t.id));

              if (el) {
                el.focus();
              }
            }
          };

          const closeTab = () => {
            if (activeId === itemId) {
              let hasTab = false;

              for (let focusIndex = index + 1; focusIndex < dList.length; focusIndex++) {
                const t = nth(dList, focusIndex);

                if (t && !t.disabled) {
                  hasTab = true;
                  focusTab(t);
                  break;
                }
              }

              if (!hasTab) {
                for (let focusIndex = index - 1; focusIndex >= 0; focusIndex--) {
                  const t = nth(dList, focusIndex);

                  if (t && !t.disabled) {
                    focusTab(t);
                    break;
                  }
                }
              }
            }

            onClose === null || onClose === void 0 ? void 0 : onClose(itemId, item);
          };

          const active = itemId === activeId;
          return jsxs("div", Object.assign({
            id: getTabId(itemId),
            className: getClassName(`${dPrefix}tabs__tab`, {
              'is-active': active,
              'is-disabled': itemDisabled,
              [`${dPrefix}tabs__tab--first`]: index === 0,
              [`${dPrefix}tabs__tab--last`]: index === dList.length - 1
            }),
            tabIndex: active && !itemDisabled ? 0 : -1,
            role: "tab",
            "aria-controls": getPanelId(itemId),
            "aria-selected": active,
            "aria-disabled": itemDisabled,
            onClick: () => {
              changeActiveId(itemId);
            },
            onKeyDown: e => {
              switch (e.code) {
                case 'Delete':
                  e.preventDefault();

                  if (itemClosable) {
                    closeTab();
                  }

                  break;

                case 'ArrowLeft':
                  e.preventDefault();

                  if (dPlacement === 'top' || dPlacement === 'bottom') {
                    focusTab(getTab(false));
                  }

                  break;

                case 'ArrowRight':
                  e.preventDefault();

                  if (dPlacement === 'top' || dPlacement === 'bottom') {
                    focusTab(getTab(true));
                  }

                  break;

                case 'ArrowUp':
                  e.preventDefault();

                  if (dPlacement === 'left' || dPlacement === 'right') {
                    focusTab(getTab(false));
                  }

                  break;

                case 'ArrowDown':
                  e.preventDefault();

                  if (dPlacement === 'left' || dPlacement === 'right') {
                    focusTab(getTab(true));
                  }

                  break;

                case 'Home':
                  e.preventDefault();

                  for (const t of dList) {
                    if (!t.disabled) {
                      focusTab(t);
                      break;
                    }
                  }

                  break;

                case 'End':
                  e.preventDefault();

                  for (let index = dList.length - 1; index >= 0; index--) {
                    if (!dList[index].disabled) {
                      focusTab(dList[index]);
                      break;
                    }
                  }

                  break;
              }
            }
          }, {
            children: [itemTitle, !itemDisabled && itemClosable && jsx("div", Object.assign({
              className: `${dPrefix}tabs__close`,
              role: "button",
              "aria-label": t('Close'),
              onClick: e => {
                e.stopPropagation();
                closeTab();
              }
            }, {
              children: jsx(CloseOutlined, {
                dSize: 14
              })
            }))]
          }), itemId);
        }), (listOverflow || onAddClick) && jsxs("div", Object.assign({
          className: `${dPrefix}tabs__button-container`
        }, {
          children: [listOverflow && jsx(DDropdown, Object.assign({
            dList: dropdownList.map(tab => {
              const {
                id: itemId,
                title: itemTitle,
                disabled: itemDisabled
              } = tab;
              return {
                id: itemId,
                label: jsx("span", Object.assign({
                  className: getClassName(`${dPrefix}tabs__dropdown-item`, {
                    'is-active': itemId === activeId
                  })
                }, {
                  children: itemTitle
                })),
                type: 'item',
                disabled: itemDisabled
              };
            }),
            dPlacement: dPlacement === 'left' ? 'bottom-left' : 'bottom-right',
            dCloseOnClick: false,
            onItemClick: id => {
              changeActiveId(id);
            }
          }, {
            children: jsx("div", Object.assign({
              className: getClassName(`${dPrefix}tabs__button`, `${dPrefix}tabs__button--more`, {
                'is-end': scrollEnd
              }),
              style: {
                right: isHorizontal && onAddClick ? 52 : undefined,
                bottom: !isHorizontal && onAddClick ? 36 : undefined
              },
              "aria-label": t('More')
            }, {
              children: jsx(EllipsisOutlined, {
                dSize: iconSize
              })
            }))
          })), onAddClick && jsx("div", Object.assign({
            className: getClassName(`${dPrefix}tabs__button`, `${dPrefix}tabs__button--add`),
            role: "button",
            "aria-label": t('Add'),
            onClick: () => {
              onAddClick === null || onAddClick === void 0 ? void 0 : onAddClick();
            }
          }, {
            children: jsx(PlusOutlined, {
              dSize: iconSize
            })
          }))]
        })), jsx("div", {
          ref: indicatorRef,
          className: `${dPrefix}tabs__${dType ? dType + '-' : ''}indicator`
        })]
      }))
    })), dList.map(item => {
      const {
        id: itemId,
        panel: itemPanel
      } = item;
      return jsx("div", Object.assign({
        id: getPanelId(itemId),
        className: `${dPrefix}tabs__tabpanel`,
        tabIndex: 0,
        hidden: itemId !== activeId,
        role: "tabpanel",
        "aria-labelledby": getTabId(itemId)
      }, {
        children: itemPanel
      }), itemId);
    })]
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$8
} = registerComponentMate({
  COMPONENT_NAME: 'DTextarea'
});

function Textarea(props, ref) {
  const _a = useComponentConfig(COMPONENT_NAME$8, props),
        {
    dFormControl,
    dModel,
    dRows,
    dResizable = true,
    dShowCount = false,
    onModelChange
  } = _a,
        restProps = __rest(_a, ["dFormControl", "dModel", "dRows", "dResizable", "dShowCount", "onModelChange"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    gSize
  } = useGeneralContext(); //#endregion
  //#region Ref

  const textareaRef = useRef(null); //#endregion

  const combineTextareaRef = useForkRef(textareaRef, ref);
  const lineHeight = gSize === 'larger' ? 28 : gSize === 'smaller' ? 20 : 24;
  const formControlInject = useFormControl(dFormControl);
  const [value, changeValue] = useDValue('', dModel, onModelChange, undefined, formControlInject);
  const disabled = restProps.disabled || (dFormControl === null || dFormControl === void 0 ? void 0 : dFormControl.control.disabled);
  const resizable = dResizable && isUndefined(dRows);

  const getRowNum = () => {
    if (textareaRef.current) {
      const cssText = textareaRef.current.style.cssText;
      textareaRef.current.style.cssText += 'overflow:hidden;height:32px;min-height:unset;';
      setRowNum(Math.round((textareaRef.current.scrollHeight - 6) / lineHeight));
      textareaRef.current.style.cssText = cssText;
    }
  };

  const [rowNum, setRowNum] = useState(1);
  useLayoutEffect(() => {
    getRowNum(); // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);

  const heightStyle = (() => {
    let overflow;
    let height;
    let minHeight;
    let maxHeight;

    if (!isUndefined(dRows)) {
      overflow = 'hidden';
      height = rowNum * lineHeight + 8;

      if (dRows !== 'auto') {
        if (isNumber(dRows.minRows)) {
          minHeight = dRows.minRows * lineHeight + 8;
        }

        if (isNumber(dRows.maxRows)) {
          maxHeight = dRows.maxRows * lineHeight + 8;

          if (maxHeight < height) {
            overflow = undefined;
          }
        }
      }
    }

    return {
      overflow,
      height,
      minHeight,
      maxHeight
    };
  })();

  return jsxs(Fragment, {
    children: [jsx(DBaseDesign, Object.assign({
      dFormControl: dFormControl
    }, {
      children: jsx(DBaseInput, Object.assign({}, restProps, {
        ref: combineTextareaRef,
        className: getClassName(restProps.className, `${dPrefix}textarea`, {
          [`${dPrefix}textarea--${gSize}`]: gSize
        }),
        style: Object.assign(Object.assign(Object.assign({}, restProps.style), heightStyle), {
          lineHeight: `${lineHeight}px`,
          minHeight: `${lineHeight + 8}px`,
          resize: resizable ? undefined : 'none'
        }),
        value: value,
        disabled: disabled,
        onChange: e => {
          var _a;

          (_a = restProps.onChange) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
          changeValue(e.currentTarget.value);
          getRowNum();
        },
        dTag: "textarea",
        dFormControl: dFormControl
      }))
    })), dShowCount !== false && jsx("div", Object.assign({
      className: `${dPrefix}textarea__count`
    }, {
      children: isFunction(dShowCount) ? dShowCount(value.length) : isUndefined(restProps.maxLength) ? value.length : `${value.length} / ${restProps.maxLength}`
    }))]
  });
}

const DTextarea = /*#__PURE__*/React.forwardRef(Textarea);

const {
  COMPONENT_NAME: COMPONENT_NAME$7
} = registerComponentMate({
  COMPONENT_NAME: 'DTimePicker'
});

function TimePicker(props, ref) {
  const _a = useComponentConfig(COMPONENT_NAME$7, props),
        {
    dFormat,
    dPlaceholder,
    dOrder = 'ascend',
    d12Hour = false,
    dRange = false,
    dConfigTime,
    dPopupClassName
  } = _a,
        restProps = __rest(_a, ["dFormat", "dPlaceholder", "dOrder", "d12Hour", "dRange", "dConfigTime", "dPopupClassName"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const dTPPRef = useRef(null); //#endregion

  const [t] = useTranslation();
  const format = isUndefined(dFormat) ? d12Hour ? 'hh:mm:ss A' : 'HH:mm:ss' : dFormat;
  const [placeholderLeft = t('TimePicker', dRange ? 'Start time' : 'Select time'), placeholderRight = t('TimePicker', 'End time')] = dRange ? dPlaceholder !== null && dPlaceholder !== void 0 ? dPlaceholder : [] : [dPlaceholder];
  return jsx(DBuilder, Object.assign({}, restProps, {
    ref: ref,
    dClassNamePrefix: "time-picker",
    dFormat: format,
    dSuffix: jsx(ClockCircleOutlined, {}),
    dPlaceholder: [placeholderLeft, placeholderRight],
    dOrder: date => orderTime(date, dOrder),
    dRange: dRange,
    dPopupClassName: getClassName(dPopupClassName, `${dPrefix}time-picker__popup`),
    onUpdatePanel: date => {
      var _a;

      (_a = dTPPRef.current) === null || _a === void 0 ? void 0 : _a.updateView(date);
    }
  }, {
    children: ({
      pbDate,
      pbCurrentDate,
      pbPosition,
      changeValue
    }) => jsxs(Fragment, {
      children: [jsx(DPanel$3, {
        ref: dTPPRef,
        dTime: pbDate,
        dCols: getCols(format),
        d12Hour: d12Hour,
        dConfigTime: dConfigTime ? (...args) => dConfigTime(...args, pbPosition, pbCurrentDate) : undefined,
        onTimeChange: changeValue
      }), jsx("div", Object.assign({
        className: `${dPrefix}time-picker__footer`
      }, {
        children: jsx(DButton, Object.assign({
          onClick: () => {
            var _a;

            const now = new Date();
            changeValue(now);
            (_a = dTPPRef.current) === null || _a === void 0 ? void 0 : _a.updateView(now);
          },
          dType: "link"
        }, {
          children: t('TimePicker', 'Now')
        }))
      }))]
    })
  }));
}

const DTimePicker = /*#__PURE__*/React.forwardRef(TimePicker);

const {
  COMPONENT_NAME: COMPONENT_NAME$6
} = registerComponentMate({
  COMPONENT_NAME: 'DTimeline'
});
function DTimeline(props) {
  const _a = useComponentConfig(COMPONENT_NAME$6, props),
        {
    dList,
    dVertical = false,
    dLineSize = 36
  } = _a,
        restProps = __rest(_a, ["dList", "dVertical", "dLineSize"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const nodeExist = (() => {
    const hasNode = [false, false];

    for (const item of dList) {
      if (checkNodeExist(item.content[0])) {
        hasNode[0] = true;
      }

      if (checkNodeExist(item.content[1])) {
        hasNode[1] = true;
      }
    }

    return hasNode;
  })();

  return jsx("div", Object.assign({}, restProps, {
    className: getClassName(restProps.className, `${dPrefix}timeline`, {
      [`${dPrefix}timeline--vertical`]: dVertical
    })
  }, {
    children: dVertical ? jsx(Fragment, {
      children: dList.map((item, index) => {
        const {
          content: itemContent,
          icon: itemIcon,
          status: itemStatus
        } = item;
        return jsxs(React.Fragment, {
          children: [jsxs("div", Object.assign({
            className: `${dPrefix}timeline__content`
          }, {
            children: [nodeExist[0] && jsx("div", Object.assign({
              className: getClassName(`${dPrefix}timeline__text`, `${dPrefix}timeline__text--left`)
            }, {
              children: itemContent[0]
            })), jsxs("div", Object.assign({
              className: getClassName(`${dPrefix}timeline__icon`, {
                [`is-${itemStatus}`]: itemStatus
              }),
              style: {
                width: dLineSize
              }
            }, {
              children: [jsx("div", {
                className: getClassName(`${dPrefix}timeline__separator`, {
                  [`${dPrefix}timeline__separator--hidden`]: index === 0
                })
              }), checkNodeExist(itemIcon) ? itemIcon : jsx("div", {
                className: `${dPrefix}timeline__dot`
              }), jsx("div", {
                className: getClassName(`${dPrefix}timeline__separator`, {
                  [`${dPrefix}timeline__separator--hidden`]: index === dList.length - 1
                })
              })]
            })), nodeExist[1] && jsx("div", Object.assign({
              className: `${dPrefix}timeline__text`
            }, {
              children: itemContent[1]
            }))]
          })), index !== dList.length - 1 && jsxs("div", Object.assign({
            className: getClassName(`${dPrefix}timeline__content`, `${dPrefix}timeline__content--gap`)
          }, {
            children: [nodeExist[0] && jsx("div", {
              className: getClassName(`${dPrefix}timeline__text`, `${dPrefix}timeline__text--left`)
            }), jsx("div", Object.assign({
              className: `${dPrefix}timeline__icon`,
              style: {
                width: dLineSize
              }
            }, {
              children: jsx("div", {
                className: `${dPrefix}timeline__separator`
              })
            })), nodeExist[1] && jsx("div", {
              className: `${dPrefix}timeline__text`
            })]
          }))]
        }, index);
      })
    }) : jsxs(Fragment, {
      children: [nodeExist[0] && jsx("div", Object.assign({
        className: `${dPrefix}timeline__text-container`
      }, {
        children: dList.map((item, index) => jsx("div", Object.assign({
          className: `${dPrefix}timeline__text`
        }, {
          children: item.content[0]
        }), index))
      })), jsx("div", Object.assign({
        className: `${dPrefix}timeline__icon-container`,
        style: {
          height: dLineSize
        }
      }, {
        children: dList.map((item, index) => {
          const {
            icon: itemIcon,
            status: itemStatus
          } = item;
          return jsxs("div", Object.assign({
            className: getClassName(`${dPrefix}timeline__icon`, {
              [`is-${itemStatus}`]: itemStatus
            })
          }, {
            children: [jsx("div", {
              className: getClassName(`${dPrefix}timeline__separator`, {
                [`${dPrefix}timeline__separator--hidden`]: index === 0
              })
            }), checkNodeExist(itemIcon) ? itemIcon : jsx("div", {
              className: `${dPrefix}timeline__dot`
            }), jsx("div", {
              className: getClassName(`${dPrefix}timeline__separator`, {
                [`${dPrefix}timeline__separator--hidden`]: index === dList.length - 1
              })
            })]
          }), index);
        })
      })), nodeExist[1] && jsx("div", Object.assign({
        className: `${dPrefix}timeline__text-container`
      }, {
        children: dList.map((item, index) => jsx("div", Object.assign({
          className: `${dPrefix}timeline__text`
        }, {
          children: item.content[1]
        }), index))
      }))]
    })
  }));
}

function DPanel$1(props) {
  const {
    dList,
    dSelectedNum,
    dState,
    dTitle,
    dLoading = false,
    dSearchable = false,
    dCustomItem,
    onSelectedChange,
    onAllSelected,
    onSearch,
    onScrollBottom
  } = props; //#region Context

  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const dVSRef = useRef(null); //#endregion

  const [t] = useTranslation();
  const uniqueId = useId();

  const getItemId = val => `${dPrefix}transfer-item-${val}-${uniqueId}`;

  const canSelectItem = useCallback(item => !item.disabled, []);
  const vsPerformance = useMemo(() => ({
    dList,
    dItemSize: 32,
    dItemKey: item => item.value,
    dFocusable: canSelectItem
  }), [canSelectItem, dList]);
  return jsxs("div", Object.assign({
    className: `${dPrefix}transfer__panel`
  }, {
    children: [jsxs("div", Object.assign({
      className: `${dPrefix}transfer__header`
    }, {
      children: [jsx(DCheckbox, {
        dDisabled: dList.length === 0,
        dModel: dState !== 'mixed' ? dState : undefined,
        dIndeterminate: dState === 'mixed',
        onModelChange: checked => {
          onAllSelected(checked);
        }
      }), jsxs("div", Object.assign({
        className: `${dPrefix}transfer__header-statistic`
      }, {
        children: [dSelectedNum, "/", dList.length]
      })), checkNodeExist(dTitle) && jsx("div", Object.assign({
        className: `${dPrefix}transfer__header-title`
      }, {
        children: dTitle
      }))]
    })), dSearchable && jsx(DInput, {
      className: `${dPrefix}transfer__search`,
      dPrefix: jsx(SearchOutlined, {}),
      dPlaceholder: t('Search'),
      onModelChange: onSearch
    }), jsxs("div", Object.assign({
      className: `${dPrefix}transfer__list-container`
    }, {
      children: [dLoading && jsx("div", Object.assign({
        className: `${dPrefix}transfer__loading`
      }, {
        children: jsx(LoadingOutlined, {
          dSize: 24,
          dSpin: true
        })
      })), jsx(DVirtualScroll, Object.assign({}, vsPerformance, {
        ref: dVSRef,
        dFillNode: jsx("li", {}),
        dItemRender: (item, index, {
          iARIA
        }) => {
          const {
            label: itemLabel,
            value: itemValue,
            disabled: itemDisabled
          } = item;
          return /*#__PURE__*/createElement$2("li", Object.assign({}, iARIA, {
            key: itemValue,
            id: getItemId(itemValue),
            className: getClassName(`${dPrefix}transfer__option`, {
              'is-disabled': itemDisabled
            }),
            title: itemLabel,
            onClick: () => {
              if (!itemDisabled) {
                onSelectedChange === null || onSelectedChange === void 0 ? void 0 : onSelectedChange(itemValue);
              }
            }
          }), jsx(DCheckbox, {
            dDisabled: itemDisabled,
            dModel: item[IS_SELECTED]
          }), jsx("div", Object.assign({
            className: `${dPrefix}transfer__option-content`
          }, {
            children: dCustomItem ? dCustomItem(item) : itemLabel
          })));
        },
        dSize: 192,
        onScrollEnd: onScrollBottom
      }, {
        children: ({
          vsScrollRef,
          vsRender,
          vsOnScroll
        }) => jsx("ul", Object.assign({
          ref: vsScrollRef,
          className: `${dPrefix}transfer__list`,
          style: {
            pointerEvents: dLoading ? 'none' : undefined
          },
          onScroll: vsOnScroll
        }, {
          children: dList.length === 0 ? jsx(DEmpty, {
            className: `${dPrefix}transfer__empty`
          }) : vsRender
        }))
      }))]
    }))]
  }));
}

const IS_SELECTED = Symbol();
const {
  COMPONENT_NAME: COMPONENT_NAME$5
} = registerComponentMate({
  COMPONENT_NAME: 'DTransfer'
});
function DTransfer(props) {
  const _a = useComponentConfig(COMPONENT_NAME$5, props),
        {
    dFormControl,
    dList,
    dModel,
    dSelected,
    dTitle,
    dActions = ['right', 'left'],
    dLoading = [false, false],
    dSearchable = false,
    dDisabled = false,
    dCustomItem,
    dCustomSearch,
    onModelChange,
    onSelectedChange,
    onSearch,
    onScrollBottom
  } = _a,
        restProps = __rest(_a, ["dFormControl", "dList", "dModel", "dSelected", "dTitle", "dActions", "dLoading", "dSearchable", "dDisabled", "dCustomItem", "dCustomSearch", "onModelChange", "onSelectedChange", "onSearch", "onScrollBottom"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    gDisabled
  } = useGeneralContext(); //#endregion

  const itemsMap = useMemo(() => new Map(dList.map(item => [item.value, item])), [dList]);
  const formControlInject = useFormControl(dFormControl);
  const [_valueRight, changeValueRight] = useDValue([], dModel, value => {
    if (onModelChange) {
      onModelChange(value, value.map(v => itemsMap.get(v)));
    }
  }, undefined, formControlInject);
  const valueRight = useMemo(() => new Set(_valueRight), [_valueRight]);
  const [_selected, changeSelected] = useDValue([], dSelected, value => {
    if (onSelectedChange) {
      onSelectedChange(value, value.map(v => itemsMap.get(v)));
    }
  });
  const selected = useMemo(() => new Set(_selected), [_selected]);
  const disabled = dDisabled || gDisabled || (dFormControl === null || dFormControl === void 0 ? void 0 : dFormControl.control.disabled);
  const [searchValueLeft, setSearchValueLeft] = useState('');
  const [searchValueRight, setSearchValueRight] = useState('');

  const _filterFn = dCustomSearch === null || dCustomSearch === void 0 ? void 0 : dCustomSearch.filter;

  const filterFn = useCallback((searchStr, item) => {
    const defaultFilterFn = item => {
      return item.label.includes(searchStr);
    };

    return _filterFn ? _filterFn(searchStr, item) : defaultFilterFn(item);
  }, [_filterFn]);
  const sortFn = dCustomSearch === null || dCustomSearch === void 0 ? void 0 : dCustomSearch.sort;
  const [listLeft, listRight, selectedNumLeft, selectedNumRight, stateLeft, stateRight] = useMemo(() => {
    const listL = [];
    const listR = [];
    let selectedNumL = 0;
    let selectedNumR = 0;
    let emptyL = true;
    let hasSelectedL = false;
    let checkAllL = true;
    let emptyR = true;
    let hasSelectedR = false;
    let checkAllR = true;
    dList.forEach(item => {
      const isLeft = !valueRight.has(item.value);
      const newItem = Object.assign({}, item);
      const searchValue = isLeft ? searchValueLeft : searchValueRight;

      if (!searchValue || filterFn(searchValue, item)) {
        newItem[IS_SELECTED] = false;

        if (selected.has(item.value)) {
          newItem[IS_SELECTED] = true;
          isLeft ? selectedNumL += 1 : selectedNumR += 1;

          if (!item.disabled) {
            isLeft ? hasSelectedL = true : hasSelectedR = true;
          }
        } else {
          if (!item.disabled) {
            isLeft ? checkAllL = false : checkAllR = false;
          }
        }

        if (isLeft) {
          listL.push(newItem);

          if (!item.disabled) {
            emptyL = false;
          }
        } else {
          listR.push(newItem);

          if (!item.disabled) {
            emptyR = false;
          }
        }
      }
    });

    if (searchValueLeft && sortFn) {
      listL.sort(sortFn);
    }

    if (searchValueRight && sortFn) {
      listR.sort(sortFn);
    }

    const stateL = emptyL ? false : checkAllL ? true : hasSelectedL ? 'mixed' : false;
    const stateR = emptyR ? false : checkAllR ? true : hasSelectedR ? 'mixed' : false;
    return [listL, listR, selectedNumL, selectedNumR, stateL, stateR];
  }, [dList, filterFn, searchValueLeft, searchValueRight, selected, sortFn, valueRight]);

  const handleSelectedChange = val => {
    changeSelected(draft => {
      const index = draft.findIndex(v => v === val);

      if (index !== -1) {
        draft.splice(index, 1);
      } else {
        draft.push(val);
      }
    });
  };

  const handleAllSelected = (isSelected, isLeft) => {
    changeSelected(draft => {
      const newSelected = new Set(draft);

      for (const item of isLeft ? listLeft : listRight) {
        if (item.disabled) {
          continue;
        }

        if (isSelected && !item[IS_SELECTED]) {
          newSelected.add(item.value);
        } else if (!isSelected && item[IS_SELECTED]) {
          newSelected.delete(item.value);
        }
      }

      return Array.from(newSelected);
    });
  };

  const handleButtonClick = isLeft => {
    changeValueRight(draft => {
      const newValueRight = new Set(draft);
      (isLeft ? listLeft : listRight).forEach(item => {
        if (item[IS_SELECTED]) {
          if (isLeft) {
            newValueRight.add(item.value);
          } else {
            newValueRight.delete(item.value);
          }
        }
      });
      return Array.from(newValueRight);
    });
    changeSelected(draft => {
      const newSelected = new Set(draft);
      (isLeft ? listLeft : listRight).forEach(item => {
        if (item[IS_SELECTED]) {
          newSelected.delete(item.value);
        }
      });
      return Array.from(newSelected);
    });
  };

  return jsx(DBaseDesign, Object.assign({
    dFormControl: dFormControl
  }, {
    children: jsxs("div", Object.assign({}, restProps, {
      className: getClassName(restProps.className, `${dPrefix}transfer`, {
        'is-disabled': disabled
      })
    }, {
      children: [jsx(DPanel$1, {
        dList: listLeft,
        dSelectedNum: selectedNumLeft,
        dState: stateLeft,
        dTitle: dTitle === null || dTitle === void 0 ? void 0 : dTitle[0],
        dLoading: dLoading[0],
        dSearchable: dSearchable,
        dCustomItem: dCustomItem,
        onSelectedChange: handleSelectedChange,
        onAllSelected: selected => {
          handleAllSelected(selected, true);
        },
        onSearch: val => {
          setSearchValueLeft(val);
          onSearch === null || onSearch === void 0 ? void 0 : onSearch(val, 'left');
        },
        onScrollBottom: () => {
          onScrollBottom === null || onScrollBottom === void 0 ? void 0 : onScrollBottom('left');
        }
      }), jsx("div", Object.assign({
        className: `${dPrefix}transfer__actions`
      }, {
        children: React.Children.map(dActions, action => action === 'right' ? jsx(DButton, {
          disabled: stateLeft === false,
          onClick: () => {
            handleButtonClick(true);
          },
          dType: "secondary",
          dIcon: jsx(RightOutlined, {})
        }, "$$right") : action === 'left' ? jsx(DButton, {
          disabled: stateRight === false,
          onClick: () => {
            handleButtonClick(false);
          },
          dType: "secondary",
          dIcon: jsx(LeftOutlined, {})
        }, "$$left") : action)
      })), jsx(DPanel$1, {
        dList: listRight,
        dSelectedNum: selectedNumRight,
        dState: stateRight,
        dTitle: dTitle === null || dTitle === void 0 ? void 0 : dTitle[1],
        dLoading: dLoading[1],
        dSearchable: dSearchable,
        dCustomItem: dCustomItem,
        onSelectedChange: handleSelectedChange,
        onAllSelected: selected => {
          handleAllSelected(selected, false);
        },
        onSearch: val => {
          setSearchValueRight(val);
          onSearch === null || onSearch === void 0 ? void 0 : onSearch(val, 'right');
        },
        onScrollBottom: () => {
          onScrollBottom === null || onScrollBottom === void 0 ? void 0 : onScrollBottom('right');
        }
      })]
    }))
  }));
}

function DPanel(props) {
  const {
    dGetGroupId,
    dGetItemId,
    dList,
    dExpandIds,
    dHeight,
    dPadding,
    dFocusItem,
    dCustomItem,
    dShowLine = false,
    dMultiple,
    dFocusVisible,
    onClickItem,
    onFocusChange,
    onExpandChange,
    onKeyDown$
  } = props,
        restProps = __rest(props, ["dGetGroupId", "dGetItemId", "dList", "dExpandIds", "dHeight", "dPadding", "dFocusItem", "dCustomItem", "dShowLine", "dMultiple", "dFocusVisible", "onClickItem", "onFocusChange", "onExpandChange", "onKeyDown$"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const dVSRef = useRef(null); //#endregion

  const [t] = useTranslation();
  const handleKeyDown = useEventCallback(key => {
    var _a, _b, _c, _d, _e, _f;

    const focusNode = node => {
      if (node) {
        onFocusChange(node);
      }
    };

    if (dFocusItem) {
      const isExpand = dExpandIds.has(dFocusItem.id);

      switch (key) {
        case 'next':
          focusNode((_a = dVSRef.current) === null || _a === void 0 ? void 0 : _a.scrollByStep(1));
          break;

        case 'prev':
          focusNode((_b = dVSRef.current) === null || _b === void 0 ? void 0 : _b.scrollByStep(-1));
          break;

        case 'first':
          focusNode((_c = dVSRef.current) === null || _c === void 0 ? void 0 : _c.scrollToStart());
          break;

        case 'last':
          focusNode((_d = dVSRef.current) === null || _d === void 0 ? void 0 : _d.scrollToEnd());
          break;

        case 'prev-level':
          if (!dFocusItem.isLeaf && isExpand) {
            onExpandChange(dFocusItem);
          } else if (dFocusItem.parent) {
            (_e = dVSRef.current) === null || _e === void 0 ? void 0 : _e.scrollToItem(dFocusItem.parent);
            focusNode(dFocusItem.parent);
          }

          break;

        case 'next-level':
          if (!dFocusItem.isLeaf) {
            if (isExpand) {
              focusNode((_f = dVSRef.current) === null || _f === void 0 ? void 0 : _f.scrollByStep(1));
            } else {
              onExpandChange(dFocusItem);
            }
          }

          break;

        case 'click':
          onClickItem(dFocusItem);
          break;
      }
    }
  });
  useEffect(() => {
    const ob = onKeyDown$.subscribe({
      next: key => {
        handleKeyDown(key);
      }
    });
    return () => {
      ob.unsubscribe();
    };
  }, [handleKeyDown, onKeyDown$]);

  const preventBlur = e => {
    if (e.button === 0) {
      e.preventDefault();
    }
  };

  const vsPerformance = useMemo(() => ({
    dList,
    dExpands: dExpandIds,
    dItemSize: 32,
    dItemNested: item => ({
      list: item.children,
      emptySize: 32,
      asItem: true
    }),
    dItemKey: item => item.id,
    dFocusable: item => item.enabled
  }), [dExpandIds, dList]);
  return jsx(DVirtualScroll, Object.assign({}, vsPerformance, {
    ref: dVSRef,
    dFillNode: jsx("li", {}),
    dItemRender: (item, index, {
      iARIA,
      iChildren
    }) => {
      if (item.children) {
        const isExpand = dExpandIds.has(item.id);
        return /*#__PURE__*/createElement$2("li", Object.assign({}, iARIA, {
          key: item.id,
          className: getClassName(`${dPrefix}tree__option-group`, {
            [`${dPrefix}tree__option-group--root`]: iARIA['aria-level'] === 1
          }),
          role: "treeitem",
          "aria-expanded": isExpand,
          "aria-selected": item.checked,
          "aria-disabled": item.disabled
        }), jsxs("div", Object.assign({
          id: dGetGroupId(item.id),
          className: getClassName(`${dPrefix}tree__option`, {
            [`${dPrefix}tree__option--root`]: iARIA['aria-level'] === 1,
            [`${dPrefix}tree__option--first`]: index === 0,
            'is-selected': !dMultiple && item.checked,
            'is-disabled': item.disabled
          }),
          title: item.origin.label,
          onClick: () => {
            onFocusChange(item);
            onClickItem(item);
          }
        }, {
          children: [dFocusVisible && item.id === (dFocusItem === null || dFocusItem === void 0 ? void 0 : dFocusItem.id) && jsx("div", {
            className: `${dPrefix}focus-outline`
          }), jsx("div", Object.assign({
            className: `${dPrefix}tree__option-icon`,
            onMouseDown: e => {
              preventBlur(e);
            },
            onMouseUp: e => {
              preventBlur(e);
            },
            onClick: e => {
              e.stopPropagation();
              onExpandChange(item);
            }
          }, {
            children: item.origin.loading ? jsx(LoadingOutlined, {
              dSpin: true
            }) : dShowLine ? isExpand ? jsx(MinusSquareOutlined, {}) : jsx(PlusSquareOutlined, {}) : jsx(CaretRightOutlined, {
              className: `${dPrefix}tree__option-arrow`,
              dRotate: isExpand ? 90 : undefined
            })
          })), dMultiple && jsx(DCheckbox, {
            dModel: item.checked,
            dDisabled: item.disabled,
            dIndeterminate: item.indeterminate,
            dInputProps: {
              tabIndex: -1
            }
          }), jsx("div", Object.assign({
            className: `${dPrefix}tree__option-content`
          }, {
            children: dCustomItem ? dCustomItem(item.origin) : item.origin.label
          }))]
        })), !item.origin.loading && jsx(DCollapseTransition, Object.assign({
          dSize: 0,
          dIn: isExpand,
          dDuring: TTANSITION_DURING_BASE,
          dStyles: {
            entering: {
              transition: ['height', 'padding', 'margin'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-out`).join(', ')
            },
            leaving: {
              transition: ['height', 'padding', 'margin'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-in`).join(', ')
            },
            leaved: {
              display: 'none'
            }
          }
        }, {
          children: (collapseRef, collapseStyle) => jsx("ul", Object.assign({
            ref: collapseRef,
            className: `${dPrefix}tree__option-group`,
            style: collapseStyle,
            role: "group",
            "aria-labelledby": dGetGroupId(item.id)
          }, {
            children: iChildren
          }))
        })));
      }

      return /*#__PURE__*/createElement$2("li", Object.assign({}, iARIA, {
        key: item.id,
        id: dGetItemId(item.id),
        className: getClassName(`${dPrefix}tree__option`, {
          [`${dPrefix}tree__option--root`]: iARIA['aria-level'] === 1,
          [`${dPrefix}tree__option--first`]: index === 0,
          'is-selected': !dMultiple && item.checked,
          'is-disabled': item.disabled
        }),
        title: item.origin.label,
        role: "treeitem",
        "aria-selected": item.checked,
        "aria-disabled": item.disabled,
        onClick: () => {
          onFocusChange(item);
          onClickItem(item);
        }
      }), dFocusVisible && item.id === (dFocusItem === null || dFocusItem === void 0 ? void 0 : dFocusItem.id) && jsx("div", {
        className: `${dPrefix}focus-outline`
      }), dMultiple && jsx(DCheckbox, {
        dModel: item.checked,
        dDisabled: item.disabled,
        dIndeterminate: item.indeterminate,
        dInputProps: {
          tabIndex: -1
        }
      }), jsx("div", Object.assign({
        className: `${dPrefix}tree__option-content`
      }, {
        children: dCustomItem ? dCustomItem(item.origin) : item.origin.label
      })));
    },
    dFocusItem: dFocusItem,
    dSize: dHeight,
    dPadding: dPadding,
    dEmptyRender: () => jsx("li", Object.assign({
      className: `${dPrefix}tree__empty`
    }, {
      children: jsx("div", Object.assign({
        className: `${dPrefix}tree__option-content`
      }, {
        children: t('No Data')
      }))
    }))
  }, {
    children: ({
      vsScrollRef,
      vsRender,
      vsOnScroll
    }) => {
      var _a, _b, _c, _d;

      return (// eslint-disable-next-line jsx-a11y/aria-activedescendant-has-tabindex
        jsx("ul", Object.assign({}, restProps, {
          ref: vsScrollRef,
          className: getClassName(restProps.className, `${dPrefix}tree`, {
            [`${dPrefix}tree--line`]: dShowLine
          }),
          tabIndex: (_a = restProps.tabIndex) !== null && _a !== void 0 ? _a : -1,
          role: (_b = restProps.role) !== null && _b !== void 0 ? _b : 'tree',
          "aria-multiselectable": (_c = restProps['aria-multiselectable']) !== null && _c !== void 0 ? _c : dMultiple,
          "aria-activedescendant": (_d = restProps['aria-activedescendant']) !== null && _d !== void 0 ? _d : isUndefined(dFocusItem) ? undefined : dGetItemId(dFocusItem.id),
          onScroll: vsOnScroll
        }, {
          children: dList.length === 0 ? jsx("li", Object.assign({
            className: `${dPrefix}tree__empty`,
            style: {
              marginLeft: 0
            }
          }, {
            children: jsx("div", Object.assign({
              className: `${dPrefix}tree__option-content`
            }, {
              children: t('No Data')
            }))
          })) : vsRender
        }))
      );
    }
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$4
} = registerComponentMate({
  COMPONENT_NAME: 'DTree'
});
function DTree(props) {
  const _a = useComponentConfig(COMPONENT_NAME$4, props),
        {
    dFormControl,
    dList,
    dModel,
    dHeight,
    dExpands,
    dExpandAll = false,
    dShowLine = false,
    dDisabled = false,
    dMultiple = false,
    dOnlyLeafSelectable = true,
    dCustomItem,
    onModelChange,
    onFirstExpand,
    onExpandsChange
  } = _a,
        restProps = __rest(_a, ["dFormControl", "dList", "dModel", "dHeight", "dExpands", "dExpandAll", "dShowLine", "dDisabled", "dMultiple", "dOnlyLeafSelectable", "dCustomItem", "onModelChange", "onFirstExpand", "onExpandsChange"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    gDisabled
  } = useGeneralContext(); //#endregion

  const dataRef = useRef({
    expandList: new Set(dExpands)
  });
  const onKeyDown$ = useEventNotify();
  const uniqueId = useId();

  const getGroupId = val => `${dPrefix}tree-group-${val}-${uniqueId}`;

  const getItemId = val => `${dPrefix}tree-item-${val}-${uniqueId}`;

  const renderNodes = useMemo(() => dList.map(item => dMultiple ? new MultipleTreeNode(item, origin => origin.value, {
    disabled: item.disabled
  }) : new SingleTreeNode(item, origin => origin.value, {
    disabled: item.disabled
  })), [dMultiple, dList]);
  const [nodesMap, initExpandAll] = useMemo(() => {
    const nodes = new Map();
    const expandAllNodes = [];

    const reduceArr = arr => {
      for (const item of arr) {
        nodes.set(item.id, item);

        if (item.children) {
          expandAllNodes.push(item.id);
          reduceArr(item.children);
        }
      }
    };

    reduceArr(renderNodes);
    return [nodes, expandAllNodes];
  }, [renderNodes]);
  const formControlInject = useFormControl(dFormControl);
  const [_select, changeSelect] = useDValue(dMultiple ? [] : null, dModel, value => {
    var _a;

    if (onModelChange) {
      if (dMultiple) {
        onModelChange(value, value.map(v => nodesMap.get(v).origin));
      } else {
        onModelChange(value, isNull(value) ? null : (_a = nodesMap.get(value)) === null || _a === void 0 ? void 0 : _a.origin);
      }
    }
  }, undefined, formControlInject);
  const select = useMemo(() => dMultiple ? new Set(_select) : _select, [_select, dMultiple]);
  renderNodes.forEach(node => {
    node.updateStatus(select);
  });
  const [_expandIds, changeExpandIds] = useDValue(dExpandAll ? initExpandAll : [], dExpands, value => {
    if (onExpandsChange) {
      onExpandsChange(value, value.map(v => nodesMap.get(v).origin));
    }
  });
  const expandIds = useMemo(() => new Set(_expandIds), [_expandIds]);
  const disabled = dDisabled || gDisabled || (dFormControl === null || dFormControl === void 0 ? void 0 : dFormControl.control.disabled);
  const hasSelected = dMultiple ? select.size > 0 : !isNull(select);
  const [focusVisible, setFocusVisible] = useState(false);
  const [_focusNode, setFocusNode] = useState();

  const focusNode = (() => {
    let node;

    if (_focusNode) {
      node = nodesMap.get(_focusNode.id);

      if (node && node.enabled) {
        return node;
      }
    }

    if (hasSelected) {
      node = findNested(renderNodes, node => node.enabled && node.checked);
    }

    if (isUndefined(node)) {
      node = findNested(renderNodes, node => node.enabled);
    }

    return node;
  })();

  return jsx(DFocusVisible, Object.assign({
    onFocusVisibleChange: setFocusVisible
  }, {
    children: ({
      fvOnFocus,
      fvOnBlur,
      fvOnKeyDown
    }) => {
      var _a;

      return jsx(DPanel, Object.assign({}, restProps, {
        className: getClassName(restProps.className, {
          'is-disabled': disabled
        }),
        style: Object.assign(Object.assign({}, restProps.style), {
          maxHeight: dHeight
        }),
        tabIndex: (_a = restProps.tabIndex) !== null && _a !== void 0 ? _a : disabled ? -1 : 0,
        onFocus: e => {
          var _a;

          (_a = restProps.onFocus) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
          fvOnFocus(e);
        },
        onBlur: e => {
          var _a;

          (_a = restProps.onBlur) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
          fvOnBlur(e);
        },
        onKeyDown: e => {
          var _a;

          (_a = restProps.onKeyDown) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
          fvOnKeyDown(e);

          switch (e.code) {
            case 'ArrowUp':
              e.preventDefault();
              onKeyDown$.next('prev');
              break;

            case 'ArrowDown':
              e.preventDefault();
              onKeyDown$.next('next');
              break;

            case 'ArrowLeft':
              e.preventDefault();
              onKeyDown$.next('prev-level');
              break;

            case 'ArrowRight':
              e.preventDefault();
              onKeyDown$.next('next-level');
              break;

            case 'Home':
              e.preventDefault();
              onKeyDown$.next('first');
              break;

            case 'End':
              e.preventDefault();
              onKeyDown$.next('last');
              break;

            case 'Enter':
              e.preventDefault();
              onKeyDown$.next('click');
              break;
          }
        },
        dGetGroupId: getGroupId,
        dGetItemId: getItemId,
        dList: renderNodes,
        dExpandIds: expandIds,
        dHeight: dHeight !== null && dHeight !== void 0 ? dHeight : Infinity,
        dFocusItem: focusNode,
        dCustomItem: dCustomItem,
        dShowLine: dShowLine,
        dMultiple: dMultiple,
        dFocusVisible: focusVisible,
        onFocusChange: setFocusNode,
        onExpandChange: item => {
          const isExpand = expandIds.has(item.id);

          if (!item.origin.loading) {
            if (isExpand) {
              changeExpandIds(draft => {
                draft.splice(draft.findIndex(id => id === item.id), 1);
              });
            } else {
              if (!dataRef.current.expandList.has(item.id)) {
                dataRef.current.expandList.add(item.id);
                onFirstExpand === null || onFirstExpand === void 0 ? void 0 : onFirstExpand(item.id, item.origin);
              }

              changeExpandIds(draft => {
                draft.push(item.id);
              });
            }
          }
        },
        onClickItem: node => {
          if (dMultiple) {
            const checkeds = node.changeStatus(node.checked ? 'UNCHECKED' : 'CHECKED', select);
            changeSelect(Array.from(checkeds.keys()));
          } else {
            if (!dOnlyLeafSelectable || node.isLeaf) {
              changeSelect(node.id);
            }
          }
        },
        "onKeyDown$": onKeyDown$
      }));
    }
  }));
}

const {
  COMPONENT_NAME: COMPONENT_NAME$3
} = registerComponentMate({
  COMPONENT_NAME: 'DTreeSelect'
});

function TreeSelect(props, ref) {
  const _a = useComponentConfig(COMPONENT_NAME$3, props),
        {
    dFormControl,
    dList,
    dModel,
    dExpands,
    dExpandAll = false,
    dVisible,
    dPlaceholder,
    dSize,
    dLoading = false,
    dSearchable = false,
    dClearable = false,
    dShowLine = false,
    dDisabled = false,
    dMultiple = false,
    dOnlyLeafSelectable = true,
    dCustomItem,
    dCustomSelected,
    dCustomSearch,
    dPopupClassName,
    dInputProps,
    dInputRef,
    onModelChange,
    onVisibleChange,
    afterVisibleChange,
    onSearch,
    onClear,
    onFirstExpand,
    onExpandsChange
  } = _a,
        restProps = __rest(_a, ["dFormControl", "dList", "dModel", "dExpands", "dExpandAll", "dVisible", "dPlaceholder", "dSize", "dLoading", "dSearchable", "dClearable", "dShowLine", "dDisabled", "dMultiple", "dOnlyLeafSelectable", "dCustomItem", "dCustomSelected", "dCustomSearch", "dPopupClassName", "dInputProps", "dInputRef", "onModelChange", "onVisibleChange", "afterVisibleChange", "onSearch", "onClear", "onFirstExpand", "onExpandsChange"]); //#region Context


  const dPrefix = usePrefixConfig();
  const {
    gSize,
    gDisabled
  } = useGeneralContext(); //#endregion

  const dataRef = useRef({
    expandList: new Set(dExpands)
  });
  const onKeyDown$ = useEventNotify();
  const [t] = useTranslation();
  const uniqueId = useId();
  const listId = `${dPrefix}tree-select-list-${uniqueId}`;

  const getGroupId = val => `${dPrefix}tree-group-${val}-${uniqueId}`;

  const getItemId = val => `${dPrefix}tree-item-${val}-${uniqueId}`;

  const [searchValue, setSearchValue] = useState('');
  const [visible, changeVisible] = useDValue(false, dVisible, onVisibleChange);
  const renderNodes = useMemo(() => dList.map(item => dMultiple ? new MultipleTreeNode(item, origin => origin.value, {
    disabled: item.disabled
  }) : new SingleTreeNode(item, origin => origin.value, {
    disabled: item.disabled
  })), [dMultiple, dList]);
  const [nodesMap, initExpandAll] = useMemo(() => {
    const nodes = new Map();
    const expandAllNodes = [];

    const reduceArr = arr => {
      for (const item of arr) {
        nodes.set(item.id, item);

        if (item.children) {
          expandAllNodes.push(item.id);
          reduceArr(item.children);
        }
      }
    };

    reduceArr(renderNodes);
    return [nodes, expandAllNodes];
  }, [renderNodes]);
  const formControlInject = useFormControl(dFormControl);
  const [_select, changeSelect] = useDValue(dMultiple ? [] : null, dModel, value => {
    var _a;

    if (onModelChange) {
      if (dMultiple) {
        onModelChange(value, value.map(v => nodesMap.get(v).origin));
      } else {
        onModelChange(value, isNull(value) ? null : (_a = nodesMap.get(value)) === null || _a === void 0 ? void 0 : _a.origin);
      }
    }
  }, undefined, formControlInject);
  const select = useMemo(() => dMultiple ? new Set(_select) : _select, [_select, dMultiple]);
  renderNodes.forEach(node => {
    node.updateStatus(select);
  });
  const [_expandIds, changeExpandIds] = useDValue(dExpandAll ? initExpandAll : [], dExpands, value => {
    if (onExpandsChange) {
      onExpandsChange(value, value.map(v => nodesMap.get(v).origin));
    }
  });
  const expandIds = useMemo(() => new Set(_expandIds), [_expandIds]);
  const size = dSize !== null && dSize !== void 0 ? dSize : gSize;
  const disabled = dDisabled || gDisabled || (dFormControl === null || dFormControl === void 0 ? void 0 : dFormControl.control.disabled);
  const hasSearch = searchValue.length > 0;
  const hasSelected = dMultiple ? select.size > 0 : !isNull(select);
  const filterFn = useCallback((item, searchStr = searchValue) => {
    const defaultFilterFn = item => {
      return item.label.includes(searchStr);
    };

    return dCustomSearch && dCustomSearch.filter ? dCustomSearch.filter(searchStr, item) : defaultFilterFn(item);
  }, [dCustomSearch, searchValue]);
  const sortFn = dCustomSearch === null || dCustomSearch === void 0 ? void 0 : dCustomSearch.sort;
  const searchList = useMemo(() => {
    if (!hasSearch) {
      return [];
    }

    const searchList = [];

    const reduceNodes = nodes => {
      nodes.forEach(node => {
        if (!dMultiple && !dOnlyLeafSelectable || node.isLeaf) {
          if (filterFn(node.origin)) {
            searchList.push({
              label: getText(node),
              value: node.id,
              disabled: node.disabled,
              [TREE_NODE_KEY]: node
            });
          }
        }

        if (node.children) {
          reduceNodes(node.children);
        }
      });
    };

    reduceNodes(renderNodes);

    if (sortFn) {
      searchList.sort((a, b) => sortFn(a[TREE_NODE_KEY].origin, b[TREE_NODE_KEY].origin));
    }

    return searchList;
  }, [dMultiple, dOnlyLeafSelectable, filterFn, hasSearch, renderNodes, sortFn]);
  const [focusVisible, setFocusVisible] = useState(false);
  const [_noSearchFocusItem, setNoSearchFocusItem] = useState();

  const noSearchFocusItem = (() => {
    let focusItem;

    if (_noSearchFocusItem) {
      focusItem = nodesMap.get(_noSearchFocusItem.id);

      if (focusItem && focusItem.enabled) {
        return focusItem;
      }
    }

    if (hasSelected) {
      focusItem = findNested(renderNodes, node => node.enabled && node.checked, node => expandIds.has(node.id) && node.children);
    }

    if (isUndefined(focusItem)) {
      focusItem = findNested(renderNodes, node => node.enabled, node => expandIds.has(node.id) && node.children);
    }

    return focusItem;
  })();

  const [_searchFocusItem, setSearchFocusItem] = useState();

  const searchFocusItem = (() => {
    if (_searchFocusItem && findNested(searchList, item => item[TREE_NODE_KEY].enabled && item.value === _searchFocusItem.value)) {
      return _searchFocusItem;
    }

    if (hasSearch) {
      return findNested(searchList, item => item[TREE_NODE_KEY].enabled);
    }
  })();

  const handleClear = () => {
    onClear === null || onClear === void 0 ? void 0 : onClear();

    if (dMultiple) {
      changeSelect([]);
    } else {
      changeSelect(null);
    }
  };

  const [selectedNode, suffixNode, selectedLabel] = (() => {
    let selectedNode = null;
    let suffixNode = null;
    let selectedLabel;

    if (dMultiple) {
      const selectedNodes = _select.map(v => nodesMap.get(v));

      suffixNode = jsx(DDropdown, Object.assign({
        dList: selectedNodes.map(node => {
          const {
            value: itemValue,
            disabled: itemDisabled
          } = node.origin;
          const text = dCustomSelected ? dCustomSelected(node.origin) : getText(node);
          return {
            id: itemValue,
            label: text,
            type: 'item',
            disabled: itemDisabled,
            node
          };
        }),
        dCloseOnClick: false,
        onItemClick: (id, item) => {
          const checkeds = item.node.changeStatus('UNCHECKED', select);
          changeSelect(Array.from(checkeds.keys()));
        }
      }, {
        children: jsx(DTag, Object.assign({
          className: `${dPrefix}tree-select__multiple-count`,
          dSize: size
        }, {
          children: select.size
        }))
      }));
      selectedNode = selectedNodes.map(node => jsxs(DTag, Object.assign({
        className: `${dPrefix}tree-select__multiple-tag`,
        dSize: size
      }, {
        children: [dCustomSelected ? dCustomSelected(node.origin) : node.origin.label, !(node.disabled || disabled) && jsx("div", Object.assign({
          className: `${dPrefix}tree-select__close`,
          role: "button",
          "aria-label": t('Close'),
          onClick: e => {
            e.stopPropagation();
            const checkeds = node.changeStatus('UNCHECKED', select);
            changeSelect(Array.from(checkeds.keys()));
          }
        }, {
          children: jsx(CloseOutlined, {})
        }))]
      }), node.id));
    } else {
      if (!isNull(select)) {
        const node = nodesMap.get(select);
        selectedLabel = getText(node);
        selectedNode = dCustomSelected ? dCustomSelected(node.origin) : selectedLabel;
      }
    }

    return [selectedNode, suffixNode, selectedLabel];
  })();

  return jsx(DComboboxKeyboardSupport, Object.assign({
    dVisible: visible,
    dEditable: dSearchable,
    dNested: !hasSearch,
    onVisibleChange: changeVisible,
    onFocusChange: key => {
      onKeyDown$.next(key);
    }
  }, {
    children: ({
      ksOnKeyDown
    }) => jsx(DSelectbox, Object.assign({}, restProps, {
      ref: ref,
      onClick: e => {
        var _a;

        (_a = restProps.onClick) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
        changeVisible(draft => dSearchable ? true : !draft);
      },
      dClassNamePrefix: "tree-select",
      dFormControl: dFormControl,
      dVisible: visible,
      dContent: hasSelected && selectedNode,
      dContentTitle: selectedLabel,
      dPlaceholder: dPlaceholder,
      dSuffix: suffixNode,
      dSize: size,
      dLoading: dLoading,
      dSearchable: dSearchable,
      dClearable: dClearable,
      dDisabled: disabled,
      dInputProps: Object.assign(Object.assign({}, dInputProps), {
        value: searchValue,
        'aria-controls': listId,
        onBlur: e => {
          var _a;

          (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onBlur) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
          changeVisible(false);
        },
        onKeyDown: e => {
          var _a;

          (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onKeyDown) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
          ksOnKeyDown(e);

          if ((e.code === 'Enter' || !dSearchable && e.code === 'Space') && visible) {
            onKeyDown$.next('click');
          }
        },
        onChange: e => {
          var _a;

          (_a = dInputProps === null || dInputProps === void 0 ? void 0 : dInputProps.onChange) === null || _a === void 0 ? void 0 : _a.call(dInputProps, e);
          const val = e.currentTarget.value;

          if (dSearchable) {
            setSearchValue(val);
            onSearch === null || onSearch === void 0 ? void 0 : onSearch(val);
          }
        }
      }),
      dInputRef: dInputRef,
      dUpdatePosition: (boxEl, popupEl) => {
        const width = boxEl.getBoundingClientRect().width;
        const {
          height
        } = getOriginalSize(popupEl);
        const {
          top,
          left,
          transformOrigin
        } = getVerticalSidePosition(boxEl, {
          width,
          height
        }, 'bottom-left', 8);
        return {
          position: {
            top,
            left,
            width: hasSearch ? width : undefined,
            minWidth: hasSearch ? undefined : width,
            maxWidth: window.innerWidth - left - 20
          },
          transformOrigin
        };
      },
      afterVisibleChange: afterVisibleChange,
      onFocusVisibleChange: setFocusVisible,
      onClear: handleClear
    }, {
      children: ({
        sPopupRef,
        sStyle,
        sOnMouseDown,
        sOnMouseUp
      }) => jsxs("div", Object.assign({
        ref: sPopupRef,
        className: getClassName(dPopupClassName, `${dPrefix}tree-select__popup`),
        style: sStyle,
        onMouseDown: sOnMouseDown,
        onMouseUp: sOnMouseUp
      }, {
        children: [dLoading && jsx("div", Object.assign({
          className: getClassName(`${dPrefix}tree-select__loading`, {
            [`${dPrefix}tree-select__loading--empty`]: (hasSearch ? searchList : renderNodes).length === 0
          })
        }, {
          children: jsx(LoadingOutlined, {
            dSize: (hasSearch ? searchList : renderNodes).length === 0 ? 18 : 24,
            dSpin: true
          })
        })), hasSearch ? jsx(DSearchPanel, {
          id: listId,
          style: {
            pointerEvents: dLoading ? 'none' : undefined
          },
          dGetItemId: getItemId,
          dList: searchList,
          dFocusItem: searchFocusItem,
          dCustomItem: dCustomItem,
          dMultiple: dMultiple,
          dOnlyLeafSelectable: dOnlyLeafSelectable,
          dFocusVisible: focusVisible,
          onFocusChange: setSearchFocusItem,
          onClickItem: item => {
            if (dMultiple) {
              const checkeds = item[TREE_NODE_KEY].changeStatus(item[TREE_NODE_KEY].checked ? 'UNCHECKED' : 'CHECKED', select);
              changeSelect(Array.from(checkeds.keys()));
            } else {
              changeSelect(item[TREE_NODE_KEY].id);
              changeVisible(false);
            }
          },
          "onKeyDown$": onKeyDown$
        }) : jsx(DPanel, {
          id: listId,
          style: {
            pointerEvents: dLoading ? 'none' : undefined
          },
          dGetGroupId: getGroupId,
          dGetItemId: getItemId,
          dList: renderNodes,
          dExpandIds: expandIds,
          dHeight: 264,
          dPadding: 4,
          dFocusItem: noSearchFocusItem,
          dCustomItem: dCustomItem,
          dShowLine: dShowLine,
          dMultiple: dMultiple,
          dFocusVisible: focusVisible,
          onFocusChange: setNoSearchFocusItem,
          onExpandChange: item => {
            const isExpand = expandIds.has(item.id);

            if (!item.origin.loading) {
              if (isExpand) {
                changeExpandIds(draft => {
                  draft.splice(draft.findIndex(id => id === item.id), 1);
                });
              } else {
                if (!dataRef.current.expandList.has(item.id)) {
                  dataRef.current.expandList.add(item.id);
                  onFirstExpand === null || onFirstExpand === void 0 ? void 0 : onFirstExpand(item.id, item.origin);
                }

                changeExpandIds(draft => {
                  draft.push(item.id);
                });
              }
            }
          },
          onClickItem: node => {
            if (dMultiple) {
              const checkeds = node.changeStatus(node.checked ? 'UNCHECKED' : 'CHECKED', select);
              changeSelect(Array.from(checkeds.keys()));
            } else {
              if (!dOnlyLeafSelectable || node.isLeaf) {
                changeSelect(node.id);
              }
            }
          },
          "onKeyDown$": onKeyDown$
        })]
      }))
    }))
  }));
}

const DTreeSelect = /*#__PURE__*/React.forwardRef(TreeSelect);

var charAt$2 = stringMultibyte.charAt;
var toString$1 = toString$e;
var InternalStateModule$2 = internalState;
var defineIterator = defineIterator$2;

var STRING_ITERATOR = 'String Iterator';
var setInternalState$2 = InternalStateModule$2.set;
var getInternalState = InternalStateModule$2.getterFor(STRING_ITERATOR);

// `String.prototype[@@iterator]` method
// https://tc39.es/ecma262/#sec-string.prototype-@@iterator
defineIterator(String, 'String', function (iterated) {
  setInternalState$2(this, {
    type: STRING_ITERATOR,
    string: toString$1(iterated),
    index: 0
  });
// `%StringIteratorPrototype%.next` method
// https://tc39.es/ecma262/#sec-%stringiteratorprototype%.next
}, function next() {
  var state = getInternalState(this);
  var string = state.string;
  var index = state.index;
  var point;
  if (index >= string.length) return { value: undefined, done: true };
  point = charAt$2(string, index);
  state.index += point.length;
  return { value: point, done: false };
});

var fails = fails$q;
var wellKnownSymbol$1 = wellKnownSymbol$l;
var IS_PURE = isPure;

var ITERATOR$1 = wellKnownSymbol$1('iterator');

var nativeUrl = !fails(function () {
  // eslint-disable-next-line unicorn/relative-url-style -- required for testing
  var url = new URL('b?a=1&b=2&c=3', 'http://a');
  var searchParams = url.searchParams;
  var result = '';
  url.pathname = 'c%20d';
  searchParams.forEach(function (value, key) {
    searchParams['delete']('b');
    result += key + value;
  });
  return (IS_PURE && !url.toJSON)
    || !searchParams.sort
    || url.href !== 'http://a/c%20d?a=1&c=3'
    || searchParams.get('c') !== '3'
    || String(new URLSearchParams('?a=1')) !== 'a=1'
    || !searchParams[ITERATOR$1]
    // throws in Edge
    || new URL('https://a@b').username !== 'a'
    || new URLSearchParams(new URLSearchParams('a=b')).get('a') !== 'b'
    // not punycoded in Edge
    || new URL('http://тест').host !== 'xn--e1aybc'
    // not escaped in Chrome 62-
    || new URL('http://a#б').hash !== '#%D0%B1'
    // fails in Chrome 66-
    || result !== 'a1c3'
    // throws in Safari
    || new URL('http://x', undefined).host !== 'x';
});

var makeBuiltIn = makeBuiltIn$3.exports;
var defineProperty = objectDefineProperty;

var defineBuiltInAccessor$1 = function (target, name, descriptor) {
  if (descriptor.get) makeBuiltIn(descriptor.get, name, { getter: true });
  if (descriptor.set) makeBuiltIn(descriptor.set, name, { setter: true });
  return defineProperty.f(target, name, descriptor);
};

var anObject$1 = anObject$i;
var iteratorClose = iteratorClose$2;

// call something on iterator step with safe closing on error
var callWithSafeIterationClosing$1 = function (iterator, fn, value, ENTRIES) {
  try {
    return ENTRIES ? fn(anObject$1(value)[0], value[1]) : fn(value);
  } catch (error) {
    iteratorClose(iterator, 'throw', error);
  }
};

var bind$2 = functionBindContext;
var call$1 = functionCall;
var toObject = toObject$7;
var callWithSafeIterationClosing = callWithSafeIterationClosing$1;
var isArrayIteratorMethod = isArrayIteratorMethod$2;
var isConstructor = isConstructor$2;
var lengthOfArrayLike = lengthOfArrayLike$6;
var createProperty = createProperty$2;
var getIterator$1 = getIterator$3;
var getIteratorMethod$1 = getIteratorMethod$4;

var $Array = Array;

// `Array.from` method implementation
// https://tc39.es/ecma262/#sec-array.from
var arrayFrom$1 = function from(arrayLike /* , mapfn = undefined, thisArg = undefined */) {
  var O = toObject(arrayLike);
  var IS_CONSTRUCTOR = isConstructor(this);
  var argumentsLength = arguments.length;
  var mapfn = argumentsLength > 1 ? arguments[1] : undefined;
  var mapping = mapfn !== undefined;
  if (mapping) mapfn = bind$2(mapfn, argumentsLength > 2 ? arguments[2] : undefined);
  var iteratorMethod = getIteratorMethod$1(O);
  var index = 0;
  var length, result, step, iterator, next, value;
  // if the target is not iterable or it's an array with the default iterator - use a simple case
  if (iteratorMethod && !(this === $Array && isArrayIteratorMethod(iteratorMethod))) {
    iterator = getIterator$1(O, iteratorMethod);
    next = iterator.next;
    result = IS_CONSTRUCTOR ? new this() : [];
    for (;!(step = call$1(next, iterator)).done; index++) {
      value = mapping ? callWithSafeIterationClosing(iterator, mapfn, [step.value, index], true) : step.value;
      createProperty(result, index, value);
    }
  } else {
    length = lengthOfArrayLike(O);
    result = IS_CONSTRUCTOR ? new this(length) : $Array(length);
    for (;length > index; index++) {
      value = mapping ? mapfn(O[index], index) : O[index];
      createProperty(result, index, value);
    }
  }
  result.length = index;
  return result;
};

// based on https://github.com/bestiejs/punycode.js/blob/master/punycode.js
var uncurryThis$3 = functionUncurryThis;

var maxInt = 2147483647; // aka. 0x7FFFFFFF or 2^31-1
var base = 36;
var tMin = 1;
var tMax = 26;
var skew = 38;
var damp = 700;
var initialBias = 72;
var initialN = 128; // 0x80
var delimiter = '-'; // '\x2D'
var regexNonASCII = /[^\0-\u007E]/; // non-ASCII chars
var regexSeparators = /[.\u3002\uFF0E\uFF61]/g; // RFC 3490 separators
var OVERFLOW_ERROR = 'Overflow: input needs wider integers to process';
var baseMinusTMin = base - tMin;

var $RangeError = RangeError;
var exec$1 = uncurryThis$3(regexSeparators.exec);
var floor$1 = Math.floor;
var fromCharCode = String.fromCharCode;
var charCodeAt = uncurryThis$3(''.charCodeAt);
var join$2 = uncurryThis$3([].join);
var push$2 = uncurryThis$3([].push);
var replace$2 = uncurryThis$3(''.replace);
var split$2 = uncurryThis$3(''.split);
var toLowerCase$1 = uncurryThis$3(''.toLowerCase);

/**
 * Creates an array containing the numeric code points of each Unicode
 * character in the string. While JavaScript uses UCS-2 internally,
 * this function will convert a pair of surrogate halves (each of which
 * UCS-2 exposes as separate characters) into a single code point,
 * matching UTF-16.
 */
var ucs2decode = function (string) {
  var output = [];
  var counter = 0;
  var length = string.length;
  while (counter < length) {
    var value = charCodeAt(string, counter++);
    if (value >= 0xD800 && value <= 0xDBFF && counter < length) {
      // It's a high surrogate, and there is a next character.
      var extra = charCodeAt(string, counter++);
      if ((extra & 0xFC00) == 0xDC00) { // Low surrogate.
        push$2(output, ((value & 0x3FF) << 10) + (extra & 0x3FF) + 0x10000);
      } else {
        // It's an unmatched surrogate; only append this code unit, in case the
        // next code unit is the high surrogate of a surrogate pair.
        push$2(output, value);
        counter--;
      }
    } else {
      push$2(output, value);
    }
  }
  return output;
};

/**
 * Converts a digit/integer into a basic code point.
 */
var digitToBasic = function (digit) {
  //  0..25 map to ASCII a..z or A..Z
  // 26..35 map to ASCII 0..9
  return digit + 22 + 75 * (digit < 26);
};

/**
 * Bias adaptation function as per section 3.4 of RFC 3492.
 * https://tools.ietf.org/html/rfc3492#section-3.4
 */
var adapt = function (delta, numPoints, firstTime) {
  var k = 0;
  delta = firstTime ? floor$1(delta / damp) : delta >> 1;
  delta += floor$1(delta / numPoints);
  while (delta > baseMinusTMin * tMax >> 1) {
    delta = floor$1(delta / baseMinusTMin);
    k += base;
  }
  return floor$1(k + (baseMinusTMin + 1) * delta / (delta + skew));
};

/**
 * Converts a string of Unicode symbols (e.g. a domain name label) to a
 * Punycode string of ASCII-only symbols.
 */
var encode = function (input) {
  var output = [];

  // Convert the input in UCS-2 to an array of Unicode code points.
  input = ucs2decode(input);

  // Cache the length.
  var inputLength = input.length;

  // Initialize the state.
  var n = initialN;
  var delta = 0;
  var bias = initialBias;
  var i, currentValue;

  // Handle the basic code points.
  for (i = 0; i < input.length; i++) {
    currentValue = input[i];
    if (currentValue < 0x80) {
      push$2(output, fromCharCode(currentValue));
    }
  }

  var basicLength = output.length; // number of basic code points.
  var handledCPCount = basicLength; // number of code points that have been handled;

  // Finish the basic string with a delimiter unless it's empty.
  if (basicLength) {
    push$2(output, delimiter);
  }

  // Main encoding loop:
  while (handledCPCount < inputLength) {
    // All non-basic code points < n have been handled already. Find the next larger one:
    var m = maxInt;
    for (i = 0; i < input.length; i++) {
      currentValue = input[i];
      if (currentValue >= n && currentValue < m) {
        m = currentValue;
      }
    }

    // Increase `delta` enough to advance the decoder's <n,i> state to <m,0>, but guard against overflow.
    var handledCPCountPlusOne = handledCPCount + 1;
    if (m - n > floor$1((maxInt - delta) / handledCPCountPlusOne)) {
      throw $RangeError(OVERFLOW_ERROR);
    }

    delta += (m - n) * handledCPCountPlusOne;
    n = m;

    for (i = 0; i < input.length; i++) {
      currentValue = input[i];
      if (currentValue < n && ++delta > maxInt) {
        throw $RangeError(OVERFLOW_ERROR);
      }
      if (currentValue == n) {
        // Represent delta as a generalized variable-length integer.
        var q = delta;
        var k = base;
        while (true) {
          var t = k <= bias ? tMin : (k >= bias + tMax ? tMax : k - bias);
          if (q < t) break;
          var qMinusT = q - t;
          var baseMinusT = base - t;
          push$2(output, fromCharCode(digitToBasic(t + qMinusT % baseMinusT)));
          q = floor$1(qMinusT / baseMinusT);
          k += base;
        }

        push$2(output, fromCharCode(digitToBasic(q)));
        bias = adapt(delta, handledCPCountPlusOne, handledCPCount == basicLength);
        delta = 0;
        handledCPCount++;
      }
    }

    delta++;
    n++;
  }
  return join$2(output, '');
};

var stringPunycodeToAscii = function (input) {
  var encoded = [];
  var labels = split$2(replace$2(toLowerCase$1(input), regexSeparators, '\u002E'), '.');
  var i, label;
  for (i = 0; i < labels.length; i++) {
    label = labels[i];
    push$2(encoded, exec$1(regexNonASCII, label) ? 'xn--' + encode(label) : label);
  }
  return join$2(encoded, '.');
};

var defineBuiltIn$2 = defineBuiltIn$b;

var defineBuiltIns$1 = function (target, src, options) {
  for (var key in src) defineBuiltIn$2(target, key, src[key], options);
  return target;
};

// TODO: in core-js@4, move /modules/ dependencies to public entries for better optimization by tools like `preset-env`

var $$2 = _export;
var global$2 = global$r;
var call = functionCall;
var uncurryThis$2 = functionUncurryThis;
var DESCRIPTORS$1 = descriptors;
var USE_NATIVE_URL$1 = nativeUrl;
var defineBuiltIn$1 = defineBuiltIn$b;
var defineBuiltIns = defineBuiltIns$1;
var setToStringTag$1 = setToStringTag$5;
var createIteratorConstructor = createIteratorConstructor$2;
var InternalStateModule$1 = internalState;
var anInstance$1 = anInstance$3;
var isCallable = isCallable$p;
var hasOwn$1 = hasOwnProperty_1;
var bind$1 = functionBindContext;
var classof = classof$7;
var anObject = anObject$i;
var isObject = isObject$a;
var $toString$1 = toString$e;
var create = objectCreate;
var createPropertyDescriptor = createPropertyDescriptor$5;
var getIterator = getIterator$3;
var getIteratorMethod = getIteratorMethod$4;
var validateArgumentsLength$1 = validateArgumentsLength$3;
var wellKnownSymbol = wellKnownSymbol$l;
var arraySort = arraySort$1;

var ITERATOR = wellKnownSymbol('iterator');
var URL_SEARCH_PARAMS = 'URLSearchParams';
var URL_SEARCH_PARAMS_ITERATOR = URL_SEARCH_PARAMS + 'Iterator';
var setInternalState$1 = InternalStateModule$1.set;
var getInternalParamsState = InternalStateModule$1.getterFor(URL_SEARCH_PARAMS);
var getInternalIteratorState = InternalStateModule$1.getterFor(URL_SEARCH_PARAMS_ITERATOR);
// eslint-disable-next-line es-x/no-object-getownpropertydescriptor -- safe
var getOwnPropertyDescriptor$1 = Object.getOwnPropertyDescriptor;

// Avoid NodeJS experimental warning
var safeGetBuiltIn = function (name) {
  if (!DESCRIPTORS$1) return global$2[name];
  var descriptor = getOwnPropertyDescriptor$1(global$2, name);
  return descriptor && descriptor.value;
};

var nativeFetch = safeGetBuiltIn('fetch');
var NativeRequest = safeGetBuiltIn('Request');
var Headers = safeGetBuiltIn('Headers');
var RequestPrototype = NativeRequest && NativeRequest.prototype;
var HeadersPrototype = Headers && Headers.prototype;
var RegExp$1 = global$2.RegExp;
var TypeError$2 = global$2.TypeError;
var decodeURIComponent = global$2.decodeURIComponent;
var encodeURIComponent$1 = global$2.encodeURIComponent;
var charAt$1 = uncurryThis$2(''.charAt);
var join$1 = uncurryThis$2([].join);
var push$1 = uncurryThis$2([].push);
var replace$1 = uncurryThis$2(''.replace);
var shift$1 = uncurryThis$2([].shift);
var splice = uncurryThis$2([].splice);
var split$1 = uncurryThis$2(''.split);
var stringSlice$2 = uncurryThis$2(''.slice);

var plus = /\+/g;
var sequences = Array(4);

var percentSequence = function (bytes) {
  return sequences[bytes - 1] || (sequences[bytes - 1] = RegExp$1('((?:%[\\da-f]{2}){' + bytes + '})', 'gi'));
};

var percentDecode = function (sequence) {
  try {
    return decodeURIComponent(sequence);
  } catch (error) {
    return sequence;
  }
};

var deserialize = function (it) {
  var result = replace$1(it, plus, ' ');
  var bytes = 4;
  try {
    return decodeURIComponent(result);
  } catch (error) {
    while (bytes) {
      result = replace$1(result, percentSequence(bytes--), percentDecode);
    }
    return result;
  }
};

var find = /[!'()~]|%20/g;

var replacements = {
  '!': '%21',
  "'": '%27',
  '(': '%28',
  ')': '%29',
  '~': '%7E',
  '%20': '+'
};

var replacer = function (match) {
  return replacements[match];
};

var serialize = function (it) {
  return replace$1(encodeURIComponent$1(it), find, replacer);
};

var URLSearchParamsIterator = createIteratorConstructor(function Iterator(params, kind) {
  setInternalState$1(this, {
    type: URL_SEARCH_PARAMS_ITERATOR,
    iterator: getIterator(getInternalParamsState(params).entries),
    kind: kind
  });
}, 'Iterator', function next() {
  var state = getInternalIteratorState(this);
  var kind = state.kind;
  var step = state.iterator.next();
  var entry = step.value;
  if (!step.done) {
    step.value = kind === 'keys' ? entry.key : kind === 'values' ? entry.value : [entry.key, entry.value];
  } return step;
}, true);

var URLSearchParamsState = function (init) {
  this.entries = [];
  this.url = null;

  if (init !== undefined) {
    if (isObject(init)) this.parseObject(init);
    else this.parseQuery(typeof init == 'string' ? charAt$1(init, 0) === '?' ? stringSlice$2(init, 1) : init : $toString$1(init));
  }
};

URLSearchParamsState.prototype = {
  type: URL_SEARCH_PARAMS,
  bindURL: function (url) {
    this.url = url;
    this.update();
  },
  parseObject: function (object) {
    var iteratorMethod = getIteratorMethod(object);
    var iterator, next, step, entryIterator, entryNext, first, second;

    if (iteratorMethod) {
      iterator = getIterator(object, iteratorMethod);
      next = iterator.next;
      while (!(step = call(next, iterator)).done) {
        entryIterator = getIterator(anObject(step.value));
        entryNext = entryIterator.next;
        if (
          (first = call(entryNext, entryIterator)).done ||
          (second = call(entryNext, entryIterator)).done ||
          !call(entryNext, entryIterator).done
        ) throw TypeError$2('Expected sequence with length 2');
        push$1(this.entries, { key: $toString$1(first.value), value: $toString$1(second.value) });
      }
    } else for (var key in object) if (hasOwn$1(object, key)) {
      push$1(this.entries, { key: key, value: $toString$1(object[key]) });
    }
  },
  parseQuery: function (query) {
    if (query) {
      var attributes = split$1(query, '&');
      var index = 0;
      var attribute, entry;
      while (index < attributes.length) {
        attribute = attributes[index++];
        if (attribute.length) {
          entry = split$1(attribute, '=');
          push$1(this.entries, {
            key: deserialize(shift$1(entry)),
            value: deserialize(join$1(entry, '='))
          });
        }
      }
    }
  },
  serialize: function () {
    var entries = this.entries;
    var result = [];
    var index = 0;
    var entry;
    while (index < entries.length) {
      entry = entries[index++];
      push$1(result, serialize(entry.key) + '=' + serialize(entry.value));
    } return join$1(result, '&');
  },
  update: function () {
    this.entries.length = 0;
    this.parseQuery(this.url.query);
  },
  updateURL: function () {
    if (this.url) this.url.update();
  }
};

// `URLSearchParams` constructor
// https://url.spec.whatwg.org/#interface-urlsearchparams
var URLSearchParamsConstructor = function URLSearchParams(/* init */) {
  anInstance$1(this, URLSearchParamsPrototype);
  var init = arguments.length > 0 ? arguments[0] : undefined;
  setInternalState$1(this, new URLSearchParamsState(init));
};

var URLSearchParamsPrototype = URLSearchParamsConstructor.prototype;

defineBuiltIns(URLSearchParamsPrototype, {
  // `URLSearchParams.prototype.append` method
  // https://url.spec.whatwg.org/#dom-urlsearchparams-append
  append: function append(name, value) {
    validateArgumentsLength$1(arguments.length, 2);
    var state = getInternalParamsState(this);
    push$1(state.entries, { key: $toString$1(name), value: $toString$1(value) });
    state.updateURL();
  },
  // `URLSearchParams.prototype.delete` method
  // https://url.spec.whatwg.org/#dom-urlsearchparams-delete
  'delete': function (name) {
    validateArgumentsLength$1(arguments.length, 1);
    var state = getInternalParamsState(this);
    var entries = state.entries;
    var key = $toString$1(name);
    var index = 0;
    while (index < entries.length) {
      if (entries[index].key === key) splice(entries, index, 1);
      else index++;
    }
    state.updateURL();
  },
  // `URLSearchParams.prototype.get` method
  // https://url.spec.whatwg.org/#dom-urlsearchparams-get
  get: function get(name) {
    validateArgumentsLength$1(arguments.length, 1);
    var entries = getInternalParamsState(this).entries;
    var key = $toString$1(name);
    var index = 0;
    for (; index < entries.length; index++) {
      if (entries[index].key === key) return entries[index].value;
    }
    return null;
  },
  // `URLSearchParams.prototype.getAll` method
  // https://url.spec.whatwg.org/#dom-urlsearchparams-getall
  getAll: function getAll(name) {
    validateArgumentsLength$1(arguments.length, 1);
    var entries = getInternalParamsState(this).entries;
    var key = $toString$1(name);
    var result = [];
    var index = 0;
    for (; index < entries.length; index++) {
      if (entries[index].key === key) push$1(result, entries[index].value);
    }
    return result;
  },
  // `URLSearchParams.prototype.has` method
  // https://url.spec.whatwg.org/#dom-urlsearchparams-has
  has: function has(name) {
    validateArgumentsLength$1(arguments.length, 1);
    var entries = getInternalParamsState(this).entries;
    var key = $toString$1(name);
    var index = 0;
    while (index < entries.length) {
      if (entries[index++].key === key) return true;
    }
    return false;
  },
  // `URLSearchParams.prototype.set` method
  // https://url.spec.whatwg.org/#dom-urlsearchparams-set
  set: function set(name, value) {
    validateArgumentsLength$1(arguments.length, 1);
    var state = getInternalParamsState(this);
    var entries = state.entries;
    var found = false;
    var key = $toString$1(name);
    var val = $toString$1(value);
    var index = 0;
    var entry;
    for (; index < entries.length; index++) {
      entry = entries[index];
      if (entry.key === key) {
        if (found) splice(entries, index--, 1);
        else {
          found = true;
          entry.value = val;
        }
      }
    }
    if (!found) push$1(entries, { key: key, value: val });
    state.updateURL();
  },
  // `URLSearchParams.prototype.sort` method
  // https://url.spec.whatwg.org/#dom-urlsearchparams-sort
  sort: function sort() {
    var state = getInternalParamsState(this);
    arraySort(state.entries, function (a, b) {
      return a.key > b.key ? 1 : -1;
    });
    state.updateURL();
  },
  // `URLSearchParams.prototype.forEach` method
  forEach: function forEach(callback /* , thisArg */) {
    var entries = getInternalParamsState(this).entries;
    var boundFunction = bind$1(callback, arguments.length > 1 ? arguments[1] : undefined);
    var index = 0;
    var entry;
    while (index < entries.length) {
      entry = entries[index++];
      boundFunction(entry.value, entry.key, this);
    }
  },
  // `URLSearchParams.prototype.keys` method
  keys: function keys() {
    return new URLSearchParamsIterator(this, 'keys');
  },
  // `URLSearchParams.prototype.values` method
  values: function values() {
    return new URLSearchParamsIterator(this, 'values');
  },
  // `URLSearchParams.prototype.entries` method
  entries: function entries() {
    return new URLSearchParamsIterator(this, 'entries');
  }
}, { enumerable: true });

// `URLSearchParams.prototype[@@iterator]` method
defineBuiltIn$1(URLSearchParamsPrototype, ITERATOR, URLSearchParamsPrototype.entries, { name: 'entries' });

// `URLSearchParams.prototype.toString` method
// https://url.spec.whatwg.org/#urlsearchparams-stringification-behavior
defineBuiltIn$1(URLSearchParamsPrototype, 'toString', function toString() {
  return getInternalParamsState(this).serialize();
}, { enumerable: true });

setToStringTag$1(URLSearchParamsConstructor, URL_SEARCH_PARAMS);

$$2({ global: true, constructor: true, forced: !USE_NATIVE_URL$1 }, {
  URLSearchParams: URLSearchParamsConstructor
});

// Wrap `fetch` and `Request` for correct work with polyfilled `URLSearchParams`
if (!USE_NATIVE_URL$1 && isCallable(Headers)) {
  var headersHas = uncurryThis$2(HeadersPrototype.has);
  var headersSet = uncurryThis$2(HeadersPrototype.set);

  var wrapRequestOptions = function (init) {
    if (isObject(init)) {
      var body = init.body;
      var headers;
      if (classof(body) === URL_SEARCH_PARAMS) {
        headers = init.headers ? new Headers(init.headers) : new Headers();
        if (!headersHas(headers, 'content-type')) {
          headersSet(headers, 'content-type', 'application/x-www-form-urlencoded;charset=UTF-8');
        }
        return create(init, {
          body: createPropertyDescriptor(0, $toString$1(body)),
          headers: createPropertyDescriptor(0, headers)
        });
      }
    } return init;
  };

  if (isCallable(nativeFetch)) {
    $$2({ global: true, enumerable: true, dontCallGetSet: true, forced: true }, {
      fetch: function fetch(input /* , init */) {
        return nativeFetch(input, arguments.length > 1 ? wrapRequestOptions(arguments[1]) : {});
      }
    });
  }

  if (isCallable(NativeRequest)) {
    var RequestConstructor = function Request(input /* , init */) {
      anInstance$1(this, RequestPrototype);
      return new NativeRequest(input, arguments.length > 1 ? wrapRequestOptions(arguments[1]) : {});
    };

    RequestPrototype.constructor = RequestConstructor;
    RequestConstructor.prototype = RequestPrototype;

    $$2({ global: true, constructor: true, dontCallGetSet: true, forced: true }, {
      Request: RequestConstructor
    });
  }
}

var web_urlSearchParams_constructor = {
  URLSearchParams: URLSearchParamsConstructor,
  getState: getInternalParamsState
};

// TODO: in core-js@4, move /modules/ dependencies to public entries for better optimization by tools like `preset-env`

var $$1 = _export;
var DESCRIPTORS = descriptors;
var USE_NATIVE_URL = nativeUrl;
var global$1 = global$r;
var bind = functionBindContext;
var uncurryThis$1 = functionUncurryThis;
var defineBuiltIn = defineBuiltIn$b;
var defineBuiltInAccessor = defineBuiltInAccessor$1;
var anInstance = anInstance$3;
var hasOwn = hasOwnProperty_1;
var assign = objectAssign;
var arrayFrom = arrayFrom$1;
var arraySlice = arraySliceSimple;
var codeAt = stringMultibyte.codeAt;
var toASCII = stringPunycodeToAscii;
var $toString = toString$e;
var setToStringTag = setToStringTag$5;
var validateArgumentsLength = validateArgumentsLength$3;
var URLSearchParamsModule = web_urlSearchParams_constructor;
var InternalStateModule = internalState;

var setInternalState = InternalStateModule.set;
var getInternalURLState = InternalStateModule.getterFor('URL');
var URLSearchParams$1 = URLSearchParamsModule.URLSearchParams;
var getInternalSearchParamsState = URLSearchParamsModule.getState;

var NativeURL = global$1.URL;
var TypeError$1 = global$1.TypeError;
var parseInt$1 = global$1.parseInt;
var floor = Math.floor;
var pow = Math.pow;
var charAt = uncurryThis$1(''.charAt);
var exec = uncurryThis$1(/./.exec);
var join = uncurryThis$1([].join);
var numberToString = uncurryThis$1(1.0.toString);
var pop = uncurryThis$1([].pop);
var push = uncurryThis$1([].push);
var replace = uncurryThis$1(''.replace);
var shift = uncurryThis$1([].shift);
var split = uncurryThis$1(''.split);
var stringSlice$1 = uncurryThis$1(''.slice);
var toLowerCase = uncurryThis$1(''.toLowerCase);
var unshift = uncurryThis$1([].unshift);

var INVALID_AUTHORITY = 'Invalid authority';
var INVALID_SCHEME = 'Invalid scheme';
var INVALID_HOST = 'Invalid host';
var INVALID_PORT = 'Invalid port';

var ALPHA = /[a-z]/i;
// eslint-disable-next-line regexp/no-obscure-range -- safe
var ALPHANUMERIC = /[\d+-.a-z]/i;
var DIGIT = /\d/;
var HEX_START = /^0x/i;
var OCT = /^[0-7]+$/;
var DEC = /^\d+$/;
var HEX = /^[\da-f]+$/i;
/* eslint-disable regexp/no-control-character -- safe */
var FORBIDDEN_HOST_CODE_POINT = /[\0\t\n\r #%/:<>?@[\\\]^|]/;
var FORBIDDEN_HOST_CODE_POINT_EXCLUDING_PERCENT = /[\0\t\n\r #/:<>?@[\\\]^|]/;
var LEADING_AND_TRAILING_C0_CONTROL_OR_SPACE = /^[\u0000-\u0020]+|[\u0000-\u0020]+$/g;
var TAB_AND_NEW_LINE = /[\t\n\r]/g;
/* eslint-enable regexp/no-control-character -- safe */
var EOF;

// https://url.spec.whatwg.org/#ipv4-number-parser
var parseIPv4 = function (input) {
  var parts = split(input, '.');
  var partsLength, numbers, index, part, radix, number, ipv4;
  if (parts.length && parts[parts.length - 1] == '') {
    parts.length--;
  }
  partsLength = parts.length;
  if (partsLength > 4) return input;
  numbers = [];
  for (index = 0; index < partsLength; index++) {
    part = parts[index];
    if (part == '') return input;
    radix = 10;
    if (part.length > 1 && charAt(part, 0) == '0') {
      radix = exec(HEX_START, part) ? 16 : 8;
      part = stringSlice$1(part, radix == 8 ? 1 : 2);
    }
    if (part === '') {
      number = 0;
    } else {
      if (!exec(radix == 10 ? DEC : radix == 8 ? OCT : HEX, part)) return input;
      number = parseInt$1(part, radix);
    }
    push(numbers, number);
  }
  for (index = 0; index < partsLength; index++) {
    number = numbers[index];
    if (index == partsLength - 1) {
      if (number >= pow(256, 5 - partsLength)) return null;
    } else if (number > 255) return null;
  }
  ipv4 = pop(numbers);
  for (index = 0; index < numbers.length; index++) {
    ipv4 += numbers[index] * pow(256, 3 - index);
  }
  return ipv4;
};

// https://url.spec.whatwg.org/#concept-ipv6-parser
// eslint-disable-next-line max-statements -- TODO
var parseIPv6 = function (input) {
  var address = [0, 0, 0, 0, 0, 0, 0, 0];
  var pieceIndex = 0;
  var compress = null;
  var pointer = 0;
  var value, length, numbersSeen, ipv4Piece, number, swaps, swap;

  var chr = function () {
    return charAt(input, pointer);
  };

  if (chr() == ':') {
    if (charAt(input, 1) != ':') return;
    pointer += 2;
    pieceIndex++;
    compress = pieceIndex;
  }
  while (chr()) {
    if (pieceIndex == 8) return;
    if (chr() == ':') {
      if (compress !== null) return;
      pointer++;
      pieceIndex++;
      compress = pieceIndex;
      continue;
    }
    value = length = 0;
    while (length < 4 && exec(HEX, chr())) {
      value = value * 16 + parseInt$1(chr(), 16);
      pointer++;
      length++;
    }
    if (chr() == '.') {
      if (length == 0) return;
      pointer -= length;
      if (pieceIndex > 6) return;
      numbersSeen = 0;
      while (chr()) {
        ipv4Piece = null;
        if (numbersSeen > 0) {
          if (chr() == '.' && numbersSeen < 4) pointer++;
          else return;
        }
        if (!exec(DIGIT, chr())) return;
        while (exec(DIGIT, chr())) {
          number = parseInt$1(chr(), 10);
          if (ipv4Piece === null) ipv4Piece = number;
          else if (ipv4Piece == 0) return;
          else ipv4Piece = ipv4Piece * 10 + number;
          if (ipv4Piece > 255) return;
          pointer++;
        }
        address[pieceIndex] = address[pieceIndex] * 256 + ipv4Piece;
        numbersSeen++;
        if (numbersSeen == 2 || numbersSeen == 4) pieceIndex++;
      }
      if (numbersSeen != 4) return;
      break;
    } else if (chr() == ':') {
      pointer++;
      if (!chr()) return;
    } else if (chr()) return;
    address[pieceIndex++] = value;
  }
  if (compress !== null) {
    swaps = pieceIndex - compress;
    pieceIndex = 7;
    while (pieceIndex != 0 && swaps > 0) {
      swap = address[pieceIndex];
      address[pieceIndex--] = address[compress + swaps - 1];
      address[compress + --swaps] = swap;
    }
  } else if (pieceIndex != 8) return;
  return address;
};

var findLongestZeroSequence = function (ipv6) {
  var maxIndex = null;
  var maxLength = 1;
  var currStart = null;
  var currLength = 0;
  var index = 0;
  for (; index < 8; index++) {
    if (ipv6[index] !== 0) {
      if (currLength > maxLength) {
        maxIndex = currStart;
        maxLength = currLength;
      }
      currStart = null;
      currLength = 0;
    } else {
      if (currStart === null) currStart = index;
      ++currLength;
    }
  }
  if (currLength > maxLength) {
    maxIndex = currStart;
    maxLength = currLength;
  }
  return maxIndex;
};

// https://url.spec.whatwg.org/#host-serializing
var serializeHost = function (host) {
  var result, index, compress, ignore0;
  // ipv4
  if (typeof host == 'number') {
    result = [];
    for (index = 0; index < 4; index++) {
      unshift(result, host % 256);
      host = floor(host / 256);
    } return join(result, '.');
  // ipv6
  } else if (typeof host == 'object') {
    result = '';
    compress = findLongestZeroSequence(host);
    for (index = 0; index < 8; index++) {
      if (ignore0 && host[index] === 0) continue;
      if (ignore0) ignore0 = false;
      if (compress === index) {
        result += index ? ':' : '::';
        ignore0 = true;
      } else {
        result += numberToString(host[index], 16);
        if (index < 7) result += ':';
      }
    }
    return '[' + result + ']';
  } return host;
};

var C0ControlPercentEncodeSet = {};
var fragmentPercentEncodeSet = assign({}, C0ControlPercentEncodeSet, {
  ' ': 1, '"': 1, '<': 1, '>': 1, '`': 1
});
var pathPercentEncodeSet = assign({}, fragmentPercentEncodeSet, {
  '#': 1, '?': 1, '{': 1, '}': 1
});
var userinfoPercentEncodeSet = assign({}, pathPercentEncodeSet, {
  '/': 1, ':': 1, ';': 1, '=': 1, '@': 1, '[': 1, '\\': 1, ']': 1, '^': 1, '|': 1
});

var percentEncode = function (chr, set) {
  var code = codeAt(chr, 0);
  return code > 0x20 && code < 0x7F && !hasOwn(set, chr) ? chr : encodeURIComponent(chr);
};

// https://url.spec.whatwg.org/#special-scheme
var specialSchemes = {
  ftp: 21,
  file: null,
  http: 80,
  https: 443,
  ws: 80,
  wss: 443
};

// https://url.spec.whatwg.org/#windows-drive-letter
var isWindowsDriveLetter = function (string, normalized) {
  var second;
  return string.length == 2 && exec(ALPHA, charAt(string, 0))
    && ((second = charAt(string, 1)) == ':' || (!normalized && second == '|'));
};

// https://url.spec.whatwg.org/#start-with-a-windows-drive-letter
var startsWithWindowsDriveLetter = function (string) {
  var third;
  return string.length > 1 && isWindowsDriveLetter(stringSlice$1(string, 0, 2)) && (
    string.length == 2 ||
    ((third = charAt(string, 2)) === '/' || third === '\\' || third === '?' || third === '#')
  );
};

// https://url.spec.whatwg.org/#single-dot-path-segment
var isSingleDot = function (segment) {
  return segment === '.' || toLowerCase(segment) === '%2e';
};

// https://url.spec.whatwg.org/#double-dot-path-segment
var isDoubleDot = function (segment) {
  segment = toLowerCase(segment);
  return segment === '..' || segment === '%2e.' || segment === '.%2e' || segment === '%2e%2e';
};

// States:
var SCHEME_START = {};
var SCHEME = {};
var NO_SCHEME = {};
var SPECIAL_RELATIVE_OR_AUTHORITY = {};
var PATH_OR_AUTHORITY = {};
var RELATIVE = {};
var RELATIVE_SLASH = {};
var SPECIAL_AUTHORITY_SLASHES = {};
var SPECIAL_AUTHORITY_IGNORE_SLASHES = {};
var AUTHORITY = {};
var HOST = {};
var HOSTNAME = {};
var PORT = {};
var FILE = {};
var FILE_SLASH = {};
var FILE_HOST = {};
var PATH_START = {};
var PATH = {};
var CANNOT_BE_A_BASE_URL_PATH = {};
var QUERY = {};
var FRAGMENT = {};

var URLState = function (url, isBase, base) {
  var urlString = $toString(url);
  var baseState, failure, searchParams;
  if (isBase) {
    failure = this.parse(urlString);
    if (failure) throw TypeError$1(failure);
    this.searchParams = null;
  } else {
    if (base !== undefined) baseState = new URLState(base, true);
    failure = this.parse(urlString, null, baseState);
    if (failure) throw TypeError$1(failure);
    searchParams = getInternalSearchParamsState(new URLSearchParams$1());
    searchParams.bindURL(this);
    this.searchParams = searchParams;
  }
};

URLState.prototype = {
  type: 'URL',
  // https://url.spec.whatwg.org/#url-parsing
  // eslint-disable-next-line max-statements -- TODO
  parse: function (input, stateOverride, base) {
    var url = this;
    var state = stateOverride || SCHEME_START;
    var pointer = 0;
    var buffer = '';
    var seenAt = false;
    var seenBracket = false;
    var seenPasswordToken = false;
    var codePoints, chr, bufferCodePoints, failure;

    input = $toString(input);

    if (!stateOverride) {
      url.scheme = '';
      url.username = '';
      url.password = '';
      url.host = null;
      url.port = null;
      url.path = [];
      url.query = null;
      url.fragment = null;
      url.cannotBeABaseURL = false;
      input = replace(input, LEADING_AND_TRAILING_C0_CONTROL_OR_SPACE, '');
    }

    input = replace(input, TAB_AND_NEW_LINE, '');

    codePoints = arrayFrom(input);

    while (pointer <= codePoints.length) {
      chr = codePoints[pointer];
      switch (state) {
        case SCHEME_START:
          if (chr && exec(ALPHA, chr)) {
            buffer += toLowerCase(chr);
            state = SCHEME;
          } else if (!stateOverride) {
            state = NO_SCHEME;
            continue;
          } else return INVALID_SCHEME;
          break;

        case SCHEME:
          if (chr && (exec(ALPHANUMERIC, chr) || chr == '+' || chr == '-' || chr == '.')) {
            buffer += toLowerCase(chr);
          } else if (chr == ':') {
            if (stateOverride && (
              (url.isSpecial() != hasOwn(specialSchemes, buffer)) ||
              (buffer == 'file' && (url.includesCredentials() || url.port !== null)) ||
              (url.scheme == 'file' && !url.host)
            )) return;
            url.scheme = buffer;
            if (stateOverride) {
              if (url.isSpecial() && specialSchemes[url.scheme] == url.port) url.port = null;
              return;
            }
            buffer = '';
            if (url.scheme == 'file') {
              state = FILE;
            } else if (url.isSpecial() && base && base.scheme == url.scheme) {
              state = SPECIAL_RELATIVE_OR_AUTHORITY;
            } else if (url.isSpecial()) {
              state = SPECIAL_AUTHORITY_SLASHES;
            } else if (codePoints[pointer + 1] == '/') {
              state = PATH_OR_AUTHORITY;
              pointer++;
            } else {
              url.cannotBeABaseURL = true;
              push(url.path, '');
              state = CANNOT_BE_A_BASE_URL_PATH;
            }
          } else if (!stateOverride) {
            buffer = '';
            state = NO_SCHEME;
            pointer = 0;
            continue;
          } else return INVALID_SCHEME;
          break;

        case NO_SCHEME:
          if (!base || (base.cannotBeABaseURL && chr != '#')) return INVALID_SCHEME;
          if (base.cannotBeABaseURL && chr == '#') {
            url.scheme = base.scheme;
            url.path = arraySlice(base.path);
            url.query = base.query;
            url.fragment = '';
            url.cannotBeABaseURL = true;
            state = FRAGMENT;
            break;
          }
          state = base.scheme == 'file' ? FILE : RELATIVE;
          continue;

        case SPECIAL_RELATIVE_OR_AUTHORITY:
          if (chr == '/' && codePoints[pointer + 1] == '/') {
            state = SPECIAL_AUTHORITY_IGNORE_SLASHES;
            pointer++;
          } else {
            state = RELATIVE;
            continue;
          } break;

        case PATH_OR_AUTHORITY:
          if (chr == '/') {
            state = AUTHORITY;
            break;
          } else {
            state = PATH;
            continue;
          }

        case RELATIVE:
          url.scheme = base.scheme;
          if (chr == EOF) {
            url.username = base.username;
            url.password = base.password;
            url.host = base.host;
            url.port = base.port;
            url.path = arraySlice(base.path);
            url.query = base.query;
          } else if (chr == '/' || (chr == '\\' && url.isSpecial())) {
            state = RELATIVE_SLASH;
          } else if (chr == '?') {
            url.username = base.username;
            url.password = base.password;
            url.host = base.host;
            url.port = base.port;
            url.path = arraySlice(base.path);
            url.query = '';
            state = QUERY;
          } else if (chr == '#') {
            url.username = base.username;
            url.password = base.password;
            url.host = base.host;
            url.port = base.port;
            url.path = arraySlice(base.path);
            url.query = base.query;
            url.fragment = '';
            state = FRAGMENT;
          } else {
            url.username = base.username;
            url.password = base.password;
            url.host = base.host;
            url.port = base.port;
            url.path = arraySlice(base.path);
            url.path.length--;
            state = PATH;
            continue;
          } break;

        case RELATIVE_SLASH:
          if (url.isSpecial() && (chr == '/' || chr == '\\')) {
            state = SPECIAL_AUTHORITY_IGNORE_SLASHES;
          } else if (chr == '/') {
            state = AUTHORITY;
          } else {
            url.username = base.username;
            url.password = base.password;
            url.host = base.host;
            url.port = base.port;
            state = PATH;
            continue;
          } break;

        case SPECIAL_AUTHORITY_SLASHES:
          state = SPECIAL_AUTHORITY_IGNORE_SLASHES;
          if (chr != '/' || charAt(buffer, pointer + 1) != '/') continue;
          pointer++;
          break;

        case SPECIAL_AUTHORITY_IGNORE_SLASHES:
          if (chr != '/' && chr != '\\') {
            state = AUTHORITY;
            continue;
          } break;

        case AUTHORITY:
          if (chr == '@') {
            if (seenAt) buffer = '%40' + buffer;
            seenAt = true;
            bufferCodePoints = arrayFrom(buffer);
            for (var i = 0; i < bufferCodePoints.length; i++) {
              var codePoint = bufferCodePoints[i];
              if (codePoint == ':' && !seenPasswordToken) {
                seenPasswordToken = true;
                continue;
              }
              var encodedCodePoints = percentEncode(codePoint, userinfoPercentEncodeSet);
              if (seenPasswordToken) url.password += encodedCodePoints;
              else url.username += encodedCodePoints;
            }
            buffer = '';
          } else if (
            chr == EOF || chr == '/' || chr == '?' || chr == '#' ||
            (chr == '\\' && url.isSpecial())
          ) {
            if (seenAt && buffer == '') return INVALID_AUTHORITY;
            pointer -= arrayFrom(buffer).length + 1;
            buffer = '';
            state = HOST;
          } else buffer += chr;
          break;

        case HOST:
        case HOSTNAME:
          if (stateOverride && url.scheme == 'file') {
            state = FILE_HOST;
            continue;
          } else if (chr == ':' && !seenBracket) {
            if (buffer == '') return INVALID_HOST;
            failure = url.parseHost(buffer);
            if (failure) return failure;
            buffer = '';
            state = PORT;
            if (stateOverride == HOSTNAME) return;
          } else if (
            chr == EOF || chr == '/' || chr == '?' || chr == '#' ||
            (chr == '\\' && url.isSpecial())
          ) {
            if (url.isSpecial() && buffer == '') return INVALID_HOST;
            if (stateOverride && buffer == '' && (url.includesCredentials() || url.port !== null)) return;
            failure = url.parseHost(buffer);
            if (failure) return failure;
            buffer = '';
            state = PATH_START;
            if (stateOverride) return;
            continue;
          } else {
            if (chr == '[') seenBracket = true;
            else if (chr == ']') seenBracket = false;
            buffer += chr;
          } break;

        case PORT:
          if (exec(DIGIT, chr)) {
            buffer += chr;
          } else if (
            chr == EOF || chr == '/' || chr == '?' || chr == '#' ||
            (chr == '\\' && url.isSpecial()) ||
            stateOverride
          ) {
            if (buffer != '') {
              var port = parseInt$1(buffer, 10);
              if (port > 0xFFFF) return INVALID_PORT;
              url.port = (url.isSpecial() && port === specialSchemes[url.scheme]) ? null : port;
              buffer = '';
            }
            if (stateOverride) return;
            state = PATH_START;
            continue;
          } else return INVALID_PORT;
          break;

        case FILE:
          url.scheme = 'file';
          if (chr == '/' || chr == '\\') state = FILE_SLASH;
          else if (base && base.scheme == 'file') {
            if (chr == EOF) {
              url.host = base.host;
              url.path = arraySlice(base.path);
              url.query = base.query;
            } else if (chr == '?') {
              url.host = base.host;
              url.path = arraySlice(base.path);
              url.query = '';
              state = QUERY;
            } else if (chr == '#') {
              url.host = base.host;
              url.path = arraySlice(base.path);
              url.query = base.query;
              url.fragment = '';
              state = FRAGMENT;
            } else {
              if (!startsWithWindowsDriveLetter(join(arraySlice(codePoints, pointer), ''))) {
                url.host = base.host;
                url.path = arraySlice(base.path);
                url.shortenPath();
              }
              state = PATH;
              continue;
            }
          } else {
            state = PATH;
            continue;
          } break;

        case FILE_SLASH:
          if (chr == '/' || chr == '\\') {
            state = FILE_HOST;
            break;
          }
          if (base && base.scheme == 'file' && !startsWithWindowsDriveLetter(join(arraySlice(codePoints, pointer), ''))) {
            if (isWindowsDriveLetter(base.path[0], true)) push(url.path, base.path[0]);
            else url.host = base.host;
          }
          state = PATH;
          continue;

        case FILE_HOST:
          if (chr == EOF || chr == '/' || chr == '\\' || chr == '?' || chr == '#') {
            if (!stateOverride && isWindowsDriveLetter(buffer)) {
              state = PATH;
            } else if (buffer == '') {
              url.host = '';
              if (stateOverride) return;
              state = PATH_START;
            } else {
              failure = url.parseHost(buffer);
              if (failure) return failure;
              if (url.host == 'localhost') url.host = '';
              if (stateOverride) return;
              buffer = '';
              state = PATH_START;
            } continue;
          } else buffer += chr;
          break;

        case PATH_START:
          if (url.isSpecial()) {
            state = PATH;
            if (chr != '/' && chr != '\\') continue;
          } else if (!stateOverride && chr == '?') {
            url.query = '';
            state = QUERY;
          } else if (!stateOverride && chr == '#') {
            url.fragment = '';
            state = FRAGMENT;
          } else if (chr != EOF) {
            state = PATH;
            if (chr != '/') continue;
          } break;

        case PATH:
          if (
            chr == EOF || chr == '/' ||
            (chr == '\\' && url.isSpecial()) ||
            (!stateOverride && (chr == '?' || chr == '#'))
          ) {
            if (isDoubleDot(buffer)) {
              url.shortenPath();
              if (chr != '/' && !(chr == '\\' && url.isSpecial())) {
                push(url.path, '');
              }
            } else if (isSingleDot(buffer)) {
              if (chr != '/' && !(chr == '\\' && url.isSpecial())) {
                push(url.path, '');
              }
            } else {
              if (url.scheme == 'file' && !url.path.length && isWindowsDriveLetter(buffer)) {
                if (url.host) url.host = '';
                buffer = charAt(buffer, 0) + ':'; // normalize windows drive letter
              }
              push(url.path, buffer);
            }
            buffer = '';
            if (url.scheme == 'file' && (chr == EOF || chr == '?' || chr == '#')) {
              while (url.path.length > 1 && url.path[0] === '') {
                shift(url.path);
              }
            }
            if (chr == '?') {
              url.query = '';
              state = QUERY;
            } else if (chr == '#') {
              url.fragment = '';
              state = FRAGMENT;
            }
          } else {
            buffer += percentEncode(chr, pathPercentEncodeSet);
          } break;

        case CANNOT_BE_A_BASE_URL_PATH:
          if (chr == '?') {
            url.query = '';
            state = QUERY;
          } else if (chr == '#') {
            url.fragment = '';
            state = FRAGMENT;
          } else if (chr != EOF) {
            url.path[0] += percentEncode(chr, C0ControlPercentEncodeSet);
          } break;

        case QUERY:
          if (!stateOverride && chr == '#') {
            url.fragment = '';
            state = FRAGMENT;
          } else if (chr != EOF) {
            if (chr == "'" && url.isSpecial()) url.query += '%27';
            else if (chr == '#') url.query += '%23';
            else url.query += percentEncode(chr, C0ControlPercentEncodeSet);
          } break;

        case FRAGMENT:
          if (chr != EOF) url.fragment += percentEncode(chr, fragmentPercentEncodeSet);
          break;
      }

      pointer++;
    }
  },
  // https://url.spec.whatwg.org/#host-parsing
  parseHost: function (input) {
    var result, codePoints, index;
    if (charAt(input, 0) == '[') {
      if (charAt(input, input.length - 1) != ']') return INVALID_HOST;
      result = parseIPv6(stringSlice$1(input, 1, -1));
      if (!result) return INVALID_HOST;
      this.host = result;
    // opaque host
    } else if (!this.isSpecial()) {
      if (exec(FORBIDDEN_HOST_CODE_POINT_EXCLUDING_PERCENT, input)) return INVALID_HOST;
      result = '';
      codePoints = arrayFrom(input);
      for (index = 0; index < codePoints.length; index++) {
        result += percentEncode(codePoints[index], C0ControlPercentEncodeSet);
      }
      this.host = result;
    } else {
      input = toASCII(input);
      if (exec(FORBIDDEN_HOST_CODE_POINT, input)) return INVALID_HOST;
      result = parseIPv4(input);
      if (result === null) return INVALID_HOST;
      this.host = result;
    }
  },
  // https://url.spec.whatwg.org/#cannot-have-a-username-password-port
  cannotHaveUsernamePasswordPort: function () {
    return !this.host || this.cannotBeABaseURL || this.scheme == 'file';
  },
  // https://url.spec.whatwg.org/#include-credentials
  includesCredentials: function () {
    return this.username != '' || this.password != '';
  },
  // https://url.spec.whatwg.org/#is-special
  isSpecial: function () {
    return hasOwn(specialSchemes, this.scheme);
  },
  // https://url.spec.whatwg.org/#shorten-a-urls-path
  shortenPath: function () {
    var path = this.path;
    var pathSize = path.length;
    if (pathSize && (this.scheme != 'file' || pathSize != 1 || !isWindowsDriveLetter(path[0], true))) {
      path.length--;
    }
  },
  // https://url.spec.whatwg.org/#concept-url-serializer
  serialize: function () {
    var url = this;
    var scheme = url.scheme;
    var username = url.username;
    var password = url.password;
    var host = url.host;
    var port = url.port;
    var path = url.path;
    var query = url.query;
    var fragment = url.fragment;
    var output = scheme + ':';
    if (host !== null) {
      output += '//';
      if (url.includesCredentials()) {
        output += username + (password ? ':' + password : '') + '@';
      }
      output += serializeHost(host);
      if (port !== null) output += ':' + port;
    } else if (scheme == 'file') output += '//';
    output += url.cannotBeABaseURL ? path[0] : path.length ? '/' + join(path, '/') : '';
    if (query !== null) output += '?' + query;
    if (fragment !== null) output += '#' + fragment;
    return output;
  },
  // https://url.spec.whatwg.org/#dom-url-href
  setHref: function (href) {
    var failure = this.parse(href);
    if (failure) throw TypeError$1(failure);
    this.searchParams.update();
  },
  // https://url.spec.whatwg.org/#dom-url-origin
  getOrigin: function () {
    var scheme = this.scheme;
    var port = this.port;
    if (scheme == 'blob') try {
      return new URLConstructor(scheme.path[0]).origin;
    } catch (error) {
      return 'null';
    }
    if (scheme == 'file' || !this.isSpecial()) return 'null';
    return scheme + '://' + serializeHost(this.host) + (port !== null ? ':' + port : '');
  },
  // https://url.spec.whatwg.org/#dom-url-protocol
  getProtocol: function () {
    return this.scheme + ':';
  },
  setProtocol: function (protocol) {
    this.parse($toString(protocol) + ':', SCHEME_START);
  },
  // https://url.spec.whatwg.org/#dom-url-username
  getUsername: function () {
    return this.username;
  },
  setUsername: function (username) {
    var codePoints = arrayFrom($toString(username));
    if (this.cannotHaveUsernamePasswordPort()) return;
    this.username = '';
    for (var i = 0; i < codePoints.length; i++) {
      this.username += percentEncode(codePoints[i], userinfoPercentEncodeSet);
    }
  },
  // https://url.spec.whatwg.org/#dom-url-password
  getPassword: function () {
    return this.password;
  },
  setPassword: function (password) {
    var codePoints = arrayFrom($toString(password));
    if (this.cannotHaveUsernamePasswordPort()) return;
    this.password = '';
    for (var i = 0; i < codePoints.length; i++) {
      this.password += percentEncode(codePoints[i], userinfoPercentEncodeSet);
    }
  },
  // https://url.spec.whatwg.org/#dom-url-host
  getHost: function () {
    var host = this.host;
    var port = this.port;
    return host === null ? ''
      : port === null ? serializeHost(host)
      : serializeHost(host) + ':' + port;
  },
  setHost: function (host) {
    if (this.cannotBeABaseURL) return;
    this.parse(host, HOST);
  },
  // https://url.spec.whatwg.org/#dom-url-hostname
  getHostname: function () {
    var host = this.host;
    return host === null ? '' : serializeHost(host);
  },
  setHostname: function (hostname) {
    if (this.cannotBeABaseURL) return;
    this.parse(hostname, HOSTNAME);
  },
  // https://url.spec.whatwg.org/#dom-url-port
  getPort: function () {
    var port = this.port;
    return port === null ? '' : $toString(port);
  },
  setPort: function (port) {
    if (this.cannotHaveUsernamePasswordPort()) return;
    port = $toString(port);
    if (port == '') this.port = null;
    else this.parse(port, PORT);
  },
  // https://url.spec.whatwg.org/#dom-url-pathname
  getPathname: function () {
    var path = this.path;
    return this.cannotBeABaseURL ? path[0] : path.length ? '/' + join(path, '/') : '';
  },
  setPathname: function (pathname) {
    if (this.cannotBeABaseURL) return;
    this.path = [];
    this.parse(pathname, PATH_START);
  },
  // https://url.spec.whatwg.org/#dom-url-search
  getSearch: function () {
    var query = this.query;
    return query ? '?' + query : '';
  },
  setSearch: function (search) {
    search = $toString(search);
    if (search == '') {
      this.query = null;
    } else {
      if ('?' == charAt(search, 0)) search = stringSlice$1(search, 1);
      this.query = '';
      this.parse(search, QUERY);
    }
    this.searchParams.update();
  },
  // https://url.spec.whatwg.org/#dom-url-searchparams
  getSearchParams: function () {
    return this.searchParams.facade;
  },
  // https://url.spec.whatwg.org/#dom-url-hash
  getHash: function () {
    var fragment = this.fragment;
    return fragment ? '#' + fragment : '';
  },
  setHash: function (hash) {
    hash = $toString(hash);
    if (hash == '') {
      this.fragment = null;
      return;
    }
    if ('#' == charAt(hash, 0)) hash = stringSlice$1(hash, 1);
    this.fragment = '';
    this.parse(hash, FRAGMENT);
  },
  update: function () {
    this.query = this.searchParams.serialize() || null;
  }
};

// `URL` constructor
// https://url.spec.whatwg.org/#url-class
var URLConstructor = function URL(url /* , base */) {
  var that = anInstance(this, URLPrototype);
  var base = validateArgumentsLength(arguments.length, 1) > 1 ? arguments[1] : undefined;
  var state = setInternalState(that, new URLState(url, false, base));
  if (!DESCRIPTORS) {
    that.href = state.serialize();
    that.origin = state.getOrigin();
    that.protocol = state.getProtocol();
    that.username = state.getUsername();
    that.password = state.getPassword();
    that.host = state.getHost();
    that.hostname = state.getHostname();
    that.port = state.getPort();
    that.pathname = state.getPathname();
    that.search = state.getSearch();
    that.searchParams = state.getSearchParams();
    that.hash = state.getHash();
  }
};

var URLPrototype = URLConstructor.prototype;

var accessorDescriptor = function (getter, setter) {
  return {
    get: function () {
      return getInternalURLState(this)[getter]();
    },
    set: setter && function (value) {
      return getInternalURLState(this)[setter](value);
    },
    configurable: true,
    enumerable: true
  };
};

if (DESCRIPTORS) {
  // `URL.prototype.href` accessors pair
  // https://url.spec.whatwg.org/#dom-url-href
  defineBuiltInAccessor(URLPrototype, 'href', accessorDescriptor('serialize', 'setHref'));
  // `URL.prototype.origin` getter
  // https://url.spec.whatwg.org/#dom-url-origin
  defineBuiltInAccessor(URLPrototype, 'origin', accessorDescriptor('getOrigin'));
  // `URL.prototype.protocol` accessors pair
  // https://url.spec.whatwg.org/#dom-url-protocol
  defineBuiltInAccessor(URLPrototype, 'protocol', accessorDescriptor('getProtocol', 'setProtocol'));
  // `URL.prototype.username` accessors pair
  // https://url.spec.whatwg.org/#dom-url-username
  defineBuiltInAccessor(URLPrototype, 'username', accessorDescriptor('getUsername', 'setUsername'));
  // `URL.prototype.password` accessors pair
  // https://url.spec.whatwg.org/#dom-url-password
  defineBuiltInAccessor(URLPrototype, 'password', accessorDescriptor('getPassword', 'setPassword'));
  // `URL.prototype.host` accessors pair
  // https://url.spec.whatwg.org/#dom-url-host
  defineBuiltInAccessor(URLPrototype, 'host', accessorDescriptor('getHost', 'setHost'));
  // `URL.prototype.hostname` accessors pair
  // https://url.spec.whatwg.org/#dom-url-hostname
  defineBuiltInAccessor(URLPrototype, 'hostname', accessorDescriptor('getHostname', 'setHostname'));
  // `URL.prototype.port` accessors pair
  // https://url.spec.whatwg.org/#dom-url-port
  defineBuiltInAccessor(URLPrototype, 'port', accessorDescriptor('getPort', 'setPort'));
  // `URL.prototype.pathname` accessors pair
  // https://url.spec.whatwg.org/#dom-url-pathname
  defineBuiltInAccessor(URLPrototype, 'pathname', accessorDescriptor('getPathname', 'setPathname'));
  // `URL.prototype.search` accessors pair
  // https://url.spec.whatwg.org/#dom-url-search
  defineBuiltInAccessor(URLPrototype, 'search', accessorDescriptor('getSearch', 'setSearch'));
  // `URL.prototype.searchParams` getter
  // https://url.spec.whatwg.org/#dom-url-searchparams
  defineBuiltInAccessor(URLPrototype, 'searchParams', accessorDescriptor('getSearchParams'));
  // `URL.prototype.hash` accessors pair
  // https://url.spec.whatwg.org/#dom-url-hash
  defineBuiltInAccessor(URLPrototype, 'hash', accessorDescriptor('getHash', 'setHash'));
}

// `URL.prototype.toJSON` method
// https://url.spec.whatwg.org/#dom-url-tojson
defineBuiltIn(URLPrototype, 'toJSON', function toJSON() {
  return getInternalURLState(this).serialize();
}, { enumerable: true });

// `URL.prototype.toString` method
// https://url.spec.whatwg.org/#URL-stringification-behavior
defineBuiltIn(URLPrototype, 'toString', function toString() {
  return getInternalURLState(this).serialize();
}, { enumerable: true });

if (NativeURL) {
  var nativeCreateObjectURL = NativeURL.createObjectURL;
  var nativeRevokeObjectURL = NativeURL.revokeObjectURL;
  // `URL.createObjectURL` method
  // https://developer.mozilla.org/en-US/docs/Web/API/URL/createObjectURL
  if (nativeCreateObjectURL) defineBuiltIn(URLConstructor, 'createObjectURL', bind(nativeCreateObjectURL, NativeURL));
  // `URL.revokeObjectURL` method
  // https://developer.mozilla.org/en-US/docs/Web/API/URL/revokeObjectURL
  if (nativeRevokeObjectURL) defineBuiltIn(URLConstructor, 'revokeObjectURL', bind(nativeRevokeObjectURL, NativeURL));
}

setToStringTag(URLConstructor, 'URL');

$$1({ global: true, constructor: true, forced: !USE_NATIVE_URL, sham: !DESCRIPTORS }, {
  URL: URLConstructor
});

var $ = _export;
var uncurryThis = functionUncurryThis;
var getOwnPropertyDescriptor = objectGetOwnPropertyDescriptor.f;
var toLength = toLength$5;
var toString = toString$e;
var notARegExp = notARegexp;
var requireObjectCoercible = requireObjectCoercible$a;
var correctIsRegExpLogic = correctIsRegexpLogic;

// eslint-disable-next-line es-x/no-string-prototype-startswith -- safe
var un$StartsWith = uncurryThis(''.startsWith);
var stringSlice = uncurryThis(''.slice);
var min = Math.min;

var CORRECT_IS_REGEXP_LOGIC = correctIsRegExpLogic('startsWith');
// https://github.com/zloirock/core-js/pull/702
var MDN_POLYFILL_BUG = !CORRECT_IS_REGEXP_LOGIC && !!function () {
  var descriptor = getOwnPropertyDescriptor(String.prototype, 'startsWith');
  return descriptor && !descriptor.writable;
}();

// `String.prototype.startsWith` method
// https://tc39.es/ecma262/#sec-string.prototype.startswith
$({ target: 'String', proto: true, forced: !MDN_POLYFILL_BUG && !CORRECT_IS_REGEXP_LOGIC }, {
  startsWith: function startsWith(searchString /* , position = 0 */) {
    var that = toString(requireObjectCoercible(this));
    notARegExp(searchString);
    var index = toLength(min(arguments.length > 1 ? arguments[1] : undefined, that.length));
    var search = toString(searchString);
    return un$StartsWith
      ? un$StartsWith(that, search, index)
      : stringSlice(that, index, index + search.length) === search;
  }
});

function DList(props) {
  const {
    dFileList,
    dDefaultActions,
    dActions,
    onRemove
  } = props; //#region Context

  const dPrefix = usePrefixConfig(); //#endregion

  const [removeUIDs, setRemoveUIDs] = useImmer([]);
  const [skipFirstTransition, setSkipFirstTransition] = useState(true);
  useMount(() => {
    setSkipFirstTransition(false);
  });
  return jsx("ul", Object.assign({
    className: `${dPrefix}upload__list`
  }, {
    children: dFileList.map((file, index) => {
      const actions = dActions(file, index);
      return jsx(DCollapseTransition, Object.assign({
        dSize: 0,
        dIn: !removeUIDs.includes(file.uid),
        dDuring: TTANSITION_DURING_BASE,
        dStyles: {
          entering: {
            transition: ['height', 'padding', 'margin'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-out`).join(', ')
          },
          leaving: {
            transition: ['height', 'padding', 'margin'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-in`).join(', ')
          },
          leaved: {
            display: 'none'
          }
        },
        dSkipFirstTransition: skipFirstTransition,
        afterLeave: () => {
          setRemoveUIDs(draft => {
            draft.splice(draft.findIndex(uid => uid === file.uid), 1);
          });
          onRemove(file);
        }
      }, {
        children: (ref, collapseStyle) => jsxs("li", Object.assign({
          ref: ref,
          className: getClassName(`${dPrefix}upload__list-item`, `${dPrefix}upload__list-item--${file.status}`, {
            [`${dPrefix}upload__list-item--first`]: index === 0
          }),
          style: collapseStyle
        }, {
          children: [jsx("div", Object.assign({
            className: `${dPrefix}upload__list-icon`
          }, {
            children: file.status === 'progress' ? jsx(LoadingOutlined, {
              dSpin: true
            }) : jsx(PaperClipOutlined, {})
          })), jsx("a", Object.assign({
            className: getClassName(`${dPrefix}upload__list-link`, {
              'is-active': file.status === 'load' && !isUndefined(file.url)
            }),
            target: "_blank",
            href: file.url,
            rel: "noreferrer",
            title: file.name,
            onClick: e => {
              if (!isUndefined(dDefaultActions === null || dDefaultActions === void 0 ? void 0 : dDefaultActions.preview)) {
                e.preventDefault();
                dDefaultActions.preview(file);
              }
            }
          }, {
            children: file.name
          })), jsx("div", Object.assign({
            className: `${dPrefix}upload__list-actions`
          }, {
            children: React.Children.map(actions, action => /*#__PURE__*/React.cloneElement(action, Object.assign(Object.assign({}, action.props), {
              __file: file,
              __defaultActions: dDefaultActions,
              __onRemove: () => {
                setRemoveUIDs(draft => {
                  draft.push(file.uid);
                });
              }
            })))
          })), jsx("div", Object.assign({
            className: `${dPrefix}upload__list-progress-wrapper`
          }, {
            children: isNumber(file.percent) && jsx(DProgress, {
              dPercent: file.percent,
              dLineWidth: 2,
              dLabel: false
            })
          }))]
        }))
      }), file.uid);
    })
  }));
}

function DPicture(props) {
  const {
    children,
    dFileList,
    dDefaultActions,
    dActions,
    onRemove
  } = props; //#region Context

  const dPrefix = usePrefixConfig(); //#endregion

  const [t] = useTranslation();
  const [removeUIDs, setRemoveUIDs] = useImmer([]);
  const [skipFirstTransition, setSkipFirstTransition] = useState(true);
  useMount(() => {
    setSkipFirstTransition(false);
  });
  return jsxs("ul", Object.assign({
    className: `${dPrefix}upload__picture`
  }, {
    children: [dFileList.map((file, index) => {
      const actions = dActions(file, index);
      const isLoading = file && file.status === 'progress';
      return jsx(DTransition, Object.assign({
        dIn: !removeUIDs.includes(file.uid),
        dDuring: TTANSITION_DURING_BASE,
        dSkipFirstTransition: skipFirstTransition,
        afterLeave: () => {
          setRemoveUIDs(draft => {
            draft.splice(draft.findIndex(uid => uid === file.uid), 1);
          });
          onRemove(file);
        }
      }, {
        children: state => {
          let transitionStyle = {};

          switch (state) {
            case 'enter':
              transitionStyle = {
                transform: 'scale(0)'
              };
              break;

            case 'entering':
              transitionStyle = {
                transition: ['transform'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-out`).join(', '),
                transformOrigin: 'top left'
              };
              break;

            case 'leaving':
              transitionStyle = {
                transform: 'scale(0)',
                transition: ['transform'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-in`).join(', '),
                transformOrigin: 'top left'
              };
              break;

            case 'leaved':
              transitionStyle = {
                display: 'none'
              };
              break;
          }

          return jsx("li", Object.assign({
            className: getClassName(`${dPrefix}upload__picture-item`, `${dPrefix}upload__picture-item--${file.status}`, {
              'is-disabled': isLoading
            }),
            style: transitionStyle
          }, {
            children: file.status !== 'progress' ? jsxs(Fragment, {
              children: [file.thumbUrl ? jsx("img", {
                className: `${dPrefix}upload__picture-preview`,
                src: file.thumbUrl,
                alt: file.name
              }) : jsxs(Fragment, {
                children: [jsx(FileTwoTone, {
                  dSize: 28,
                  dTheme: file.status === 'error' ? 'danger' : 'primary'
                }), jsx("div", Object.assign({
                  className: `${dPrefix}upload__picture-name`
                }, {
                  children: file.name
                }))]
              }), jsx("div", Object.assign({
                className: `${dPrefix}upload__picture-actions`
              }, {
                children: React.Children.map(actions, action => /*#__PURE__*/React.cloneElement(action, Object.assign(Object.assign({}, action.props), {
                  onClick: e => {
                    var _a, _b;

                    (_b = (_a = action.props).onClick) === null || _b === void 0 ? void 0 : _b.call(_a, e);
                    e.stopPropagation();
                  },
                  __file: file,
                  __defaultActions: dDefaultActions,
                  __onRemove: () => {
                    setRemoveUIDs(draft => {
                      draft.push(file.uid);
                    });
                  }
                })))
              }))]
            }) : jsxs(Fragment, {
              children: [jsx("div", Object.assign({
                className: `${dPrefix}upload__picture-text`
              }, {
                children: t('Upload', 'Uploading')
              })), isNumber(file.percent) && jsx(DProgress, {
                dPercent: file.percent,
                dLineWidth: 2,
                dLabel: false
              })]
            })
          }));
        }
      }), file.uid);
    }), children]
  }));
}

function DPictureList(props) {
  const {
    dFileList,
    dDefaultActions,
    dActions,
    onRemove
  } = props; //#region Context

  const dPrefix = usePrefixConfig(); //#endregion

  const [removeUIDs, setRemoveUIDs] = useImmer([]);
  const [skipFirstTransition, setSkipFirstTransition] = useState(true);
  useMount(() => {
    setSkipFirstTransition(false);
  });
  return jsx("ul", Object.assign({
    className: getClassName(`${dPrefix}upload__list`, `${dPrefix}upload__list--picture`)
  }, {
    children: dFileList.map((file, index) => {
      const actions = dActions(file, index);
      return jsx(DCollapseTransition, Object.assign({
        dSize: 0,
        dIn: !removeUIDs.includes(file.uid),
        dDuring: TTANSITION_DURING_BASE,
        dStyles: {
          entering: {
            transition: ['height', 'padding', 'margin'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-out`).join(', ')
          },
          leaving: {
            transition: ['height', 'padding', 'margin'].map(attr => `${attr} ${TTANSITION_DURING_BASE}ms ease-in`).join(', ')
          },
          leaved: {
            display: 'none'
          }
        },
        dSkipFirstTransition: skipFirstTransition,
        afterLeave: () => {
          setRemoveUIDs(draft => {
            draft.splice(draft.findIndex(uid => uid === file.uid), 1);
          });
          onRemove(file);
        }
      }, {
        children: (ref, collapseStyle) => jsxs("li", Object.assign({
          ref: ref,
          className: getClassName(`${dPrefix}upload__list-item`, `${dPrefix}upload__list-item--picture`, `${dPrefix}upload__list-item--${file.status}`, {
            [`${dPrefix}upload__list-item--first`]: index === 0
          }),
          style: collapseStyle
        }, {
          children: [jsx("div", Object.assign({
            className: `${dPrefix}upload__list-icon`
          }, {
            children: file.status === 'progress' ? jsx(LoadingOutlined, {
              dSpin: true
            }) : file.thumbUrl ? jsx("img", {
              className: `${dPrefix}upload__picture-preview`,
              src: file.thumbUrl,
              alt: file.name
            }) : jsx(FileTwoTone, {
              dTheme: file.status === 'error' ? 'danger' : 'primary'
            })
          })), jsx("a", Object.assign({
            className: getClassName(`${dPrefix}upload__list-link`, {
              'is-active': file.status === 'load' && !isUndefined(file.url)
            }),
            target: "_blank",
            href: file.url,
            rel: "noreferrer",
            title: file.name,
            onClick: e => {
              if (!isUndefined(dDefaultActions === null || dDefaultActions === void 0 ? void 0 : dDefaultActions.preview)) {
                e.preventDefault();
                dDefaultActions.preview(file);
              }
            }
          }, {
            children: file.name
          })), jsx("div", Object.assign({
            className: `${dPrefix}upload__list-actions`
          }, {
            children: React.Children.map(actions, action => /*#__PURE__*/React.cloneElement(action, Object.assign(Object.assign({}, action.props), {
              __file: file,
              __defaultActions: dDefaultActions,
              __onRemove: () => {
                setRemoveUIDs(draft => {
                  draft.push(file.uid);
                });
              }
            })))
          })), jsx("div", Object.assign({
            className: `${dPrefix}upload__list-progress-wrapper`
          }, {
            children: isNumber(file.percent) && jsx(DProgress, {
              dPercent: file.percent,
              dLineWidth: 2,
              dLabel: false
            })
          }))]
        }))
      }), file.uid);
    })
  }));
}

function saveFile(url, name) {
  const a = document.createElement('a');
  document.body.appendChild(a);
  a.style.display = 'none';
  a.href = url;
  a.download = name;
  a.click();
  document.body.removeChild(a);
}

const {
  COMPONENT_NAME: COMPONENT_NAME$2
} = registerComponentMate({
  COMPONENT_NAME: 'DUpload.Action'
});

function UploadAction(props, ref) {
  var _a, _b, _c, _d, _e, _f, _g, _h;

  const _j = useComponentConfig(COMPONENT_NAME$2, props),
        {
    children,
    dPreset,
    __file,
    __defaultActions,
    __onRemove
  } = _j,
        restProps = __rest(_j, ["children", "dPreset", "__file", "__defaultActions", "__onRemove"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const [t] = useTranslation();
  const defaultAction = dPreset === 'preview' ? __defaultActions === null || __defaultActions === void 0 ? void 0 : __defaultActions.preview : dPreset === 'download' ? __defaultActions === null || __defaultActions === void 0 ? void 0 : __defaultActions.download : undefined;
  return dPreset === 'preview' ? jsx("a", Object.assign({
    className: getClassName(`${dPrefix}upload__item-action`, `${dPrefix}upload__item-action--preview`, {
      'is-disabled': isUndefined(__file.url)
    }),
    target: (_a = restProps['target']) !== null && _a !== void 0 ? _a : '_blank',
    href: (_b = restProps['href']) !== null && _b !== void 0 ? _b : __file.url,
    title: (_c = restProps.title) !== null && _c !== void 0 ? _c : t('Upload', 'Preview file'),
    onClick: e => {
      if (!isUndefined(defaultAction)) {
        e.preventDefault();
        defaultAction(__file);
      }
    }
  }, {
    children: children !== null && children !== void 0 ? children : jsx(EyeOutlined, {})
  })) : dPreset === 'download' ? jsx("button", Object.assign({}, restProps, {
    ref: ref,
    className: getClassName(restProps.className, `${dPrefix}upload__item-action`),
    type: (_d = restProps['type']) !== null && _d !== void 0 ? _d : 'button',
    disabled: isUndefined(__file.url),
    onClick: e => {
      var _a;

      (_a = restProps.onClick) === null || _a === void 0 ? void 0 : _a.call(restProps, e);

      if (!isUndefined(defaultAction)) {
        defaultAction(__file);
      } else {
        saveFile(__file.url, __file.name);
      }
    },
    title: (_e = restProps.title) !== null && _e !== void 0 ? _e : t('Upload', 'Download file')
  }, {
    children: children !== null && children !== void 0 ? children : jsx(DownloadOutlined, {})
  })) : dPreset === 'remove' ? jsx("button", Object.assign({}, restProps, {
    ref: ref,
    className: getClassName(restProps.className, `${dPrefix}upload__item-action`),
    type: (_f = restProps['type']) !== null && _f !== void 0 ? _f : 'button',
    onClick: e => {
      var _a;

      (_a = restProps.onClick) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
      __onRemove === null || __onRemove === void 0 ? void 0 : __onRemove();
    },
    title: (_g = restProps.title) !== null && _g !== void 0 ? _g : t('Upload', 'Remove file')
  }, {
    children: children !== null && children !== void 0 ? children : jsx(DeleteOutlined, {})
  })) : jsx("button", Object.assign({}, restProps, {
    ref: ref,
    className: getClassName(restProps.className, `${dPrefix}upload__item-action`),
    type: (_h = restProps['type']) !== null && _h !== void 0 ? _h : 'button'
  }, {
    children: children
  }));
}

const DUploadAction = /*#__PURE__*/React.forwardRef(UploadAction);

const {
  COMPONENT_NAME: COMPONENT_NAME$1
} = registerComponentMate({
  COMPONENT_NAME: 'DUpload.PictureButton'
});
function DUploadPictureButton(props) {
  var _a;

  const _b = useComponentConfig(COMPONENT_NAME$1, props),
        {
    dFile,
    dActions = [jsx(DUploadAction, {
      dPreset: "preview"
    }), jsx(DUploadAction, {
      dPreset: "remove"
    })],
    dDefaultActions,
    onRemove
  } = _b,
        restProps = __rest(_b, ["dFile", "dActions", "dDefaultActions", "onRemove"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion

  const [t] = useTranslation();
  const isLoading = dFile && dFile.status === 'progress';
  return jsx("div", Object.assign({}, restProps, {
    tabIndex: (_a = restProps.tabIndex) !== null && _a !== void 0 ? _a : 0,
    className: getClassName(restProps.className, `${dPrefix}upload__picture-item`, `${dPrefix}upload__picture-item--button`, {
      'is-disabled': isLoading,
      [`${dPrefix}upload__picture-item--${dFile === null || dFile === void 0 ? void 0 : dFile.status}`]: dFile
    })
  }, {
    children: dFile && dFile.status !== 'progress' ? jsxs(Fragment, {
      children: [dFile.thumbUrl ? jsx("img", {
        className: `${dPrefix}upload__picture-preview`,
        src: dFile.thumbUrl,
        alt: dFile.name
      }) : jsxs(Fragment, {
        children: [jsx(FileTwoTone, {
          dSize: 28,
          dTheme: dFile.status === 'error' ? 'danger' : 'primary'
        }), jsx("div", Object.assign({
          className: `${dPrefix}upload__picture-name`
        }, {
          children: dFile.name
        }))]
      }), jsx("div", Object.assign({
        className: `${dPrefix}upload__picture-actions`
      }, {
        children: React.Children.map(dActions, action => /*#__PURE__*/React.cloneElement(action, Object.assign(Object.assign({}, action.props), {
          onClick: e => {
            var _a, _b;

            (_b = (_a = action.props).onClick) === null || _b === void 0 ? void 0 : _b.call(_a, e);
            e.stopPropagation();
          },
          __file: dFile,
          __defaultActions: dDefaultActions,
          __onRemove: onRemove
        })))
      }))]
    }) : jsxs(Fragment, {
      children: [jsx("div", Object.assign({
        className: `${dPrefix}upload__picture-button-icon`
      }, {
        children: isLoading ? jsx(LoadingOutlined, {
          dSpin: true
        }) : jsx(PlusOutlined, {})
      })), jsx("div", Object.assign({
        className: `${dPrefix}upload__picture-button-text`
      }, {
        children: t('Upload', isLoading ? 'Uploading' : 'Upload')
      }))]
    })
  }));
}

const UID_KEY = Symbol();
const {
  COMPONENT_NAME
} = registerComponentMate({
  COMPONENT_NAME: 'DUpload'
});

function Upload(props, ref) {
  var _a;

  const _b = useComponentConfig(COMPONENT_NAME, props),
        {
    children,
    dFormControl,
    dModel,
    dXHRRequest,
    dListType = 'list',
    dDrag = false,
    dMax,
    dDefaultActions,
    dActions,
    dCustomUpload,
    dBeforeUpload,
    onModelChange,
    onRemove
  } = _b,
        restProps = __rest(_b, ["children", "dFormControl", "dModel", "dXHRRequest", "dListType", "dDrag", "dMax", "dDefaultActions", "dActions", "dCustomUpload", "dBeforeUpload", "onModelChange", "onRemove"]); //#region Context


  const dPrefix = usePrefixConfig(); //#endregion
  //#region Ref

  const inputRef = useRef(null); //#endregion

  const dataRef = useRef({
    fileURLs: []
  });
  const combineInputRef = useForkRef(inputRef, ref);
  const formControlInject = useFormControl(dFormControl);
  const [fileList, changeFileList] = useDValue([], dModel, undefined, undefined, formControlInject);
  useUnmount(() => {
    dataRef.current.fileURLs.forEach(fileURL => {
      URL.revokeObjectURL(fileURL);
    });
  });

  const handleFiles = files => {
    if (dCustomUpload) {
      dCustomUpload(files);
    } else {
      const addList = [];

      for (let index = 0; index < files.length; index++) {
        const file = files.item(index);

        if (file) {
          const xhr = new XMLHttpRequest();
          let uid = getUID();

          const update = (obj, add) => {
            if (add) {
              const fileURL = URL.createObjectURL(file);
              dataRef.current.fileURLs.push(fileURL);
              const addFile = Object.assign({
                uid,
                [UID_KEY]: uid,
                url: fileURL,
                thumbUrl: file.type.startsWith('image') ? fileURL : undefined,
                name: file.name,
                originFile: file,
                response: xhr.response
              }, obj);

              if (isNumber(dMax) && fileList.length + addList.length >= dMax) {
                if (dMax === 1) {
                  uid = addFile.uid = addFile[UID_KEY] = fileList[0].uid;
                  changeFileList([addFile]);
                  onModelChange === null || onModelChange === void 0 ? void 0 : onModelChange([addFile], {
                    type: 'update',
                    files: [addFile]
                  });
                  return;
                }

                return true;
              }

              addList.push(addFile);
            } else {
              let hasChange = true;
              const newList = changeFileList(draft => {
                const index = draft.findIndex(f => f[UID_KEY] === uid);

                if (index !== -1) {
                  draft[index] = Object.assign(draft[index], Object.assign({
                    response: xhr.response
                  }, obj));
                } else {
                  hasChange = false;
                }
              });

              if (hasChange) {
                onModelChange === null || onModelChange === void 0 ? void 0 : onModelChange(newList, {
                  type: 'update',
                  files: [newList.find(f => f[UID_KEY] === uid)]
                });
              }
            }
          };

          const upload = condition => {
            if (condition === false) {
              update({
                status: null
              }, true);
            } else {
              const abort = update({
                status: 'progress',
                percent: 0
              }, true);

              if (abort) {
                return;
              }

              xhr.upload.addEventListener('progress', e => {
                if (e.lengthComputable) {
                  const percent = Math.round(e.loaded * 100 / e.total);
                  update({
                    status: 'progress',
                    percent
                  }, false);
                }
              });
              xhr.addEventListener('error', () => {
                update({
                  status: 'error',
                  percent: undefined
                }, false);
              });
              xhr.addEventListener('load', () => {
                update({
                  status: xhr.status >= 200 && xhr.status < 300 ? 'load' : 'error',
                  percent: undefined
                }, false);
              });
              const {
                method = 'POST',
                url,
                responseType = 'json',
                header = {},
                body = file => {
                  const formData = new FormData();
                  formData.append('file', file);
                  return formData;
                },
                custom
              } = dXHRRequest;
              xhr.open(method, url);
              xhr.responseType = responseType;
              Object.entries(header).forEach(h => {
                xhr.setRequestHeader(...h);
              });
              custom === null || custom === void 0 ? void 0 : custom(xhr);
              xhr.send(body(condition === true ? file : condition));
            }
          };

          let shouldUpload = true;

          if (dBeforeUpload) {
            shouldUpload = dBeforeUpload(file, files);

            if (shouldUpload instanceof Promise) {
              shouldUpload.then(condition => {
                upload(condition);
              });
            } else {
              upload(shouldUpload);
            }
          } else {
            upload(true);
          }
        }
      }

      if (addList.length > 0) {
        const newList = changeFileList(draft => draft.concat(addList));
        onModelChange === null || onModelChange === void 0 ? void 0 : onModelChange(newList, {
          type: 'add',
          files: addList
        });
      }
    }
  };

  const child = (() => {
    if (isNull(children)) {
      return children;
    }

    let dragProps = {};

    if (dDrag) {
      dragProps = {
        onDragEnter: e => {
          var _a, _b;

          (_b = (_a = children.props).onDragEnter) === null || _b === void 0 ? void 0 : _b.call(_a, e);
          e.stopPropagation();
          e.preventDefault();
        },
        onDragOver: e => {
          var _a, _b;

          (_b = (_a = children.props).onDragOver) === null || _b === void 0 ? void 0 : _b.call(_a, e);
          e.stopPropagation();
          e.preventDefault();
        },
        onDrop: e => {
          var _a, _b;

          (_b = (_a = children.props).onDrop) === null || _b === void 0 ? void 0 : _b.call(_a, e);
          e.stopPropagation();
          e.preventDefault();
          const dt = e.dataTransfer;
          const files = dt.files;
          handleFiles(files);
        }
      };
    }

    return /*#__PURE__*/React.cloneElement(children, Object.assign(Object.assign(Object.assign({}, children.props), dragProps), {
      onClick: e => {
        var _a, _b;

        (_b = (_a = children.props).onClick) === null || _b === void 0 ? void 0 : _b.call(_a, e);

        if (inputRef.current) {
          inputRef.current.click();
        }
      }
    }));
  })();

  const listProps = {
    dFileList: fileList,
    dDefaultActions,
    onRemove: file => {
      onRemove === null || onRemove === void 0 ? void 0 : onRemove(file);
      const newList = changeFileList(draft => {
        const index = draft.findIndex(f => f.uid === file.uid);
        draft.splice(index, 1);
      });
      onModelChange === null || onModelChange === void 0 ? void 0 : onModelChange(newList, {
        type: 'remove',
        files: [file]
      });
    }
  };
  return jsxs(Fragment, {
    children: [jsx("input", Object.assign({}, restProps, {
      ref: combineInputRef,
      className: getClassName(restProps.className, `${dPrefix}upload`),
      type: (_a = restProps.type) !== null && _a !== void 0 ? _a : 'file',
      onChange: e => {
        var _a;

        (_a = restProps.onChange) === null || _a === void 0 ? void 0 : _a.call(restProps, e);
        const files = e.currentTarget.files;

        if (files) {
          handleFiles(files);
        }

        e.currentTarget.value = '';
      }
    })), dListType === 'list' ? jsxs(Fragment, {
      children: [child, jsx(DList, Object.assign({}, listProps, {
        dActions: dActions !== null && dActions !== void 0 ? dActions : () => [jsx(DUploadAction, {
          dPreset: "remove"
        })]
      }))]
    }) : dListType === 'picture' ? jsx(DPicture, Object.assign({}, listProps, {
      dActions: dActions !== null && dActions !== void 0 ? dActions : () => [jsx(DUploadAction, {
        dPreset: "preview"
      }), jsx(DUploadAction, {
        dPreset: "remove"
      })]
    }, {
      children: child
    })) : dListType === 'picture-list' ? jsxs(Fragment, {
      children: [child, jsx(DPictureList, Object.assign({}, listProps, {
        dActions: dActions !== null && dActions !== void 0 ? dActions : () => [jsx(DUploadAction, {
          dPreset: "remove"
        })]
      }))]
    }) : child]
  });
}

const DUpload = /*#__PURE__*/React.forwardRef(Upload);
DUpload.Action = DUploadAction;
DUpload.PictureButton = DUploadPictureButton;

export { DAccordion, DAffix, DAlert, DAnchor, DAutoComplete, DAvatar, DBackTop, DBadge, DBreadcrumb, DButton, DCard, DCascader, DCheckbox, DCol, DCompose, DDatePicker, DDrawer, DDropdown, DEmpty, DForm, DImage, DInput, DMenu, DModal, DPagination, DPopover, DProgress, DRadio, DRating, DRoot, DRow, DSelect, DSeparator, DSkeleton, DSlider, DSlides, DSpinner, DStepper, DSwitch, DTable, DTabs, DTag, DTextarea, DTimePicker, DTimeline, DTooltip, DTransfer, DTree, DTreeSelect, DUpload, DVirtualScroll, FormControl, FormGroup, NotificationService, ToastService, Validators, dayjs, useForm, useMediaMatch };
